
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest10 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported", 209, (-59894331), (-22847360));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test002"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-91558399971640600L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-91558399971640600L));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test003"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(457570498682307L, 8980L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4108983078167116860L);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test004"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)(-3740), (java.lang.Number)(-113557600L), (java.lang.Number)86593532);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test005"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", (java.lang.Number)(-1993), (java.lang.Number)(-929925971599763L), (java.lang.Number)(byte)10);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test006"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException9.getDurationFieldType();
    java.lang.Number number11 = illegalFieldValueException9.getUpperBound();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException9.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException9.getDateTimeFieldType();
    boolean b15 = org.joda.time.field.FieldUtils.equals((java.lang.Object)throwable_array6, (java.lang.Object)illegalFieldValueException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test007"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1861575014148660L), (-40670473610485763L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-42532048624634423L));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test008"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(159032304873L, 102517800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 158929787073L);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test009"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)13385982632L, (java.lang.Number)(-1937387854013901629L), (java.lang.Number)2);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test010"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str18 = illegalFieldValueException15.toString();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException15);
    java.lang.String str21 = illegalFieldValueException15.toString();
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException15.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.Number number24 = illegalFieldValueException15.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException15.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test011"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    java.lang.String str13 = illegalFieldValueException11.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException11.getSuppressed();
    java.lang.String str15 = illegalFieldValueException11.toString();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException11.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str19 = illegalFieldValueException11.getFieldName();
    java.lang.String str20 = illegalFieldValueException11.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)167216196044085280L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test012"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException12.getFieldName();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.Number number19 = illegalFieldValueException12.getLowerBound();
    illegalFieldValueException12.prependMessage("");
    java.lang.Number number22 = illegalFieldValueException12.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test013"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1830819379893093307L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test014"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number15 = illegalFieldValueException2.getLowerBound();
    java.lang.String str16 = illegalFieldValueException2.toString();
    java.lang.Number number17 = illegalFieldValueException2.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test015"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(30L, 40L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10L));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test016"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", (java.lang.Number)(-922L), (java.lang.Number)152L, (java.lang.Number)(-521991988));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test017"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"200\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported", "org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]");

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test018"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-38822));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 38822);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test019"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(158908748618L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test020"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(549191, (-142), 28542, 500000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 77590);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test021"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number17 = illegalFieldValueException16.getUpperBound();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException16.getSuppressed();
    java.lang.String str20 = illegalFieldValueException16.toString();
    java.lang.Number number21 = illegalFieldValueException16.getLowerBound();
    java.lang.Number number22 = illegalFieldValueException16.getIllegalNumberValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Number number24 = illegalFieldValueException16.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType25 = illegalFieldValueException16.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType25);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test022"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-2864995989L), 132658332454400L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 132655467458411L);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test023"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test024"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.String str10 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.String str11 = illegalFieldValueException6.getFieldName();
    java.lang.String str12 = illegalFieldValueException6.toString();
    java.lang.String str13 = illegalFieldValueException6.getIllegalValueAsString();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number19 = illegalFieldValueException18.getUpperBound();
    java.lang.String str20 = illegalFieldValueException18.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str24 = illegalFieldValueException23.toString();
    java.lang.String str25 = illegalFieldValueException23.getIllegalStringValue();
    java.lang.String str26 = illegalFieldValueException23.getFieldName();
    java.lang.String str27 = illegalFieldValueException23.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number31 = illegalFieldValueException30.getUpperBound();
    java.lang.String str32 = illegalFieldValueException30.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array33 = illegalFieldValueException30.getSuppressed();
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    org.joda.time.DurationFieldType durationFieldType35 = illegalFieldValueException30.getDurationFieldType();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    boolean b37 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, (java.lang.Object)illegalFieldValueException30);
    java.lang.String str38 = illegalFieldValueException30.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str38.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test025"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(157229549791048332L, 54237L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 157229549791102569L);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test026"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)438892, (java.lang.Number)(-929240468364188L), (java.lang.Number)241231);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test027"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)7299397435278057600L, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test028"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-3108194110L), (-58443153));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 181652663924428830L);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test029"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(151007L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test030"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test031"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.String str10 = illegalFieldValueException6.toString();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str10, (java.lang.Object)445229224905600L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test032"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)0.0d, (java.lang.Number)(-1.0f), (java.lang.Number)1464640);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]");
    java.lang.String str9 = illegalFieldValueException8.toString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test033"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(167221669202553096L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(40000, 77590);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test035"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test036"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)92844);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str17 = illegalFieldValueException16.toString();
    java.lang.String str18 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.String str19 = illegalFieldValueException16.getFieldName();
    java.lang.String str20 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number21 = illegalFieldValueException16.getLowerBound();
    java.lang.String str22 = illegalFieldValueException16.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException16.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType24 = illegalFieldValueException16.getDurationFieldType();
    boolean b25 = org.joda.time.field.FieldUtils.equals((java.lang.Object)7299397435278057600L, (java.lang.Object)illegalFieldValueException16);
    java.lang.String str26 = illegalFieldValueException16.getIllegalStringValue();
    illegalFieldValueException16.prependMessage("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]");
    java.lang.String str29 = illegalFieldValueException16.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str31 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + ""+ "'", str29.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test037"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-370170027), (-2406), (-28398301));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test038"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1474465324414000L, (-386184));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test039"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(165776433L, 1000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 165777433L);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test040"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-31323968), 28135113);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test041"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1472720000, 0, (-104));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test042"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 20100, 0, 677);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test043"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("hi!", (-2993337), 0, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test044"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(171844667316L, 5044361836965527961L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5044362008810195277L);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test045"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1854, 40718400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 40720254);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test046"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-4301), (-38822));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-43123));

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test047"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(3470169138824360L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test048"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-27562750));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 27562750);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test049"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 49843803, 2854200);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test050"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)101016193602349201L, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test051"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-101L), (-1039223949796L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 104961618929396L);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test052"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]");
    java.lang.String str10 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test053"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException2.toString();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str24 = illegalFieldValueException23.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    java.lang.String str26 = illegalFieldValueException23.getFieldName();
    java.lang.Number number27 = illegalFieldValueException23.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str31 = illegalFieldValueException30.getIllegalStringValue();
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException18);
    illegalFieldValueException18.prependMessage("-10000");
    org.joda.time.DateTimeFieldType dateTimeFieldType37 = illegalFieldValueException18.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType37);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test054"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(128676617112L, (-14771706444558099L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test055"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("298", 0, (-1206005485), 131229342);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test056"); }


    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", (java.lang.Number)(-10100), number2, number3);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException4.toString();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test057"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-22592026393986L), 33001318047240L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test058"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: -22847261: Value \"\" for  is not supported", number1, (java.lang.Number)141500L, (java.lang.Number)(-1713556));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test059"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-158994285885L), (java.lang.Number)9980, (java.lang.Number)(-20100));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test060"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("40", (java.lang.Number)8, number2, (java.lang.Number)(-7806620614L));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test061"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-82812), (-4034), 129794838, (-110));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test062"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str9 = illegalFieldValueException8.getIllegalStringValue();
    illegalFieldValueException8.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str13 = illegalFieldValueException2.getFieldName();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test063"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 10174385, (-2842), (-1545616));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test064"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("0.0", (java.lang.Number)298L, (java.lang.Number)100959600, (java.lang.Number)(-1989900));
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 298L+ "'", number5.equals(298L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test065"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(40000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-40000));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test066"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.Number number4 = illegalFieldValueException2.getLowerBound();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test067"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -201 for org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0] must not be larger than 997", (java.lang.Number)15795623, (java.lang.Number)82384, (java.lang.Number)122182440L);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test068"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-13755), 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test069"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(86579190, (-9980), (-1046100), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-257173));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test070"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test071"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -14341971599762 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must be in the range [22152,2091710057820]", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test072"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 28135113, (-28400357), (-922));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test073"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-299100), 5340437);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test074"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(28399498, 209, 299006);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 13688);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test075"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(360, 2555204);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 919873440);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test076"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    java.lang.Object obj10 = null;
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, obj10);
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test077"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(28399400, (-1988803));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 26410597);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test078"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test079"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 93685, (-5));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test080"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1423152680L), (-124668480L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test081"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.String str15 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported", "");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Number number21 = illegalFieldValueException19.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test082"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(213L, 587592510177303L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test083"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(15566185L, (-424617158466851L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-424617142900666L));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test084"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", (-113557600), 12759, (-1431777216));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test085"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]");
    java.lang.String str11 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str12 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number13 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test086"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-13), (-2622));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2635));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test087"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(125239964L, (-56800874L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 68439090L);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test088"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str12 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException11.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str18 = illegalFieldValueException17.getIllegalStringValue();
    illegalFieldValueException17.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str22 = illegalFieldValueException17.getIllegalStringValue();
    java.lang.Number number23 = illegalFieldValueException17.getIllegalNumberValue();
    java.lang.Number number24 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number29 = illegalFieldValueException28.getUpperBound();
    java.lang.String str30 = illegalFieldValueException28.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array31 = illegalFieldValueException28.getSuppressed();
    java.lang.String str32 = illegalFieldValueException28.toString();
    java.lang.Number number33 = illegalFieldValueException28.getLowerBound();
    java.lang.String str34 = illegalFieldValueException28.getIllegalValueAsString();
    java.lang.String str35 = illegalFieldValueException28.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str39 = illegalFieldValueException38.toString();
    java.lang.String str40 = illegalFieldValueException38.getIllegalStringValue();
    java.lang.String str41 = illegalFieldValueException38.getFieldName();
    java.lang.String str42 = illegalFieldValueException38.getIllegalValueAsString();
    illegalFieldValueException28.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    java.lang.String str44 = illegalFieldValueException38.getIllegalValueAsString();
    java.lang.Number number45 = illegalFieldValueException38.getUpperBound();
    java.lang.String str46 = illegalFieldValueException38.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType47 = illegalFieldValueException38.getDateTimeFieldType();
    java.lang.Number number48 = illegalFieldValueException38.getLowerBound();
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    java.lang.Number number50 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException17.prependMessage("297452");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + ""+ "'", str34.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str35.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str39.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + ""+ "'", str40.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "hi!"+ "'", str41.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + ""+ "'", str42.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + ""+ "'", str44.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "hi!"+ "'", str46.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number50);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test089"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)297452, (java.lang.Number)(-9980), (java.lang.Number)(-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test090"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(28398200, (-93));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 28398107);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test091"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported must be in the range [159629960,-13742]", (java.lang.Number)9457793780059924L, (java.lang.Number)(-549191), (java.lang.Number)91558399971640600L);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test092"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)86587695, "org.joda.time.IllegalFieldValueException: Value \"-28400517\" for org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test093"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test094"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, number2, (java.lang.Number)86587695);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test095"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-9354), "-28400517");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test096"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number16 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test097"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1046100L), 527471522331312000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test098"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(13372617, (-59894331), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-46521715));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test099"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(3470169138824360L, 7835423L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3470169146659783L);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test100"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-15310800), 46, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test101"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(730883185196160000L, (-5729394800L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 730883179466765200L);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test102"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1046100), (java.lang.Number)(-2271952142L), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test103"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-132085273054999L), "org.joda.time.IllegalFieldValueException: : Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test104"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str10 = illegalFieldValueException7.toString();
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException7);
    java.lang.String str13 = illegalFieldValueException7.toString();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str15 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.Number number16 = illegalFieldValueException7.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test105"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 299006, 10122);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test106"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1211, (-21004), 0, (-13));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test107"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getIllegalStringValue();
    java.lang.String str11 = illegalFieldValueException6.getFieldName();
    java.lang.Number number12 = illegalFieldValueException6.getIllegalNumberValue();
    java.lang.String str13 = illegalFieldValueException6.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test108"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-16436115456909265L), 125239964L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test109"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str11 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number15 = illegalFieldValueException14.getUpperBound();
    java.lang.String str16 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    java.lang.String str18 = illegalFieldValueException14.toString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException14.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str23 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test110"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 22060, (-4281089), 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test111"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-11283), 571484, 1584956000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test112"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 36800000, 31086, (-28358863));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test113"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException6.getDateTimeFieldType();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException6.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException6.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test114"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 2643080732485394L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2643080732485394L));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test115"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(26596, 15795623, 0, 94043);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 22827);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test116"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(820, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 820);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test117"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number11 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str12 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    java.lang.String str14 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException2.getSuppressed();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test118"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(1432648501L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1432648501);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test119"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(58185599, 348);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 58185947);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test120"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1200), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1197));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test121"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(571184, 201, 558048);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 13336);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test122"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(20637, 101000000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test123"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "hi!");
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number6, (java.lang.Object)illegalFieldValueException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test124"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "");
    java.lang.Throwable[] throwable_array3 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("null");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str14 = illegalFieldValueException11.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException17.getDateTimeFieldType();
    java.lang.String str19 = illegalFieldValueException17.getIllegalStringValue();
    java.lang.String str20 = illegalFieldValueException17.getIllegalValueAsString();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    org.joda.time.DurationFieldType durationFieldType23 = illegalFieldValueException17.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType23);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test125"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 86589689, 94004, 86577644);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test126"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1021L), (-31983096493588800L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test128"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)10100, number2, (java.lang.Number)10000);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.String str7 = illegalFieldValueException4.getFieldName();
    illegalFieldValueException4.prependMessage("0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test129"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)31983096493589003L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test130"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1039223942938L), (java.lang.Number)(-11000L), (java.lang.Number)(-746400L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test131"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-58443153), 16069101, 15707560);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test132"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 114220096, (-2406));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test133"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-6609863700L), "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test134"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(10040000, (-40), (-270657));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test135"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(8717, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 8717);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test136"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException2.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test137"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", (java.lang.Number)31983096493589003L, (java.lang.Number)8401359547188L, number3);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test138"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(703);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-703));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test139"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 10100, 1994, (-681314));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test140"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-320), (-14863527));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test141"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-17889877), (-1024));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test142"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    java.lang.String str10 = illegalFieldValueException2.getFieldName();
    java.lang.String str11 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test143"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)0.0d, (java.lang.Number)(-1.0f), (java.lang.Number)1464640);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]");
    java.lang.String str9 = illegalFieldValueException8.toString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str11 = illegalFieldValueException8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test144"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)10100, number2, (java.lang.Number)10000);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "hi!");
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException11.getDateTimeFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number16 = illegalFieldValueException11.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test145"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1993), 360);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1633));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test146"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)16435158067823688L, (java.lang.Number)(-179347696), (java.lang.Number)20637);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test147"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-27564743), 86597566);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 59032823);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test148"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-28398301), (-71623976), (-1431777208));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test149"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-7977L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7977));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test150"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    java.lang.String str8 = illegalFieldValueException6.getIllegalStringValue();
    java.lang.String str9 = illegalFieldValueException6.getFieldName();
    java.lang.String str10 = illegalFieldValueException6.getIllegalStringValue();
    java.lang.Number number11 = illegalFieldValueException6.getLowerBound();
    java.lang.String str12 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Number number13 = illegalFieldValueException6.getUpperBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str15 = illegalFieldValueException2.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test151"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported");
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test152"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(28542);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-28542));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test153"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str16 = illegalFieldValueException13.toString();
    java.lang.Number number17 = illegalFieldValueException13.getLowerBound();
    boolean b18 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException13);
    java.lang.Number number19 = illegalFieldValueException13.getUpperBound();
    java.lang.Number number20 = illegalFieldValueException13.getIllegalNumberValue();
    boolean b21 = org.joda.time.field.FieldUtils.equals((java.lang.Object)throwable_array5, (java.lang.Object)number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test154"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)3762753483437L, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test155"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", (java.lang.Number)99, (java.lang.Number)(-1671984), (java.lang.Number)(-177709699L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException7.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    illegalFieldValueException7.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test156"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-167221698007076597L), (java.lang.Number)19094, (java.lang.Number)143214556);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test157"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(18880);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-18880));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test158"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test159"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)176518037444446L, "org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test160"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)0.0d, (java.lang.Number)(-12651840L), (java.lang.Number)(-28398301));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"-28400517\" for org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8 is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "0.0"+ "'", str5.equals("0.0"));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test161"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(30L, 1198217896516L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 35946536895480L);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test162"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)15037, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test163"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-22847359), (-93902));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test164"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException7.getFieldName();
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str15 = illegalFieldValueException14.getIllegalStringValue();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Number number18 = illegalFieldValueException7.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test165"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(334039342859119280L, (-1432348400L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 334039341426770880L);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test166"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-2643080732485394L), 21197206322719200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-23840287055204594L));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test167"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-451728), 36800102, 38006339);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test168"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("130498000");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test169"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-1", number1, (java.lang.Number)91558400000000000L, (java.lang.Number)28400397);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 91558400000000000L+ "'", number5.equals(91558400000000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test170"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test171"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(4108983078167116860L, 9457793602349281L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test172"); }


    java.lang.Object obj1 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-28532), obj1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test173"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]: Value \"\" for hi! is not supported", 0, (-1863814), (-11301));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test174"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-3791209573061L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test175"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str23 = illegalFieldValueException15.getFieldName();
    java.lang.String str24 = illegalFieldValueException15.getIllegalValueAsString();
    java.lang.String str25 = illegalFieldValueException15.toString();
    boolean b27 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException15, (java.lang.Object)5147064684480L);
    java.lang.Number number28 = illegalFieldValueException15.getUpperBound();
    java.lang.String str29 = illegalFieldValueException15.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"+ "'", str25.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + ""+ "'", str29.equals(""));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test176"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1788948));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1788948);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test177"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 38006339, 22775);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test178"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.toString();
    java.lang.String str8 = illegalFieldValueException2.getFieldName();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number10 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str11 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str12 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test179"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException6.getSuppressed();
    illegalFieldValueException6.prependMessage("0.0");
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException6.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    java.lang.String str20 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.String str21 = illegalFieldValueException18.getFieldName();
    java.lang.String str22 = illegalFieldValueException18.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number26 = illegalFieldValueException25.getUpperBound();
    java.lang.String str27 = illegalFieldValueException25.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array28 = illegalFieldValueException25.getSuppressed();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    java.lang.Number number30 = illegalFieldValueException18.getLowerBound();
    java.lang.String str31 = illegalFieldValueException18.getFieldName();
    java.lang.String str32 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.String str33 = illegalFieldValueException18.toString();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "hi!"+ "'", str31.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str33.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test180"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test181"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test182"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1788948), 3624);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1785324));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test183"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for -28400517 is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test184"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test185"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1432547402L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1432547402L));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test186"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(40718400, 19094);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 40737494);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test187"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("");
    java.lang.Number number7 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test188"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-4042), (-201));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 812442);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test189"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-1010824890795L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test190"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-15310800), 10122);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-15300678));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test191"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(40L, (-58443153));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2337726120L));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test192"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1200), (-39633588), 5826703, (-3847));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test193"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(9871, 1432648501, (-1675035), 15645989);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 12334322);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test194"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)17166703279798137L, (java.lang.Number)(-162992034), (java.lang.Number)1087891200L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test195"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-102821732), 2555204, 348, 278677307);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 178410432);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test196"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1274025912), (-1675035), (-2993337));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test197"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test198"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-13742), 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test199"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(376747124, 1211, 451728);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 114076);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-86587695), 58185947, 4412);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test201"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)3124003670L, (java.lang.Number)(-28398200L), (java.lang.Number)(-1545616));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test202"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: 100: Value \"\" for hi! is not supported", 14720016, 8980000, 6658);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test203"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    java.lang.String str12 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException10.getDurationFieldType();
    java.lang.String str15 = illegalFieldValueException10.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.Number number17 = illegalFieldValueException10.getIllegalNumberValue();
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException10, (java.lang.Object)92844);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.String str21 = illegalFieldValueException10.getFieldName();
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException10.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.String str24 = illegalFieldValueException10.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test204"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", (-553950016), (-28399399), 9561);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test205"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-66765303L), 16007361L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1068736307395383L));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test206"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)40, (java.lang.Number)(short)100, (java.lang.Number)200);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test207"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    illegalFieldValueException2.prependMessage("");
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "");
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException9.toString();
    java.lang.Number number14 = illegalFieldValueException9.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.String str16 = illegalFieldValueException9.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test208"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-158993944133L), (-431411879895184L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-431570873839317L));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test209"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test210"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-30552L), (-42532048624634423L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test211"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-2622));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2622);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test212"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)17158278, (java.lang.Number)820);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test213"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(178410432, 451728, (-210490));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test214"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test215"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-593588092540278464L), (-200L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-593588092540278264L));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test216"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-130580381), (-7139799), 15795623);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 7032157);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test217"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(159032304873L, 3054846L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test218"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(35811988000L, (-12651840L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 35799336160L);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test219"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(28826000, 9980);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test220"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported");

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test221"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(157229549791048332L, (-907L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 157229549791047425L);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test222"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str23 = illegalFieldValueException15.getFieldName();
    java.lang.String str24 = illegalFieldValueException15.getIllegalValueAsString();
    boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str24, (java.lang.Object)2649600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test223"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", (java.lang.Number)1.0f, (java.lang.Number)915584000000000L, (java.lang.Number)(-1988801));
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported");

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test224"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)819, (java.lang.Number)(-22889600000L), (java.lang.Number)28395553);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test225"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", (java.lang.Number)677, (java.lang.Number)94043, (java.lang.Number)157229549791048332L);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test226"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("100", number1, (java.lang.Number)34065, (java.lang.Number)(-795204000L));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test227"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-3484581234643184893L), 271526654814222L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test228"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: 100: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test229"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(13, (-17695));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-17682));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test230"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(318880, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test231"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-40000L), 915584000000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 915583999960000L);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test232"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1045134731782440L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test233"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-11242158));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 11242158);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test234"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(15586798, (-3740));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test235"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str9 = illegalFieldValueException8.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.Number number12 = illegalFieldValueException8.getIllegalNumberValue();
    java.lang.Number number13 = illegalFieldValueException8.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.String str17 = illegalFieldValueException16.getIllegalStringValue();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException16.getSuppressed();
    java.lang.String str21 = illegalFieldValueException16.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test236"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(21444403L, (-299699L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-6426866134697L));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test237"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-42166880), (java.lang.Number)30L, (java.lang.Number)(-150997L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test238"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("0.0");
    java.lang.Number number8 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test239"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(2643080732485394L, (-3791181173661L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2639289551311733L);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test240"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", 40720254, (-12146888), 9996);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test241"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-617157741218783L), (-28398200L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-617157769616983L));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test242"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-91431), 622, 9996);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test243"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(2133260548214L, (-3791209573061L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test244"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-15696477), (-28359400));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test245"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(91872522382243440L, (-1021L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 91872522382242419L);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test246"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)7305610514947920000L, (java.lang.Number)13302747649683L, (java.lang.Number)(-2835));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test247"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1800436266353094132L), 1530310623310891288L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3330746889663985420L));

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test248"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(74944208, (-11100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 74933108);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test249"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1024), (-1494980), 299100);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test250"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -200 for  must not be smaller than 1", (java.lang.Number)730883179466765200L, (java.lang.Number)(-28358863), (java.lang.Number)(-240799807312000L));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test251"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-118L), (java.lang.Number)(-28290021));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test252"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 299100, 490, 46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test253"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-9000488657190006080L), (-1901953170L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test254"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1423152680), 394676, (-60995184));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test255"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(3076704031708055052L, (-27562750));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test256"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(28427458603L, 6560);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 186484128435680L);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test257"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException10.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str15 = illegalFieldValueException14.toString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str17 = illegalFieldValueException14.toString();
    java.lang.String str18 = illegalFieldValueException14.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str21 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str22 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test258"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-56800874), (-9980), 299006);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 52734);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test259"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", number1, (java.lang.Number)(-204), (java.lang.Number)(-28398200L));
    java.lang.String str5 = illegalFieldValueException4.toString();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8");
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test260"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(299700L, (-3762781773458L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3762782073158L);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test261"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(167221726428542499L, 319233508618L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test262"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 28101617, 0, (-1863814));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test263"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-53248723800963L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test264"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str18 = illegalFieldValueException15.toString();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException15);
    java.lang.String str21 = illegalFieldValueException15.toString();
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException15.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str24 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType25 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType25);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(47828826, 4566720);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test266"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 537, 0, (-22847360));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test267"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test268"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(36800102, (-15300678), 126626, (-28399399));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test269"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)10, (java.lang.Number)36800000, (java.lang.Number)299700L);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 36800000+ "'", number6.equals(36800000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test270"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(227203176L, (-17889877));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4064636872649352L));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test271"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)18916822432694363L, (java.lang.Number)93685000L, (java.lang.Number)1530310609925479840L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test272"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-3762781773458L), 7060L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test273"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)(-28400517L), (java.lang.Number)(-1618844), (java.lang.Number)(byte)100);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-1618844,100]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-1618844,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1618844)+ "'", number6.equals((-1618844)));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test274"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test275"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "-22847261");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test276"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(13622013593275392L, 1000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 13622013593274392L);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test277"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-84253), (-9561), 28395553);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test278"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(10040000L, (-457570498982904L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 457570509022904L);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test279"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-22579631061416L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-22579631061416L));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test280"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test281"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)27365751777L, (java.lang.Number)13365876, (java.lang.Number)13336);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test282"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]", 40000, (-3847), (-1785324));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test283"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-22847261), (-69810));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test284"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(12146888, 299700);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test285"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)7360, "297452");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test286"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)102L, (java.lang.Number)(-94044), (java.lang.Number)(-110));
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test287"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str14 = illegalFieldValueException2.getFieldName();
    java.lang.String str15 = illegalFieldValueException2.toString();
    java.lang.Number number16 = illegalFieldValueException2.getUpperBound();
    java.lang.String str17 = illegalFieldValueException2.getFieldName();
    java.lang.String str18 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(16435969848407012L, (-1830819538887037440L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test289"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-158993941927L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test290"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-104), (-9980));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-10084));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test291"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)128676617112L, "org.joda.time.IllegalFieldValueException: : org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test292"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(157229549791102569L, (-1432148497L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 157229551223251066L);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test293"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 86593532, (-1274025912), (-1993));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test294"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)28135113, (java.lang.Number)(-167221700301094438L), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test295"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1854, 28102320, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test296"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test297"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-7977), 38006339, (-298740), (-104));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-227174));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test298"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number13 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test299"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-23840287055204594L), 22329132L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-23840287077533726L));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test300"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)1464640, number2, (java.lang.Number)94044);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test301"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 299199, (-1464640), (-2292079));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test302"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(159032304873L, 37517593390884737L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test303"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value 1993 for org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported must be in the range [1994,-1993]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test304"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 143214556, (-8980), 36800102);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test305"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported"));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test306"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test307"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-11000L), (-2643080732485394L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2643080732474394L);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test308"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test309"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)6558851609520L, (java.lang.Number)399200, (java.lang.Number)1276320);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test310"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", (-1624), 4412, 38822);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test311"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str10 = illegalFieldValueException9.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    illegalFieldValueException9.prependMessage("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test312"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 600, 441200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 440601);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test313"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.toString();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test314"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 46, 360, 4566616);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4566303);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test315"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.String str15 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported", "");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Throwable[] throwable_array21 = illegalFieldValueException19.getSuppressed();
    java.lang.String str22 = illegalFieldValueException19.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test316"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported is not supported", (java.lang.Number)(-9200), (java.lang.Number)(-218829188747160L), (java.lang.Number)40536469L);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test317"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(142796L, 108038912000000001L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test318"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-132085273054999L), 16435969848407012L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test319"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str4 = illegalFieldValueException3.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException7.getSuppressed();
    java.lang.String str11 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str13 = illegalFieldValueException3.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException3.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException3.getFieldName();
    illegalFieldValueException3.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    boolean b18 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-14613294320L), (java.lang.Object)illegalFieldValueException3);
    java.lang.Number number19 = illegalFieldValueException3.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test320"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-186306604320L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test321"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported: : hi!: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test322"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 28399261, 1558356);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test323"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(91872522382242419L, 142000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test324"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(68439090L, 8980);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 614583028200L);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test325"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-60995184));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 60995184);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test326"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]: Value \"\" for hi! is not supported", 28500062, (-1993), (-91431));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test327"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)299801L, (java.lang.Number)16841717113039107L, (java.lang.Number)28427458603L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test328"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(92844, (-1200));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 91644);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test329"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(2661866430420480L, (-9200L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test330"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-28542), (-60995184));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-61023726));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test331"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-122000922193240214L), (-167221537536000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-289222459729240214L));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test332"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "200");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.Number number4 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"200\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"200\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test333"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(52734, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 52734);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test334"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException12.getFieldName();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.DurationFieldType durationFieldType18 = illegalFieldValueException12.getDurationFieldType();
    java.lang.Number number19 = illegalFieldValueException12.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test335"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str6 = illegalFieldValueException2.getFieldName();
    java.lang.Number number7 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test336"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]: Value \"\" for hi! is not supported", (java.lang.Number)74414874, (java.lang.Number)9457793602349201L, (java.lang.Number)58185599);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test337"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 7360, (-17889877), (-47828826));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test338"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-18916626784069644L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test339"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-1431777208), 86587695);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test340"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)132658332454400L, (java.lang.Number)(-90356));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test341"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-227174), 15696477);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15469303);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test342"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 1370448702);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test343"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1473019199), (-9354), (-1785324));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test344"); }


    java.lang.Object obj0 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)(-553950016));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test345"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-5341491914720L), (-795204000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5340696710720L));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test346"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-160425721449L), 7835423L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-160417886026L));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test347"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1423152680L), 4877140299492926400L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4877140300916079080L));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test348"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1993), (java.lang.Number)6724, number3);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test349"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException2.prependMessage("");
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test350"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)130497997, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test351"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException2.toString();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str24 = illegalFieldValueException23.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    java.lang.String str26 = illegalFieldValueException23.getFieldName();
    java.lang.Number number27 = illegalFieldValueException23.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str31 = illegalFieldValueException30.getIllegalStringValue();
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException18);
    illegalFieldValueException18.prependMessage("-10000");
    java.lang.String str37 = illegalFieldValueException18.getFieldName();
    java.lang.Number number38 = illegalFieldValueException18.getIllegalNumberValue();
    illegalFieldValueException18.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "hi!"+ "'", str37.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test352"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str12 = illegalFieldValueException11.toString();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException11.getDurationFieldType();
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    java.lang.String str16 = illegalFieldValueException11.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.String str18 = illegalFieldValueException11.getFieldName();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException11.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number21 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test353"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    java.lang.String str12 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    java.lang.String str14 = illegalFieldValueException10.toString();
    java.lang.Number number15 = illegalFieldValueException10.getLowerBound();
    java.lang.String str16 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    java.lang.String str22 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    java.lang.String str24 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str26 = illegalFieldValueException10.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number29 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number30 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test354"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(15707560L, (-1158230592));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-18192976517675520L));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test355"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(213, (-421688740), 86597566, 38726743);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test356"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-28400357));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 28400357);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test357"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)126626, "1");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test358"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-177709500), (-10174385), (-10674487));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test359"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test360"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817]", "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-35834), (java.lang.Object)illegalFieldValueException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test361"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-1", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported");
    java.lang.Number number5 = illegalFieldValueException2.getIllegalNumberValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test362"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", 27562750, 10, 101000000);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test363"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-15600416752807L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-15600416752807L));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test364"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.Throwable throwable15 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException2.addSuppressed(throwable15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test365"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str11 = illegalFieldValueException7.getFieldName();
    java.lang.Number number12 = illegalFieldValueException7.getIllegalNumberValue();
    boolean b13 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test366"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)159175405220L, number2, (java.lang.Number)(-160L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test367"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(24920439554716L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test368"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-7806620614L), number2, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test369"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-3108194813L), (java.lang.Number)(-94044), (java.lang.Number)20637);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test370"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(13385411448L, (-5729394800L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 19114806248L);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test371"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException2.getLowerBound();
    java.lang.String str10 = illegalFieldValueException2.toString();
    java.lang.String str11 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: : Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test372"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(571184, 335365866, (-14342), 15627901);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 7449926);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test373"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(36946452, 10862, (-10205), 9097720);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 525610);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test374"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(3090, (-20637), (-141655203));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test375"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1498379452020000L), 95434);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test376"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-160425721449L), number2, (java.lang.Number)91872528111638240L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test377"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-31983096493588800L), (java.lang.Number)3076704031708055052L, (java.lang.Number)(-1431777208));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test378"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-10000", "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported");

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test379"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-2622), (-28358863), 14829);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-2622));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test380"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    illegalFieldValueException2.prependMessage("");
    java.lang.String str7 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str9 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test381"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value \"\" for hi! is not supported", 143214556, 0, 1432145960);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test382"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1087891200L, (java.lang.Number)767891368, (java.lang.Number)(-495));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test383"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str4 = illegalFieldValueException3.toString();
    java.lang.String str5 = illegalFieldValueException3.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException3.getFieldName();
    java.lang.String str7 = illegalFieldValueException3.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    java.lang.String str12 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str18 = illegalFieldValueException17.toString();
    java.lang.String str19 = illegalFieldValueException17.getIllegalStringValue();
    java.lang.String str20 = illegalFieldValueException17.getFieldName();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    illegalFieldValueException17.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    java.lang.Number number24 = illegalFieldValueException17.getLowerBound();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException17.getSuppressed();
    boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-1863814000L), (java.lang.Object)illegalFieldValueException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test384"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)15707560L, (java.lang.Number)(-167221698007076597L), (java.lang.Number)(-1437790182));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test385"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(19114806248L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test386"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-18771272L), (java.lang.Number)10193621, (java.lang.Number)(-167221698029142296L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test387"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)152L, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test388"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-42020), 26596, (-4281089));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test389"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1219701814511759L, 157229549791048332L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(7060L, (-14771706444558099L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test391"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(852844560, (-9561), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-9344));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test392"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(85012550, 298996, 0, (-819));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test393"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]");
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test394"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-3848", 285694626, 13677064, 128939641);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test395"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-28398200L), (java.lang.Number)(-31495043476L), (java.lang.Number)(-11301));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test396"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(677);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-677));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test397"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 100 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [1.0,-201]", 0, 852844560, 7435);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test398"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-22848080), (-14342), (-21004));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test399"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(6560, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test400"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"200\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported", 1158230592, (-20100), 299100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test401"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-91431));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 91431);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test402"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-915587238400230L), 935086103972755740L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 934170516734355510L);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test403"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(999L, 2950922748930909016L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test404"); }


    java.lang.Object obj1 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)99, obj1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test405"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1432348200, (-549191));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test406"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-56800874), "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test407"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)18266880L, (java.lang.Number)143214556, (java.lang.Number)(-25));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test408"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-21916441), (java.lang.Number)299100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test409"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-1618844,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test410"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException7.getFieldName();
    java.lang.String str11 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number15 = illegalFieldValueException14.getUpperBound();
    java.lang.String str16 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException14.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str21 = illegalFieldValueException14.toString();
    java.lang.Number number22 = illegalFieldValueException14.getLowerBound();
    java.lang.String str23 = illegalFieldValueException14.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test411"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 184382, (-12157094), 3996);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test412"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 2854200, (-4198), 108469612);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test413"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1158230592, 48620, (-3), (-141655203));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test414"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(27432516881L, (-5341491914720L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5368924431601L);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test415"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 43239, 753755, (-17682));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test416"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(912842960206575720L, (-424617170583048L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 913267577377158768L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test417"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.Number number23 = illegalFieldValueException15.getLowerBound();
    java.lang.String str24 = illegalFieldValueException15.toString();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException15.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test418"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-1432547402L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1432547402));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test419"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    java.lang.String str13 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test420"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-53248723800963L), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test421"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(143214556, (-7360));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 143207196);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test422"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-158993944133L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test423"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1830819379893093307L, (-28359560L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1830819379921452867L);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test424"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", number1, (java.lang.Number)(-204), (java.lang.Number)(-28398200L));
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test425"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)385055233298460L, (java.lang.Number)126626, (java.lang.Number)1584956000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test426"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test427"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1854), 820);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1034));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test428"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-167514079), 3, 15696477);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test429"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    boolean b27 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, (java.lang.Object)dateTimeFieldType26);
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported");
    java.lang.String str30 = illegalFieldValueException6.toString();
    java.lang.Number number31 = illegalFieldValueException6.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"+ "'", str30.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test430"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(158965538573L, (-5340696710720L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test431"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test432"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-9674), 0, 40000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 30327);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test433"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException2.toString();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str24 = illegalFieldValueException23.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    java.lang.String str26 = illegalFieldValueException23.getFieldName();
    java.lang.Number number27 = illegalFieldValueException23.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str31 = illegalFieldValueException30.getIllegalStringValue();
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException18.getSuppressed();
    java.lang.String str36 = illegalFieldValueException18.getFieldName();
    java.lang.String str37 = illegalFieldValueException18.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "hi!"+ "'", str37.equals("hi!"));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test434"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException18.prependMessage("hi!");
    illegalFieldValueException18.prependMessage("");
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "");
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException25.getSuppressed();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    illegalFieldValueException18.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number31 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test435"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)101000000, (java.lang.Number)(-1830819538874486603L), (java.lang.Number)49693791);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test436"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    java.lang.String str14 = illegalFieldValueException2.getIllegalValueAsString();
    illegalFieldValueException2.prependMessage("200");
    java.lang.String str17 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str18 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: 200: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: 200: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test437"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1", number1, (java.lang.Number)12550837L, (java.lang.Number)1101);
    illegalFieldValueException4.prependMessage("158993936773");

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test438"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-2091710056617L), 271526654814222L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 269434944757605L);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test439"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-424617170583048L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test440"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 8980 for 1 must not be smaller than 53404160", 17158278, 0, (-10100));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test441"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test442"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)131229484, (java.lang.Number)(-1046100), (java.lang.Number)600);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test443"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -28399400 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [-3942,100]", "org.joda.time.IllegalFieldValueException: Value -86578266 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [21444403,9871]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test444"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Number number9 = illegalFieldValueException2.getUpperBound();
    java.lang.String str10 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number12 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test445"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1989900, (-1423152680));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test446"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 102286750, 10000, (-13742));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test447"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]"));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test448"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(53309949, 440601);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 53750550);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test449"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)157229549791048332L, (java.lang.Number)(-1854), (java.lang.Number)1584956000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test450"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-3848), (java.lang.Number)(-98), (java.lang.Number)7972);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 7972+ "'", number5.equals(7972));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-98)+ "'", number6.equals((-98)));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test451"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported is not supported");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported"));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test452"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str18 = illegalFieldValueException15.toString();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException15);
    java.lang.String str21 = illegalFieldValueException15.toString();
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException15.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str24 = illegalFieldValueException15.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test453"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: 100: Value \"\" for hi! is not supported", 13365876, 86587695, (-130497997));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test454"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-681314));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 681314);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test455"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 41622317, (-622), 49843803);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test456"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    java.lang.String str13 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number19 = illegalFieldValueException18.getUpperBound();
    java.lang.String str20 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array21 = illegalFieldValueException18.getSuppressed();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException18.prependMessage("40");
    java.lang.String str25 = illegalFieldValueException18.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException18.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test457"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1099, 28398107, (-25337610), 10122);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-22296260));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test458"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1685014, (-4281089));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2596075));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test459"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 10528, 82384, 1624);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test460"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test461"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported");

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test462"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]", "-28400517");
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException19.getDurationFieldType();
    java.lang.String str21 = illegalFieldValueException19.toString();
    java.lang.Number number22 = illegalFieldValueException19.getLowerBound();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    illegalFieldValueException19.prependMessage("200");
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException19.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test463"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: 200: Value \"\" for hi! is not supported", "158993936773");

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test464"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)587564110619200L, (java.lang.Number)441200, (java.lang.Number)(-2214907620L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test465"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-12146888), 36946452);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 24799564);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test466"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-27564743), 0, 110);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-22579631061416L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test468"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)93685, (java.lang.Number)(-227694884792692L), (java.lang.Number)(-254607582802600000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test469"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]", 0, (-4039), 85877710);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test470"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-13994008), (-177707607), (-10174385));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-13994008));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test471"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-13755), (-55029), 129);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test472"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1584956000, (-370399781), 102829943);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-307962900));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test473"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(915589729394760L, (-3848));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3523189278711036480L));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test474"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)238626249203022125L, (java.lang.Number)(-28406177L), (java.lang.Number)142472185317799116L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test475"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10.0f, (java.lang.Number)(-13755), (java.lang.Number)90356);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test476"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-117443), (-227174), (-93902));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test477"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-132817), 677, 298996);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test478"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: 200: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test479"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test480"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException18.getDurationFieldType();
    java.lang.Number number22 = illegalFieldValueException18.getLowerBound();
    illegalFieldValueException18.prependMessage("");
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException18.getSuppressed();
    boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException18);
    java.lang.String str27 = illegalFieldValueException2.getFieldName();
    java.lang.Number number28 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number29 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array30 = illegalFieldValueException2.getSuppressed();
    java.lang.String str31 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test481"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported: : hi!: Value \"\" for hi! is not supported");

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test482"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1988801, (-21004), (-28400517), (-142));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-26432579));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test483"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(28398200, 178410432);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 206808632);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test484"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 298996);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 298996);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test485"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-28399400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test486"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number14 = illegalFieldValueException13.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException13.getFieldName();
    java.lang.String str16 = illegalFieldValueException13.getIllegalStringValue();
    java.lang.Number number17 = illegalFieldValueException13.getUpperBound();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException6.getDurationFieldType();
    illegalFieldValueException6.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test487"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(5044361836965527961L, 200528818000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test488"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(500000, (-1197));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 498803);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test489"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 241231, 208);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test490"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test491"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value 8980 for 1 must not be smaller than 53404160");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test492"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported", (java.lang.Number)(-10122L), (java.lang.Number)2661866430420480L, (java.lang.Number)(-16421627848407012L));
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test493"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "40");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test494"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)68767128048000L, "null");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test495"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-9200), (-85285644));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-85294844));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test496"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1024L, (java.lang.Number)46, (java.lang.Number)(-730574436906240L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test497"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("0.0", "org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test498"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 86569068, 10, 19094);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test499"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)15645989, (java.lang.Number)(-22577140066886L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest10.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(68767128048000L, (-421688740));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
