
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest117 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", 161172000, 0, 1330990);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test002"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(231L, (-164997611L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-38114448141L));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test003"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number18 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (-1.0f)+ "'", number18.equals((-1.0f)));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test004"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1169974639, (-1100), 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(31872L, (-16384380400L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test006"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1331000, 0, (-1330999920));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test007"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(158508311, 13294068, 1330999920);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 158508311);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test008"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-38114448141L), (-14265900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 543736905734691900L);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test009"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 249528, (-67126), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test010"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1209113), 161171567, 159718800);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test011"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-13310000), (java.lang.Number)11844998, (java.lang.Number)2107309786289L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test012"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-67126), (java.lang.Number)161171566, (java.lang.Number)1289761);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test013"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-21465195326780000L), 1220L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-21465195326778780L));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test014"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]");

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test015"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test016"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-14265900L), (java.lang.Number)1169828129, (java.lang.Number)60417682);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test017"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]", (java.lang.Number)(-26171197888961380L), (java.lang.Number)158507396, (java.lang.Number)158509574);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test018"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-135300063878100L), 15941L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-135300063894041L));

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test019"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 2355407810006524200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test020"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1330999900), 1534998490, 120);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test021"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1100L), 194072985837868121L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test022"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-131879), "org.joda.time.IllegalFieldValueException: : Value 0.0 for  must be in the range [10.0,1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test023"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 161171771, 249528, 60417682);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test024"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1330999900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1330999900);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test025"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value -1.0 for  must be in the range [10.0,100]", "org.joda.time.IllegalFieldValueException: : Value 0.0 for  must be in the range [10.0,1]");

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test026"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 379, (-1214939), 13308920);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test027"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-133077022), (java.lang.Number)15851L, (java.lang.Number)(-20));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test028"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number9 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number11 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (-1.0f)+ "'", number9.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (short)100+ "'", number11.equals((short)100));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test029"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)319680311, (java.lang.Number)(-1169828333), (java.lang.Number)1289992);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test030"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)379, (java.lang.Number)48189827114763610L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test031"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1289992);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1289992));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test032"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]", (java.lang.Number)121L, (java.lang.Number)(-11100L), (java.lang.Number)1477409889000L);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test033"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number19 = illegalFieldValueException18.getUpperBound();
    illegalFieldValueException18.prependMessage("hi!");
    java.lang.Number number22 = illegalFieldValueException18.getLowerBound();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number24 = illegalFieldValueException18.getUpperBound();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException18.getSuppressed();
    java.lang.Number number26 = illegalFieldValueException18.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException18.getDurationFieldType();
    java.lang.String str28 = illegalFieldValueException18.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException18.getDateTimeFieldType();
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException18, (java.lang.Object)(-13188000));
    boolean b32 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)(-13188000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (short)100+ "'", number19.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 10.0f+ "'", number22.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + (short)100+ "'", number24.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1.0f)+ "'", number26.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + ""+ "'", str28.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-177157400435230L), 15941L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test035"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    illegalFieldValueException4.prependMessage("");
    java.lang.Object obj11 = null;
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, obj11);
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number18 = illegalFieldValueException17.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number25 = illegalFieldValueException24.getUpperBound();
    illegalFieldValueException24.prependMessage("hi!");
    java.lang.Number number28 = illegalFieldValueException24.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException24.getDurationFieldType();
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Number number32 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number33 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 10.0f+ "'", number18.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (short)100+ "'", number25.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 10.0f+ "'", number28.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + 10.0f+ "'", number32.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (short)100+ "'", number33.equals((short)100));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test036"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-21408763000L), 480851878);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test037"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-1342981", 104763147, (-2295620), 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test038"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str13 = illegalFieldValueException11.toString();
    java.lang.String str14 = illegalFieldValueException11.getFieldName();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException11.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException20.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException20.getDateTimeFieldType();
    java.lang.String str23 = illegalFieldValueException20.getIllegalValueAsString();
    java.lang.String str24 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str26 = illegalFieldValueException11.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "-1.0"+ "'", str23.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "-1.0"+ "'", str24.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test039"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException11.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number27 = illegalFieldValueException26.getUpperBound();
    illegalFieldValueException26.prependMessage("hi!");
    java.lang.Number number30 = illegalFieldValueException26.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number36 = illegalFieldValueException35.getUpperBound();
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    java.lang.String str38 = illegalFieldValueException35.getIllegalValueAsString();
    boolean b39 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)str38);
    org.joda.time.DurationFieldType durationFieldType40 = illegalFieldValueException11.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (-1.0f)+ "'", number19.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (short)100+ "'", number27.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (short)100+ "'", number30.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + (short)100+ "'", number36.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "-1.0"+ "'", str38.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType40);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test040"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 161171567, 0, (-1343100));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test041"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-12000), 231);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-11769));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test042"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test043"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(149041L, (-106092921));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-15812195038761L));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test044"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
    java.lang.Throwable[] throwable_array3 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test045"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1210L, (-3518884492000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3518884490790L));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test046"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(161172379, (-1331));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test047"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    illegalFieldValueException4.prependMessage("");
    boolean b16 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"", (java.lang.Object)"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value null for org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100] must be in the range [-11,100]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test048"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]\" for  is not supported", (java.lang.Number)(-3136597867129879L), number2, (java.lang.Number)(-398263034005100L));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test049"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)100, (java.lang.Number)(byte)0, (java.lang.Number)0.0d);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "100"+ "'", str5.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test050"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 174372000, 11845000, (-161171761));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test051"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(13200000, (-67126));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test052"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str16 = illegalFieldValueException13.getIllegalValueAsString();
    java.lang.Number number17 = illegalFieldValueException13.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "-1.0"+ "'", str16.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 10.0f+ "'", number17.equals(10.0f));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test053"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str13 = illegalFieldValueException11.toString();
    java.lang.String str14 = illegalFieldValueException11.getFieldName();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException11.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException20.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException20.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException27.getDateTimeFieldType();
    java.lang.Number number30 = illegalFieldValueException27.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType31 = illegalFieldValueException27.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number37 = illegalFieldValueException36.getUpperBound();
    illegalFieldValueException36.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType40 = illegalFieldValueException36.getDurationFieldType();
    illegalFieldValueException36.prependMessage("");
    java.lang.Object obj43 = null;
    boolean b44 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException36, obj43);
    org.joda.time.IllegalFieldValueException illegalFieldValueException49 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number50 = illegalFieldValueException49.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType51 = illegalFieldValueException49.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException56 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number57 = illegalFieldValueException56.getUpperBound();
    illegalFieldValueException56.prependMessage("hi!");
    java.lang.Number number60 = illegalFieldValueException56.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType61 = illegalFieldValueException56.getDurationFieldType();
    illegalFieldValueException49.addSuppressed((java.lang.Throwable)illegalFieldValueException56);
    illegalFieldValueException36.addSuppressed((java.lang.Throwable)illegalFieldValueException49);
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException49);
    boolean b65 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)illegalFieldValueException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (-1.0d)+ "'", number30.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (short)100+ "'", number37.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number50 + "' != '" + 10.0f+ "'", number50.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number57 + "' != '" + (short)100+ "'", number57.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number60 + "' != '" + 10.0f+ "'", number60.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test054"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number20 = illegalFieldValueException11.getUpperBound();
    java.lang.String str21 = illegalFieldValueException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + (short)100+ "'", number20.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test055"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number19 = illegalFieldValueException18.getUpperBound();
    illegalFieldValueException18.prependMessage("hi!");
    java.lang.Number number22 = illegalFieldValueException18.getLowerBound();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number24 = illegalFieldValueException18.getUpperBound();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException18.getSuppressed();
    java.lang.Number number26 = illegalFieldValueException18.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException18.getDateTimeFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array29 = illegalFieldValueException18.getSuppressed();
    java.lang.Number number30 = illegalFieldValueException18.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (short)100+ "'", number19.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 10.0f+ "'", number22.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + (short)100+ "'", number24.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1.0f)+ "'", number26.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (short)100+ "'", number30.equals((short)100));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test056"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-94247921), (-1169828129));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test057"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-164997611), (-1331), (-161171761));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test058"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException4.toString();
    java.lang.Number number9 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number10 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str11 = illegalFieldValueException4.getFieldName();
    java.lang.String str12 = illegalFieldValueException4.getFieldName();
    java.lang.Number number13 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0f+ "'", number9.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-1.0f)+ "'", number10.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (-1.0f)+ "'", number13.equals((-1.0f)));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test059"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test060"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-398263034005100L), (-177142788714800L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test061"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)0L, (java.lang.Number)2107309786300L, (java.lang.Number)(-347867530459L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test062"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1759442268031L, (-48189827114617100L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test063"); }


    java.lang.Object obj0 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)(-13322199L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test064"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number24 = illegalFieldValueException23.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number31 = illegalFieldValueException30.getUpperBound();
    illegalFieldValueException30.prependMessage("hi!");
    java.lang.Number number34 = illegalFieldValueException30.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number40 = illegalFieldValueException39.getUpperBound();
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    org.joda.time.IllegalFieldValueException illegalFieldValueException48 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number49 = illegalFieldValueException48.getUpperBound();
    illegalFieldValueException48.prependMessage("hi!");
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException48);
    org.joda.time.DurationFieldType durationFieldType53 = illegalFieldValueException23.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 10.0f+ "'", number24.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number31 + "' != '" + (short)100+ "'", number31.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (short)100+ "'", number34.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (short)100+ "'", number40.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number49 + "' != '" + (short)100+ "'", number49.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType53);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test065"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-104763147), 249528, 7186761);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test066"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)100, (java.lang.Number)(byte)0, (java.lang.Number)0.0d);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.String str7 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]", "org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.Number number12 = illegalFieldValueException10.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test067"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 231, 158507396, (-13311190));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test068"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-25125420100L), 326445473401L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test069"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str16 = illegalFieldValueException13.getIllegalValueAsString();
    illegalFieldValueException13.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "-1.0"+ "'", str16.equals("-1.0"));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test070"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)21589534218760160L, (java.lang.Number)2333921810L, (java.lang.Number)173162887);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test071"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException12.prependMessage("hi!");
    java.lang.Number number16 = illegalFieldValueException12.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number22 = illegalFieldValueException21.getUpperBound();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException29.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException29.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number37 = illegalFieldValueException36.getUpperBound();
    illegalFieldValueException36.prependMessage("hi!");
    java.lang.Number number40 = illegalFieldValueException36.getLowerBound();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException36);
    org.joda.time.DurationFieldType durationFieldType42 = illegalFieldValueException29.getDurationFieldType();
    boolean b43 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException12, (java.lang.Object)durationFieldType42);
    java.lang.String str44 = illegalFieldValueException12.getIllegalValueAsString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str46 = illegalFieldValueException4.getFieldName();
    java.lang.Number number48 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException51 = new org.joda.time.IllegalFieldValueException("", number48, (java.lang.Number)(-11L), (java.lang.Number)(byte)1);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException51);
    java.lang.String str53 = illegalFieldValueException51.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "-1.0"+ "'", str7.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (short)100+ "'", number13.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + (short)100+ "'", number16.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (short)100+ "'", number22.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (short)100+ "'", number37.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + 10.0f+ "'", number40.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "-1.0"+ "'", str44.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + ""+ "'", str46.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [-11,1]"+ "'", str53.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [-11,1]"));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test072"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1L), (-3136597867130000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3136597867130001L));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test073"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number21 = illegalFieldValueException20.getUpperBound();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException11.getSuppressed();
    boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)15851L);
    java.lang.Number number27 = illegalFieldValueException11.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + (short)100+ "'", number15.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (short)100+ "'", number21.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (short)100+ "'", number27.equals((short)100));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test074"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException4.getFieldName();
    java.lang.String str11 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test075"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-11769), "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test076"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(161172379, (-1321758));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test077"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]", 0, 0, 104763147);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test078"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number6 = illegalFieldValueException5.getUpperBound();
    illegalFieldValueException5.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException5.getDurationFieldType();
    illegalFieldValueException5.prependMessage("");
    boolean b12 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)100+ "'", number6.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test079"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", number1, (java.lang.Number)(byte)1, (java.lang.Number)161171761);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test080"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-1169828129), 104763147, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test081"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(14774100000L, (-26171197888961380L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-26171183114861380L));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test082"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1342981), (java.lang.Number)(-104763147), (java.lang.Number)13200000);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test083"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 162515100, 1331129592, 2178);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test084"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Object obj8 = null;
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number7, obj8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1.0f)+ "'", number7.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test085"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported is not supported", (-134310000), 0, 1331000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test086"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)13187980, number2, (java.lang.Number)121);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test087"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-177157400435230L), (-16384380400L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test088"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1289761, 121);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1289882);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test089"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-11698281290L), (-94247921));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1102538690855698090L);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test090"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-94247921), (-1330999900), 146510);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test091"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)0.0f, (java.lang.Number)10.0d, (java.lang.Number)1);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1+ "'", number5.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test092"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(21589534209291941L, (-13310090L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 21589534195981851L);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test093"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-164997611), (-94247921), (-14265900));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test094"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test095"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1534998490, (-94247921));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1440750569);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test096"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException4.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number23 = illegalFieldValueException22.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException22.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number30 = illegalFieldValueException29.getUpperBound();
    illegalFieldValueException29.prependMessage("hi!");
    java.lang.Number number33 = illegalFieldValueException29.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number39 = illegalFieldValueException38.getUpperBound();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    illegalFieldValueException22.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    illegalFieldValueException22.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    java.lang.Throwable[] throwable_array45 = illegalFieldValueException22.getSuppressed();
    illegalFieldValueException22.prependMessage("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 10.0f+ "'", number23.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (short)100+ "'", number30.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (short)100+ "'", number33.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + (short)100+ "'", number39.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array45);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test097"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-110000), (java.lang.Number)(short)(-1), (java.lang.Number)(byte)1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test098"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(162380780L, (-1330999900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-216128801941922000L));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test099"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)14790031L, (java.lang.Number)326458783400L, (java.lang.Number)161171761);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test100"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]: hi!: Value -1.0 for  must be in the range [10.0,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test101"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test102"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0");

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test103"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-120), 1317690, (-13188000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test104"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test105"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]", (java.lang.Number)1.0d, (java.lang.Number)120, (java.lang.Number)0L);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.String str7 = illegalFieldValueException4.toString();
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)(-1.0f));
    java.lang.String str10 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0L+ "'", number5.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "1.0"+ "'", str10.equals("1.0"));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test106"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(153499849, 480851878, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test107"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]", (java.lang.Number)121L, (java.lang.Number)(-11100L), (java.lang.Number)1477409889000L);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.String str6 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 121 for org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1] must be in the range [-11100,1477409889000]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 121 for org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1] must be in the range [-11100,1477409889000]"));

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test108"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", number1, (java.lang.Number)(-11L), (java.lang.Number)(byte)100);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0");

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test109"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test110"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)10);
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    illegalFieldValueException14.prependMessage("");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.Number number26 = illegalFieldValueException14.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException14.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)100+ "'", number6.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (-1.0f)+ "'", number26.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test111"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 158509574, (-1330999920), 231);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test112"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException4.toString();
    java.lang.Number number9 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number10 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0f+ "'", number9.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-1.0f)+ "'", number10.equals((-1.0f)));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test113"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1.0d)+ "'", number6.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100.0d+ "'", number8.equals(100.0d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test114"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(1210L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1210);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test115"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)161171566, (java.lang.Number)(byte)1, (java.lang.Number)161171771);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test116"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]", 1330999920, 10, 1342981);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test117"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-164997611), 159839311, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test118"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0", (java.lang.Number)(-19129200), (java.lang.Number)146410L, (java.lang.Number)(-1759442252100L));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test119"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-13310000), (java.lang.Number)(-67126), (java.lang.Number)(-42804096000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test120"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1342982), 104763147, 0, (-67126));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test121"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", "");
    boolean b4 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", (java.lang.Object)0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test122"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(326458783400L, (-1759442238790L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test123"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1.0f)+ "'", number7.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test124"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-20), 146510);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2930200));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test125"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(short)(-1), (java.lang.Number)161171566, (java.lang.Number)15931);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test126"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1330999900), (-2295620), 13187980);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test127"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 161172000, 1330990, 159839311);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test128"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-21589534222586000L), 31872L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-21589534222617872L));

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test129"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1089L, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test130"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(161171567, (-1330999900));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test131"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-231L), 161171566);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-37230631746L));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test132"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)161171567, (java.lang.Number)(-1756920000L), (java.lang.Number)(-14265900L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test133"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "0"+ "'", str5.equals("0"));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test134"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-21589535966211941L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test135"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1331129712, 1330999900, (-1331));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test136"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException4.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number23 = illegalFieldValueException22.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException22.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number30 = illegalFieldValueException29.getUpperBound();
    illegalFieldValueException29.prependMessage("hi!");
    java.lang.Number number33 = illegalFieldValueException29.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number39 = illegalFieldValueException38.getUpperBound();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    illegalFieldValueException22.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    illegalFieldValueException22.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    java.lang.String str45 = illegalFieldValueException22.getFieldName();
    java.lang.Throwable[] throwable_array46 = illegalFieldValueException22.getSuppressed();
    illegalFieldValueException22.prependMessage("org.joda.time.IllegalFieldValueException: : hi!: Value -1.0 for  must be in the range [10.0,100]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 10.0f+ "'", number23.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (short)100+ "'", number30.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (short)100+ "'", number33.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + (short)100+ "'", number39.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + ""+ "'", str45.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array46);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test137"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(2766671287380L, (-13310090L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2766684597470L);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test138"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str17 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number18 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException4.getSuppressed();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]");
    java.lang.Number number22 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "-1.0"+ "'", str17.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (-1.0f)+ "'", number18.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (-1.0f)+ "'", number22.equals((-1.0f)));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test139"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-2930200), 13188000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test140"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1] is not supported", "org.joda.time.IllegalFieldValueException: : Value -1.0 for  must be in the range [10.0,100]");

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test141"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(13294068, 1440750569, 0, 1534998490);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1454044637);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test142"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.String str11 = illegalFieldValueException4.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test143"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]", (java.lang.Number)(-21589534209276000L), (java.lang.Number)(-13310000L), (java.lang.Number)(-12000));
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test144"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: : hi!: Value -1.0 for  must be in the range [10.0,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test145"); }


    java.lang.Object obj0 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", number2, (java.lang.Number)(-11L), (java.lang.Number)(byte)1);
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException5.getSuppressed();
    java.lang.String str7 = illegalFieldValueException5.getIllegalValueAsString();
    boolean b8 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "null"+ "'", str7.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test146"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-194072985838000000L), number2, (java.lang.Number)(-13309980L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test147"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-13310000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 13310000);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test148"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(161171566);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-161171566));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test149"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException22.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException22.getDateTimeFieldType();
    java.lang.String str25 = illegalFieldValueException22.getIllegalValueAsString();
    java.lang.Number number26 = illegalFieldValueException22.getUpperBound();
    boolean b27 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)illegalFieldValueException22);
    java.lang.String str28 = illegalFieldValueException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "-1.0"+ "'", str25.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (short)100+ "'", number26.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str28.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test150"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value 121 for org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1] must be in the range [-11100,1477409889000]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test151"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str7 = illegalFieldValueException4.toString();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]");
    java.lang.String str10 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test152"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.Number number15 = illegalFieldValueException12.getLowerBound();
    boolean b16 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-21589534222617872L), (java.lang.Object)number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + (-1.0d)+ "'", number15.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test153"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1L), (-15223050L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-15223051L));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test154"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1330999900), (-161171566), 161171566);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test155"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number22 = illegalFieldValueException21.getUpperBound();
    illegalFieldValueException21.prependMessage("hi!");
    java.lang.Number number25 = illegalFieldValueException21.getLowerBound();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.String str27 = illegalFieldValueException14.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = illegalFieldValueException14.getDateTimeFieldType();
    java.lang.Number number29 = illegalFieldValueException14.getLowerBound();
    java.lang.Number number30 = illegalFieldValueException14.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str32 = illegalFieldValueException4.toString();
    java.lang.Number number33 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = illegalFieldValueException39.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType41 = illegalFieldValueException39.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number47 = illegalFieldValueException46.getUpperBound();
    illegalFieldValueException46.prependMessage("hi!");
    java.lang.Number number50 = illegalFieldValueException46.getLowerBound();
    illegalFieldValueException39.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    java.lang.Number number52 = illegalFieldValueException46.getUpperBound();
    java.lang.Throwable[] throwable_array53 = illegalFieldValueException46.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException58 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number59 = illegalFieldValueException58.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType60 = illegalFieldValueException58.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException65 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number66 = illegalFieldValueException65.getUpperBound();
    illegalFieldValueException65.prependMessage("hi!");
    java.lang.Number number69 = illegalFieldValueException65.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException74 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number75 = illegalFieldValueException74.getUpperBound();
    illegalFieldValueException65.addSuppressed((java.lang.Throwable)illegalFieldValueException74);
    illegalFieldValueException58.addSuppressed((java.lang.Throwable)illegalFieldValueException65);
    illegalFieldValueException46.addSuppressed((java.lang.Throwable)illegalFieldValueException58);
    org.joda.time.DurationFieldType durationFieldType79 = illegalFieldValueException46.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0f+ "'", number9.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (short)100+ "'", number22.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 10.0f+ "'", number25.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "-1.0"+ "'", str27.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + 10.0f+ "'", number29.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (short)100+ "'", number30.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (short)100+ "'", number33.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number47 + "' != '" + (short)100+ "'", number47.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number50 + "' != '" + 10.0f+ "'", number50.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (short)100+ "'", number52.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number59 + "' != '" + 10.0f+ "'", number59.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number66 + "' != '" + (short)100+ "'", number66.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number69 + "' != '" + (short)100+ "'", number69.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number75 + "' != '" + (short)100+ "'", number75.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType79);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test156"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1317690, (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test157"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1330999900), 161171761, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test158"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(60416462, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 60416461);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test159"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException11.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number19 = illegalFieldValueException18.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException25.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number33 = illegalFieldValueException32.getUpperBound();
    illegalFieldValueException32.prependMessage("hi!");
    java.lang.Number number36 = illegalFieldValueException32.getLowerBound();
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    java.lang.Number number38 = illegalFieldValueException32.getUpperBound();
    java.lang.Throwable[] throwable_array39 = illegalFieldValueException32.getSuppressed();
    java.lang.Number number40 = illegalFieldValueException32.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType41 = illegalFieldValueException32.getDateTimeFieldType();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number48 = illegalFieldValueException47.getUpperBound();
    illegalFieldValueException47.prependMessage("hi!");
    java.lang.Number number51 = illegalFieldValueException47.getUpperBound();
    java.lang.Number number52 = illegalFieldValueException47.getUpperBound();
    java.lang.Number number53 = illegalFieldValueException47.getLowerBound();
    java.lang.String str54 = illegalFieldValueException47.toString();
    illegalFieldValueException32.addSuppressed((java.lang.Throwable)illegalFieldValueException47);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    org.joda.time.IllegalFieldValueException illegalFieldValueException61 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)15692490000L, (java.lang.Number)326458783400L, (java.lang.Number)146409L);
    boolean b62 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException32, (java.lang.Object)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 10.0f+ "'", number19.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (short)100+ "'", number33.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + 10.0f+ "'", number36.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number38 + "' != '" + (short)100+ "'", number38.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (-1.0f)+ "'", number40.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number48 + "' != '" + (short)100+ "'", number48.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number51 + "' != '" + (short)100+ "'", number51.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number52 + "' != '" + (short)100+ "'", number52.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number53 + "' != '" + 10.0f+ "'", number53.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str54.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test160"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-13311190), (-12200), (-106092921), (-12200));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-13323390));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test161"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(174372000, (-2295620));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 172076380);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test162"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-161171771), (-11769), (-1343100));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test163"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 0, 100, (-132967022));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test164"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]", (java.lang.Number)1.0d, (java.lang.Number)120, (java.lang.Number)0L);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str8 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0L+ "'", number5.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test165"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    illegalFieldValueException4.prependMessage("");
    java.lang.String str11 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str12 = illegalFieldValueException4.toString();
    java.lang.String str13 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: : hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "-1.0"+ "'", str13.equals("-1.0"));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test166"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(161172000, 13187980, 161171567);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 13188412);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test167"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-12200L), "org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test168"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number7 = illegalFieldValueException5.getLowerBound();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException5.getSuppressed();
    boolean b9 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException5);
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1.0d)+ "'", number7.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test169"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-161171566), 60416462, 319680311);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test170"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-13311190L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test171"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test172"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)0.0f, (java.lang.Number)10.0d, (java.lang.Number)1);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    illegalFieldValueException4.prependMessage("");
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1+ "'", number5.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 1+ "'", number9.equals(1));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test173"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)100, (java.lang.Number)(byte)0, (java.lang.Number)0.0d);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "100"+ "'", str5.equals("100"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "100"+ "'", str7.equals("100"));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test174"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]", "");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test175"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1211689), 1342981, 379);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test176"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]", 153499849, (-67126), 1330999920);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test177"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(15931, 121, 619);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 462);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1477409889000L, (-13310000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test179"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)1169974639, (java.lang.Number)149041L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test180"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)161171761, (java.lang.Number)1L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test181"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)13308920, (java.lang.Number)177157562816010L, (java.lang.Number)(-23384763309491080L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test182"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-21465195326778780L), 14936541L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test183"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1321758), 0, 1289761);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test184"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1342981), (java.lang.Number)(-3136597867130000L), (java.lang.Number)100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test185"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-177142788714800L), 1477409889000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test186"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1.0f), (java.lang.Number)(-13309999L), (java.lang.Number)(-1331));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test187"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1286810941900000L, 11845000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test188"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]\" for  is not supported");

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test189"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test190"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(158510L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 158510);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test191"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value null for org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100] must be in the range [-11,100]", "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]");

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test192"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(194072985837868121L, (-1759442252100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 194074745280120221L);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test193"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1331145540, (-1330990));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1329814550);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test194"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException4.toString();
    java.lang.Number number9 = illegalFieldValueException4.getLowerBound();
    java.lang.String str10 = illegalFieldValueException4.getFieldName();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number13 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0f+ "'", number9.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (short)100+ "'", number13.equals((short)100));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test195"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(14790031L, 21589534209291941L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 21589534224081972L);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test196"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test197"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1321758), (-106092921), 158507396);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test198"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)(byte)0, (java.lang.Number)0.0f, number3);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number6 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test199"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-21465195326780000L), (-1100L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test200"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(14774100L, 398263034138200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 398263048912300L);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test201"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(162380780L, (-14265900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2316507969402000L));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test202"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: : Value -1.0 for  must be in the range [10.0,100]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    illegalFieldValueException7.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException7.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.Number number13 = illegalFieldValueException7.getLowerBound();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 10.0f+ "'", number13.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test203"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [-11,1]", 1534998490, (-2295620), (-1289992));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test204"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException11.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)(byte)1, (java.lang.Number)(-13310000L), (java.lang.Number)0.0f);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    org.joda.time.DurationFieldType durationFieldType26 = illegalFieldValueException24.getDurationFieldType();
    java.lang.String str27 = illegalFieldValueException24.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str27);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test205"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1454044637, "org.joda.time.IllegalFieldValueException: : Value 0.0 for  must be in the range [10.0,1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test206"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-131879L), (-12200L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-144079L));

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test207"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException11.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str18 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "-1.0"+ "'", str18.equals("-1.0"));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test208"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [-11,1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test209"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("", 240, (-1169828333), 162503100);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test210"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException11.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException11.getDurationFieldType();
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
    java.lang.String str23 = illegalFieldValueException11.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (-1.0f)+ "'", number19.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test211"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1169828129), (-13294068), 146510);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-497756));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test212"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1330990, (-1330990));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test213"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)(-131879L), (java.lang.Number)120, (java.lang.Number)(-104763147));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test214"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(153499849);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-153499849));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test215"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)15931, (java.lang.Number)(-135300063878100L), (java.lang.Number)1329814550);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test216"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-13188000), 121, (-13310000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test217"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1289761, (-1169828129), 0, 161172000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 120837640);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test218"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-216128801941922000L), 13200000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test219"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-11698281290L), 149041L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-11698430331L));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test220"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
    java.lang.String str9 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "-1.0"+ "'", str9.equals("-1.0"));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test221"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number10 = illegalFieldValueException9.getLowerBound();
    illegalFieldValueException9.prependMessage("hi!");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = illegalFieldValueException4.getUpperBound();
    java.lang.String str15 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test222"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]\" for  is not supported", "hi!");

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test223"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-67126), 161171761, 158509574);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test224"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(249528, 1330999920, (-1343100), (-1321758));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1322100));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test225"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)10, (java.lang.Number)0, (java.lang.Number)2178);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str5, (java.lang.Object)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test226"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-132967022), 162503100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 29536078);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test227"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)328779395211L, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test228"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)(byte)0, (java.lang.Number)0.0f, number3);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test229"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)(-1211689), (java.lang.Number)1477409889000L);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test230"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1211689), (-161171771), 15931);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test231"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1343000), (-134310000), 1169974639);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1343000));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test232"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-21589517824895600L), 25125288221L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test233"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1332331), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1332331));

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test234"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.String str11 = illegalFieldValueException4.getFieldName();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number13 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number14 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 10.0f+ "'", number13.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 10.0f+ "'", number14.equals(10.0f));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test235"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1.0d)+ "'", number6.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test236"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)21589534209291941L, (java.lang.Number)1330999900);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test237"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1289882, 120837640, 1289761);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test238"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 159839311, 1454044637, 480851878);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test239"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1] is not supported", 0, 1289882, 162515100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test240"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(165009811L, 1102538690855698090L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test241"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1389524135090L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test242"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1332331, 121, (-14265900));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test243"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(10, 0, (-161171771));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test244"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", number1, (java.lang.Number)(-11L), (java.lang.Number)(byte)100);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 121 for org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1] must be in the range [-11100,1477409889000]");

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test245"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]", "");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value null for org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100] must be in the range [-11,100]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test246"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, 149041L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test247"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1168538341));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1168538341);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test248"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    illegalFieldValueException6.prependMessage("hi!");
    java.lang.Number number10 = illegalFieldValueException6.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number16 = illegalFieldValueException15.getUpperBound();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException6.getDateTimeFieldType();
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)10L, (java.lang.Object)illegalFieldValueException6);
    java.lang.String str20 = illegalFieldValueException6.getIllegalValueAsString();
    boolean b21 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)str20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (short)100+ "'", number7.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (short)100+ "'", number10.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + (short)100+ "'", number16.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "-1.0"+ "'", str20.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test249"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)13310130L, (java.lang.Number)162503100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test250"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)23406037867080000L, (java.lang.Number)13188000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test251"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-48189815137685120L), (java.lang.Number)(-1168538341), (java.lang.Number)(-1342981));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test252"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", (java.lang.Number)(-1100), (java.lang.Number)(byte)1, (java.lang.Number)(-1342981));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test253"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number7 = illegalFieldValueException5.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.String str21 = illegalFieldValueException19.toString();
    java.lang.String str22 = illegalFieldValueException19.getFieldName();
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException19.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException28.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException28.getDateTimeFieldType();
    java.lang.String str31 = illegalFieldValueException28.getIllegalValueAsString();
    java.lang.String str32 = illegalFieldValueException28.getIllegalValueAsString();
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    illegalFieldValueException28.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    boolean b37 = org.joda.time.field.FieldUtils.equals((java.lang.Object)121, (java.lang.Object)illegalFieldValueException28);
    java.lang.String str38 = illegalFieldValueException28.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1.0d)+ "'", number7.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "-1.0"+ "'", str31.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "-1.0"+ "'", str32.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value -1.0 for  must be in the range [10.0,100]"+ "'", str38.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test254"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-21465195326778780L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-21465195326778780L));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test255"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1286810941900000L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test256"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)(-158508311), (java.lang.Number)(-90L), (java.lang.Number)158507396);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test257"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]", 60416462, (-2295620), 120);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test258"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-135300063878100L), (java.lang.Number)(-398263034005100L), (java.lang.Number)1.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test259"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value null for org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100] must be in the range [-11,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test260"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-110000), 161171761, 3409911);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test261"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1330999900), "org.joda.time.IllegalFieldValueException: : Value 0.0 for  must be in the range [10.0,1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test262"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(14774100L, (-1168538341));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-17264102303768100L));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test263"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)23406037867080000L, (java.lang.Number)(-23384763309491080L), (java.lang.Number)(short)(-1));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test264"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-216128801941922000L), (java.lang.Number)162515100, (java.lang.Number)25125420100L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test265"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException12.prependMessage("hi!");
    java.lang.Number number16 = illegalFieldValueException12.getLowerBound();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException5.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number24 = illegalFieldValueException23.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number31 = illegalFieldValueException30.getUpperBound();
    illegalFieldValueException30.prependMessage("hi!");
    java.lang.Number number34 = illegalFieldValueException30.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number40 = illegalFieldValueException39.getUpperBound();
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException23.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    java.lang.String str46 = illegalFieldValueException23.getFieldName();
    java.lang.Throwable[] throwable_array47 = illegalFieldValueException23.getSuppressed();
    boolean b48 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-231L), (java.lang.Object)throwable_array47);
    org.joda.time.IllegalFieldValueException illegalFieldValueException53 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType54 = illegalFieldValueException53.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType55 = illegalFieldValueException53.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException60 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException53.addSuppressed((java.lang.Throwable)illegalFieldValueException60);
    org.joda.time.DateTimeFieldType dateTimeFieldType62 = illegalFieldValueException60.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException67 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType68 = illegalFieldValueException67.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType69 = illegalFieldValueException67.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException74 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException67.addSuppressed((java.lang.Throwable)illegalFieldValueException74);
    illegalFieldValueException67.prependMessage("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]");
    illegalFieldValueException60.addSuppressed((java.lang.Throwable)illegalFieldValueException67);
    java.lang.Throwable[] throwable_array79 = illegalFieldValueException60.getSuppressed();
    boolean b80 = org.joda.time.field.FieldUtils.equals((java.lang.Object)throwable_array47, (java.lang.Object)illegalFieldValueException60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (short)100+ "'", number13.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 10.0f+ "'", number16.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 10.0f+ "'", number24.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number31 + "' != '" + (short)100+ "'", number31.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (short)100+ "'", number34.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (short)100+ "'", number40.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + ""+ "'", str46.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test266"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)133100, (java.lang.Number)13187980, (java.lang.Number)(-38114448141L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test267"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0", "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value 100 for hi! must be in the range [0,0.0]");

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test268"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-132967022), 480851878, (-110000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test269"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-21465195326938410L), 1289882);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test270"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-341063003353000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test271"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test272"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str17 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str18 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str19 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str20 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "-1.0"+ "'", str17.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "-1.0"+ "'", str18.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test273"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]", "hi!");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test274"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)(-12000), (java.lang.Number)(-25125420100L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test275"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number22 = illegalFieldValueException21.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.String str24 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number30 = illegalFieldValueException29.getLowerBound();
    illegalFieldValueException29.prependMessage("hi!");
    java.lang.String str33 = illegalFieldValueException29.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = illegalFieldValueException29.getDateTimeFieldType();
    java.lang.String str35 = illegalFieldValueException29.getIllegalStringValue();
    boolean b36 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)illegalFieldValueException29);
    java.lang.Number number37 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 10.0f+ "'", number22.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "-1.0"+ "'", str24.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + 10.0f+ "'", number30.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 10.0f+ "'", number37.equals(10.0f));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test276"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value -1.0 for  must be in the range [10.0,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test277"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 249528, (-13310000), 161171566);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test278"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException11.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number21 = illegalFieldValueException20.getUpperBound();
    illegalFieldValueException20.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType24 = illegalFieldValueException20.getDurationFieldType();
    illegalFieldValueException20.prependMessage("");
    java.lang.Object obj27 = null;
    boolean b28 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException20, obj27);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number34 = illegalFieldValueException33.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = illegalFieldValueException33.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException40 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number41 = illegalFieldValueException40.getUpperBound();
    illegalFieldValueException40.prependMessage("hi!");
    java.lang.Number number44 = illegalFieldValueException40.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType45 = illegalFieldValueException40.getDurationFieldType();
    illegalFieldValueException33.addSuppressed((java.lang.Throwable)illegalFieldValueException40);
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    org.joda.time.DurationFieldType durationFieldType49 = illegalFieldValueException33.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (-1.0d)+ "'", number14.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (short)100+ "'", number21.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + 10.0f+ "'", number34.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + (short)100+ "'", number41.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number44 + "' != '" + 10.0f+ "'", number44.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType49);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test279"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-121), 158509574, 162515100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test280"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-194072985838000000L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test281"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1169828333));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1169828333);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test282"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(13310000, 11845000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test283"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-13188000), (-1), 0, 1330990);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 121909);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test284"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "-1.0"+ "'", str7.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test285"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [-11,1]", (java.lang.Number)(-3136597867129879L), (java.lang.Number)(-240), (java.lang.Number)100);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test286"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException12.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException12.getDurationFieldType();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]");
    java.lang.Number number22 = illegalFieldValueException21.getUpperBound();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.Number number24 = illegalFieldValueException12.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (short)100+ "'", number13.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + (-1.0f)+ "'", number24.equals((-1.0f)));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test287"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1169828333, 133100, 133100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test288"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)15692490000L, (java.lang.Number)326458783400L, (java.lang.Number)146409L);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test289"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(398263034138200L, (-11698430331L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 398251335707869L);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test290"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str17 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number20 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "-1.0"+ "'", str17.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 10.0f+ "'", number20.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test291"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-23384763309491080L), 158510L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-23384763309332570L));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test292"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)161171771, (java.lang.Number)1454044637, (java.lang.Number)(short)10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test293"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-13311190L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test294"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-131879), 158510, (-12000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test295"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)1220L, (java.lang.Number)(-13310000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test296"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(2333921810L, 398263048912300L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-398260714990490L));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test297"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1209113), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1209114));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test298"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    illegalFieldValueException9.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException9.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException9.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number20 = illegalFieldValueException19.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException19.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException26.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = illegalFieldValueException26.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number34 = illegalFieldValueException33.getUpperBound();
    illegalFieldValueException33.prependMessage("hi!");
    java.lang.Number number37 = illegalFieldValueException33.getLowerBound();
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.Number number39 = illegalFieldValueException33.getUpperBound();
    java.lang.Throwable[] throwable_array40 = illegalFieldValueException33.getSuppressed();
    java.lang.Number number41 = illegalFieldValueException33.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType42 = illegalFieldValueException33.getDateTimeFieldType();
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    boolean b44 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException9, (java.lang.Object)illegalFieldValueException19);
    java.lang.String str45 = illegalFieldValueException9.getFieldName();
    boolean b46 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str4, (java.lang.Object)str45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (short)100+ "'", number10.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 10.0f+ "'", number20.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (short)100+ "'", number34.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 10.0f+ "'", number37.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + (short)100+ "'", number39.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + (-1.0f)+ "'", number41.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + ""+ "'", str45.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test299"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-21589534222617872L), (-1441000));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test300"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException5.getDurationFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)0L, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getIllegalNumberValue();
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-1.0f)+ "'", number8.equals((-1.0f)));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test301"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.String str7 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str8 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test302"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(13188412, 162515100, 1454044637, (-18));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test303"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1289992, (-161171771), (-13323390));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test304"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-13294068), 0, (-1209113), 11845000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-239954));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test305"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str7 = illegalFieldValueException4.toString();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]");
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    java.lang.String str11 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test306"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.String str11 = illegalFieldValueException4.toString();
    java.lang.String str12 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test307"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] is not supported", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test308"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test309"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)10);
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    illegalFieldValueException14.prependMessage("");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.Number number26 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str28 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str29 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)100+ "'", number6.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 10.0f+ "'", number26.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "-1.0"+ "'", str28.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "-1.0"+ "'", str29.equals("-1.0"));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test310"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException11.getDurationFieldType();
    java.lang.String str16 = illegalFieldValueException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (-1.0d)+ "'", number14.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test311"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1331000), (-1343000));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test312"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)100L, (java.lang.Number)398251335707869L, (java.lang.Number)133099);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test313"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(177157562816010L, (-21589534209276000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-21412376646459990L));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test314"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, 194072985837868121L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test315"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(21589534195981851L, 158507396);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test316"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)13188000, (java.lang.Number)(-11698281290L), (java.lang.Number)(-240));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test317"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1289992), (java.lang.Number)15677699969L, (java.lang.Number)(byte)10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test318"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-13309980L), (-2316507969402000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2316507982711980L));

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test319"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-13294068L), (java.lang.Number)(-13310090L), (java.lang.Number)121);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test320"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException11.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)(byte)1, (java.lang.Number)(-13310000L), (java.lang.Number)0.0f);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException24.getDateTimeFieldType();
    java.lang.String str27 = illegalFieldValueException24.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test321"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1286810941900000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test322"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(231L, 21573772811L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test323"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)10, (java.lang.Number)0, (java.lang.Number)2178);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported");
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "10"+ "'", str7.equals("10"));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test324"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-37230631746L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test325"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-11698430331L), (java.lang.Number)(-25125420100L), (java.lang.Number)(short)(-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test326"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(14948741L, (-94247921));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1408887760817461L));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test327"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-13188000), 0, 1534998490, 173162887);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test328"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number15 = illegalFieldValueException14.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException21.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException21.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number29 = illegalFieldValueException28.getUpperBound();
    illegalFieldValueException28.prependMessage("hi!");
    java.lang.Number number32 = illegalFieldValueException28.getLowerBound();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    java.lang.Number number34 = illegalFieldValueException28.getUpperBound();
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException28.getSuppressed();
    java.lang.Number number36 = illegalFieldValueException28.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType37 = illegalFieldValueException28.getDateTimeFieldType();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    boolean b39 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)illegalFieldValueException14);
    java.lang.Number number40 = illegalFieldValueException14.getUpperBound();
    java.lang.String str41 = illegalFieldValueException14.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException44 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", "");
    java.lang.Throwable[] throwable_array45 = illegalFieldValueException44.getSuppressed();
    java.lang.Number number46 = illegalFieldValueException44.getLowerBound();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + (short)100+ "'", number29.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + 10.0f+ "'", number32.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (short)100+ "'", number34.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + (-1.0f)+ "'", number36.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (short)100+ "'", number40.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "-1.0"+ "'", str41.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test329"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", (-120), 60416461, 1332331);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test330"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 13188000, (-12200), (-11769));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-12192));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test331"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-131879L), 2107309786300L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2107309918179L));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test332"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(161172000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-161172000));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test333"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException12.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException12.getDurationFieldType();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]");
    java.lang.Number number22 = illegalFieldValueException21.getUpperBound();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    org.joda.time.DurationFieldType durationFieldType24 = illegalFieldValueException12.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException29.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException29.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number37 = illegalFieldValueException36.getUpperBound();
    illegalFieldValueException36.prependMessage("hi!");
    java.lang.Number number40 = illegalFieldValueException36.getLowerBound();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException36);
    java.lang.Throwable[] throwable_array42 = illegalFieldValueException29.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number48 = illegalFieldValueException47.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType49 = illegalFieldValueException47.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException54 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number55 = illegalFieldValueException54.getUpperBound();
    illegalFieldValueException54.prependMessage("hi!");
    java.lang.Number number58 = illegalFieldValueException54.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException63 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number64 = illegalFieldValueException63.getUpperBound();
    illegalFieldValueException54.addSuppressed((java.lang.Throwable)illegalFieldValueException63);
    illegalFieldValueException47.addSuppressed((java.lang.Throwable)illegalFieldValueException54);
    illegalFieldValueException47.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]");
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException47);
    java.lang.String str70 = illegalFieldValueException47.getFieldName();
    java.lang.Throwable[] throwable_array71 = illegalFieldValueException47.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType72 = illegalFieldValueException47.getDurationFieldType();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (short)100+ "'", number13.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (short)100+ "'", number37.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + 10.0f+ "'", number40.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number48 + "' != '" + 10.0f+ "'", number48.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number55 + "' != '" + (short)100+ "'", number55.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number58 + "' != '" + (short)100+ "'", number58.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number64 + "' != '" + (short)100+ "'", number64.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + ""+ "'", str70.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType72);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test334"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(100L, (-1343000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-134300000L));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test335"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(48189827114763610L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test336"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str13 = illegalFieldValueException11.toString();
    java.lang.String str14 = illegalFieldValueException11.getFieldName();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException11.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException20.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException20.getDateTimeFieldType();
    java.lang.String str23 = illegalFieldValueException20.getIllegalValueAsString();
    java.lang.String str24 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number27 = illegalFieldValueException11.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "-1.0"+ "'", str23.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "-1.0"+ "'", str24.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (-1.0d)+ "'", number27.equals((-1.0d)));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test337"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.String str10 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str11 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "-1.0"+ "'", str10.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test338"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(21573772811L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test339"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(2766684597470L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test340"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-13309999L), (-121));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1610509879L);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test341"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1220, (-161172000), (-1331000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test342"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1289992), 0, (-161172000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test343"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-21589517824895600L), (-21589534222586000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test344"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(131L, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 13100L);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test345"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1342981), (java.lang.Number)(-104763147), (java.lang.Number)13200000);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test346"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0 is not supported", 1169828129, (-1100), (-1343000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test347"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-13294068L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test348"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1331145540, number2, (java.lang.Number)(-2930200));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test349"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-104763147), 158510, 1289761);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 443289);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test350"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(146510L, 328779395211L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 48169469192363610L);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test351"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException12.prependMessage("hi!");
    java.lang.Number number16 = illegalFieldValueException12.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number22 = illegalFieldValueException21.getUpperBound();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException29.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException29.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number37 = illegalFieldValueException36.getUpperBound();
    illegalFieldValueException36.prependMessage("hi!");
    java.lang.Number number40 = illegalFieldValueException36.getLowerBound();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException36);
    org.joda.time.DurationFieldType durationFieldType42 = illegalFieldValueException29.getDurationFieldType();
    boolean b43 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException12, (java.lang.Object)durationFieldType42);
    java.lang.String str44 = illegalFieldValueException12.getIllegalValueAsString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.IllegalFieldValueException illegalFieldValueException50 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType51 = illegalFieldValueException50.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType52 = illegalFieldValueException50.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException57 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number58 = illegalFieldValueException57.getUpperBound();
    illegalFieldValueException57.prependMessage("hi!");
    java.lang.Number number61 = illegalFieldValueException57.getLowerBound();
    illegalFieldValueException50.addSuppressed((java.lang.Throwable)illegalFieldValueException57);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException57);
    java.lang.String str64 = illegalFieldValueException57.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "-1.0"+ "'", str7.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (short)100+ "'", number13.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + (short)100+ "'", number16.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (short)100+ "'", number22.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (short)100+ "'", number37.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + 10.0f+ "'", number40.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "-1.0"+ "'", str44.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number58 + "' != '" + (short)100+ "'", number58.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number61 + "' != '" + 10.0f+ "'", number61.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str64.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test352"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-21589535966196000L), 15931L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-21589535966180069L));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test353"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1330999900), (java.lang.Number)(-3136597867130001L), (java.lang.Number)23384763322800000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test354"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-161171761), 173162887, 162503100, (-161171771));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test355"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-21589534222586000L), 1477409889000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test356"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10L, (java.lang.Number)1169828129, (java.lang.Number)347867546400L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test357"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException4.getDurationFieldType();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]");
    java.lang.String str14 = illegalFieldValueException4.toString();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str16 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "-1.0"+ "'", str16.equals("-1.0"));

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test358"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10.0d, (java.lang.Number)161172000, (java.lang.Number)(-15812195038761L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test359"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-3136597867130000L), (-23384763309491080L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-26521361176621080L));

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test360"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)1089L, (java.lang.Number)1.0f, (java.lang.Number)(short)(-1));
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported is not supported");

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test361"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, 120837640);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test362"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-11769), (java.lang.Number)(-13294068L), (java.lang.Number)1220);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test363"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", (-2930200), (-134310000), (-13311190));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test364"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException11.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str18 = illegalFieldValueException4.toString();
    java.lang.String str19 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test365"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1342982), (-1342982), 13200000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1342982));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test366"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    illegalFieldValueException4.prependMessage("");
    java.lang.String str15 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str16 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str16);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test367"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1332331, (-12200), 462);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-9947));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test368"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-164997611L), (-106092921));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 17505078509011731L);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test369"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, 1534998490);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test370"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-177142774448900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test371"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1.0f, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test372"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)0.0f, (java.lang.Number)10.0d, (java.lang.Number)1);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    java.lang.String str6 = illegalFieldValueException4.toString();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    java.lang.String str8 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1+ "'", number7.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]"));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test373"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1331000, 1169828129, (-1322100));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test374"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)379, (java.lang.Number)(-1100L), (java.lang.Number)(-21589535966196000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test375"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)1169974639, (java.lang.Object)(-13323390));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test376"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(2663450, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2663450);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test377"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(13310000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-13310000));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test378"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-106092921), (java.lang.Number)(-12200L), (java.lang.Number)1169974639);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test379"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str16 = illegalFieldValueException13.getIllegalValueAsString();
    java.lang.Number number17 = illegalFieldValueException13.getIllegalNumberValue();
    java.lang.Number number18 = illegalFieldValueException13.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "-1.0"+ "'", str16.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (-1.0f)+ "'", number17.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 10.0f+ "'", number18.equals(10.0f));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test380"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-11698430331L), (-21589534209276000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 21589522510845669L);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test381"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-2930200));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2930200);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test382"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1331129712, (-153499849));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test383"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1169828129), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1169828129));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test384"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(13188000, 1440750569);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1453938569);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test385"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number6 = illegalFieldValueException4.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    illegalFieldValueException11.prependMessage("");
    java.lang.String str22 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.Number number23 = illegalFieldValueException11.getLowerBound();
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException11.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (short)100+ "'", number6.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 10.0f+ "'", number23.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test386"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : hi!: Value -1.0 for  must be in the range [10.0,100]", (-1331000), 1, (-132967022));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test387"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test388"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-106092921), (-20), (-134310000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test389"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 60416462, (-1343100), (-1331000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-133077022), 172076380);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test391"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-177142774448900L), (java.lang.Number)(-13310000), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test392"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 158509574, (-1331000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test393"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(173162887, (-161171566));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 11991321);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test394"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1330999900), (-1321758));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test395"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)(-11L), (java.lang.Number)(byte)1);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test396"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number7 = illegalFieldValueException5.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.String str21 = illegalFieldValueException19.toString();
    java.lang.String str22 = illegalFieldValueException19.getFieldName();
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException19.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException28.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException28.getDateTimeFieldType();
    java.lang.String str31 = illegalFieldValueException28.getIllegalValueAsString();
    java.lang.String str32 = illegalFieldValueException28.getIllegalValueAsString();
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    illegalFieldValueException28.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    boolean b37 = org.joda.time.field.FieldUtils.equals((java.lang.Object)121, (java.lang.Object)illegalFieldValueException28);
    org.joda.time.DateTimeFieldType dateTimeFieldType38 = illegalFieldValueException28.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1.0d)+ "'", number7.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "-1.0"+ "'", str31.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "-1.0"+ "'", str32.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType38);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test397"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1169828129), 0, (-106092921));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test398"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)0.0f, (java.lang.Number)10.0d, (java.lang.Number)1);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.String str6 = illegalFieldValueException4.toString();
    java.lang.Number number7 = illegalFieldValueException4.getLowerBound();
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1+ "'", number5.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.0d+ "'", number7.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(60416461, 1330999900);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test400"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-161171761), (-1342982), 1330990);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test401"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)158507396, (java.lang.Number)(-1408887760817461L), (java.lang.Number)10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test402"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)100, (java.lang.Number)1102538690855698090L, (java.lang.Number)(-21589535966196000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test403"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(21589534224081972L, 165009811L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test404"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1453938569);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1453938569));

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test405"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported", (java.lang.Number)(byte)1, (java.lang.Number)(short)1, (java.lang.Number)10.0f);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)1+ "'", number5.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "1"+ "'", str6.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test406"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-216128801941922000L), (-1100L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test407"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(21589535966211941L, 158510L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 21589535966370451L);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test408"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)619, (java.lang.Number)15677699969L, (java.lang.Number)(-1211689));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test409"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str13 = illegalFieldValueException11.toString();
    java.lang.String str14 = illegalFieldValueException11.getFieldName();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException11.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException20.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException20.getDateTimeFieldType();
    java.lang.String str23 = illegalFieldValueException20.getIllegalValueAsString();
    java.lang.String str24 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.Number number26 = illegalFieldValueException11.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "-1.0"+ "'", str23.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "-1.0"+ "'", str24.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (short)0+ "'", number26.equals((short)0));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test410"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)100, (java.lang.Number)(byte)0, (java.lang.Number)0.0d);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100+ "'", number5.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test411"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", "hi!");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hi!"+ "'", str3.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test412"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 0, 60417682, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test413"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-15223050L), 1330990);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-20261727319500L));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test414"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-398260714990490L), 48169469192363610L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test415"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1102538690855698090L, (-341063003353000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1102879753859051090L);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test416"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(13308920, 158508311);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 171817231);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test417"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException4.getDateTimeFieldType();
    illegalFieldValueException4.prependMessage("");
    java.lang.Number number11 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (short)100+ "'", number7.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10.0f+ "'", number11.equals(10.0f));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test418"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(21589534218760160L, 162380780L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 21589534381140940L);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test419"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-121), 1453938569, 249528, (-1331000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test420"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(161171567, 13188000, 161171761, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test421"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-3136597880439999L), 21589534224081972L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test422"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException11.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException11.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number27 = illegalFieldValueException26.getUpperBound();
    illegalFieldValueException26.prependMessage("hi!");
    java.lang.Number number30 = illegalFieldValueException26.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number36 = illegalFieldValueException35.getUpperBound();
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    java.lang.String str38 = illegalFieldValueException35.getIllegalValueAsString();
    boolean b39 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)str38);
    java.lang.String str40 = illegalFieldValueException11.toString();
    java.lang.String str41 = illegalFieldValueException11.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (-1.0f)+ "'", number19.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (short)100+ "'", number27.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + (short)100+ "'", number30.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + (short)100+ "'", number36.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "-1.0"+ "'", str38.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str40.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "-1.0"+ "'", str41.equals("-1.0"));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test423"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1331129712, 60416461, 146510);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test424"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number10 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number14 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-1.0f)+ "'", number10.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test425"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.String str11 = illegalFieldValueException4.toString();
    java.lang.String str12 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test426"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 319680311, (-13310000), 1317690);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test427"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1330999920, 13188000, 161171771);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test428"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)159718800, number2, (java.lang.Number)(-25125420100L));
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test429"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(13100L, (-1332331));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-17453536100L));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test430"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value -1.0 for  must be in the range [10.0,100]", (java.lang.Number)(-162503100), (java.lang.Number)1453938569, (java.lang.Number)120);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test431"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number8 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException13.getDurationFieldType();
    java.lang.Number number15 = illegalFieldValueException13.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException20.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException20.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(short)0, (java.lang.Number)(-1.0d), (java.lang.Number)100.0d);
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.String str29 = illegalFieldValueException27.toString();
    java.lang.String str30 = illegalFieldValueException27.getFieldName();
    java.lang.Throwable[] throwable_array31 = illegalFieldValueException27.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType37 = illegalFieldValueException36.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType38 = illegalFieldValueException36.getDateTimeFieldType();
    java.lang.String str39 = illegalFieldValueException36.getIllegalValueAsString();
    java.lang.String str40 = illegalFieldValueException36.getIllegalValueAsString();
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException36);
    illegalFieldValueException36.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]");
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException36);
    org.joda.time.DurationFieldType durationFieldType45 = illegalFieldValueException13.getDurationFieldType();
    boolean b46 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number8, (java.lang.Object)illegalFieldValueException13);
    java.lang.Number number47 = illegalFieldValueException13.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType53 = illegalFieldValueException52.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType54 = illegalFieldValueException52.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException59 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number60 = illegalFieldValueException59.getUpperBound();
    illegalFieldValueException59.prependMessage("hi!");
    java.lang.Number number63 = illegalFieldValueException59.getLowerBound();
    illegalFieldValueException52.addSuppressed((java.lang.Throwable)illegalFieldValueException59);
    java.lang.Number number65 = illegalFieldValueException59.getUpperBound();
    java.lang.Throwable[] throwable_array66 = illegalFieldValueException59.getSuppressed();
    java.lang.Number number67 = illegalFieldValueException59.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType68 = illegalFieldValueException59.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType69 = illegalFieldValueException59.getDurationFieldType();
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1.0d)+ "'", number6.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)0+ "'", number8.equals((short)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + (-1.0d)+ "'", number15.equals((-1.0d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str29.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "-1.0"+ "'", str39.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "-1.0"+ "'", str40.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number47 + "' != '" + 100.0d+ "'", number47.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number60 + "' != '" + (short)100+ "'", number60.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number63 + "' != '" + 10.0f+ "'", number63.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number65 + "' != '" + (short)100+ "'", number65.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number67 + "' != '" + (-1.0f)+ "'", number67.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType69);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test432"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number22 = illegalFieldValueException21.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.String str24 = illegalFieldValueException4.toString();
    illegalFieldValueException4.prependMessage("");
    java.lang.Number number27 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 10.0f+ "'", number22.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (-1.0f)+ "'", number27.equals((-1.0f)));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test433"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "-1.0"+ "'", str12.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test434"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-21589534209276000L), 17505078509011731L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-39094612718287731L));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test435"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(100, (-1342982), 158508311, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test436"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)15692490000L, (java.lang.Number)326458783400L, (java.lang.Number)146409L);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    illegalFieldValueException10.prependMessage("hi!");
    java.lang.Number number14 = illegalFieldValueException10.getUpperBound();
    java.lang.Number number15 = illegalFieldValueException10.getUpperBound();
    java.lang.Number number16 = illegalFieldValueException10.getLowerBound();
    java.lang.String str17 = illegalFieldValueException10.getFieldName();
    org.joda.time.DurationFieldType durationFieldType18 = illegalFieldValueException10.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException23.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number31 = illegalFieldValueException30.getUpperBound();
    illegalFieldValueException30.prependMessage("hi!");
    java.lang.Number number34 = illegalFieldValueException30.getLowerBound();
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    java.lang.String str36 = illegalFieldValueException23.getIllegalValueAsString();
    java.lang.Number number37 = illegalFieldValueException23.getIllegalNumberValue();
    illegalFieldValueException23.prependMessage("");
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (short)100+ "'", number11.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + (short)100+ "'", number15.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 10.0f+ "'", number16.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number31 + "' != '" + (short)100+ "'", number31.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + 10.0f+ "'", number34.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "-1.0"+ "'", str36.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (-1.0f)+ "'", number37.equals((-1.0f)));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test437"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-3518884492000L), 161171566);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test438"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(334422607835613000L, 21589534381140940L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test439"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value -1.0 for  must be in the range [10.0,100]", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value null for org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100] must be in the range [-11,100]");

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test440"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]\" for  is not supported", (-1322100), (-18), (-110000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test441"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)13310000, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test442"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number15 = illegalFieldValueException14.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException21.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException21.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number29 = illegalFieldValueException28.getUpperBound();
    illegalFieldValueException28.prependMessage("hi!");
    java.lang.Number number32 = illegalFieldValueException28.getLowerBound();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    java.lang.Number number34 = illegalFieldValueException28.getUpperBound();
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException28.getSuppressed();
    java.lang.Number number36 = illegalFieldValueException28.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType37 = illegalFieldValueException28.getDateTimeFieldType();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    boolean b39 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)illegalFieldValueException14);
    java.lang.String str40 = illegalFieldValueException14.getIllegalStringValue();
    java.lang.Number number41 = illegalFieldValueException14.getUpperBound();
    java.lang.Throwable[] throwable_array42 = illegalFieldValueException14.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + (short)100+ "'", number29.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + 10.0f+ "'", number32.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (short)100+ "'", number34.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + (-1.0f)+ "'", number36.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + (short)100+ "'", number41.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test443"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number10 = illegalFieldValueException9.getLowerBound();
    illegalFieldValueException9.prependMessage("hi!");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = illegalFieldValueException4.getUpperBound();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException4.getSuppressed();
    java.lang.String str18 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (short)100+ "'", number14.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test444"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)2663450, (java.lang.Number)(-1408887760817461L), (java.lang.Number)(-1343000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test445"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(194072985837868121L, (-177142788714800L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 194250128626582921L);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test446"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1168538341);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1168538341));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test447"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1453938569), 11845000, (-1343000), 104763147);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 43392503);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test448"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number15 = illegalFieldValueException14.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException21.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException21.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number29 = illegalFieldValueException28.getUpperBound();
    illegalFieldValueException28.prependMessage("hi!");
    java.lang.Number number32 = illegalFieldValueException28.getLowerBound();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    java.lang.Number number34 = illegalFieldValueException28.getUpperBound();
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException28.getSuppressed();
    java.lang.Number number36 = illegalFieldValueException28.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType37 = illegalFieldValueException28.getDateTimeFieldType();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    boolean b39 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)illegalFieldValueException14);
    java.lang.Throwable[] throwable_array40 = illegalFieldValueException14.getSuppressed();
    illegalFieldValueException14.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + (short)100+ "'", number29.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + 10.0f+ "'", number32.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + (short)100+ "'", number34.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + (-1.0f)+ "'", number36.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test449"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException11.getIllegalNumberValue();
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]");
    java.lang.Number number22 = illegalFieldValueException11.getUpperBound();
    java.lang.String str23 = illegalFieldValueException11.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (-1.0f)+ "'", number19.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (short)100+ "'", number22.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "-1.0"+ "'", str23.equals("-1.0"));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(171817231, (-9947));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test451"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException11.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str21 = illegalFieldValueException11.toString();
    java.lang.String str22 = illegalFieldValueException11.getFieldName();
    java.lang.Number number23 = illegalFieldValueException11.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (-1.0f)+ "'", number19.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + (-1.0f)+ "'", number23.equals((-1.0f)));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test452"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1211689), "org.joda.time.IllegalFieldValueException: : hi!: Value -1.0 for  must be in the range [10.0,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test453"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test454"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException11.getDurationFieldType();
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException11.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test455"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100] must not be smaller than 0.0 is not supported", 1289761, 173162887, (-239954));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test456"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]: Value null for org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100] must be in the range [-11,100]", "org.joda.time.IllegalFieldValueException: : Value -1.0 for  must be in the range [10.0,100]");

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test457"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [-11,1]", 1289992, 158507396, 161171567);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test458"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(334422607835613000L, 131L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test459"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(9484159L, (-131879L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9352280L);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test460"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]", "org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0]"));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test461"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-21589535966211941L), 131L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2828229211573764271L));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test462"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-3518884490790L), 165009811L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test463"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1169828129, (-1342981), (-2295620), 1169828129);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1168485148);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test464"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-347867530459L), 1317690);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-458381566210519710L));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test465"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-37230631746L), (-26171197888961380L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 26171160658329634L);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test466"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(334422607835613000L, 177157562816010L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 334599765398429010L);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-12000), (-162503100));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test468"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-3136597867130001L), (-3136597867130000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test469"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("hi!");
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException11.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str21 = illegalFieldValueException11.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (short)100+ "'", number12.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0f+ "'", number15.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (short)100+ "'", number17.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + (-1.0f)+ "'", number19.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]", 161172000, 1317690, 100);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test471"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.String str11 = illegalFieldValueException4.getFieldName();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number25 = illegalFieldValueException24.getUpperBound();
    illegalFieldValueException24.prependMessage("hi!");
    java.lang.Number number28 = illegalFieldValueException24.getLowerBound();
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    java.lang.String str30 = illegalFieldValueException17.getIllegalValueAsString();
    java.lang.Number number31 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException17.prependMessage("");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number40 = illegalFieldValueException39.getLowerBound();
    java.lang.Number number41 = illegalFieldValueException39.getUpperBound();
    java.lang.String str42 = illegalFieldValueException39.toString();
    java.lang.String str43 = illegalFieldValueException39.getIllegalStringValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (short)100+ "'", number25.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 10.0f+ "'", number28.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "-1.0"+ "'", str30.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number31 + "' != '" + (-1.0f)+ "'", number31.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + 10.0f+ "'", number40.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + (short)100+ "'", number41.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"+ "'", str42.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str43);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test472"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.String str11 = illegalFieldValueException4.getFieldName();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number25 = illegalFieldValueException24.getUpperBound();
    illegalFieldValueException24.prependMessage("hi!");
    java.lang.Number number28 = illegalFieldValueException24.getLowerBound();
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    java.lang.String str30 = illegalFieldValueException17.getIllegalValueAsString();
    java.lang.Number number31 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException17.prependMessage("");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException4.getSuppressed();
    java.lang.String str36 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)100+ "'", number8.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (short)100+ "'", number25.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 10.0f+ "'", number28.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "-1.0"+ "'", str30.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number31 + "' != '" + (-1.0f)+ "'", number31.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test473"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1089L, "org.joda.time.IllegalFieldValueException: : Value 0.0 for  must be in the range [10.0,1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test474"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)15851L, (java.lang.Number)319680311, (java.lang.Number)(short)1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test475"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(326445473401L, (-48189827114617100L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test476"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]\" for  is not supported is not supported", 1317690, 0, (-1330999920));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test477"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1168485148, 1169828129);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test478"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)15677699969L, number2, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test479"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(2333920710L, 13308920);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 31061964015733200L);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test480"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException12.prependMessage("hi!");
    java.lang.Number number16 = illegalFieldValueException12.getLowerBound();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number18 = illegalFieldValueException12.getUpperBound();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException12.getSuppressed();
    java.lang.Number number20 = illegalFieldValueException12.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number28 = illegalFieldValueException27.getUpperBound();
    illegalFieldValueException27.prependMessage("hi!");
    java.lang.Number number31 = illegalFieldValueException27.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number37 = illegalFieldValueException36.getUpperBound();
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException36);
    java.lang.String str39 = illegalFieldValueException36.getIllegalValueAsString();
    boolean b40 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException12, (java.lang.Object)str39);
    java.lang.String str41 = illegalFieldValueException12.toString();
    boolean b42 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-177157400435230L), (java.lang.Object)str41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (short)100+ "'", number13.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 10.0f+ "'", number16.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (short)100+ "'", number18.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + (-1.0f)+ "'", number20.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + (short)100+ "'", number28.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number31 + "' != '" + (short)100+ "'", number31.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + (short)100+ "'", number37.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "-1.0"+ "'", str39.equals("-1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str41.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test481"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    illegalFieldValueException4.prependMessage("");
    java.lang.Object obj11 = null;
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, obj11);
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number18 = illegalFieldValueException17.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number25 = illegalFieldValueException24.getUpperBound();
    illegalFieldValueException24.prependMessage("hi!");
    java.lang.Number number28 = illegalFieldValueException24.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException24.getDurationFieldType();
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Number number32 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number33 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 10.0f+ "'", number18.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (short)100+ "'", number25.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 10.0f+ "'", number28.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number32 + "' != '" + 10.0f+ "'", number32.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + (-1.0f)+ "'", number33.equals((-1.0f)));

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test482"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException13.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException13.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number21 = illegalFieldValueException20.getUpperBound();
    illegalFieldValueException20.prependMessage("hi!");
    java.lang.Number number24 = illegalFieldValueException20.getLowerBound();
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.Number number26 = illegalFieldValueException20.getUpperBound();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException20.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number33 = illegalFieldValueException32.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = illegalFieldValueException32.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number40 = illegalFieldValueException39.getUpperBound();
    illegalFieldValueException39.prependMessage("hi!");
    java.lang.Number number43 = illegalFieldValueException39.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException48 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number49 = illegalFieldValueException48.getUpperBound();
    illegalFieldValueException39.addSuppressed((java.lang.Throwable)illegalFieldValueException48);
    illegalFieldValueException32.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    org.joda.time.IllegalFieldValueException illegalFieldValueException57 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number58 = illegalFieldValueException57.getUpperBound();
    illegalFieldValueException57.prependMessage("hi!");
    illegalFieldValueException32.addSuppressed((java.lang.Throwable)illegalFieldValueException57);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException57);
    java.lang.Throwable[] throwable_array63 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number64 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (short)100+ "'", number21.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 10.0f+ "'", number24.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (short)100+ "'", number26.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + 10.0f+ "'", number33.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (short)100+ "'", number40.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number43 + "' != '" + (short)100+ "'", number43.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number49 + "' != '" + (short)100+ "'", number49.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number58 + "' != '" + (short)100+ "'", number58.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number64 + "' != '" + 10.0f+ "'", number64.equals(10.0f));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-2930200), 1168538341);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test484"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1.0f), (java.lang.Number)(-1343000), (java.lang.Number)(-1330990));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test485"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)0.0f, (java.lang.Number)10.0d, (java.lang.Number)1);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str6 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]"));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test486"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-1.0,100.0] must be in the range [120,0]");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number16 = illegalFieldValueException15.getUpperBound();
    illegalFieldValueException15.prependMessage("hi!");
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.Number number21 = illegalFieldValueException8.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException26.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = illegalFieldValueException26.getDateTimeFieldType();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException26);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + (short)100+ "'", number16.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 10.0f+ "'", number19.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + (-1.0f)+ "'", number21.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType28);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test487"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(48169469192363610L, (-12192));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test488"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(347867546400L, (-13309999L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 347854236401L);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test489"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)121909, (java.lang.Number)(-104763147), (java.lang.Number)31872L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test490"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(161171771, 1329814550, 379);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test491"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(328779395211L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test492"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1]\" for  is not supported", (java.lang.Number)48189827114763610L, (java.lang.Number)10.0f, (java.lang.Number)161172379);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test493"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1408887760817461L), (-3136597867130000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test494"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(11845000, 43392503);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 55237503);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test495"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 121 for org.joda.time.IllegalFieldValueException: Value 0.0 for  must be in the range [10.0,1] must be in the range [-11100,1477409889000]", (-104763147), (-13323390), 95573988);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test496"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    illegalFieldValueException4.prependMessage("hi!");
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException12.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException12.getDurationFieldType();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException23.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1.0f), (java.lang.Number)10.0f, (java.lang.Number)(short)100);
    java.lang.Number number31 = illegalFieldValueException30.getUpperBound();
    illegalFieldValueException30.prependMessage("hi!");
    java.lang.Number number34 = illegalFieldValueException30.getLowerBound();
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    java.lang.Number number36 = illegalFieldValueException30.getUpperBound();
    java.lang.Throwable[] throwable_array37 = illegalFieldValueException30.getSuppressed();
    java.lang.Number number38 = illegalFieldValueException30.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType39 = illegalFieldValueException30.getDateTimeFieldType();
    java.lang.String str40 = illegalFieldValueException30.getIllegalStringValue();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    java.lang.String str42 = illegalFieldValueException12.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (short)100+ "'", number13.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number31 + "' != '" + (short)100+ "'", number31.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + 10.0f+ "'", number34.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + (short)100+ "'", number36.equals((short)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number38 + "' != '" + (-1.0f)+ "'", number38.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str42);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test497"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]", "");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: hi!: Value -1.0 for  must be in the range [10.0,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test498"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-2295620), (-158508311), (-1330999920));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test499"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(23384763322800000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest117.test500"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1169828129, 159839311, (-2295620));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
