
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest17 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test001"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(27562750);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-27562750));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test002"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(30368832063857581L, (-929925971599763L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 29438906092257818L);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test003"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)86574992, (java.lang.Number)(-2622), (java.lang.Number)(-1244976588569025L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test004"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(2033, 27562750);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test005"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("10040000", (java.lang.Number)573059400400L, (java.lang.Number)10040000L, (java.lang.Number)167221726428542499L);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test006"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str11 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number15 = illegalFieldValueException14.getUpperBound();
    java.lang.String str16 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    java.lang.String str18 = illegalFieldValueException14.toString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException14.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException14.getDateTimeFieldType();
    java.lang.String str22 = illegalFieldValueException14.getFieldName();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.Number number24 = illegalFieldValueException14.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test007"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-99000), 1988801);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1889801);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test008"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-11242158), 16746139, 360539603);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test009"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported", 441200, (-46521715), 1004);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test010"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(4566720L, 91872528111638240L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test011"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException6.getUpperBound();
    java.lang.String str15 = illegalFieldValueException6.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test012"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test013"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(3762753483437L, (-2753535276846474L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test014"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(14341971599603L, 3095603313L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 14338875996290L);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test015"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, (java.lang.Number)(-8), (java.lang.Number)(-200));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "hi!");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    illegalFieldValueException17.prependMessage("40");
    java.lang.String str21 = illegalFieldValueException17.getIllegalStringValue();
    java.lang.Number number22 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test016"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported is not supported", 0, 3436, (-1633893));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test017"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)126393562677696L, "org.joda.time.IllegalFieldValueException: Value -14341971599762 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must be in the range [22152,2091710057820]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test018"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]", (java.lang.Number)126393562677696L, (java.lang.Number)(-231501728975570448L), (java.lang.Number)220594);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test019"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(4281087, 114220096, (-9353));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test020"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(146229997393974L, 1633893);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test021"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [300,-1.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test022"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "-1");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test023"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(27365751777L, (-2864995989L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test024"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    java.lang.String str11 = illegalFieldValueException6.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test025"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str11 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number15 = illegalFieldValueException14.getUpperBound();
    java.lang.String str16 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    java.lang.String str18 = illegalFieldValueException14.toString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException14.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test026"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", (java.lang.Number)(byte)1, (java.lang.Number)300L, (java.lang.Number)100.0f);
    java.lang.String str5 = illegalFieldValueException4.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException4.toString();
    java.lang.Number number8 = illegalFieldValueException4.getLowerBound();
    java.lang.String str9 = illegalFieldValueException4.toString();
    java.lang.String str10 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str11 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 300L+ "'", number8.equals(300L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "1"+ "'", str11.equals("1"));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test027"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 28826000 for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported must not be smaller than -11241954", 0, (-7256), (-74382));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test028"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)5147064684480L, (java.lang.Number)3848, number3);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test029"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(157905L, 56751701);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8961377346405L);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test030"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(15848223, 13688);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15861911);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test031"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", (java.lang.Number)200L, (java.lang.Number)203L, (java.lang.Number)1993);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "200"+ "'", str5.equals("200"));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test032"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1464640, (java.lang.Number)86574992, (java.lang.Number)(-9200L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test033"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]"));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test034"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 130498000, 10084, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test035"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-200), (java.lang.Number)1, number3);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -200 for  must not be smaller than 1"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value -200 for  must not be smaller than 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test036"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test037"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number11 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str12 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    java.lang.String str14 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test038"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value 200 for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] must be in the range [203,1993]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test039"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-2864996206L), (java.lang.Number)167221537536000000L, (java.lang.Number)161);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test040"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test041"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-55029), 47828826);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test042"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str11 = illegalFieldValueException7.getFieldName();
    java.lang.Number number12 = illegalFieldValueException7.getIllegalNumberValue();
    boolean b13 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException7);
    java.lang.Number number14 = illegalFieldValueException7.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test043"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: -22847261: Value \"\" for  is not supported", (java.lang.Number)(-1489761546), (java.lang.Number)46, number3);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test044"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", (java.lang.Number)(-9996), (java.lang.Number)5708471757L, (java.lang.Number)167221696568304873L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test045"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-5029208991187200000L), 929925999999960L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test046"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-14749), (-8980));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 132446020);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test047"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-681110), "-22847261");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test048"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("-22847261", 160, (-1618844), 9871);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test049"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported must be in the range [-164,-164]", number1, (java.lang.Number)(-12651840L), (java.lang.Number)(-204));
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str9 = illegalFieldValueException8.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    java.lang.String str14 = illegalFieldValueException12.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException12.getSuppressed();
    java.lang.String str16 = illegalFieldValueException12.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str18 = illegalFieldValueException8.toString();
    java.lang.Number number19 = illegalFieldValueException8.getLowerBound();
    java.lang.Number number20 = illegalFieldValueException8.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str25 = illegalFieldValueException24.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException24.getDateTimeFieldType();
    java.lang.String str27 = illegalFieldValueException24.getFieldName();
    java.lang.Number number28 = illegalFieldValueException24.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException24.getDateTimeFieldType();
    java.lang.Number number30 = illegalFieldValueException24.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException24.getDateTimeFieldType();
    java.lang.Number number32 = illegalFieldValueException24.getIllegalNumberValue();
    java.lang.Number number33 = illegalFieldValueException24.getLowerBound();
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException8, (java.lang.Object)number33);
    java.lang.String str35 = illegalFieldValueException8.getIllegalValueAsString();
    java.lang.String str36 = illegalFieldValueException8.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str25.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + ""+ "'", str35.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test050"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException18.getDurationFieldType();
    java.lang.Number number22 = illegalFieldValueException18.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException18.getDateTimeFieldType();
    java.lang.String str24 = illegalFieldValueException18.getFieldName();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number26 = illegalFieldValueException6.getIllegalNumberValue();
    java.lang.String str27 = illegalFieldValueException6.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test051"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test052"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1431777216L), "org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test053"); }


    java.lang.Object obj1 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)1101, obj1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test054"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(4412, 183902160);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-238626249202999350L), 108038911999999298L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test056"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 28826000 for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported must not be smaller than -11241954", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported");

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test057"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number10 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)(-40000L), (java.lang.Number)(-5341491914720L), number10);
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number14 = illegalFieldValueException2.getUpperBound();
    java.lang.String str15 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str16 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (-5341491914720L)+ "'", number12.equals((-5341491914720L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test058"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(9200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 9200);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test059"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(176518037468689L, 335248423);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test060"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str9 = illegalFieldValueException8.getIllegalStringValue();
    illegalFieldValueException8.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str13 = illegalFieldValueException2.getFieldName();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number15 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test061"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-93685118L), (-587761994641416L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test062"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException6.getSuppressed();
    java.lang.String str24 = illegalFieldValueException6.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test063"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1024, (-12146888), (-28399306));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test064"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, (-14872727), (-4566303));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test065"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str12 = illegalFieldValueException11.toString();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException11.getDurationFieldType();
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    java.lang.String str16 = illegalFieldValueException11.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.String str18 = illegalFieldValueException11.getFieldName();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException11.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)130498000, (java.lang.Number)1200, (java.lang.Number)(-177709500L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number29 = illegalFieldValueException28.getUpperBound();
    java.lang.String str30 = illegalFieldValueException28.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array31 = illegalFieldValueException28.getSuppressed();
    java.lang.Throwable[] throwable_array32 = illegalFieldValueException28.getSuppressed();
    illegalFieldValueException28.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    java.lang.String str36 = illegalFieldValueException25.getIllegalValueAsString();
    boolean b38 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException25, (java.lang.Object)167221537551707758L);
    boolean b39 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)b38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "130498000"+ "'", str36.equals("130498000"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test066"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-681110), (-22847360), 622, 669);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 650);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test067"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str10 = illegalFieldValueException9.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str12 = illegalFieldValueException9.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException9.getLowerBound();
    java.lang.String str14 = illegalFieldValueException9.getIllegalStringValue();
    java.lang.String str15 = illegalFieldValueException9.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test068"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1039223926546L, 156903696726L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test069"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test070"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-1618844,100]", (java.lang.Number)703, number2, (java.lang.Number)(-99000));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test071"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)25668229501120L, (java.lang.Number)(-149312375));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test072"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(33482725421337L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test073"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-158994285885L), 1244657168220039L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 39633588, 103107626, (-2596075));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(334039341426770880L, 25339417862L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test076"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str10 = illegalFieldValueException9.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str12 = illegalFieldValueException9.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException9.getLowerBound();
    java.lang.String str14 = illegalFieldValueException9.getFieldName();
    java.lang.Number number15 = illegalFieldValueException9.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test077"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1530310623310891288L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test078"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(160);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-160));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test079"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-31334052), (-7953069), (-1437790182));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test080"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str8 = illegalFieldValueException2.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test081"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("43239", "org.joda.time.IllegalFieldValueException: : org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-34165629471L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test082"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-94044), (java.lang.Number)(-1994), (java.lang.Number)100L);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100L+ "'", number5.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-94044)+ "'", number6.equals((-94044)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-94044)+ "'", number7.equals((-94044)));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test083"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "160032823");

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test084"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException6.prependMessage("1");
    java.lang.String str14 = illegalFieldValueException6.toString();
    illegalFieldValueException6.prependMessage("8");
    java.lang.String str17 = illegalFieldValueException6.toString();
    java.lang.String str18 = illegalFieldValueException6.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: 8: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: 8: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test085"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test086"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-116642), 600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-69985200));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test087"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    java.lang.String str12 = illegalFieldValueException6.toString();
    java.lang.Object obj13 = null;
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, obj13);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException6.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    java.lang.String str20 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.String str21 = illegalFieldValueException18.getFieldName();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test088"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-28399740949L), (java.lang.Number)(-12836), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test089"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-28400517", "100959600");

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test090"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", (java.lang.Number)(-40), (java.lang.Number)(-28400517), (java.lang.Number)(-4034));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str8 = illegalFieldValueException4.getFieldName();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-4034)+ "'", number5.equals((-4034)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test091"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", "");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test092"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", (java.lang.Number)(-13563692132L), number2, (java.lang.Number)(-94044));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-94044)+ "'", number6.equals((-94044)));

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test093"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test094"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(91872522382243440L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 91872522382243440L);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test095"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(101016196726392871L, (-22827));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test096"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-79), (java.lang.Number)142709L, (java.lang.Number)(-14757358743854416L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test097"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("-1", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    illegalFieldValueException3.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported");
    java.lang.Number number6 = illegalFieldValueException3.getIllegalNumberValue();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)3198466136728567950L, (java.lang.Object)number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test098"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: -1: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test099"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(36946452, (-134392238), 835164);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-98280951));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-86578266", 131842245, (-9424407), (-74382));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test101"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-2887200), 9871, 102829943);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 99932873);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test102"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test103"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test104"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(7435);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-7435));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test105"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(157229549791048332L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test106"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number5 = illegalFieldValueException2.getIllegalNumberValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test107"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, 1284346);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test108"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.toString();
    java.lang.String str11 = illegalFieldValueException2.getFieldName();
    java.lang.Number number12 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str13 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str14 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test109"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1671984));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1671984);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test110"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str10 = illegalFieldValueException7.toString();
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException7);
    java.lang.String str13 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException7.getSuppressed();
    java.lang.String str15 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.String str16 = illegalFieldValueException7.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test111"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-299699L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test112"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-607553744), 498803, 1276320);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1242850);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test113"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-179348700), (-819));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test114"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-177709699L), (-6657833922633759840L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6657833922456050141L);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test115"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    java.lang.String str12 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    java.lang.String str14 = illegalFieldValueException10.toString();
    java.lang.Number number15 = illegalFieldValueException10.getLowerBound();
    java.lang.String str16 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    java.lang.String str22 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    java.lang.String str24 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str26 = illegalFieldValueException10.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test116"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 407616948, (-11383644), (-3848));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test117"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str10 = illegalFieldValueException9.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str12 = illegalFieldValueException9.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    java.lang.String str16 = illegalFieldValueException15.getIllegalStringValue();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-1618844,100]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test118"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)59032823, number2, (java.lang.Number)275100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test119"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(2835, (-1464640), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1461806));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test120"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-28399498), 160);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-28399338));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test121"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(91431, 34065, 1639200, (-15356965));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test122"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(110, (-1675035));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1674925));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test123"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str9 = illegalFieldValueException8.toString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str11 = illegalFieldValueException8.toString();
    java.lang.Number number12 = illegalFieldValueException8.getLowerBound();
    boolean b13 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException8);
    java.lang.Number number14 = illegalFieldValueException8.getUpperBound();
    boolean b15 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == true);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test124"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported", (-7342587), 38730055, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test125"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: 8: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test126"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]: Value \"\" for  is not supported", (java.lang.Number)11241954, (java.lang.Number)4000, (java.lang.Number)(-56800874));

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(7305587937807853114L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test128"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Number number9 = illegalFieldValueException2.getUpperBound();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str11 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str12 = illegalFieldValueException2.getFieldName();
    java.lang.String str13 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test129"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-431411879895184L), 33001318047240L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test130"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-132085273054999L), (-13656468404188L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-118428804650811L));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test131"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [300,-1.0]");

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test132"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.String str15 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test133"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(160032863, (-113557600));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 46475263);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test134"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(8717, 0, 16746139, 25337610);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 17191661);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test135"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-37517593390884737L), 181652663924428830L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test136"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 142000, 0, 130507429);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test137"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(935086103972755740L, (-725256266079757L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test138"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)(-86578266), (java.lang.Number)21444403L, (java.lang.Number)9871);
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException4.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test139"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-9674), "0.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test140"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("22775", "-7360");

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test141"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)129692108895044160L, "org.joda.time.IllegalFieldValueException: Value 100959600 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must not be larger than 1000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test142"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(91872752159521162L, 297452);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test143"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)28101617, (java.lang.Number)(-35834), (java.lang.Number)209);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test144"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number11 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number12 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number13 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test145"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", number1, (java.lang.Number)100, (java.lang.Number)(-94044));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException7.getFieldName();
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str15 = illegalFieldValueException14.getIllegalStringValue();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    boolean b17 = org.joda.time.field.FieldUtils.equals((java.lang.Object)100, (java.lang.Object)illegalFieldValueException14);
    java.lang.Number number18 = illegalFieldValueException14.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str22 = illegalFieldValueException21.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number26 = illegalFieldValueException25.getUpperBound();
    java.lang.String str27 = illegalFieldValueException25.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array28 = illegalFieldValueException25.getSuppressed();
    java.lang.String str29 = illegalFieldValueException25.toString();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    java.lang.String str31 = illegalFieldValueException21.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException21.getDateTimeFieldType();
    java.lang.String str33 = illegalFieldValueException21.getIllegalStringValue();
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException14, (java.lang.Object)str33);
    java.lang.String str35 = illegalFieldValueException14.getIllegalValueAsString();
    illegalFieldValueException14.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported is not supported");
    illegalFieldValueException14.prependMessage("");
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException42.prependMessage("hi!");
    illegalFieldValueException42.prependMessage("");
    org.joda.time.IllegalFieldValueException illegalFieldValueException49 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "");
    java.lang.Throwable[] throwable_array50 = illegalFieldValueException49.getSuppressed();
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException49);
    org.joda.time.DateTimeFieldType dateTimeFieldType52 = illegalFieldValueException49.getDateTimeFieldType();
    java.lang.String str53 = illegalFieldValueException49.getIllegalStringValue();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str29.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + ""+ "'", str33.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + ""+ "'", str35.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + ""+ "'", str53.equals(""));

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test146"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(4566720, 13677064);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test147"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(100988208, 250307997, (-168789), 285694626);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 65432789);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test148"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(40720254, 86578266);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 127298520);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test149"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)4566720, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test150"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)130498000, (java.lang.Number)1200, (java.lang.Number)(-177709500L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException7.getSuppressed();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException7.getSuppressed();
    illegalFieldValueException7.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", (java.lang.Number)(byte)1, (java.lang.Number)300L, (java.lang.Number)100.0f);
    java.lang.String str20 = illegalFieldValueException19.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException19.getDateTimeFieldType();
    java.lang.String str22 = illegalFieldValueException19.toString();
    java.lang.Number number23 = illegalFieldValueException19.getLowerBound();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException19.getDateTimeFieldType();
    java.lang.Number number26 = illegalFieldValueException19.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException19.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 300L+ "'", number23.equals(300L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + (byte)1+ "'", number26.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test151"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("200", (java.lang.Number)8980L, (java.lang.Number)(-9980), (java.lang.Number)(-2864996202L));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-9980)+ "'", number5.equals((-9980)));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test152"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Number number9 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("0.0");
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "");
    java.lang.Number number16 = illegalFieldValueException15.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str20 = illegalFieldValueException19.toString();
    java.lang.String str21 = illegalFieldValueException19.getIllegalStringValue();
    java.lang.String str22 = illegalFieldValueException19.getFieldName();
    java.lang.String str23 = illegalFieldValueException19.getIllegalStringValue();
    java.lang.Number number24 = illegalFieldValueException19.getLowerBound();
    java.lang.String str25 = illegalFieldValueException19.getIllegalValueAsString();
    java.lang.Number number26 = illegalFieldValueException19.getUpperBound();
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number31 = illegalFieldValueException30.getUpperBound();
    illegalFieldValueException30.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str34 = illegalFieldValueException30.getIllegalValueAsString();
    java.lang.String str35 = illegalFieldValueException30.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array36 = illegalFieldValueException30.getSuppressed();
    java.lang.String str37 = illegalFieldValueException30.getFieldName();
    illegalFieldValueException30.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number40 = illegalFieldValueException30.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType41 = illegalFieldValueException30.getDurationFieldType();
    java.lang.String str42 = illegalFieldValueException30.toString();
    java.lang.Number number43 = illegalFieldValueException30.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str47 = illegalFieldValueException46.toString();
    java.lang.String str48 = illegalFieldValueException46.getIllegalStringValue();
    java.lang.String str49 = illegalFieldValueException46.getFieldName();
    java.lang.String str50 = illegalFieldValueException46.getIllegalValueAsString();
    java.lang.String str51 = illegalFieldValueException46.toString();
    java.lang.String str52 = illegalFieldValueException46.getIllegalStringValue();
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Number number56 = illegalFieldValueException19.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + ""+ "'", str34.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + ""+ "'", str35.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str42.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str47.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + ""+ "'", str48.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "hi!"+ "'", str49.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + ""+ "'", str50.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str51.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + ""+ "'", str52.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number56);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test153"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]", (java.lang.Number)(-498500L), (java.lang.Number)10L, (java.lang.Number)(-93902));
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number9 = illegalFieldValueException8.getUpperBound();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException8.getSuppressed();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException8.getSuppressed();
    java.lang.Number number13 = illegalFieldValueException8.getLowerBound();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-11283), (java.lang.Object)illegalFieldValueException8);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number23 = illegalFieldValueException22.getUpperBound();
    java.lang.String str24 = illegalFieldValueException22.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException22.getSuppressed();
    java.lang.String str26 = illegalFieldValueException22.toString();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = illegalFieldValueException22.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str32 = illegalFieldValueException31.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number36 = illegalFieldValueException35.getUpperBound();
    java.lang.String str37 = illegalFieldValueException35.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array38 = illegalFieldValueException35.getSuppressed();
    java.lang.String str39 = illegalFieldValueException35.toString();
    illegalFieldValueException31.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    java.lang.Throwable[] throwable_array41 = illegalFieldValueException35.getSuppressed();
    illegalFieldValueException22.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    illegalFieldValueException35.prependMessage("hi!");
    java.lang.Number number45 = illegalFieldValueException35.getLowerBound();
    java.lang.Number number46 = illegalFieldValueException35.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    org.joda.time.IllegalFieldValueException illegalFieldValueException50 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str51 = illegalFieldValueException50.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType52 = illegalFieldValueException50.getDateTimeFieldType();
    java.lang.String str53 = illegalFieldValueException50.getIllegalStringValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException50);
    java.lang.Number number55 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str39.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str51.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + ""+ "'", str53.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number55 + "' != '" + (-93902)+ "'", number55.equals((-93902)));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test154"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-10084), 17158278, 82384);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test155"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.toString();
    java.lang.String str8 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str12 = illegalFieldValueException11.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str14 = illegalFieldValueException11.getFieldName();
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str17 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test156"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1989900), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1989900));

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test157"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException6.getSuppressed();
    java.lang.String str14 = illegalFieldValueException6.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str22 = illegalFieldValueException21.toString();
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    org.joda.time.DurationFieldType durationFieldType24 = illegalFieldValueException21.getDurationFieldType();
    java.lang.String str25 = illegalFieldValueException21.getIllegalStringValue();
    illegalFieldValueException21.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException21.getDurationFieldType();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.Number number30 = illegalFieldValueException6.getIllegalNumberValue();
    java.lang.Number number31 = illegalFieldValueException6.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = illegalFieldValueException34.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str39 = illegalFieldValueException38.toString();
    illegalFieldValueException34.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    org.joda.time.DurationFieldType durationFieldType41 = illegalFieldValueException38.getDurationFieldType();
    java.lang.String str42 = illegalFieldValueException38.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType43 = illegalFieldValueException38.getDateTimeFieldType();
    java.lang.Number number44 = illegalFieldValueException38.getIllegalNumberValue();
    java.lang.String str45 = illegalFieldValueException38.getFieldName();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    java.lang.Throwable[] throwable_array47 = illegalFieldValueException38.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str39.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "hi!"+ "'", str42.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "hi!"+ "'", str45.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test158"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(101016193602349201L, 35530519558L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 101016158071829643L);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test159"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", (-4171763), 0, 18880);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test160"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.getFieldName();
    java.lang.Number number11 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str12 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("1");
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str17 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test161"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-40000L), 202727998121520L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-202727998161520L));

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test162"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1830825965930881637L), (-171844675293L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test163"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-3), (-15696477), 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test164"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -13385268739 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported must be in the range [-164,-164] must be in the range [-7705134546018,1558356]", 1024, 10193528, 25349888);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test165"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(33813276347266L, (-231501728975570448L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test166"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test167"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", (java.lang.Number)(byte)1, (java.lang.Number)300L, (java.lang.Number)100.0f);
    java.lang.String str5 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.Number number10 = illegalFieldValueException8.getIllegalNumberValue();
    java.lang.Number number11 = illegalFieldValueException8.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b13 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)illegalFieldValueException8);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"200\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported");
    java.lang.String str18 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test168"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-820), 36800000, 53404160, (-2622));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test169"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("43239", "org.joda.time.IllegalFieldValueException: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test170"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(441200, (-82384));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test171"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported", (java.lang.Number)142000, (java.lang.Number)(-28358845038L), (java.lang.Number)80L);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test172"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test173"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number18 = illegalFieldValueException17.getUpperBound();
    java.lang.String str19 = illegalFieldValueException17.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException17.getSuppressed();
    java.lang.String str21 = illegalFieldValueException17.toString();
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType24 = illegalFieldValueException17.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817]", "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException17.prependMessage("-22847261");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str36 = illegalFieldValueException17.toString();
    java.lang.String str37 = illegalFieldValueException17.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.joda.time.IllegalFieldValueException: -22847261: Value \"\" for  is not supported"+ "'", str36.equals("org.joda.time.IllegalFieldValueException: -22847261: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test174"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported", (-117443), 0, (-28406858));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test175"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)130498000, (java.lang.Number)1200, (java.lang.Number)(-177709500L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException7.getSuppressed();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException7.getSuppressed();
    illegalFieldValueException7.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str15 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str16 = illegalFieldValueException4.getFieldName();
    java.lang.String str17 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "130498000"+ "'", str15.equals("130498000"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str17);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test176"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test177"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-17595), 183902160, 1432145960);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1248226206);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test178"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.String str10 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.String str11 = illegalFieldValueException6.getFieldName();
    java.lang.String str12 = illegalFieldValueException6.toString();
    java.lang.String str13 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Number number14 = illegalFieldValueException6.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test179"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-730561051494494L), 7299169740393263911L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test180"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-3218477056332052330L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test181"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1179, 1624, 12146888);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test182"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(10100, (-15734), 378292740);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10100);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test183"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-4502395143860L), "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [300,-1.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test184"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("40");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test185"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -86578266 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [21444403,9871]");
    java.lang.Object obj8 = new java.lang.Object();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "hi!");
    boolean b12 = org.joda.time.field.FieldUtils.equals(obj8, (java.lang.Object)illegalFieldValueException11);
    java.lang.String str13 = illegalFieldValueException11.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException11.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test186"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-18880), (java.lang.Number)(-28399400203L), (java.lang.Number)(-104));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test187"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-1618844,100]", "org.joda.time.IllegalFieldValueException: Value -40 for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported must be in the range [-28400517,-4034]");

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test188"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported");
    java.lang.String str8 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test189"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException6.getSuppressed();
    java.lang.Number number13 = illegalFieldValueException6.getIllegalNumberValue();
    java.lang.String str14 = illegalFieldValueException6.getIllegalStringValue();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException6.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException18.prependMessage("hi!");
    java.lang.String str21 = illegalFieldValueException18.toString();
    java.lang.String str22 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.Number number23 = illegalFieldValueException18.getLowerBound();
    java.lang.Number number24 = illegalFieldValueException18.getLowerBound();
    java.lang.Number number25 = illegalFieldValueException18.getIllegalNumberValue();
    java.lang.Number number26 = illegalFieldValueException18.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException18.getDateTimeFieldType();
    java.lang.String str28 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.String str29 = illegalFieldValueException18.toString();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + ""+ "'", str28.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str29.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test190"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(45660511);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-45660511));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test191"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(28399498, 335365866);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 363765364);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test192"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1211);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1211));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test193"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -28399400 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [-3942,100]: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [300,-1.0]", "");

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test194"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 92844, 44191852, (-2993337));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test195"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "hi!");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number9 = illegalFieldValueException6.getLowerBound();
    java.lang.String str10 = illegalFieldValueException6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test196"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException2.prependMessage("");
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str14 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str15 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException10.getSuppressed();
    java.lang.String str17 = illegalFieldValueException10.getFieldName();
    java.lang.String str18 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str19 = illegalFieldValueException10.toString();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFieldType7, (java.lang.Object)illegalFieldValueException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test197"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)(-201), number2, (java.lang.Number)997L);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException7.getDurationFieldType();
    java.lang.Number number13 = illegalFieldValueException7.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test198"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1830819379921452867L, (java.lang.Number)(-499704), (java.lang.Number)12550837L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test199"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-10122L), (java.lang.Number)33001251281937L, (java.lang.Number)13720);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test200"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(460933079735213880L, (-14771706444558099L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 475704786179771979L);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test201"); }


    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", number1, number2, (java.lang.Number)(-20100));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test202"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported", "");

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test203"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -28399400 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [-3942,100]", "org.joda.time.IllegalFieldValueException: Value -86578266 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [21444403,9871]");
    java.lang.String str3 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -86578266 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [21444403,9871]\" for org.joda.time.IllegalFieldValueException: Value -28399400 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [-3942,100] is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -86578266 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [21444403,9871]\" for org.joda.time.IllegalFieldValueException: Value -28399400 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [-3942,100] is not supported"));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test204"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException6.getSuppressed();
    java.lang.Number number13 = illegalFieldValueException6.getIllegalNumberValue();
    java.lang.String str14 = illegalFieldValueException6.getIllegalStringValue();
    java.lang.Number number15 = illegalFieldValueException6.getUpperBound();
    java.lang.String str16 = illegalFieldValueException6.toString();
    java.lang.Number number17 = illegalFieldValueException6.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test205"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str10 = illegalFieldValueException7.toString();
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException7);
    java.lang.String str13 = illegalFieldValueException7.toString();
    java.lang.String str14 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException7.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test206"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1219701814511759L, 68342342871050L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1288044157382809L);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test207"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    illegalFieldValueException2.prependMessage("");
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str10 = illegalFieldValueException9.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    java.lang.String str15 = illegalFieldValueException13.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException13.getSuppressed();
    java.lang.String str17 = illegalFieldValueException13.toString();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str19 = illegalFieldValueException9.toString();
    illegalFieldValueException9.prependMessage("");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number23 = illegalFieldValueException9.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException26.getDurationFieldType();
    java.lang.String str28 = illegalFieldValueException26.toString();
    java.lang.Number number32 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)(-2271952000L), (java.lang.Number)898L, number32);
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    illegalFieldValueException33.prependMessage("");
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException9.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str28.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test208"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(7449926, (-1177601280));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test209"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException7.getFieldName();
    java.lang.String str11 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number15 = illegalFieldValueException14.getUpperBound();
    java.lang.String str16 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException14.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str21 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str22 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    java.lang.String str27 = illegalFieldValueException25.getIllegalStringValue();
    java.lang.String str28 = illegalFieldValueException25.toString();
    illegalFieldValueException25.prependMessage("0.0");
    org.joda.time.DurationFieldType durationFieldType31 = illegalFieldValueException25.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType32 = illegalFieldValueException25.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str28.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType32);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test210"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", "org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported must be in the range [100,101000000]");

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test211"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(10528, (-1565716));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1555188));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test212"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported", (java.lang.Number)(-86756484), (java.lang.Number)444077760343411L, (java.lang.Number)1141682155);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test213"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)(-82812), (java.lang.Number)8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test214"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test215"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-10084), (-1431777208));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test216"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str17 = illegalFieldValueException16.toString();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException16.getDurationFieldType();
    java.lang.Number number20 = illegalFieldValueException16.getLowerBound();
    java.lang.String str21 = illegalFieldValueException16.getIllegalValueAsString();
    java.lang.String str22 = illegalFieldValueException16.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test217"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]");
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test218"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test219"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(127298520, 19094);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test220"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str9 = illegalFieldValueException8.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.Number number12 = illegalFieldValueException8.getIllegalNumberValue();
    java.lang.Number number13 = illegalFieldValueException8.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.String str17 = illegalFieldValueException16.getIllegalStringValue();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str20 = illegalFieldValueException2.getFieldName();
    java.lang.Number number21 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number22 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType23 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType23);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test221"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number17 = illegalFieldValueException16.getUpperBound();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException16.getSuppressed();
    java.lang.String str20 = illegalFieldValueException16.toString();
    java.lang.Number number21 = illegalFieldValueException16.getLowerBound();
    java.lang.Number number22 = illegalFieldValueException16.getIllegalNumberValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str25 = illegalFieldValueException2.toString();
    java.lang.Number number26 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str25.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test222"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("40", (java.lang.Number)8, number2, (java.lang.Number)(-7806620614L));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "8"+ "'", str5.equals("8"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "40"+ "'", str6.equals("40"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-7806620614L)+ "'", number7.equals((-7806620614L)));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test223"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)915589700995360L, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test224"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(63178050, 96958);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test225"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-3107447491L), (java.lang.Number)31086, (java.lang.Number)27559010);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test226"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number4 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number5 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str14 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str15 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException10.getSuppressed();
    java.lang.String str17 = illegalFieldValueException10.getFieldName();
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number20 = illegalFieldValueException10.getUpperBound();
    java.lang.String str21 = illegalFieldValueException10.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException10.getDateTimeFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException10.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test227"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number13 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.String str14 = illegalFieldValueException12.getIllegalStringValue();
    java.lang.String str15 = illegalFieldValueException12.getIllegalValueAsString();
    java.lang.Number number16 = illegalFieldValueException12.getIllegalNumberValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("null", (java.lang.Number)(-1432547402L), (java.lang.Number)(-11000L), (java.lang.Number)3996);
    java.lang.String str23 = illegalFieldValueException22.getIllegalStringValue();
    java.lang.Number number24 = illegalFieldValueException22.getLowerBound();
    boolean b25 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + (-11000L)+ "'", number24.equals((-11000L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test228"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)8, "org.joda.time.IllegalFieldValueException: Value \"-28400517\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test229"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-65664825051137L), 228734108742488L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 163069283691351L);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test230"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 3035143, (-1565716), (-56055));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test231"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(100L, 3095603313L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3095603213L));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test232"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test233"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("");
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test234"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-160L), 8401359547188L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8401359547028L);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test235"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1432348700L), 8661745);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-12406639190481500L));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test236"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported", "-86578266");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported"));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test237"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-571484));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 571484);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test238"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-177709500), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-177709500));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test239"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(91872752159521162L, 2661866430420480L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test240"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", (java.lang.Number)(-160426434382L), (java.lang.Number)125239964L, (java.lang.Number)131229342);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number8 = illegalFieldValueException7.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException7.getDurationFieldType();
    illegalFieldValueException7.prependMessage("-1");
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.String str14 = illegalFieldValueException7.toString();
    java.lang.String str15 = illegalFieldValueException7.getIllegalValueAsString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported");
    java.lang.Number number20 = illegalFieldValueException19.getLowerBound();
    java.lang.String str21 = illegalFieldValueException19.getFieldName();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Number number23 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: -1: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: -1: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + (-160426434382L)+ "'", number23.equals((-160426434382L)));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test241"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported is not supported", (java.lang.Number)(-1.0f), (java.lang.Number)(-4198), (java.lang.Number)104);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-4198)+ "'", number6.equals((-4198)));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test242"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-127913100), 0, 29700829);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test243"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    java.lang.String str15 = illegalFieldValueException13.getIllegalStringValue();
    java.lang.String str16 = illegalFieldValueException13.getFieldName();
    java.lang.String str17 = illegalFieldValueException13.getIllegalValueAsString();
    java.lang.String str18 = illegalFieldValueException13.toString();
    java.lang.String str19 = illegalFieldValueException13.getFieldName();
    java.lang.Number number20 = illegalFieldValueException13.getIllegalNumberValue();
    java.lang.Number number21 = illegalFieldValueException13.getIllegalNumberValue();
    boolean b22 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, (java.lang.Object)illegalFieldValueException13);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException13.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test244"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(110, (-10100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1111000));

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test245"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test246"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(24920496355590L, 334039341426770880L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 334064261923126470L);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test247"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    illegalFieldValueException2.prependMessage("");
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "");
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    java.lang.String str14 = illegalFieldValueException2.getFieldName();
    java.lang.Number number15 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test248"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-218829188716608L), 28399400000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test249"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-167514079), (-26432579), 82, 14720016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 12132432);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test250"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException2.getSuppressed();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str11 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test251"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)27562750, (java.lang.Number)(-15334673), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test252"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-9990414L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-9990414));

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test253"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test254"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-86578266), (-28404205), (-130339150), (-223423952));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test255"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"\" for hi! is not supported", (java.lang.Number)10040000, (java.lang.Number)(-410), (java.lang.Number)(-4064636872649352L));

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test256"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-40670473610540000L), (-256350458));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test257"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported", (java.lang.Number)86589689, (java.lang.Number)(-6036), (java.lang.Number)5029208991183770L);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test258"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(86597531, 10040000, (-28398200), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-16955273));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test259"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported", (java.lang.Number)43239, (java.lang.Number)(-4098), (java.lang.Number)(-5));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "43239"+ "'", str5.equals("43239"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test260"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test261"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, (-1489761546));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test262"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", (java.lang.Number)99, (java.lang.Number)(-1671984), (java.lang.Number)(-177709699L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException7.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Number number11 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-1671984)+ "'", number11.equals((-1671984)));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test263"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-607553744), 38730055);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-568823689));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test264"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str9 = illegalFieldValueException2.getIllegalValueAsString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.String str13 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-3852283403591267L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test266"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-2564), 3436, 10742);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test267"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must be in the range [14720016,-177709500]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test268"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)2639289551311733L, (java.lang.Number)6844566012617L, (java.lang.Number)(-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test269"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(68342342870347L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test270"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-6540320), (java.lang.Number)578830566995872507L, (java.lang.Number)49843803);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test271"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(4039);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4039));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test272"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", (java.lang.Number)(byte)1, (java.lang.Number)300L, (java.lang.Number)100.0f);
    java.lang.String str5 = illegalFieldValueException4.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException4.getFieldName();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test273"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)33482725421337L, (java.lang.Number)(-15696477), (java.lang.Number)2251978188255L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test274"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test275"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported is not supported"));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test276"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str10 = illegalFieldValueException9.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException9.getFieldName();
    java.lang.Number number13 = illegalFieldValueException9.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number15 = illegalFieldValueException9.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException9.getDurationFieldType();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str19 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test277"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-28474670), (java.lang.Number)(-17828321747677668L), (java.lang.Number)(-1685014));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test278"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    java.lang.Number number11 = illegalFieldValueException6.getLowerBound();
    java.lang.String str12 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.String str13 = illegalFieldValueException6.getFieldName();
    java.lang.String str14 = illegalFieldValueException6.getFieldName();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException6.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Number number17 = illegalFieldValueException6.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException6.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test279"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number10 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number11 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test280"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.String str11 = illegalFieldValueException10.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.String str13 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str14 = illegalFieldValueException2.getIllegalValueAsString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -86578266 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [21444403,9871]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test281"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-3791209573061L), 1697178817341332640L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test282"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for -28400517 is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test283"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(28124353, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test284"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-2106323494935L), (java.lang.Number)167221701102679910L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test285"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "10040000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test286"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-237600L), (java.lang.Number)(-424617170583048L), (java.lang.Number)1591186052530000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test287"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("null", number1, (java.lang.Number)(-14757358743854416L), (java.lang.Number)(-920));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-920)+ "'", number5.equals((-920)));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test288"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 28124353, 285678234);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test289"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-22847261), 451728, 7972);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test290"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", (java.lang.Number)(-28399400L), (java.lang.Number)(-3942), (java.lang.Number)(short)100);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-28399400L)+ "'", number7.equals((-28399400L)));

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test291"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]", (java.lang.Number)(-160L), (java.lang.Number)15797477, number3);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number8 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 15797477+ "'", number8.equals(15797477));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test292"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str6 = illegalFieldValueException5.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    java.lang.String str13 = illegalFieldValueException9.toString();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str15 = illegalFieldValueException5.toString();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException5.getSuppressed();
    java.lang.Number number17 = illegalFieldValueException5.getLowerBound();
    java.lang.String str18 = illegalFieldValueException5.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.String str20 = illegalFieldValueException5.getFieldName();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    java.lang.String str22 = illegalFieldValueException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test293"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(519990, 1801914);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2321904);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test294"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", (java.lang.Number)(-7977L), (java.lang.Number)(-14341971599763L), (java.lang.Number)0.0f);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-7977L)+ "'", number5.equals((-7977L)));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test295"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)21444403L, (java.lang.Number)157905L, (java.lang.Number)7972);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test296"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 14718952, (-98280951), (-18880));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test297"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException2.toString();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    java.lang.String str20 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.String str21 = illegalFieldValueException18.getFieldName();
    java.lang.String str22 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.String str23 = illegalFieldValueException18.toString();
    java.lang.String str24 = illegalFieldValueException18.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str26 = illegalFieldValueException18.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException18.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test298"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(53486544, (-28484770), 363765364);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 53486544);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test299"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    java.lang.String str14 = illegalFieldValueException12.getIllegalStringValue();
    java.lang.String str15 = illegalFieldValueException12.getFieldName();
    java.lang.String str16 = illegalFieldValueException12.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str18 = illegalFieldValueException12.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException12.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test300"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    java.lang.String str12 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.String str13 = illegalFieldValueException6.getFieldName();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException6.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException17.prependMessage("hi!");
    java.lang.String str20 = illegalFieldValueException17.toString();
    java.lang.Number number21 = illegalFieldValueException17.getIllegalNumberValue();
    java.lang.Number number22 = illegalFieldValueException17.getUpperBound();
    java.lang.String str23 = illegalFieldValueException17.toString();
    java.lang.Number number24 = illegalFieldValueException17.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException17.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str29 = illegalFieldValueException28.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number33 = illegalFieldValueException32.getUpperBound();
    java.lang.String str34 = illegalFieldValueException32.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException32.getSuppressed();
    java.lang.String str36 = illegalFieldValueException32.toString();
    illegalFieldValueException28.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    org.joda.time.DateTimeFieldType dateTimeFieldType38 = illegalFieldValueException32.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType39 = illegalFieldValueException32.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817]", "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException45 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException45);
    illegalFieldValueException32.addSuppressed((java.lang.Throwable)illegalFieldValueException45);
    illegalFieldValueException32.prependMessage("-22847261");
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    boolean b51 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, (java.lang.Object)illegalFieldValueException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str29.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + ""+ "'", str34.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str36.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test301"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-9535275568796L), (-28290021L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-9535303858817L));

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test302"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", (java.lang.Number)203, (java.lang.Number)(-140), (java.lang.Number)(-104));
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    illegalFieldValueException4.prependMessage("130498000");
    java.lang.String str8 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test303"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1215429892), 27562546);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test304"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(141797, 926832, 17158278, 38730055);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 22640407);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test305"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-4281089));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4281089);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test306"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-74382), (-28484770), (-58185947));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test307"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: -22847261: Value \"\" for  is not supported", (-1274025912), (-164), (-55029));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test308"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000", 0, 12991133, (-12157094));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test309"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]", "-28400517");
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException19.getDurationFieldType();
    java.lang.String str21 = illegalFieldValueException19.toString();
    java.lang.Number number22 = illegalFieldValueException19.getLowerBound();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    illegalFieldValueException19.prependMessage("200");
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.String str27 = illegalFieldValueException19.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: 200: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: 200: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test310"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]", (java.lang.Number)(-498500L), (java.lang.Number)10L, (java.lang.Number)(-93902));
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 8980 for 1 must not be smaller than 53404160");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-498500L)+ "'", number5.equals((-498500L)));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test311"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(730574436905323L, 41622317);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test312"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test313"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", (-3571785), (-8939972), 40);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test314"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(12146888, (-5634));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 12141254);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test315"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-118L), (java.lang.Number)584640, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test316"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must be in the range [14720016,-177709500]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test317"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, (-6560));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-6560));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test318"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", "-1");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test319"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", (java.lang.Number)(-3848), (java.lang.Number)(-13742), (java.lang.Number)(-132817L));
    illegalFieldValueException8.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException8.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test320"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 9487609, (-301192));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test321"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number13 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.String str14 = illegalFieldValueException12.getIllegalStringValue();
    java.lang.String str15 = illegalFieldValueException12.getIllegalValueAsString();
    java.lang.Number number16 = illegalFieldValueException12.getIllegalNumberValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException12.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test322"); }


    java.lang.Object obj0 = new java.lang.Object();
    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "hi!");
    boolean b4 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException3);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException3.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException3.getLowerBound();
    java.lang.Number number7 = illegalFieldValueException3.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test323"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-2091710200615L), (java.lang.Number)(-13994008), (java.lang.Number)(-12047680));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test324"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test325"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)6558851609520L, number2, (java.lang.Number)(-431411879895184L));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test326"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.String str15 = illegalFieldValueException2.getFieldName();
    java.lang.String str16 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)10000, (java.lang.Number)10.0f, (java.lang.Number)1L);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    org.joda.time.DurationFieldType durationFieldType24 = illegalFieldValueException22.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType24);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test327"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number8 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number10 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    java.lang.String str17 = illegalFieldValueException15.getIllegalStringValue();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.String str19 = illegalFieldValueException15.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number23 = illegalFieldValueException22.getUpperBound();
    java.lang.String str24 = illegalFieldValueException22.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException22.getSuppressed();
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    java.lang.Number number27 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.Number number29 = illegalFieldValueException2.getUpperBound();
    java.lang.String str30 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test328"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]: Value \"\" for  is not supported", (java.lang.Number)126467246420897858L, (java.lang.Number)15680483, (java.lang.Number)(-130121284130422536L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException7.prependMessage("hi!");
    java.lang.String str10 = illegalFieldValueException7.toString();
    java.lang.String str11 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Number number12 = illegalFieldValueException7.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str23 = illegalFieldValueException20.toString();
    java.lang.Number number24 = illegalFieldValueException20.getLowerBound();
    boolean b25 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException20);
    java.lang.String str26 = illegalFieldValueException20.toString();
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException20.getDurationFieldType();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.Number number29 = illegalFieldValueException20.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test329"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 4566720, (-15734), (-226388));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test330"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, (-1854));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test331"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-5634), (-69424), (-1473019199));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test332"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)3096, (java.lang.Number)912840868496399058L, (java.lang.Number)3090);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test333"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", number1, (java.lang.Number)(-1L), (java.lang.Number)110);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException4.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]", (java.lang.Number)179348700, (java.lang.Number)(-42168874), (java.lang.Number)(-167221698029141593L));
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test334"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported", (java.lang.Number)10100, (java.lang.Number)(-7060L), (java.lang.Number)(-5826703));
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported"));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test335"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    java.lang.String str10 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str11 = illegalFieldValueException2.getFieldName();
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test336"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-2406), "org.joda.time.IllegalFieldValueException: Value 28826000 for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported must not be smaller than -11241954");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test337"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1169783772);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1169783772));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test338"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value 40 for  must be in the range [100,200]", 74414874, 627129, 370170027);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test339"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)68926036796520L, number2, (java.lang.Number)(-52725));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test340"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("100", (java.lang.Number)(-341652), (java.lang.Number)(-167221698029142296L), (java.lang.Number)(-150997L));
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-341652)+ "'", number5.equals((-341652)));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test341"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-11242158), "1432149416");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test342"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-4873439153428259760L), (-33261569511927171L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test343"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-28400517L), (-19936658200L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-19965058717L));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test344"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 10, 275100, (-22847359));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test345"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-23840287055204594L), (java.lang.Number)(-2662036855423973L), (java.lang.Number)(-2635));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test346"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: -1: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test347"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(5927, 22640407, 38006339, 220594);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test348"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-227282504727363L), (java.lang.Number)(-13), (java.lang.Number)(-30187088));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test349"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported", (java.lang.Number)(-484448437377L), (java.lang.Number)(-160426434382L), (java.lang.Number)(-1624));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-484448437377"+ "'", str5.equals("-484448437377"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-160426434382L)+ "'", number6.equals((-160426434382L)));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test350"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test351"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-607553744), (java.lang.Number)(-1830819538874486603L), (java.lang.Number)(-177701528));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test352"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1585055000), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test353"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 13365876, 7032157, 370170027);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test354"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)3470169138824360L, (java.lang.Object)77590);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test355"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(12141254, 0, (-9561), (-2488801));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test356"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(37517593390884737L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test357"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-128676617112L), (java.lang.Number)39444516, (java.lang.Number)(-2661866430460277L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test358"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"-498500", (java.lang.Object)9424407);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test359"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -200 for  must not be smaller than 1", "-28400517");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test360"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-132655467457199L), 216075602L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-132655683532801L));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test361"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(12146888, 3624, (-370399781), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-358249270));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test362"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-3108194813L), "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test363"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-99000), (java.lang.Number)(short)10, (java.lang.Number)(-10205));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test364"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str8 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException7.getSuppressed();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException7.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException18.getDurationFieldType();
    java.lang.String str22 = illegalFieldValueException18.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException26.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str31 = illegalFieldValueException30.toString();
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    org.joda.time.DurationFieldType durationFieldType33 = illegalFieldValueException30.getDurationFieldType();
    java.lang.Number number34 = illegalFieldValueException30.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = illegalFieldValueException30.getDateTimeFieldType();
    java.lang.String str36 = illegalFieldValueException30.getFieldName();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", (java.lang.Number)200L, (java.lang.Number)203L, (java.lang.Number)1993);
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    java.lang.Number number45 = illegalFieldValueException2.getLowerBound();
    java.lang.String str46 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str31.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str46.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test365"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-31323968), "org.joda.time.IllegalFieldValueException: : org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test366"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str11 = illegalFieldValueException10.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: Value -2271952000 for org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported must not be smaller than 898");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test367"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must be in the range [14720016,-177709500]", 201, (-42166880), (-295551025));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test368"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(987, (-17682));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-16695));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test369"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported", (java.lang.Number)(-210490), (java.lang.Number)527471522331312000L, (java.lang.Number)484456272800L);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test370"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported", (java.lang.Number)(-418461464), (java.lang.Number)1099, (java.lang.Number)(-158994484885L));

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test371"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(13622013593275392L, 6698620235601114L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 20320633828876506L);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test372"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test373"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(18916822432694363L, (-91872927290364655L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-72956104857670292L));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test374"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str21 = illegalFieldValueException18.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number23 = illegalFieldValueException18.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test375"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(8980L, 252894098019894481L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 252894098019903461L);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test376"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-68328956888418L), (-4198));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 286844961017578764L);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test377"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number13 = illegalFieldValueException6.getLowerBound();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]");
    java.lang.Number number16 = illegalFieldValueException6.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    java.lang.String str22 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    java.lang.String str24 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.Number number25 = illegalFieldValueException20.getLowerBound();
    java.lang.String str26 = illegalFieldValueException20.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException20.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException20.getDurationFieldType();
    boolean b29 = org.joda.time.field.FieldUtils.equals((java.lang.Object)7299397435278057600L, (java.lang.Object)illegalFieldValueException20);
    java.lang.Number number30 = illegalFieldValueException20.getIllegalNumberValue();
    java.lang.Number number33 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", (java.lang.Number)(-22847261), number33, (java.lang.Number)15310800);
    java.lang.String str36 = illegalFieldValueException35.getIllegalValueAsString();
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException20.getDurationFieldType();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    org.joda.time.DurationFieldType durationFieldType40 = illegalFieldValueException20.getDurationFieldType();
    java.lang.String str41 = illegalFieldValueException20.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "-22847261"+ "'", str36.equals("-22847261"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + ""+ "'", str41.equals(""));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test378"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-16438207166965882L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test379"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -28399400 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [-3942,100]", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported");

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test380"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str5 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported"));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test381"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1909766346629082043L, (-7360L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test382"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(151007L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 151007);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test383"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(9457793779302378L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test384"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    illegalFieldValueException2.prependMessage("");
    java.lang.String str7 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number9 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number10 = illegalFieldValueException2.getUpperBound();
    java.lang.String str11 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException2.getSuppressed();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)21513);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test385"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]", (java.lang.Number)(-14341971599762L), (java.lang.Number)22152L, (java.lang.Number)2091710057820L);
    java.lang.String str5 = illegalFieldValueException4.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -14341971599762 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must be in the range [22152,2091710057820]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value -14341971599762 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must be in the range [22152,2091710057820]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test386"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str9 = illegalFieldValueException8.getIllegalStringValue();
    illegalFieldValueException8.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str13 = illegalFieldValueException2.getFieldName();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test387"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    java.lang.String str13 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number19 = illegalFieldValueException18.getUpperBound();
    java.lang.String str20 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array21 = illegalFieldValueException18.getSuppressed();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException18.prependMessage("40");
    java.lang.String str25 = illegalFieldValueException18.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str27 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test388"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "100959600");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test389"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported", "org.joda.time.IllegalFieldValueException: -22847261: Value \"\" for  is not supported");

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test390"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "297452");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test391"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)130498000, (java.lang.Number)1200, (java.lang.Number)(-177709500L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException7.getSuppressed();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException7.getSuppressed();
    illegalFieldValueException7.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException4.getSuppressed();
    java.lang.String str16 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 130498000 for org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0] must be in the range [1200,-177709500]"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value 130498000 for org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0] must be in the range [1200,-177709500]"));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test392"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-31983096493588800L), 32546682514067780L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 563586020478980L);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test393"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(100, 39444516);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test394"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)10, (java.lang.Number)36800000, (java.lang.Number)299700L);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str14 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str15 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException10.getSuppressed();
    java.lang.String str17 = illegalFieldValueException10.getFieldName();
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number20 = illegalFieldValueException10.getLowerBound();
    java.lang.String str21 = illegalFieldValueException10.getFieldName();
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    java.lang.String str24 = illegalFieldValueException10.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException10.getDateTimeFieldType();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    boolean b27 = org.joda.time.field.FieldUtils.equals((java.lang.Object)10, (java.lang.Object)illegalFieldValueException7);
    java.lang.Number number28 = illegalFieldValueException7.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test395"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(100959600, 16253);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100975853);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test396"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(91906234885060145L, 206808632);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test397"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-1618844,100]", (-450163410), (-22847360), (-14720176));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test398"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000", "org.joda.time.IllegalFieldValueException: Value \"10100\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported is not supported");

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", 919873440, (-452), (-28290021));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test400"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", (java.lang.Number)(-22847261), number2, (java.lang.Number)15310800);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "-22847261"+ "'", str7.equals("-22847261"));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test401"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 275100, (-104), (-5));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test402"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1555188), (java.lang.Number)(-335365866), (java.lang.Number)919L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test403"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", (java.lang.Number)(byte)1, (java.lang.Number)300L, (java.lang.Number)100.0f);
    java.lang.String str5 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number9 = illegalFieldValueException8.getUpperBound();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException8.getSuppressed();
    java.lang.String str12 = illegalFieldValueException8.toString();
    java.lang.Number number13 = illegalFieldValueException8.getLowerBound();
    java.lang.String str14 = illegalFieldValueException8.getIllegalValueAsString();
    java.lang.String str15 = illegalFieldValueException8.getFieldName();
    java.lang.String str16 = illegalFieldValueException8.getFieldName();
    java.lang.Number number17 = illegalFieldValueException8.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.Number number19 = illegalFieldValueException8.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str21 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str22 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "1"+ "'", str21.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test404"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-300L), (-10987019942400L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test405"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-24836062));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 24836062);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test406"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException2.toString();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str24 = illegalFieldValueException23.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    java.lang.String str26 = illegalFieldValueException23.getFieldName();
    java.lang.Number number27 = illegalFieldValueException23.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str31 = illegalFieldValueException30.getIllegalStringValue();
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException18.getSuppressed();
    java.lang.Number number36 = illegalFieldValueException18.getUpperBound();
    java.lang.String str37 = illegalFieldValueException18.toString();
    java.lang.String str38 = illegalFieldValueException18.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str37.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + ""+ "'", str38.equals(""));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test407"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test408"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-1", (-12836), 299199, 441200);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test409"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException15.getDateTimeFieldType();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
    java.lang.String str26 = illegalFieldValueException15.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test410"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str4 = illegalFieldValueException3.toString();
    java.lang.String str5 = illegalFieldValueException3.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException3.getFieldName();
    java.lang.String str7 = illegalFieldValueException3.getIllegalStringValue();
    java.lang.Number number8 = illegalFieldValueException3.getLowerBound();
    java.lang.String str9 = illegalFieldValueException3.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException3.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException3.getDurationFieldType();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)7299397435278057600L, (java.lang.Object)illegalFieldValueException3);
    java.lang.String str13 = illegalFieldValueException3.getIllegalStringValue();
    illegalFieldValueException3.prependMessage("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]");
    java.lang.String str16 = illegalFieldValueException3.toString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException3.getSuppressed();
    java.lang.Number number18 = illegalFieldValueException3.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test411"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.String str10 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.String str11 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException6.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test412"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException6.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number20 = illegalFieldValueException19.getUpperBound();
    java.lang.String str21 = illegalFieldValueException19.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException19.getSuppressed();
    java.lang.String str23 = illegalFieldValueException19.toString();
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException19.getSuppressed();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    illegalFieldValueException6.prependMessage("-3848");
    java.lang.Number number29 = illegalFieldValueException6.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test413"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test414"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-681110), (java.lang.Number)(-3791547840303L), (java.lang.Number)(-4873439153428259760L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test415"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-132085273054999L), (-499704));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test416"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number13 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.String str14 = illegalFieldValueException12.getIllegalStringValue();
    java.lang.String str15 = illegalFieldValueException12.getIllegalValueAsString();
    java.lang.Number number16 = illegalFieldValueException12.getIllegalNumberValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str18 = illegalFieldValueException12.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test417"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(28406858, (-17646965), (-69810));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-6747454));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test418"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-27562750), (-15356965), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test419"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", (java.lang.Number)10100, number2, (java.lang.Number)10000);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.String str8 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test420"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str23 = illegalFieldValueException15.getFieldName();
    java.lang.String str24 = illegalFieldValueException15.getIllegalValueAsString();
    java.lang.String str25 = illegalFieldValueException15.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test421"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-2684443570527163L), (java.lang.Number)(-861302479059L), (java.lang.Number)(-7299397435306417000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test422"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number5 = illegalFieldValueException2.getIllegalNumberValue();
    illegalFieldValueException2.prependMessage("");
    java.lang.String str8 = illegalFieldValueException2.getFieldName();
    java.lang.String str9 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test423"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-58443153), number2, (java.lang.Number)(-929268804365952L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test424"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: 100: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported");

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test425"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str23 = illegalFieldValueException15.getFieldName();
    java.lang.String str24 = illegalFieldValueException15.getIllegalValueAsString();
    java.lang.String str25 = illegalFieldValueException15.toString();
    boolean b27 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException15, (java.lang.Object)5147064684480L);
    java.lang.Number number28 = illegalFieldValueException15.getUpperBound();
    illegalFieldValueException15.prependMessage("-1");
    java.lang.Throwable[] throwable_array31 = illegalFieldValueException15.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"+ "'", str25.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test426"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(21988183);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-21988183));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test427"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)5044361834951711586L, (java.lang.Number)(-42920));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test428"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test429"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.String str8 = illegalFieldValueException5.toString();
    java.lang.String str9 = illegalFieldValueException5.getIllegalValueAsString();
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value \"-1\" for 130498000 is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test430"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-2864996206L), (-1423104060));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4077187732643196360L);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test431"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-56800874), 410770);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test432"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -40 for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported must be in the range [-28400517,-4034]", (java.lang.Number)49843803L, (java.lang.Number)(-553950016), (java.lang.Number)571484);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-553950016)+ "'", number5.equals((-553950016)));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test433"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(184382, 4055156);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test434"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1993 for org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported must be in the range [1994,-1993]", (java.lang.Number)10528, (java.lang.Number)7299396424453166706L, (java.lang.Number)(-132817));
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test435"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"10100\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported is not supported", (java.lang.Number)(-69465555789443L), (java.lang.Number)38726743, (java.lang.Number)(-17646965));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-69465555789443"+ "'", str5.equals("-69465555789443"));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test436"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1244817593941488L), (java.lang.Number)(-1408014), (java.lang.Number)(-703));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test437"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 10084, 2622, 28542);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test438"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test439"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.Throwable throwable10 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException6.addSuppressed(throwable10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test440"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", (java.lang.Number)200L, (java.lang.Number)1203L, (java.lang.Number)28399400);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str10 = illegalFieldValueException9.toString();
    java.lang.Number number11 = illegalFieldValueException9.getIllegalNumberValue();
    java.lang.Number number12 = illegalFieldValueException9.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException15.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str20 = illegalFieldValueException19.toString();
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Number number22 = illegalFieldValueException15.getUpperBound();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str24 = illegalFieldValueException9.getFieldName();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str26 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number28 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 1203L+ "'", number28.equals(1203L));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test441"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-2006191734962337624L), (-167221537536000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test442"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-28400517), 43239);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test443"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-677), 53404160, (-3144));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test444"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(835164, (-74654588));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test445"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", (-123430), 0, 1993);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test446"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test447"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10040000L, "-69465555789443");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test448"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str10 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test449"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 299006, 44191852, 91644);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test450"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    illegalFieldValueException2.prependMessage("");
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "");
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str30 = illegalFieldValueException29.toString();
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.String str33 = illegalFieldValueException29.getFieldName();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.String str35 = illegalFieldValueException29.getIllegalStringValue();
    java.lang.Number number36 = illegalFieldValueException29.getIllegalNumberValue();
    java.lang.String str37 = illegalFieldValueException29.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str30.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "hi!"+ "'", str33.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + ""+ "'", str35.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "hi!"+ "'", str37.equals("hi!"));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test451"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1219701814511759L, 457570509022904L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test452"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)10193621, (java.lang.Number)(-746400L), (java.lang.Number)(-60995184));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test453"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1917824466405637L), 167002897239795339L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test454"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", "");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)553950016);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test455"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value -199000 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported must be in the range [158965538573,167216196044085280]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test456"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", (-15300678), (-177701528), (-28398301));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test457"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 130497997, 4281087, (-21250689));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test458"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported", 1788948, (-18466075), 91809319);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test459"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -160 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must not be smaller than 15797477", (-177701528), 4566616, (-14933337));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(3852088565488L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test461"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 8980 for 1 must not be smaller than 53404160", "org.joda.time.IllegalFieldValueException: Value -201 for org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0] must not be larger than 997");

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test462"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-18720), (java.lang.Object)37517593390884737L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test463"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException12.getDurationFieldType();
    java.lang.String str16 = illegalFieldValueException12.getIllegalStringValue();
    illegalFieldValueException12.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException12.getDurationFieldType();
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number22 = illegalFieldValueException2.getUpperBound();
    java.lang.String str23 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test464"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str11 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test465"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("40", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for 40 is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for 40 is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test466"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported is not supported", (java.lang.Number)(-307962852), number2, (java.lang.Number)(-98));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test467"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1889801, (java.lang.Number)(-177701528), (java.lang.Number)(-136772630060950993L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test468"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-452), 25349888, 519990, 101000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test469"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-4198), 0, 5927);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1730);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-202727998161520L), 614583028200L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test471"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-69810), 28755, 38006339);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test472"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)15849560L, (java.lang.Number)28135113, (java.lang.Number)(-10674487));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test473"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str10 = illegalFieldValueException9.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    java.lang.String str15 = illegalFieldValueException13.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException13.getSuppressed();
    java.lang.String str17 = illegalFieldValueException13.toString();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str19 = illegalFieldValueException9.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number21 = illegalFieldValueException9.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException9.getDurationFieldType();
    java.lang.String str23 = illegalFieldValueException9.toString();
    java.lang.String str24 = illegalFieldValueException9.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test474"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]", (java.lang.Number)(-28400517), (java.lang.Number)14720016, (java.lang.Number)(-177709500));
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str16 = illegalFieldValueException2.toString();
    java.lang.Number number17 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test475"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1039264503860L), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test476"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1432348200, (-98));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1432348102);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test477"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-132085273054000L), (-18192976517675520L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test478"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-5340696710720L), (-23693560000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5364390270720L));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test479"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-60995184), 14829, (-28398301));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test480"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(15861911, (-34065), (-6658));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-7321));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test481"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1220801, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test482"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)160426634085L, (java.lang.Number)(-370416069), (java.lang.Number)16591);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test483"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 53309949, 656000, 121842862);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test484"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test485"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(360520723, 440601);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 360961324);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test486"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported\" for  is not supported", (java.lang.Number)(-2864996206L), (java.lang.Number)(-89668456227782989L), (java.lang.Number)(-160));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test487"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-2271952142L), (java.lang.Number)152L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test488"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", (java.lang.Number)(byte)1, (java.lang.Number)300L, (java.lang.Number)100.0f);
    java.lang.String str5 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.Number number10 = illegalFieldValueException8.getIllegalNumberValue();
    java.lang.Number number11 = illegalFieldValueException8.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b13 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)illegalFieldValueException8);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)10, (java.lang.Number)36800000, (java.lang.Number)299700L);
    java.lang.String str19 = illegalFieldValueException18.toString();
    java.lang.Number number20 = illegalFieldValueException18.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number22 = illegalFieldValueException18.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 36800000+ "'", number20.equals(36800000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 36800000+ "'", number22.equals(36800000));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test489"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1713556), (-28135113), 0, (-13994008));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test490"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-39633588), (-4198), 1276320);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test491"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -12251137 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [29717443885710,-7256]", 10308, 27399, 38888854);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test492"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getLowerBound();
    java.lang.String str13 = illegalFieldValueException2.getFieldName();
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number15 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str23 = illegalFieldValueException22.toString();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = illegalFieldValueException27.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str32 = illegalFieldValueException31.toString();
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    illegalFieldValueException22.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    org.joda.time.DurationFieldType durationFieldType35 = illegalFieldValueException31.getDurationFieldType();
    java.lang.Number number36 = illegalFieldValueException31.getLowerBound();
    java.lang.String str37 = illegalFieldValueException31.getIllegalValueAsString();
    java.lang.Number number38 = illegalFieldValueException31.getUpperBound();
    java.lang.String str39 = illegalFieldValueException31.getFieldName();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test493"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-100), (-223423952), 2033);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test494"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(811519296, (-162992034));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 648527262);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test495"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    illegalFieldValueException9.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str13 = illegalFieldValueException9.getFieldName();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number6, (java.lang.Object)illegalFieldValueException9);
    java.lang.String str15 = illegalFieldValueException9.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test496"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(30368832063857581L, 24920496355590L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test497"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported must be in the range [-164,-164]", number1, (java.lang.Number)(-12651840L), (java.lang.Number)(-204));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test498"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)7032157, (java.lang.Number)(-28399258203L));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 7032157+ "'", number5.equals(7032157));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test499"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-132L), 1081081146495480L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1081081146495348L);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test500"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.getFieldName();
    java.lang.Number number11 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str12 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str16 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));

  }

}
