
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest20 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test001"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-3847), 2835, (-98512580));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test002"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)40, (java.lang.Number)(short)100, (java.lang.Number)200);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    java.lang.String str9 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test003"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported");
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test004"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-17646965), (-104), 31086);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test005"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(0L, 17166703279798137L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 17166703279798137L);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test006"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(3762753483437L, 298740);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1124084975641969380L);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test007"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)40, (java.lang.Number)(short)100, (java.lang.Number)200);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 40+ "'", number7.equals(40));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test008"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-29489683), (-15614274));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test009"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str10 = illegalFieldValueException9.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str12 = illegalFieldValueException9.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    java.lang.String str16 = illegalFieldValueException15.getIllegalStringValue();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str18 = illegalFieldValueException15.toString();
    java.lang.String str19 = illegalFieldValueException15.getIllegalValueAsString();
    java.lang.Number number20 = illegalFieldValueException15.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for  is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test010"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "130498000");
    illegalFieldValueException2.prependMessage("1993");

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test011"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.String str15 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str16 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException2.getFieldName();
    java.lang.Number number18 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number19 = illegalFieldValueException2.getLowerBound();
    boolean b21 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for 40 is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test012"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test013"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(441200, (-40720254), 0, 7060);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3951);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test014"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)7299404279844070920L, (java.lang.Number)(-571484), (java.lang.Number)3470169138824360L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test015"); }


    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]", number1, number2, (java.lang.Number)852844560);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test016"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-13653166565519L), 10084);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-137678531646693596L));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test017"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-27562750), (-1602501380));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1630064130));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test018"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported", (java.lang.Number)(-1.0d), (java.lang.Number)(-28399400000L), (java.lang.Number)(-28542));
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number3, (java.lang.Object)illegalFieldValueException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test019"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException6.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str11 = illegalFieldValueException10.toString();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.String str13 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str17 = illegalFieldValueException16.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str19 = illegalFieldValueException16.getFieldName();
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException16.getSuppressed();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    boolean b22 = org.joda.time.field.FieldUtils.equals((java.lang.Object)101000, (java.lang.Object)illegalFieldValueException10);
    java.lang.Number number23 = illegalFieldValueException10.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException10.getDateTimeFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test020"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    java.lang.String str12 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    java.lang.String str14 = illegalFieldValueException10.toString();
    java.lang.Number number15 = illegalFieldValueException10.getLowerBound();
    java.lang.String str16 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    java.lang.String str22 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    java.lang.String str24 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str26 = illegalFieldValueException10.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.String str28 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str28.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test021"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", (java.lang.Number)(-40), (java.lang.Number)(-28400517), (java.lang.Number)(-4034));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-4034)+ "'", number5.equals((-4034)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test022"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str9 = illegalFieldValueException8.getIllegalStringValue();
    illegalFieldValueException8.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str13 = illegalFieldValueException2.getFieldName();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test023"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    java.lang.String str12 = illegalFieldValueException6.getIllegalValueAsString();
    illegalFieldValueException6.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.Number number16 = illegalFieldValueException6.getLowerBound();
    java.lang.String str17 = illegalFieldValueException6.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test024"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(33813276347266L, 158908748520L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 33654367598746L);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test025"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-93), 14718952, (-10084), 85877710);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 14718859);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test026"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(91872522382243440L, 930617);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test027"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 13336, 299199, (-6724));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test028"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str16 = illegalFieldValueException2.toString();
    java.lang.String str17 = illegalFieldValueException2.getFieldName();
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str17, (java.lang.Object)"-28399400");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test029"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("100", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException5.getSuppressed();
    java.lang.String str8 = illegalFieldValueException5.getFieldName();
    java.lang.String str9 = illegalFieldValueException5.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test030"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)(-15428943760357575L), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test031"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(2043);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2043));

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test032"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.getFieldName();
    java.lang.Number number11 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number13 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test033"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("99", (java.lang.Number)490463, (java.lang.Number)(-24764209103299176L), (java.lang.Number)(-31523443873L));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test034"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str4 = illegalFieldValueException3.toString();
    java.lang.String str5 = illegalFieldValueException3.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException3.getFieldName();
    java.lang.String str7 = illegalFieldValueException3.getIllegalStringValue();
    java.lang.Number number8 = illegalFieldValueException3.getLowerBound();
    java.lang.String str9 = illegalFieldValueException3.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException3.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException3.getDurationFieldType();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)7299397435278057600L, (java.lang.Object)illegalFieldValueException3);
    java.lang.Number number13 = illegalFieldValueException3.getIllegalNumberValue();
    java.lang.Number number16 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", (java.lang.Number)(-22847261), number16, (java.lang.Number)15310800);
    java.lang.String str19 = illegalFieldValueException18.getIllegalValueAsString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException3.getDurationFieldType();
    java.lang.String str22 = illegalFieldValueException3.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "-22847261"+ "'", str19.equals("-22847261"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test035"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)92844);
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test036"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str8 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException7.getSuppressed();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException7.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException18.getDurationFieldType();
    java.lang.String str22 = illegalFieldValueException18.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException26.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str31 = illegalFieldValueException30.toString();
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    org.joda.time.DurationFieldType durationFieldType33 = illegalFieldValueException30.getDurationFieldType();
    java.lang.Number number34 = illegalFieldValueException30.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = illegalFieldValueException30.getDateTimeFieldType();
    java.lang.String str36 = illegalFieldValueException30.getFieldName();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", (java.lang.Number)200L, (java.lang.Number)203L, (java.lang.Number)1993);
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    java.lang.Number number45 = illegalFieldValueException2.getLowerBound();
    java.lang.Throwable throwable46 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException2.addSuppressed(throwable46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str31.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test037"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported must be in the range [159629960,-13742]", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported");

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test038"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1618844), 59032823, 13336);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test039"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number5 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number15 = illegalFieldValueException8.getUpperBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.Object obj17 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException20.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str25 = illegalFieldValueException24.toString();
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException24.getDurationFieldType();
    java.lang.String str28 = illegalFieldValueException24.getFieldName();
    java.lang.Number number29 = illegalFieldValueException24.getIllegalNumberValue();
    boolean b30 = org.joda.time.field.FieldUtils.equals(obj17, (java.lang.Object)illegalFieldValueException24);
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)b30);
    java.lang.String str32 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str25.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test040"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-1169783772));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test041"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.Number number9 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test042"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-13385268739L), (-158994484885L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test043"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-21250689), "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test044"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-160), 703, (-14719874), 992);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 543);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test045"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", (java.lang.Number)(-7977L), (java.lang.Number)(-14341971599763L), (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test046"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value 40 for  must be in the range [100,200]");

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test047"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(6698614451040066L, (-6224322L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6698614457264388L);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test048"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(457570498983107L, 102L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 46672190896276914L);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test049"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1200), 290879, (-320));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test050"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1788948), (-70734), (-82812));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test051"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number12 = illegalFieldValueException2.getLowerBound();
    java.lang.String str13 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test052"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: 200: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", (java.lang.Object)(-805398170358602716L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test053"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-6065400));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6065400);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test054"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)92844);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException2.getFieldName();
    java.lang.String str14 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test055"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]");
    java.lang.String str3 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for -92844 is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]\" for  is not supported"));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test056"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(932970320, (-9353), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-6994));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test057"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test058"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str11 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test059"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", (java.lang.Number)100L, (java.lang.Number)1.0f, (java.lang.Number)(-201));
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 100 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [1.0,-201]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 100 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [1.0,-201]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test060"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(399200, (-1672144), 143214556);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 399200);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test061"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1179, (-28399498), (-3942));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test062"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-11283), 15848223, (-14720176));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test063"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-83847085), (java.lang.Number)(-98L), (java.lang.Number)(-587761994641416L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test064"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-22592026393986L), "158993936773");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test065"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(767891368, (-3996));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test066"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", number1, (java.lang.Number)100, (java.lang.Number)(-94044));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException7.getFieldName();
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str15 = illegalFieldValueException14.getIllegalStringValue();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    boolean b17 = org.joda.time.field.FieldUtils.equals((java.lang.Object)100, (java.lang.Object)illegalFieldValueException14);
    java.lang.Number number18 = illegalFieldValueException14.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str22 = illegalFieldValueException21.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number26 = illegalFieldValueException25.getUpperBound();
    java.lang.String str27 = illegalFieldValueException25.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array28 = illegalFieldValueException25.getSuppressed();
    java.lang.String str29 = illegalFieldValueException25.toString();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    java.lang.String str31 = illegalFieldValueException21.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException21.getDateTimeFieldType();
    java.lang.String str33 = illegalFieldValueException21.getIllegalStringValue();
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException14, (java.lang.Object)str33);
    java.lang.String str35 = illegalFieldValueException14.getIllegalValueAsString();
    illegalFieldValueException14.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported is not supported");
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException14.getDurationFieldType();
    boolean b40 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException14, (java.lang.Object)(-431411879895184L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str29.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + ""+ "'", str33.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + ""+ "'", str35.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test067"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 142000, 100990800, 2104058040);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test068"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-7953069), (-2596075), 15645989, 38314604);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 34788088);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test069"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(160426285173L, 646819041675L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-486392756502L));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test070"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    boolean b6 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)131229484);
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test071"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -160 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must not be smaller than 15797477", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported\" for 130498000 is not supported");

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test072"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    java.lang.String str12 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    java.lang.String str14 = illegalFieldValueException10.toString();
    java.lang.Number number15 = illegalFieldValueException10.getLowerBound();
    java.lang.String str16 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    java.lang.String str22 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    java.lang.String str24 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str26 = illegalFieldValueException10.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType30 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType30);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test073"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)205507, "org.joda.time.IllegalFieldValueException: 8: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test074"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-2106323494935L), 1474468189409989L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1472361865915054L);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-18466075), 108466990, (-70734));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test076"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("0.0", "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test077"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-489338337322866L), (-579191150763051L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test078"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 7, 0, (-17933027));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test079"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-1", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test080"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException2.toString();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str24 = illegalFieldValueException23.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException23.getDateTimeFieldType();
    java.lang.String str26 = illegalFieldValueException23.getFieldName();
    java.lang.Number number27 = illegalFieldValueException23.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str31 = illegalFieldValueException30.getIllegalStringValue();
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException18);
    illegalFieldValueException18.prependMessage("-10000");
    java.lang.String str37 = illegalFieldValueException18.getFieldName();
    java.lang.Number number38 = illegalFieldValueException18.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType39 = illegalFieldValueException18.getDateTimeFieldType();
    illegalFieldValueException18.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "hi!"+ "'", str37.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType39);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test081"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("0.0", (java.lang.Number)298L, (java.lang.Number)100959600, (java.lang.Number)(-1989900));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number9 = illegalFieldValueException8.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException8.getUpperBound();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException8.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "298"+ "'", str5.equals("298"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test082"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-10987019942400L), (java.lang.Number)28826000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test083"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getIllegalStringValue();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException6.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str18 = illegalFieldValueException17.toString();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException17.getSuppressed();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Number number21 = illegalFieldValueException17.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test084"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)183902160, (java.lang.Number)(-1863814000L), (java.lang.Number)(-820));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test085"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]", (java.lang.Number)253626333989800040L, number2, (java.lang.Number)(-59894331));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    java.lang.Number number9 = illegalFieldValueException7.getIllegalNumberValue();
    java.lang.String str10 = illegalFieldValueException7.getFieldName();
    illegalFieldValueException7.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException7.getDateTimeFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test086"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test087"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(32546682514067780L, 28521582643L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test088"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 28395553, 28395553, (-177140424));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test089"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(28408161, (-270657));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 28137504);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test090"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"hi!\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", (-1437790182), 28135113, 363765364);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test091"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-61023726), (-3090), (-11241954));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test092"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", (java.lang.Number)200L, (java.lang.Number)1203L, (java.lang.Number)28399400);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value -28400517 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-1618844,100]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test093"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test094"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)48, (java.lang.Number)9871, (java.lang.Number)(-199000L));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test095"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-10984740053723L), 1432348200L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test096"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1422848));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1422848);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test097"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)(-275100), number2, (java.lang.Number)3996);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test098"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1", (java.lang.Number)1.0d, (java.lang.Number)(-28359400), number3);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1");
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException9.prependMessage("hi!");
    illegalFieldValueException9.prependMessage("");
    java.lang.Number number14 = illegalFieldValueException9.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", (java.lang.Number)100L, (java.lang.Number)1.0f, (java.lang.Number)(-201));
    java.lang.Number number20 = illegalFieldValueException19.getIllegalNumberValue();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    boolean b22 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)illegalFieldValueException19);
    java.lang.Number number23 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number24 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 100L+ "'", number20.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test099"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.toString();
    java.lang.Number number8 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)(-2271952000L), (java.lang.Number)898L, number8);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "-2271952000"+ "'", str11.equals("-2271952000"));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test100"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test101"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test102"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(6452433876494400000L, (-5729394800L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test103"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(6698620235601114L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test104"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 220594, (-167792), (-28399306));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test105"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported", "");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported"));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test106"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-112851659871467663L), 9457793602349281L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test107"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(40737494, 28127474, 1211);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test108"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)(-141655203), (java.lang.Number)(-457570498983006L));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-141655203)+ "'", number5.equals((-141655203)));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test109"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number13 = illegalFieldValueException6.getLowerBound();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]: Value \"\" for hi! is not supported", (java.lang.Number)2490994530L, (java.lang.Number)(-4042), (java.lang.Number)(-18880));
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test110"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", (java.lang.Number)490, (java.lang.Number)(-199L), number3);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number8 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-199L)+ "'", number8.equals((-199L)));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test111"); }


    java.lang.Number number1 = null;
    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)2506, number3);
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("0.0", (java.lang.Number)298L, (java.lang.Number)100959600, (java.lang.Number)(-1989900));
    java.lang.String str10 = illegalFieldValueException9.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    java.lang.Number number15 = illegalFieldValueException13.getUpperBound();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException13.getSuppressed();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str19 = illegalFieldValueException9.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str23 = illegalFieldValueException22.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number27 = illegalFieldValueException26.getUpperBound();
    java.lang.String str28 = illegalFieldValueException26.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array29 = illegalFieldValueException26.getSuppressed();
    java.lang.String str30 = illegalFieldValueException26.toString();
    illegalFieldValueException22.addSuppressed((java.lang.Throwable)illegalFieldValueException26);
    java.lang.String str32 = illegalFieldValueException22.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = illegalFieldValueException22.getDateTimeFieldType();
    java.lang.Number number34 = illegalFieldValueException22.getLowerBound();
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException22.getSuppressed();
    java.lang.String str36 = illegalFieldValueException22.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType37 = illegalFieldValueException22.getDurationFieldType();
    java.lang.String str38 = illegalFieldValueException22.getIllegalStringValue();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "298"+ "'", str10.equals("298"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "0.0"+ "'", str19.equals("0.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + ""+ "'", str28.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str30.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + ""+ "'", str36.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + ""+ "'", str38.equals(""));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test112"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 299700, (-348), (-28399498));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test113"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 440601, (-3571785), 104249);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test114"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    java.lang.String str11 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Number number12 = illegalFieldValueException6.getLowerBound();
    java.lang.String str13 = illegalFieldValueException6.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test115"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for  must be in the range [36800000,299700]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    illegalFieldValueException2.prependMessage("hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test116"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(356098075574318902L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test117"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-32830157632032186L), (-1179));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test118"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)122191640L, number2, (java.lang.Number)1647079727591427L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test119"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", "org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1");

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test120"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(457570498983107L, (-28399400000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test121"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number11 = illegalFieldValueException10.getUpperBound();
    java.lang.String str12 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    java.lang.String str14 = illegalFieldValueException10.toString();
    java.lang.Number number15 = illegalFieldValueException10.getLowerBound();
    java.lang.String str16 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.String str17 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    java.lang.String str22 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    java.lang.String str24 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str26 = illegalFieldValueException10.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.Number number28 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str30 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test122"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-10987019942400L), 18916626784069644L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test123"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-22847261), 6153);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test124"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number9 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test125"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-13365876), (-2406));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-13368282));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test126"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(2950922907924855736L, 920);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test127"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1640299), (-1432348700), 1558356);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test128"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-526740924573318443L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test129"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-11283), 28400436);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test130"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("40");
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test131"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 86577644, 131229484, 9429);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test132"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number15 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    java.lang.String str20 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.String str21 = illegalFieldValueException18.getFieldName();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException18.getSuppressed();
    java.lang.Number number23 = illegalFieldValueException18.getUpperBound();
    java.lang.String str24 = illegalFieldValueException18.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str26 = illegalFieldValueException18.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test133"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(159032304873L, 1932744819945L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test134"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-34065), 378292740, (-6341569));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test135"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str16 = illegalFieldValueException2.toString();
    java.lang.String str17 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable throwable18 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException2.addSuppressed(throwable18);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test136"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)176069, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test137"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for null must be in the range [-14757358743854416,-920]", (java.lang.Number)18916626784069644L, (java.lang.Number)(-178113563), number3);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test138"); }


    java.lang.Number number1 = null;
    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]", number1, (java.lang.Number)334039342859119280L, number3);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test139"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported must be in the range [-164,-164]", (java.lang.Number)300L, (java.lang.Number)(-457570498982904L), (java.lang.Number)(-28406858));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-457570498982904L)+ "'", number5.equals((-457570498982904L)));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test140"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(15861911);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-15861911));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test141"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-15049), 0, 28406858);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test142"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test143"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 20100, (-223423952), 40718400);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test144"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    illegalFieldValueException2.prependMessage("");
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number12 = illegalFieldValueException11.getUpperBound();
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str15 = illegalFieldValueException11.getIllegalValueAsString();
    java.lang.String str16 = illegalFieldValueException11.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException11.getSuppressed();
    java.lang.String str18 = illegalFieldValueException11.getFieldName();
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.Number number21 = illegalFieldValueException11.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException11.getDurationFieldType();
    java.lang.String str23 = illegalFieldValueException11.toString();
    java.lang.Number number24 = illegalFieldValueException11.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str28 = illegalFieldValueException27.toString();
    java.lang.String str29 = illegalFieldValueException27.getIllegalStringValue();
    java.lang.String str30 = illegalFieldValueException27.getFieldName();
    java.lang.String str31 = illegalFieldValueException27.getIllegalValueAsString();
    java.lang.String str32 = illegalFieldValueException27.toString();
    java.lang.String str33 = illegalFieldValueException27.getIllegalStringValue();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number40 = illegalFieldValueException39.getLowerBound();
    java.lang.Number number41 = illegalFieldValueException39.getIllegalNumberValue();
    java.lang.String str42 = illegalFieldValueException39.getIllegalStringValue();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str45 = illegalFieldValueException11.toString();
    java.lang.Number number46 = illegalFieldValueException11.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str28.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + ""+ "'", str29.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + ""+ "'", str33.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + ""+ "'", str42.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str45.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test145"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    boolean b27 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, (java.lang.Object)dateTimeFieldType26);
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported");
    java.lang.String str30 = illegalFieldValueException6.toString();
    org.joda.time.DurationFieldType durationFieldType31 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number32 = illegalFieldValueException6.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"+ "'", str30.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test146"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(9793, (-17890372), 0, (-15614274));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test147"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test148"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test149"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1225113700), 28408161, (-22847359));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test150"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(319233526213L, (-28399400203L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test151"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str12 = illegalFieldValueException11.toString();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str14 = illegalFieldValueException11.toString();
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str17 = illegalFieldValueException11.getFieldName();
    org.joda.time.DurationFieldType durationFieldType18 = illegalFieldValueException11.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType18);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test152"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("");
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test153"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-6423192), 452);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-6422740));

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test154"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", "298");

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test155"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1932744662042L), (java.lang.Number)335365866, (java.lang.Number)(-67065002L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test156"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 193);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test157"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)177707508, (java.lang.Number)254541917989800000L, (java.lang.Number)93484);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test158"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(82, (-35834));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2938388));

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test159"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("7299397435278057600", (java.lang.Number)(-39883), number2, (java.lang.Number)992);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test160"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str10 = illegalFieldValueException9.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str12 = illegalFieldValueException9.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException9.getLowerBound();
    java.lang.String str14 = illegalFieldValueException9.getFieldName();
    java.lang.Number number15 = illegalFieldValueException9.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test161"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(5368924431601L, (-21771797990523L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test162"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 3198466136728567950L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3198466136728567950L));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test163"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.String str15 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]");
    java.lang.String str18 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number23 = illegalFieldValueException22.getUpperBound();
    java.lang.String str24 = illegalFieldValueException22.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException22.getSuppressed();
    java.lang.String str26 = illegalFieldValueException22.toString();
    java.lang.String str27 = illegalFieldValueException22.getFieldName();
    java.lang.Throwable[] throwable_array28 = illegalFieldValueException22.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException22.getDurationFieldType();
    java.lang.Throwable[] throwable_array30 = illegalFieldValueException22.getSuppressed();
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-386184), (java.lang.Object)illegalFieldValueException22);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    java.lang.Throwable[] throwable_array33 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test164"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("null", (-40720254), 74654588, (-13720));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test165"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1422848), (-2993337), (-28399306), (-18720));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-4416185));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test166"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str4 = illegalFieldValueException3.toString();
    java.lang.String str5 = illegalFieldValueException3.getIllegalStringValue();
    illegalFieldValueException3.prependMessage("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str11 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number15 = illegalFieldValueException14.getUpperBound();
    java.lang.String str16 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    java.lang.String str18 = illegalFieldValueException14.toString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.Number number20 = illegalFieldValueException10.getIllegalNumberValue();
    java.lang.String str21 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException10.getSuppressed();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str27 = illegalFieldValueException26.toString();
    java.lang.Number number28 = illegalFieldValueException26.getIllegalNumberValue();
    java.lang.Number number29 = illegalFieldValueException26.getIllegalNumberValue();
    java.lang.Number number30 = illegalFieldValueException26.getUpperBound();
    java.lang.String str31 = illegalFieldValueException26.getFieldName();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException26);
    boolean b33 = org.joda.time.field.FieldUtils.equals((java.lang.Object)211455729485316696L, (java.lang.Object)illegalFieldValueException10);
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported");
    java.lang.String str36 = illegalFieldValueException10.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + ""+ "'", str36.equals(""));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test167"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 52725, 290879, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test168"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("0.0", "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "0.0"+ "'", str3.equals("0.0"));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test169"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("-1");
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    java.lang.Number number10 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: -1: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: -1: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test170"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-32830157632032186L), (java.lang.Number)(-63398439L), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test171"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("1432149416", 3644, 2345073, 320);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test172"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported is not supported", (-521991988), 141422870, (-28400357));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test173"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "hi!");
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test174"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(114076, (-3035143));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2921067));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test175"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(299199, 10000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 309199);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test176"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-2661866430460277L), 202893466677290L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2458972963782987L));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test177"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(11994, 160032863, (-3740), 100988208);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 59052908);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-7360L), 186484128435680L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test179"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("0.0", (java.lang.Number)(-917L), (java.lang.Number)3, (java.lang.Number)1200L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -917 for 0.0 must be in the range [3,1200]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value -917 for 0.0 must be in the range [3,1200]"));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test180"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test181"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(129398200, (-1215429892), (-17646965), (-13994008));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-15714998));

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test182"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)5039025348L, (java.lang.Number)6341569, (java.lang.Number)(-39883));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test183"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException2.getSuppressed();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number11 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("200", (java.lang.Number)100L, number11, (java.lang.Number)(-28398200L));
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str8, (java.lang.Object)(-28398200L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test184"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)183902160, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test185"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)40, (java.lang.Number)(short)100, (java.lang.Number)200);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.Throwable throwable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException4.addSuppressed(throwable7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test186"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-3942), 1633893);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1629951);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test187"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException7.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException7.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException7.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str17 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Number number18 = illegalFieldValueException7.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test188"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: 8: 1: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported", (-1274025912), (-47828826), 193);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test189"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(142472185317799116L, (-587761994641416L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 141884423323157700L);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test190"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException2.getFieldName();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test191"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("43239", "org.joda.time.IllegalFieldValueException: : org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    java.lang.String str7 = illegalFieldValueException5.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test192"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number9 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str17 = illegalFieldValueException16.toString();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str19 = illegalFieldValueException16.toString();
    java.lang.String str20 = illegalFieldValueException16.getIllegalValueAsString();
    java.lang.String str21 = illegalFieldValueException16.getFieldName();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str23 = illegalFieldValueException16.getFieldName();
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException16.getSuppressed();
    java.lang.Number number25 = illegalFieldValueException16.getIllegalNumberValue();
    java.lang.String str26 = illegalFieldValueException16.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test193"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", 93685, 9563, (-370170027));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test194"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-553950016), (java.lang.Number)16841717113039107L, (java.lang.Number)573059400400L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test195"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)12550837L, (java.lang.Number)23529098506807200L, (java.lang.Number)(-2864996202L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test196"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException9.getSuppressed();
    java.lang.Number number17 = illegalFieldValueException9.getIllegalNumberValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str19 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test197"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-405588270147210L), (java.lang.Number)(-22750935142604L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test198"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)335248423, (java.lang.Number)(-177613563), (java.lang.Number)(-15300678));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test199"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-98512680), "-484448437377");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(12141254, 926832, 2033);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test201"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-2887200), 1099, 1169783772);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test202"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("100", (java.lang.Number)(-341652), (java.lang.Number)(-167221698029142296L), (java.lang.Number)(-150997L));
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test203"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(3320369550281L, 919L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test204"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", (java.lang.Object)110);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test205"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException12.getFieldName();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Object obj18 = null;
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, obj18);
    java.lang.String str20 = illegalFieldValueException6.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test206"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(412139, 159629960);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 160042099);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test207"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(5927);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-5927));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test208"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(915583999999078L, (-290880L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test209"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(159629960);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-159629960));

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test210"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-16438207166965882L), (-10984740053723L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-16449191907019605L));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test211"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-320495), 6658);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2133855710));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test212"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(22060);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-22060));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test213"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1633), (java.lang.Number)1240640, (java.lang.Number)(-929925971599763L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test214"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    java.lang.String str14 = illegalFieldValueException12.getIllegalStringValue();
    java.lang.String str15 = illegalFieldValueException12.getFieldName();
    java.lang.String str16 = illegalFieldValueException12.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str18 = illegalFieldValueException12.getIllegalValueAsString();
    java.lang.Number number19 = illegalFieldValueException12.getUpperBound();
    java.lang.String str20 = illegalFieldValueException12.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.String str22 = illegalFieldValueException12.toString();
    illegalFieldValueException12.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for  is not supported");
    java.lang.Number number25 = illegalFieldValueException12.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test215"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1432648501L, 10862);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 15561428017862L);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test216"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-34165629471L), (-2643080732485394L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test217"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test218"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test219"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-1472720000), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test220"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)28398107, (java.lang.Number)10528);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test221"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for -28400517 is not supported", "org.joda.time.IllegalFieldValueException: -10000: Value \"hi!\" for hi! is not supported");

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test222"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", (-12251137), (-1472488491), (-16591));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test223"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)920, (java.lang.Number)(-23693560000L), (java.lang.Number)(-299700));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test224"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(2643080732474394L, 90827393502039159L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-88184312769564765L));

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test225"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array4 = illegalFieldValueException2.getSuppressed();
    boolean b6 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)131229484);
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]");
    java.lang.Number number9 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number11 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", number11, (java.lang.Number)(-204), (java.lang.Number)(-28398200L));
    java.lang.String str15 = illegalFieldValueException14.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str23 = illegalFieldValueException22.toString();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    org.joda.time.DurationFieldType durationFieldType25 = illegalFieldValueException22.getDurationFieldType();
    java.lang.Number number26 = illegalFieldValueException22.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException22.getDateTimeFieldType();
    java.lang.String str28 = illegalFieldValueException22.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str32 = illegalFieldValueException31.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = illegalFieldValueException31.getDateTimeFieldType();
    java.lang.String str34 = illegalFieldValueException31.getFieldName();
    java.lang.Number number35 = illegalFieldValueException31.getLowerBound();
    illegalFieldValueException31.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException22.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    org.joda.time.DateTimeFieldType dateTimeFieldType39 = illegalFieldValueException31.getDateTimeFieldType();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    org.joda.time.DateTimeFieldType dateTimeFieldType41 = illegalFieldValueException31.getDateTimeFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "hi!"+ "'", str34.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType41);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test226"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number5 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number15 = illegalFieldValueException8.getUpperBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.Number number17 = illegalFieldValueException8.getIllegalNumberValue();
    java.lang.String str18 = illegalFieldValueException8.getIllegalStringValue();
    java.lang.Number number19 = illegalFieldValueException8.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test227"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", 7972, 1200, 360);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test228"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("7299397435278057600", (-178113563), (-21004), (-14933337));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test229"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(129662292062615268L, (-27567257728487301L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 157229549791102569L);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test230"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-805354729200L), (-2864996206L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-802489732994L));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test231"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 184382, 220594, 1788961);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test232"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1288044157382809L, 176518037326800L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test233"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-756628675681869L), (java.lang.Number)82, (java.lang.Number)(-13385268739L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test234"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str10 = illegalFieldValueException7.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException13.getDateTimeFieldType();
    java.lang.String str16 = illegalFieldValueException13.getFieldName();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException13.getSuppressed();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException13.getDateTimeFieldType();
    java.lang.String str20 = illegalFieldValueException13.getFieldName();
    java.lang.String str21 = illegalFieldValueException13.getIllegalValueAsString();
    boolean b22 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: Value -7360 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-71623976,-6224322]", (java.lang.Object)str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test235"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str23 = illegalFieldValueException6.getIllegalStringValue();
    java.lang.Number number24 = illegalFieldValueException6.getLowerBound();
    boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number24, (java.lang.Object)"org.joda.time.IllegalFieldValueException: Value 8980 for 1 must not be smaller than 53404160");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test236"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test237"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(9457793602349201L, (-13694908));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test238"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1830819379921452867L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test239"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-660463995616548158L), (-1039264503860L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-660465034881052018L));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test240"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-158993944233L), "-10000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test241"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(68312, (-4098), (-79), (-58443153));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test242"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-4198));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 4198);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test243"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 339338364, (-28290031), 997);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test244"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("100959600", (java.lang.Number)(-498500L), (java.lang.Number)(-1474465391171943L), (java.lang.Number)740399);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test245"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)(-201), number2, (java.lang.Number)997L);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException7.getDurationFieldType();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException7.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str17 = illegalFieldValueException16.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number21 = illegalFieldValueException20.getUpperBound();
    java.lang.String str22 = illegalFieldValueException20.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException20.getSuppressed();
    java.lang.String str24 = illegalFieldValueException20.toString();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException20.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException20.getSuppressed();
    java.lang.String str28 = illegalFieldValueException20.getIllegalValueAsString();
    java.lang.Number number29 = illegalFieldValueException20.getUpperBound();
    java.lang.String str30 = illegalFieldValueException20.getIllegalStringValue();
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)throwable_array13, (java.lang.Object)illegalFieldValueException20);
    java.lang.String str32 = illegalFieldValueException20.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + ""+ "'", str28.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test246"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported", 8980, (-4171763), (-1169783772));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test247"); }


    java.lang.Object obj0 = new java.lang.Object();
    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "hi!");
    boolean b4 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException3);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException3.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException3.getLowerBound();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test248"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-21916441));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test249"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-14771706444558099L), (-298740));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test250"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str10 = illegalFieldValueException9.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str12 = illegalFieldValueException9.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number20 = illegalFieldValueException19.getUpperBound();
    java.lang.String str21 = illegalFieldValueException19.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException19.getSuppressed();
    java.lang.String str23 = illegalFieldValueException19.toString();
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.String str25 = illegalFieldValueException15.toString();
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException15.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.Number number28 = illegalFieldValueException15.getIllegalNumberValue();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException15.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str25.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test251"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-4873439153428140960L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test252"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-177140424), (java.lang.Number)(-28484770), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test253"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1532609412663113371L, 22592026387950L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test254"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str4 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported is not supported"));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test255"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)28399400203L, (java.lang.Number)(-16438207166965882L), (java.lang.Number)(-117443));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test256"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(100, 0, 0, (-341652));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test257"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: : Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -14341971599762 for org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902] must be in the range [22152,2091710057820] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test258"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-2920075403426884664L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test259"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test260"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", (java.lang.Number)131229484, (java.lang.Number)(-13694908), (java.lang.Number)(-94044));
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test261"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test262"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-28404205), (-4039));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-28408244));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test263"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", (java.lang.Number)(-6658), (java.lang.Number)238626249203022125L, (java.lang.Number)(-1244976588227373L));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test264"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    illegalFieldValueException2.prependMessage("");
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "");
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number13 = illegalFieldValueException9.getUpperBound();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException9.getSuppressed();
    java.lang.String str15 = illegalFieldValueException9.toString();
    java.lang.String str16 = illegalFieldValueException9.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test265"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-307962900), (-28532), 339338364);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test266"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)66296510099128600L, number2, (java.lang.Number)(-1555068240));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test267"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1\" for hi! is not supported", (java.lang.Number)(-1585055000), (java.lang.Number)(-15696477), (java.lang.Number)(-160));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test268"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)3309337452584189356L, (java.lang.Number)740399, (java.lang.Number)(-1432355460L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test269"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)8633041536000000000L, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for  is not supported: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test270"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(238627288426971921L, (-43123));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test271"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number8 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test272"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)16436128842891897L, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test273"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1830819538887037440L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1830819538887037440L));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test274"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException10.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str15 = illegalFieldValueException14.toString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str17 = illegalFieldValueException14.toString();
    java.lang.String str18 = illegalFieldValueException14.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.Number number20 = illegalFieldValueException2.getUpperBound();
    java.lang.String str21 = illegalFieldValueException2.getFieldName();
    java.lang.String str22 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException25.getSuppressed();
    java.lang.String str27 = illegalFieldValueException25.toString();
    boolean b28 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str22, (java.lang.Object)str27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test275"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str10 = illegalFieldValueException7.toString();
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)1, (java.lang.Object)illegalFieldValueException7);
    java.lang.String str13 = illegalFieldValueException7.toString();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str15 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.String str16 = illegalFieldValueException7.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test276"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported: Value \"hi!\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported", "");

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test277"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 14718859, (-22060), (-41622317));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test278"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported must be in the range [159629960,-13742]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test279"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 10100 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must not be larger than 10000", 86589689, (-12159088), (-98));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test280"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", (java.lang.Number)587592510177103L, (java.lang.Number)(-88184312769564765L), (java.lang.Number)204);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test281"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-194), (java.lang.Number)4, (java.lang.Number)(-12319897));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test282"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str19 = illegalFieldValueException18.toString();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str21 = illegalFieldValueException18.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    org.joda.time.DurationFieldType durationFieldType23 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType24 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType28 = illegalFieldValueException27.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str32 = illegalFieldValueException31.toString();
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException31.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException31.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException31.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = illegalFieldValueException39.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException43 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str44 = illegalFieldValueException43.toString();
    illegalFieldValueException39.addSuppressed((java.lang.Throwable)illegalFieldValueException43);
    org.joda.time.DurationFieldType durationFieldType46 = illegalFieldValueException43.getDurationFieldType();
    java.lang.Number number47 = illegalFieldValueException43.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = illegalFieldValueException43.getDateTimeFieldType();
    java.lang.String str49 = illegalFieldValueException43.getFieldName();
    illegalFieldValueException31.addSuppressed((java.lang.Throwable)illegalFieldValueException43);
    illegalFieldValueException43.prependMessage("");
    boolean b53 = org.joda.time.field.FieldUtils.equals((java.lang.Object)durationFieldType24, (java.lang.Object)"");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str35.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str44.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "hi!"+ "'", str49.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test283"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(7435, 2043, 53309949, 4566303);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test284"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(7299404279844070920L, (-142));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test285"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-28399400L), (-1432348402));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 40677835207758800L);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test286"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(2090278051300L, (-22592026393986L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test287"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1830833880858637202L), 28395553);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test288"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.Number number12 = illegalFieldValueException6.getIllegalNumberValue();
    java.lang.String str13 = illegalFieldValueException6.getFieldName();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException6.getDurationFieldType();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -498500 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must be in the range [10,-93902]: Value \"\" for  is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test289"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str10 = illegalFieldValueException7.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException13.getDateTimeFieldType();
    java.lang.String str16 = illegalFieldValueException13.getFieldName();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException13.getSuppressed();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)101000, (java.lang.Object)illegalFieldValueException7);
    java.lang.Number number20 = illegalFieldValueException7.getIllegalNumberValue();
    java.lang.String str21 = illegalFieldValueException7.toString();
    java.lang.String str22 = illegalFieldValueException7.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str26 = illegalFieldValueException25.toString();
    java.lang.String str27 = illegalFieldValueException25.getIllegalStringValue();
    java.lang.String str28 = illegalFieldValueException25.getFieldName();
    java.lang.String str29 = illegalFieldValueException25.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number33 = illegalFieldValueException32.getUpperBound();
    java.lang.String str34 = illegalFieldValueException32.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException32.getSuppressed();
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str40 = illegalFieldValueException39.toString();
    java.lang.String str41 = illegalFieldValueException39.getIllegalStringValue();
    java.lang.String str42 = illegalFieldValueException39.getFieldName();
    illegalFieldValueException32.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    java.lang.Number number44 = illegalFieldValueException32.getUpperBound();
    java.lang.Number number45 = illegalFieldValueException32.getUpperBound();
    java.lang.Throwable[] throwable_array46 = illegalFieldValueException32.getSuppressed();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + ""+ "'", str29.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + ""+ "'", str34.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str40.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + ""+ "'", str41.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "hi!"+ "'", str42.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array46);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test290"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1494980));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1494980);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test291"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str12 = illegalFieldValueException11.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str14 = illegalFieldValueException11.getFieldName();
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str19 = illegalFieldValueException18.getIllegalStringValue();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number21 = illegalFieldValueException18.getLowerBound();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str24 = illegalFieldValueException18.getIllegalStringValue();
    illegalFieldValueException18.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test292"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-3186493802238308154L), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test293"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(293696858097372L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test294"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)5044361836965527961L, (java.lang.Number)(-40000L), (java.lang.Number)(-482490938237023L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test295"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-3852088565488L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test296"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(10040000L, (-44643411));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-448219846440000L));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test297"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.toString();
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)1932744662042L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test298"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str8 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test299"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(100988208, 201, 0, (-14872727));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test300"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test301"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-159629960), "org.joda.time.IllegalFieldValueException: -1: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: Value \"\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test302"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be larger than -8");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: 0.0: Value \"\" for  is not supported");
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test303"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)2555204, (java.lang.Number)12146888, (java.lang.Number)1039223949796L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(339338364, 20637, 1024);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test305"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(2941465111036602023L, 16436128842891897L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2957901239879493920L);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test306"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException12.getDurationFieldType();
    java.lang.String str16 = illegalFieldValueException12.getIllegalStringValue();
    illegalFieldValueException12.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException12.getDurationFieldType();
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str22 = illegalFieldValueException12.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number26 = illegalFieldValueException25.getUpperBound();
    java.lang.String str27 = illegalFieldValueException25.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array28 = illegalFieldValueException25.getSuppressed();
    java.lang.String str29 = illegalFieldValueException25.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = illegalFieldValueException32.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str37 = illegalFieldValueException36.toString();
    illegalFieldValueException32.addSuppressed((java.lang.Throwable)illegalFieldValueException36);
    java.lang.Throwable[] throwable_array39 = illegalFieldValueException32.getSuppressed();
    java.lang.Number number40 = illegalFieldValueException32.getIllegalNumberValue();
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    boolean b42 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException12, (java.lang.Object)illegalFieldValueException32);
    illegalFieldValueException32.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    java.lang.String str45 = illegalFieldValueException32.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str29.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str37.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + ""+ "'", str45.equals(""));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test307"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-805157370551290716L), 23529098506807200L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test308"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-160267970045L), (-12159088));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1948712351358518960L);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test309"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-86303166), (-694852), (-1274025912));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test310"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException7.getFieldName();
    java.lang.String str11 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number15 = illegalFieldValueException14.getUpperBound();
    java.lang.String str16 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException14.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str21 = illegalFieldValueException14.getFieldName();
    java.lang.Number number22 = illegalFieldValueException14.getIllegalNumberValue();
    java.lang.String str23 = illegalFieldValueException14.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test311"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Object obj15 = null;
    boolean b16 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFieldType14, obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test312"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 28398107, 0, (-14719874));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test313"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-16392L), (java.lang.Number)(-98280951), (java.lang.Number)(-1010824890795L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test314"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("1", "");

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test315"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]", (java.lang.Number)(-498500L), (java.lang.Number)10L, (java.lang.Number)(-93902));
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number9 = illegalFieldValueException8.getUpperBound();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException8.getSuppressed();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException8.getSuppressed();
    java.lang.Number number13 = illegalFieldValueException8.getLowerBound();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-11283), (java.lang.Object)illegalFieldValueException8);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str16 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number17 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "-498500"+ "'", str16.equals("-498500"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (-498500L)+ "'", number17.equals((-498500L)));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test316"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)57305940040L, (java.lang.Number)5708471757L, (java.lang.Number)(byte)(-1));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 5708471757L+ "'", number5.equals(5708471757L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test317"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str9 = illegalFieldValueException2.getIllegalValueAsString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.Number number13 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test318"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 2644173, 2033, 2506);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test319"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-33261569511927171L), (-28290031));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test320"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1581650776961204L, (-314257899));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test321"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-424617170725048L), 16436128864880080L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test322"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-2259200), (-571484));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2830684));

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test323"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-22296260), 14718392);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7577868));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test324"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-731133284148L), (java.lang.Number)91872522382242419L, (java.lang.Number)112954000316218912L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test325"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200]", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test326"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-19158908857804800L), (java.lang.Number)(-16392L), (java.lang.Number)(-132085273054999L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test327"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Number number9 = illegalFieldValueException2.getUpperBound();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str11 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str12 = illegalFieldValueException2.getFieldName();
    java.lang.String str13 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException16.prependMessage("hi!");
    illegalFieldValueException16.prependMessage("");
    java.lang.String str21 = illegalFieldValueException16.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str23 = illegalFieldValueException16.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test328"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-241231), (java.lang.Number)(-2842), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test329"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number11 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException2.getSuppressed();
    java.lang.String str13 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test330"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(300699L, (-915587238401137L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-915587238100438L));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test331"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str5 = illegalFieldValueException2.toString();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number8 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number10 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    java.lang.String str17 = illegalFieldValueException15.getIllegalStringValue();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.String str19 = illegalFieldValueException15.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number23 = illegalFieldValueException22.getUpperBound();
    java.lang.String str24 = illegalFieldValueException22.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException22.getSuppressed();
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    java.lang.Number number27 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.Number number29 = illegalFieldValueException15.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test332"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -16392 for org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported must not be smaller than -1639200", (-5826703), (-5), (-2921067));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test333"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str17 = illegalFieldValueException16.toString();
    java.lang.String str18 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.String str19 = illegalFieldValueException16.getFieldName();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Number number21 = illegalFieldValueException9.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException9.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "");
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    java.lang.Number number30 = illegalFieldValueException28.getLowerBound();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    java.lang.String str32 = illegalFieldValueException9.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test334"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)52734, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test335"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test336"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.Number number8 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test337"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(2090278051300L, 156903696726L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1933374354574L);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test338"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("10100", (java.lang.Number)38731079, (java.lang.Number)(-14341971599762L), (java.lang.Number)(-28398200L));
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "10100"+ "'", str5.equals("10100"));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test339"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-32830157415956584L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test340"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported", (java.lang.Number)4877140299492926400L, (java.lang.Number)(-424617158466851L), number3);
    java.lang.String str5 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 4877140299492926400 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported must not be smaller than -424617158466851"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 4877140299492926400 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1: Value \"\" for  is not supported must not be smaller than -424617158466851"));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test341"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-89737223355848584L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test342"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str11 = illegalFieldValueException7.getFieldName();
    java.lang.Number number12 = illegalFieldValueException7.getIllegalNumberValue();
    boolean b13 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException7);
    java.lang.String str14 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.String str15 = illegalFieldValueException7.getFieldName();
    java.lang.String str16 = illegalFieldValueException7.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test343"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-40554064L), (-6L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 243324384);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test344"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(63178050, (-82812), 100988208, (-4039));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test345"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    java.lang.Number number11 = illegalFieldValueException6.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException6.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test346"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-13385412370L), 3852088565488L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3838703153118L);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test347"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-489296809304400L), (-3218477057764202030L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test348"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    boolean b27 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, (java.lang.Object)dateTimeFieldType26);
    java.lang.String str28 = illegalFieldValueException6.toString();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException6.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str28.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test349"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-3848", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported"));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test350"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(126473673464742055L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test351"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number9 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for  is not supported");
    java.lang.String str12 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for  is not supported: Value \"\" for  is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]\" for  is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test352"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException6.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException15.getFieldName();
    java.lang.Number number19 = illegalFieldValueException15.getLowerBound();
    illegalFieldValueException15.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.Number number23 = illegalFieldValueException15.getLowerBound();
    java.lang.String str24 = illegalFieldValueException15.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test353"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-2046396587690000L), (java.lang.Number)6698614451040066L, (java.lang.Number)84253);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test354"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1861575014148660L), (java.lang.Number)(-26617275), (java.lang.Number)1432149416L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test355"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]", (java.lang.Number)(-10000), (java.lang.Number)1L, number3);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str6 = illegalFieldValueException4.toString();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "-1");
    java.lang.String str11 = illegalFieldValueException10.toString();
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)illegalFieldValueException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-10000"+ "'", str5.equals("-10000"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"-1\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test356"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)130498000, (java.lang.Number)1200, (java.lang.Number)(-177709500L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException7.getSuppressed();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException7.getSuppressed();
    illegalFieldValueException7.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException4.getSuppressed();
    java.lang.String str16 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str17 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 130498000 for org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0] must be in the range [1200,-177709500]"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value 130498000 for org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0] must be in the range [1200,-177709500]"));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test357"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported", "-498500");

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test358"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-28399261), 0, (-92751134));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test359"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)186484128435680L, (java.lang.Number)(-41622317), (java.lang.Number)(-587592510310079L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test360"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number5 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str13 = illegalFieldValueException12.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number15 = illegalFieldValueException8.getUpperBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str17 = illegalFieldValueException8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test361"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str11 = illegalFieldValueException10.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number15 = illegalFieldValueException14.getUpperBound();
    java.lang.String str16 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    java.lang.String str18 = illegalFieldValueException14.toString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException14.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException14.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str23 = illegalFieldValueException14.getFieldName();
    boolean b25 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException14, (java.lang.Object)(-82384));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test362"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number11 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException2.getSuppressed();
    java.lang.String str13 = illegalFieldValueException2.toString();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test363"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-3740), (java.lang.Number)92844, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test364"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    java.lang.String str8 = illegalFieldValueException6.getIllegalStringValue();
    java.lang.String str9 = illegalFieldValueException6.getFieldName();
    java.lang.String str10 = illegalFieldValueException6.getIllegalStringValue();
    java.lang.Number number11 = illegalFieldValueException6.getLowerBound();
    java.lang.String str12 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Number number13 = illegalFieldValueException6.getUpperBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException2.getSuppressed();
    java.lang.String str16 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test365"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("130498000", "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
    java.lang.String str5 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported\" for 130498000 is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported\" for 130498000 is not supported"));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test366"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-122000922193240214L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test367"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported", "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]");
    java.lang.String str4 = illegalFieldValueException3.getFieldName();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)165777433L, (java.lang.Object)str4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test368"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-14719874), (-1989900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-16709774));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test369"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -7360 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [-71623976,-6224322]", (java.lang.Number)(-270610384920560721L), (java.lang.Number)9457793779302378L, (java.lang.Number)(-52734));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-270610384920560721"+ "'", str5.equals("-270610384920560721"));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test370"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)4566616, (java.lang.Number)(-498500L), (java.lang.Number)1639200);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test371"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-167221537551707766L), (-28406858));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test372"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", (-94044), (-1903), 15795623);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test373"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)158993936773L, (java.lang.Number)21513L, (java.lang.Number)(-1177601280));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", "");
    illegalFieldValueException8.prependMessage("hi!");
    java.lang.String str11 = illegalFieldValueException8.toString();
    java.lang.Number number12 = illegalFieldValueException8.getIllegalNumberValue();
    java.lang.String str13 = illegalFieldValueException8.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException8.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException8.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    java.lang.Number number20 = illegalFieldValueException19.getIllegalNumberValue();
    boolean b21 = org.joda.time.field.FieldUtils.equals((java.lang.Object)throwable_array16, (java.lang.Object)illegalFieldValueException19);
    illegalFieldValueException19.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "158993936773"+ "'", str5.equals("158993936773"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test374"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    java.lang.String str12 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.String str13 = illegalFieldValueException6.getFieldName();
    java.lang.Number number14 = illegalFieldValueException6.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException6.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test375"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException9.getSuppressed();
    java.lang.String str14 = illegalFieldValueException9.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException17.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str22 = illegalFieldValueException21.toString();
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.String str24 = illegalFieldValueException21.toString();
    java.lang.String str25 = illegalFieldValueException21.toString();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.Number number27 = illegalFieldValueException9.getUpperBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException9.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str25.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test376"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException6.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str16 = illegalFieldValueException15.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number20 = illegalFieldValueException19.getUpperBound();
    java.lang.String str21 = illegalFieldValueException19.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException19.getSuppressed();
    java.lang.String str23 = illegalFieldValueException19.toString();
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException19.getSuppressed();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    illegalFieldValueException19.prependMessage("hi!");
    java.lang.Number number29 = illegalFieldValueException19.getLowerBound();
    java.lang.String str30 = illegalFieldValueException19.getIllegalValueAsString();
    java.lang.Number number31 = illegalFieldValueException19.getIllegalNumberValue();
    java.lang.String str32 = illegalFieldValueException19.getFieldName();
    org.joda.time.DurationFieldType durationFieldType33 = illegalFieldValueException19.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType33);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test377"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)4301, number2, (java.lang.Number)(-18466075));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test378"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported must be in the range [159629960,-13742]", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1\" for hi! is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1\" for hi! is not supported"));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test379"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -86578266 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [21444403,9871]\" for org.joda.time.IllegalFieldValueException: Value -28399400 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [-3942,100] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test380"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"-1\" for 130498000 is not supported", (java.lang.Number)376248459456000000L, (java.lang.Number)360961324, (java.lang.Number)252894098019903461L);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test381"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 101016196726392871L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-101016196726392871L));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test382"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "8");

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test383"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "299700");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test384"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-21916441));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 21916441);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test385"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"200\" for org.joda.time.IllegalFieldValueException: Value 40 for  must be in the range [100,200] is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.Number number5 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)(-201), number5, (java.lang.Number)997L);
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException10.getIllegalStringValue();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Number number15 = illegalFieldValueException7.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test386"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-28399400000L), (java.lang.Number)145297539160974L, (java.lang.Number)243324384);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test387"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]");
    java.lang.Number number19 = illegalFieldValueException18.getIllegalNumberValue();
    java.lang.String str20 = illegalFieldValueException18.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number24 = illegalFieldValueException23.getUpperBound();
    java.lang.String str25 = illegalFieldValueException23.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException23.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException23.getDurationFieldType();
    java.lang.String str28 = illegalFieldValueException23.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException23.getDateTimeFieldType();
    java.lang.Number number30 = illegalFieldValueException23.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array31 = illegalFieldValueException23.getSuppressed();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    java.lang.Throwable[] throwable_array33 = illegalFieldValueException23.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + ""+ "'", str28.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test388"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-3848", (java.lang.Number)(-3144), (java.lang.Number)(-6L), (java.lang.Number)558868);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.String str7 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-3848"+ "'", str5.equals("-3848"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "-3848"+ "'", str6.equals("-3848"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -3144 for -3848 must be in the range [-6,558868]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value -3144 for -3848 must be in the range [-6,558868]"));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test389"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(13676971, (-905));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 13676066);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test390"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-28399400", "");

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test391"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-2488801), (-28359400), 110);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test392"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(14718952, (-110));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1619084720));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test393"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)(-2271952000L), (java.lang.Number)898L, number3);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException10.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str15 = illegalFieldValueException14.toString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str17 = illegalFieldValueException14.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException20.getDateTimeFieldType();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException20.getSuppressed();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)101000, (java.lang.Object)illegalFieldValueException14);
    java.lang.Number number27 = illegalFieldValueException14.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.String str31 = illegalFieldValueException30.toString();
    java.lang.Number number32 = illegalFieldValueException30.getIllegalNumberValue();
    illegalFieldValueException14.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = illegalFieldValueException30.getDateTimeFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    java.lang.Number number36 = illegalFieldValueException30.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-2271952000L)+ "'", number6.equals((-2271952000L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str31.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test394"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Number number12 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str13 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number15 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str16 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test395"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", (java.lang.Number)1584956000L, (java.lang.Number)(-132817L), (java.lang.Number)(-17828321770006800L));
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value -13385268739 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported must be in the range [-164,-164] must be in the range [-7705134546018,1558356]");
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)(-201), number9, (java.lang.Number)997L);
    java.lang.String str12 = illegalFieldValueException11.getIllegalStringValue();
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test396"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-7321), 131229484, (-28290021), (-2921067));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-20991567));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test397"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(46475263, 1680034);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 48155297);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test398"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: Value \"\" for -28400517 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(13742, (-299100), 14719874, (-141655203));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test400"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported", number1, (java.lang.Number)(-164), (java.lang.Number)(-164));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test401"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getUpperBound();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.getFieldName();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number8 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number9 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test402"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number13 = illegalFieldValueException6.getLowerBound();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]");
    java.lang.Number number16 = illegalFieldValueException6.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str21 = illegalFieldValueException20.toString();
    java.lang.String str22 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    java.lang.String str24 = illegalFieldValueException20.getIllegalStringValue();
    java.lang.Number number25 = illegalFieldValueException20.getLowerBound();
    java.lang.String str26 = illegalFieldValueException20.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException20.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException20.getDurationFieldType();
    boolean b29 = org.joda.time.field.FieldUtils.equals((java.lang.Object)7299397435278057600L, (java.lang.Object)illegalFieldValueException20);
    java.lang.Number number30 = illegalFieldValueException20.getIllegalNumberValue();
    java.lang.Number number33 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported is not supported", (java.lang.Number)(-22847261), number33, (java.lang.Number)15310800);
    java.lang.String str36 = illegalFieldValueException35.getIllegalValueAsString();
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException20.getDurationFieldType();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str40 = illegalFieldValueException6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + ""+ "'", str24.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "-22847261"+ "'", str36.equals("-22847261"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]: Value \"\" for hi! is not supported"+ "'", str40.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test403"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1830687294648397868L, (-920));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test404"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(5147064684480L, (-231501728975570448L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test405"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str8 = illegalFieldValueException2.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test406"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [300,100.0]", (java.lang.Number)(-201), number2, (java.lang.Number)997L);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException13.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str18 = illegalFieldValueException17.toString();
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Number number21 = illegalFieldValueException7.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test407"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)131229484, "org.joda.time.IllegalFieldValueException: Value \"\" for -28400517 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test408"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    java.lang.Number number10 = illegalFieldValueException6.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    java.lang.String str15 = illegalFieldValueException13.getIllegalStringValue();
    java.lang.String str16 = illegalFieldValueException13.getFieldName();
    java.lang.String str17 = illegalFieldValueException13.getIllegalValueAsString();
    java.lang.String str18 = illegalFieldValueException13.toString();
    java.lang.String str19 = illegalFieldValueException13.getFieldName();
    java.lang.Number number20 = illegalFieldValueException13.getIllegalNumberValue();
    java.lang.Number number21 = illegalFieldValueException13.getIllegalNumberValue();
    boolean b22 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException6, (java.lang.Object)illegalFieldValueException13);
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException13.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test409"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(4105220003520000000L, 66766300L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test410"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 49693791, 0, (-410));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test411"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(313527);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-313527));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test412"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test413"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException6.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException6.getDateTimeFieldType();
    java.lang.String str14 = illegalFieldValueException6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test414"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 10193528, (-18880), (-41622317));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test415"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(25668229501420L, (-237600L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 25668229739020L);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test416"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(913267577377158768L, 141797L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 913267577377016971L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test417"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-5029208991187200000L), (-11383644));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test418"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)102L, (java.lang.Number)(-94044), (java.lang.Number)(-110));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.String str6 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-94044)+ "'", number5.equals((-94044)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 102 for org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported must be in the range [-94044,-110]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 102 for org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported must be in the range [-94044,-110]"));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test419"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -28399400 for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported must be in the range [-3942,100]: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported must be in the range [300,-1.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test420"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value -10100 for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported must be in the range [159629960,-13742]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test421"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1203570001836880L, 15707560L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1203569986129320L);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test422"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 28826000 for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported must not be smaller than -11241954", (java.lang.Number)270657, (java.lang.Number)1801914, (java.lang.Number)(-7764));
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test423"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)14718859, (java.lang.Number)15645989, (java.lang.Number)(-1602501380));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test424"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-166868207415852800L), (java.lang.Number)(-300L), (java.lang.Number)33001251281937L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test425"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported", (java.lang.Number)(-199000L), (java.lang.Number)158965538573L, (java.lang.Number)167216196044085280L);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str12 = illegalFieldValueException11.toString();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException11.getDurationFieldType();
    java.lang.String str15 = illegalFieldValueException11.getFieldName();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException11.getSuppressed();
    java.lang.String str17 = illegalFieldValueException11.getIllegalValueAsString();
    illegalFieldValueException11.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str21 = illegalFieldValueException11.getFieldName();
    java.lang.Number number22 = illegalFieldValueException11.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException26.getDateTimeFieldType();
    java.lang.String str28 = illegalFieldValueException26.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException26.getDateTimeFieldType();
    illegalFieldValueException26.prependMessage("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported");
    java.lang.String str32 = illegalFieldValueException26.getFieldName();
    illegalFieldValueException26.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported");
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + ""+ "'", str28.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "hi!"+ "'", str32.equals("hi!"));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test426"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)5044359743213256769L, (java.lang.Number)(-13694908), (java.lang.Number)681314);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test427"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-9344), 627129);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 617785);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test428"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)28399400203L, (java.lang.Number)(-130121284130422536L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test429"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException6.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException6.getFieldName();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException6.getSuppressed();
    java.lang.String str12 = illegalFieldValueException6.getIllegalValueAsString();
    illegalFieldValueException6.prependMessage("");
    java.lang.String str15 = illegalFieldValueException6.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test430"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported", (java.lang.Number)(byte)1, (java.lang.Number)300L, (java.lang.Number)100.0f);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str14 = illegalFieldValueException12.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str14);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test431"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value 1240640 for org.joda.time.IllegalFieldValueException: Value \"null\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported must not be smaller than -65664812800000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test432"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-218829188716608L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-218829188716608L));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test433"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.String str12 = illegalFieldValueException2.toString();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException2.getSuppressed();
    java.lang.String str14 = illegalFieldValueException2.getIllegalValueAsString();
    illegalFieldValueException2.prependMessage("200");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test434"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 1432348102, 1903);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test435"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(301192, 28407218, 86564441, (-28407792));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test436"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("0.0", (java.lang.Number)(-917L), (java.lang.Number)3, (java.lang.Number)1200L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test437"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 13660473, 298740, 820);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test438"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test439"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported", (java.lang.Number)1993, (java.lang.Number)1994, (java.lang.Number)(-1993));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.Object obj6 = null;
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, obj6);
    java.lang.Number number8 = illegalFieldValueException4.getLowerBound();
    java.lang.String str9 = illegalFieldValueException4.toString();
    java.lang.Number number10 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number18 = illegalFieldValueException17.getUpperBound();
    java.lang.String str19 = illegalFieldValueException17.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException17.getSuppressed();
    java.lang.String str21 = illegalFieldValueException17.toString();
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str30 = illegalFieldValueException29.toString();
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.DurationFieldType durationFieldType32 = illegalFieldValueException29.getDurationFieldType();
    java.lang.Number number33 = illegalFieldValueException29.getLowerBound();
    illegalFieldValueException29.prependMessage("");
    java.lang.Throwable[] throwable_array36 = illegalFieldValueException29.getSuppressed();
    boolean b37 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException13, (java.lang.Object)illegalFieldValueException29);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1994+ "'", number5.equals(1994));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 1994+ "'", number8.equals(1994));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1993 for org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported must be in the range [1994,-1993]"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value 1993 for org.joda.time.IllegalFieldValueException: hi!: Value \"\" for hi! is not supported must be in the range [1994,-1993]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 1993+ "'", number10.equals(1993));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str30.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test440"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(16411367521941527L, 8961377346405L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 16402406144595122L);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test441"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(4873439181827659760L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test442"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(28124353, 4039, 320495);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 276137);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test443"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("200", (java.lang.Number)186484128435680L, (java.lang.Number)(-521991988), (java.lang.Number)(-2105717970L));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test444"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-16392), (java.lang.Number)158908748520L, (java.lang.Number)93484);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test445"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-92113327947350757L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test446"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str8 = illegalFieldValueException7.toString();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str10 = illegalFieldValueException7.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str14 = illegalFieldValueException13.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException13.getDateTimeFieldType();
    java.lang.String str16 = illegalFieldValueException13.getFieldName();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException13.getSuppressed();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)101000, (java.lang.Object)illegalFieldValueException7);
    java.lang.Number number20 = illegalFieldValueException7.getIllegalNumberValue();
    java.lang.String str21 = illegalFieldValueException7.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number25 = illegalFieldValueException24.getUpperBound();
    java.lang.String str26 = illegalFieldValueException24.getIllegalValueAsString();
    java.lang.String str27 = illegalFieldValueException24.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str31 = illegalFieldValueException30.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException30.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = illegalFieldValueException30.getDateTimeFieldType();
    java.lang.Number number34 = illegalFieldValueException30.getIllegalNumberValue();
    java.lang.Number number35 = illegalFieldValueException30.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    java.lang.String str39 = illegalFieldValueException38.getIllegalStringValue();
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    illegalFieldValueException24.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    boolean b44 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException7, (java.lang.Object)(-730561051494792L));
    java.lang.Number number45 = illegalFieldValueException7.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str31.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str39.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test447"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-25), 13676971, (-920));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test448"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(167246457923404068L, 926832);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test449"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.String str10 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for hi! is not supported"));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test450"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: Value \"null\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test451"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-370399781), (-31323968), 3848);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test452"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(121842862, 1558356);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 123401218);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test453"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 9793, (-10084), 74414874);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test454"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported: hi!: Value \"\" for hi! is not supported is not supported", 0, 267329, (-13375872));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test455"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    java.lang.String str6 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException9.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str18 = illegalFieldValueException17.toString();
    java.lang.String str19 = illegalFieldValueException17.getIllegalStringValue();
    java.lang.String str20 = illegalFieldValueException17.getFieldName();
    java.lang.String str21 = illegalFieldValueException17.getIllegalStringValue();
    java.lang.Number number22 = illegalFieldValueException17.getLowerBound();
    java.lang.String str23 = illegalFieldValueException17.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException17.getSuppressed();
    java.lang.String str25 = illegalFieldValueException17.getIllegalStringValue();
    boolean b26 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)str25);
    java.lang.Number number27 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test456"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-16695), number2, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test457"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-1", number1, (java.lang.Number)91558400000000000L, (java.lang.Number)28400397);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.toString();
    illegalFieldValueException4.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value null for -1 must be in the range [91558400000000000,28400397]"));

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test458"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("");
    java.lang.String str12 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number13 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test459"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-24360433208037936L), (-28400517L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-24360433179637419L));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test460"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException2.prependMessage("158993936773");
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number8 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test461"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(17040L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test462"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-9535275568796L), (java.lang.Number)(-10100), (java.lang.Number)9563);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test463"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported"));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test464"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(100959600, 14718859, 74944208, (-28402375));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test465"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str3 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "");
    java.lang.Number number7 = illegalFieldValueException6.getUpperBound();
    java.lang.String str8 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    java.lang.String str10 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException6.getSuppressed();
    illegalFieldValueException6.prependMessage("0.0");
    java.lang.String str15 = illegalFieldValueException6.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException6.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException6.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test466"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(90860394819987326L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test467"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(2298789352222083L, 730574436905323L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3029363789127406L);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test468"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-3942), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-3942));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test469"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-69810), 1000, (-140897));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test470"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)40, (java.lang.Number)(short)100, (java.lang.Number)200);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported");
    java.lang.Number number9 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)100+ "'", number9.equals((short)100));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test471"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, (-5634), 86574992);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test472"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(14341971599478L, (-7577868));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test474"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(206808632, 28137504, (-11283), 1169783772);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 234946136);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test475"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1584956000L, (-28869496068717496L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-28869494483761496L));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test476"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-8980), "100959600");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test477"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 100959600 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must not be larger than 1000", (java.lang.Number)7060, (java.lang.Number)28400357, (java.lang.Number)(-99388542884L));

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test478"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(102517800L, 42020);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4307797956000L);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test479"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1200), (java.lang.Number)216075602L, (java.lang.Number)18916626784069644L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test480"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 14345, 11241954, 922);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test481"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(129692009506500978L, (-7060L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test482"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-587761954104947L), 82L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-587761954104865L));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test483"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-68329050573418L), (java.lang.Number)(-5826703), (java.lang.Number)(-4156726));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test484"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-160L), 83847085);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-13415533600L));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test485"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-933890581700L), (-24764209103299176L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test486"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(167221537551707760L, (-172611607101440L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 167048925944606320L);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test487"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-431570873839317L), 573059400400L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test488"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-9353), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test489"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(681314, 5826703, 130507429);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 125362041);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test490"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for  is not supported: Value \"\" for  is not supported must be in the range [-204,-28398200]", (java.lang.Number)91, (java.lang.Number)96958, (java.lang.Number)(-113557600));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test491"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "160032823");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test492"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported", (java.lang.Number)(-16392L), (java.lang.Number)(-1639200), number3);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFieldType6, (java.lang.Object)(-1021L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test493"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-12406639190481500L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test494"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", "");
    java.lang.String str7 = illegalFieldValueException6.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException6.getSuppressed();
    illegalFieldValueException6.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported");
    java.lang.String str12 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.String str13 = illegalFieldValueException6.toString();
    java.lang.String str14 = illegalFieldValueException6.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported: Value \"\" for hi! is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test495"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-89210850226980524L), (-76000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-89210850302980524L));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test496"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-3762781773458L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3762781773458L));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test497"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 161, 13375872, 1432149700);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test498"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported\" for org.joda.time.IllegalFieldValueException: Value \"\" for  is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -10000 for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-1,110] must not be smaller than 1 is not supported is not supported", (java.lang.Number)1045134731782440L, (java.lang.Number)(-7256), (java.lang.Number)(-28398200L));
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value -3848 for org.joda.time.IllegalFieldValueException: Value \"\" for hi! is not supported must be in the range [-13742,-132817] is not supported");
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test499"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : hi!: Value \"\" for hi! is not supported", (java.lang.Number)(byte)(-1), number2, (java.lang.Number)(-8));
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    illegalFieldValueException4.prependMessage("-6");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "-1"+ "'", str6.equals("-1"));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest20.test500"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)313527, (java.lang.Number)(-15356965));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
