
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest24 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test001"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("0", 1008998613, 192, (-1022702648));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test002"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-640000), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test003"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1324800900), (java.lang.Number)623132, (java.lang.Number)836038L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test004"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1324800900), (-1903232), 1903232, 8100000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 5601203);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test005"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number8 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test006"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-10083200000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test007"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(short)(-1), "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test008"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("0", (java.lang.Number)(-1800), (java.lang.Number)131, (java.lang.Number)17161);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "0"+ "'", str5.equals("0"));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test009"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1024000000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024000000);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test010"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)6771200, (java.lang.Number)(-12801320), (java.lang.Number)17161);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test011"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(799L, 89961271200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 89961271999L);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test012"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported", (-12801320), (-1010360401), (-640001));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test013"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1370099L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test014"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1008998613, 1008998613, (-90000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test015"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(2760592, 0, 0, (-73600));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test016"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-836969), (java.lang.Number)110782130, (java.lang.Number)(-9L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test017"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(0L, (-9000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-9000L));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test018"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.String str8 = illegalFieldValueException5.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException11.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    java.lang.String str22 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    java.lang.Number number25 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException28.getDurationFieldType();
    java.lang.String str30 = illegalFieldValueException28.getIllegalStringValue();
    java.lang.Number number31 = illegalFieldValueException28.getUpperBound();
    java.lang.Number number32 = illegalFieldValueException28.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType33 = illegalFieldValueException28.getDurationFieldType();
    java.lang.Throwable[] throwable_array34 = illegalFieldValueException28.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number38 = illegalFieldValueException37.getLowerBound();
    java.lang.String str39 = illegalFieldValueException37.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType43 = illegalFieldValueException42.getDateTimeFieldType();
    java.lang.String str44 = illegalFieldValueException42.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException47);
    boolean b49 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str39, (java.lang.Object)illegalFieldValueException42);
    illegalFieldValueException28.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    org.joda.time.IllegalFieldValueException illegalFieldValueException55 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException55);
    org.joda.time.IllegalFieldValueException illegalFieldValueException59 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType60 = illegalFieldValueException59.getDurationFieldType();
    java.lang.String str61 = illegalFieldValueException59.getIllegalStringValue();
    java.lang.Number number62 = illegalFieldValueException59.getUpperBound();
    java.lang.String str63 = illegalFieldValueException59.toString();
    java.lang.String str64 = illegalFieldValueException59.getFieldName();
    java.lang.Number number65 = illegalFieldValueException59.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException68 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType69 = illegalFieldValueException68.getDurationFieldType();
    java.lang.String str70 = illegalFieldValueException68.getIllegalStringValue();
    java.lang.Number number71 = illegalFieldValueException68.getUpperBound();
    java.lang.Number number72 = illegalFieldValueException68.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType73 = illegalFieldValueException68.getDurationFieldType();
    java.lang.Throwable[] throwable_array74 = illegalFieldValueException68.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException77 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number78 = illegalFieldValueException77.getLowerBound();
    java.lang.String str79 = illegalFieldValueException77.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException82 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType83 = illegalFieldValueException82.getDateTimeFieldType();
    java.lang.String str84 = illegalFieldValueException82.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException87 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException82.addSuppressed((java.lang.Throwable)illegalFieldValueException87);
    boolean b89 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str79, (java.lang.Object)illegalFieldValueException82);
    illegalFieldValueException68.addSuppressed((java.lang.Throwable)illegalFieldValueException82);
    illegalFieldValueException59.addSuppressed((java.lang.Throwable)illegalFieldValueException68);
    boolean b92 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException55, (java.lang.Object)illegalFieldValueException68);
    boolean b93 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number25, (java.lang.Object)illegalFieldValueException68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + ""+ "'", str39.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "hi!"+ "'", str44.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "hi!"+ "'", str61.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str63.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + ""+ "'", str64.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + "hi!"+ "'", str70.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str79 + "' != '" + ""+ "'", str79.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "hi!"+ "'", str84.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test019"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-8808), 0, (-8100000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test020"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)10.0d, number2, (java.lang.Number)623132);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test021"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)13728800L, (java.lang.Number)12800420, (java.lang.Number)(-1154736000000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test022"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(847818900000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test023"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-179482969L), (-112312131L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-67170838L));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test024"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-10240900000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test025"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-126040000L), 13729600L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-139769600L));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test026"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(123558399, 7460000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test027"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1010360401), (-1025280000), 6771200, (-192));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test028"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-8785144781611L), (-10242180132L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test029"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1166400000000000L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1166400000000000L));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test030"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-9000), number2, (java.lang.Number)690);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test031"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)5198146391861100000L, (java.lang.Number)(-12801320), (java.lang.Number)5198146391861100000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test032"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1263335, (-836969), 17161);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-444927));

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test033"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 640000+ "'", number5.equals(640000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "-9001"+ "'", str6.equals("-9001"));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test034"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-6269599));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6269599);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test035"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(11521179000L, 2711218);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 31236427886022000L);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test036"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    illegalFieldValueException16.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    java.lang.Number number29 = illegalFieldValueException16.getUpperBound();
    java.lang.String str30 = illegalFieldValueException16.getIllegalValueAsString();
    java.lang.Throwable throwable31 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException16.addSuppressed(throwable31);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test037"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-112312131L), (java.lang.Number)174357043276000000L, (java.lang.Number)847818900000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test038"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number8 = illegalFieldValueException2.getUpperBound();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test039"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1903232, (java.lang.Number)9000L, (java.lang.Number)(-9L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test040"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1275470000, (-92), (-126040000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test041"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1010360401), (-1025280000), 6269599);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1010360401));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test042"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-105468L), (-13729599));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1448033347332L);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test043"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-9), 87543959, (-1010359612));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test044"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)819273440000L, (java.lang.Number)(-1253945970132L), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test045"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, (-836969));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-836969));

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test046"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-17574830169961L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test047"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-126040000L), "org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test048"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException29.getDateTimeFieldType();
    java.lang.String str31 = illegalFieldValueException29.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException34);
    java.lang.Throwable[] throwable_array36 = illegalFieldValueException29.getSuppressed();
    java.lang.String str37 = illegalFieldValueException29.toString();
    java.lang.Number number38 = illegalFieldValueException29.getUpperBound();
    java.lang.String str39 = illegalFieldValueException29.getIllegalStringValue();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.Number number41 = illegalFieldValueException16.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "hi!"+ "'", str31.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str37.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number41);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test049"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-10083200000000L), (java.lang.Number)1326, (java.lang.Number)(-931L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test050"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-13728931L), (-66240000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test051"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 88062092069372100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test052"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(110766663L, (-10240900000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1134350319116700000L));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test053"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 80149427, (-803), (-1324800000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test054"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-1324800000), 1008998613, 1024000000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1019986856);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test055"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1198760001), 2711218, 192);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test056"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", 1324800000, (-1022702648), 12801320);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test057"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-10083200000000L), 900L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-9074880000000000L));

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test058"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1279616, (-640000), 1324800000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1279616);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test059"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", (java.lang.Number)(-12801320), (java.lang.Number)131, (java.lang.Number)(-1025280000));
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.String str31 = illegalFieldValueException29.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "-12801320"+ "'", str31.equals("-12801320"));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test060"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1279808, (-444927));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test061"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number8 = illegalFieldValueException2.getLowerBound();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test062"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-639007), (-123559200), (-6030120), 2760592);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1128225));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test063"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 87543959, (-1024089990), (-690));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-936545342));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test064"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(623132, 1903232, (-870590803), (-690));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-868063750));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test065"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-67170838L), (java.lang.Number)(-211015387627392L), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test066"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-13833469L), (-90000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1245012210000L);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test067"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-6030120), 80149436, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test068"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 10, (-623132), (-870590803));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test069"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test070"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-137));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 137);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test071"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-67170838L), (-103869L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-67066969L));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test072"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(105468L, 1150028669L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1149923201L));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test073"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1.0d));
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str11 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(900000L, (-81000000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test075"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 92, (-1324800900), 1279808);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test076"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(13625730L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 13625730);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test077"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1800, (-131));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1669);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test078"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(205464698880000L, (-112311200L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 205464586568800L);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test079"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported: Value \"hi!\" for  is not supported", 0, 2711218, 6131199);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test080"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-101035980400L), (-931L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-101035981331L));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test081"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-1263335), 245760000, (-1903232));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test082"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-751535131L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-751535131L));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test083"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(92, 7460000, (-131), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-11));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test084"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)0L, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test085"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1023982839), 192, 6131199);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test086"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(192, (-1010359612));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1010359420));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test087"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1024000000, 232384829);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1256384829);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test088"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(6269599, (-9000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6260599);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test089"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1017228800), (java.lang.Number)(-8808), (java.lang.Number)(short)100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test090"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(110766663L, 31236427886022000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-31236427775255337L));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test091"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test092"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, (-9001));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test093"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1025280000), (-8100000), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-4679874));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test094"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(short)1, (java.lang.Number)900L, (java.lang.Number)(-800L));
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test095"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-765222936), 640001, (-1010359612));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test096"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, (-690));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-690));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test097"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-11521320), 123558399, 1010359804);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test098"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported", (-137), (-1017228800), 131);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test099"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(900000L, 7460000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6714000000000L);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test100"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1253945970132L), (java.lang.Number)(-211015387627392L), (java.lang.Number)(-1024000000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test101"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-900L), "-1280131");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test102"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-13833469L), (-31236427775255337L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test103"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-67170838L), (-31236427775255337L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test104"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1024000000), 7394332, 1324800000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test105"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1010360401), (-801), (-11));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test106"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(9000L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test107"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(13728931L, (-112312131L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test108"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(2711218, 12801320, (-900));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test109"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-139769600L), (java.lang.Number)(-1370000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test110"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1198760001), 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test111"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-8785144781611L), (-1085208193152000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1085199408007218389L);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test112"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test113"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1271100, (-936545342));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-935274242));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test114"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)12801320, (java.lang.Number)(-836969L), (java.lang.Number)(-1024090000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test115"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-1.0d), (java.lang.Number)(-90000L), (java.lang.Number)900L);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.String str7 = illegalFieldValueException4.toString();
    java.lang.Number number10 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", (java.lang.Number)900L, number10, (java.lang.Number)245136868);
    java.lang.Number number13 = illegalFieldValueException12.getUpperBound();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str7, (java.lang.Object)number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 245136868+ "'", number13.equals(245136868));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test116"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-17577040527852L), (-900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-17577040526952L));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test117"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1019986856, 0, 7460000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test118"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-1.0d), (java.lang.Number)(-90000L), (java.lang.Number)900L);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)(-639007));
    java.lang.String str9 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "-1.0"+ "'", str9.equals("-1.0"));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test119"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, (-836969L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 836969L);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test120"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(17577041967852L, 819273440000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test121"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(738273440000L, (-92));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-67921156480000L));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test122"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Throwable throwable4 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException2.addSuppressed(throwable4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test123"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1008998613, 7394332, 1010359804);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1008998613);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test124"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1166400000000000L), (java.lang.Number)(-819272000000L), (java.lang.Number)(-179483869L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test125"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)6714000000000L, (java.lang.Number)(-205530938880000L), (java.lang.Number)(-9));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test126"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)639007, (java.lang.Number)(-1025280000), (java.lang.Number)10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeAdd((-1017228800), (-1324800900));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test128"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1177720520), (-1023982839), 1271100, 123559200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 14366220);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test129"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(13728931L, (-12506856791L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test130"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(900L, (-12801412));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-11521270800L));

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test131"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(short)0, (java.lang.Number)(byte)(-1), (java.lang.Number)(byte)(-1));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");
    java.lang.String str8 = illegalFieldValueException4.toString();
    java.lang.Number number9 = illegalFieldValueException4.getLowerBound();
    java.lang.String str10 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)(-1)+ "'", number5.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (byte)(-1)+ "'", number9.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]"));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test132"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-12604000000L), (java.lang.Number)(-819272000000L), (java.lang.Number)(-180000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test133"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(80149436, 1263335);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test134"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-19L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-19));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test135"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-126040000), (java.lang.Number)(-1010359420), (java.lang.Number)100.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test136"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1243703790000L), (java.lang.Number)(-12506856791L), (java.lang.Number)(-67170838L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test137"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-836969L), (-104669L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-941638L));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test138"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-630006), (-1177720520));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1178350526));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test139"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-206283970880000L), 847066464869L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test140"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(123558399, 1280292, (-1177720520));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test141"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1280000L, (-101035981331L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test142"); }


    java.lang.Object obj1 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)100.0f, obj1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test143"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(13728800L, 110782130);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1520905706344000L);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test144"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(369836457984000000L, 13728931L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 369836457970271069L);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test145"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported", 1279808, 0, (-131));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test146"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1025280000), number2, (java.lang.Number)(-67066969L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test147"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 800);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test148"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-11521320), (-1800), (-640000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test149"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)110782130, number2, (java.lang.Number)(-1134350319116700000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test150"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(100L, (-12617728931L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test151"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-67170838L), (java.lang.Number)(-1024090000), (java.lang.Number)(-1024089990));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test152"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported", (-640001), 0, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test153"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-8808), 8100000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test154"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-19), "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test155"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)123558399, (java.lang.Number)900L, (java.lang.Number)(-819272000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test156"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(144180000L, 5198146391861100000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test157"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(0L, (-941638L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-941638L));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test158"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(819273543770L, (-224624262L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 819048919508L);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test159"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported", (-801), 5601203, 87543959);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test160"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-11664000179100L), 6131199);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test161"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-105468L), "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test162"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test163"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-192), number2, (java.lang.Number)(-1263335));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test164"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1010360401), (-123559200), 123558399);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test165"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-9216810000000L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-9216810000000L));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test166"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1800), (java.lang.Number)2711218, (java.lang.Number)0.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test167"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-803), 1271100, (-9), (-6030120));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test168"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str8 = illegalFieldValueException2.getFieldName();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    java.lang.String str10 = illegalFieldValueException2.toString();
    java.lang.Number number11 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable throwable12 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException2.addSuppressed(throwable12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test169"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 1010359804);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1010359804);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test170"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-935274242), (-1017228800), (-1324800900), (-800));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-627702941));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test171"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0L, (java.lang.Number)(-800L), (java.lang.Number)(-1));
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test172"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Number number25 = illegalFieldValueException16.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException28.getDurationFieldType();
    java.lang.String str30 = illegalFieldValueException28.getIllegalStringValue();
    java.lang.Number number31 = illegalFieldValueException28.getUpperBound();
    java.lang.Number number32 = illegalFieldValueException28.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType33 = illegalFieldValueException28.getDurationFieldType();
    java.lang.Throwable[] throwable_array34 = illegalFieldValueException28.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number38 = illegalFieldValueException37.getLowerBound();
    java.lang.String str39 = illegalFieldValueException37.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType43 = illegalFieldValueException42.getDateTimeFieldType();
    java.lang.String str44 = illegalFieldValueException42.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException47);
    boolean b49 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str39, (java.lang.Object)illegalFieldValueException42);
    illegalFieldValueException28.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    java.lang.String str51 = illegalFieldValueException42.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType52 = illegalFieldValueException42.getDateTimeFieldType();
    boolean b53 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number25, (java.lang.Object)illegalFieldValueException42);
    org.joda.time.IllegalFieldValueException illegalFieldValueException56 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType57 = illegalFieldValueException56.getDurationFieldType();
    java.lang.String str58 = illegalFieldValueException56.getIllegalStringValue();
    java.lang.Number number59 = illegalFieldValueException56.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType60 = illegalFieldValueException56.getDurationFieldType();
    java.lang.String str61 = illegalFieldValueException56.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType62 = illegalFieldValueException56.getDateTimeFieldType();
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException56);
    java.lang.Throwable throwable64 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException42.addSuppressed(throwable64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + ""+ "'", str39.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "hi!"+ "'", str44.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str51.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "hi!"+ "'", str58.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "hi!"+ "'", str61.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType62);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test173"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)7460000, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test174"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number4 = illegalFieldValueException3.getUpperBound();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-9000), (java.lang.Object)illegalFieldValueException3);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException3.getDurationFieldType();
    java.lang.Number number7 = illegalFieldValueException3.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test175"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "-9001");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test176"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", 2711218, 7460000, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test177"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1017228800), (java.lang.Number)(-6030120), (java.lang.Number)(-1128225));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test178"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test179"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)17161, (java.lang.Number)(-942162800000L), (java.lang.Number)369836457970271069L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test180"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1728192), (java.lang.Number)(-67066969L), (java.lang.Number)13729600L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test181"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-110872131L), (-836969));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 92796536610939L);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test182"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1280100, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test183"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1128225), (java.lang.Number)80149427, (java.lang.Number)(-868063750));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test184"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number9 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test185"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-931L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-931));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported", (-801), 1279808, (-639007));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test187"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test188"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(12800420, (-1903232), 1280100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 67088);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test189"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-803), 639869, 13729599, (-870590803));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test190"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-800), (-12801412), (-11521320), (-11521320));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test191"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(14030033000000000L, 110782130L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test192"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1010359420), (java.lang.Number)1L, (java.lang.Number)123558399);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test193"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1010359804, 6771200, (-870590803));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test194"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1279616);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1279616));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test195"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-942162800000L), 1245012210000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 302849410000L);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test196"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)8100000, (java.lang.Number)(byte)100, (java.lang.Number)1024000000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test197"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(144180000L, 31236427886022000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 31236428030202000L);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test198"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("0", 1279808, (-1178350526), (-1010359612));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test199"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)31236427886022000L, (java.lang.Number)(-90000L), (java.lang.Number)(-639007));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test200"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException29.getDateTimeFieldType();
    java.lang.String str31 = illegalFieldValueException29.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException34);
    java.lang.Throwable[] throwable_array36 = illegalFieldValueException29.getSuppressed();
    java.lang.String str37 = illegalFieldValueException29.toString();
    java.lang.Number number38 = illegalFieldValueException29.getUpperBound();
    java.lang.String str39 = illegalFieldValueException29.getIllegalStringValue();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.String str41 = illegalFieldValueException29.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "hi!"+ "'", str31.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str37.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "hi!"+ "'", str41.equals("hi!"));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test201"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(87543959);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-87543959));

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test202"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-1440000), 690, 8100000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test203"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-900), number2, (java.lang.Number)(-935274242));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test204"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1010359420), (-803), 13625730);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test205"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, (-104669L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 104669L);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test206"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-9), 1279616, 640000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test207"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-10083200000000L), (-12801320L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test208"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1010359420), 6260599);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test209"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(110766663L, (-103869L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 110870532L);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test210"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", (java.lang.Number)0, (java.lang.Number)1280000L, (java.lang.Number)(short)100);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.Throwable throwable12 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException10.addSuppressed(throwable12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test211"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(172833981625120000L, 245136869);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test212"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(13818931L, (-765222936));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10574562952201416L));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test213"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-113577462L), 174357043276000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 174357043162422538L);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test214"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", (-9001), 0, (-87543959));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test215"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-73600), 1008998613, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test216"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1245012210000L, (-900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1120510989000000L));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test217"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(623132, 1280000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1903132);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test218"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-9001", 0, 1326, (-126040000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test219"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1150028669L), 2711218);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3117978427908842L));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test220"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-10255908263L), (java.lang.Number)(-9216810000000L), (java.lang.Number)(byte)0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test221"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-10240900000L), (java.lang.Number)(-941638L), (java.lang.Number)1010359804);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test222"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-112311200L), "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test223"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-192));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 192);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test224"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)89961271999L, (java.lang.Number)(-90000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test225"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-1024089990), 232384829);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test226"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1800), 1326, (-630006), (-900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-629581));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test227"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)137, (java.lang.Number)(-103770L), (java.lang.Number)131);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test228"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-104669L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test229"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1245012210000L, (java.lang.Number)(-1017228800), (java.lang.Number)(-931L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test230"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-1025280000), 92);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test231"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-17577040527852L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test232"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(6260599, 80149427, 6771200);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test233"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(byte)(-1), (java.lang.Number)(-123559200), (java.lang.Number)(-1178350526));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test234"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported", 1019986856, (-870590803), (-870590803));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test235"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-92), (-1263335), (-900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1262528));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test236"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported", 623132, 5601203, (-936545342));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test237"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-131), (-803), 87543959);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-131));

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test238"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-9000L), (-81000000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-81000009000L));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test239"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-67066969L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-67066969));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test240"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)12463470L, "-1280131");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test241"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-112311200L), 9000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-112320200L));

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test242"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 836038L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-836038L));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test243"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-19L), (-113577462L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 113577443L);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test244"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-836969L), "org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test245"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(8785144782531L, 13728800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8785131053731L);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test246"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException33.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException33.getIllegalStringValue();
    java.lang.Number number36 = illegalFieldValueException33.getUpperBound();
    java.lang.String str37 = illegalFieldValueException33.toString();
    java.lang.String str38 = illegalFieldValueException33.getFieldName();
    java.lang.Number number39 = illegalFieldValueException33.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType43 = illegalFieldValueException42.getDurationFieldType();
    java.lang.String str44 = illegalFieldValueException42.getIllegalStringValue();
    java.lang.Number number45 = illegalFieldValueException42.getUpperBound();
    java.lang.Number number46 = illegalFieldValueException42.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType47 = illegalFieldValueException42.getDurationFieldType();
    java.lang.Throwable[] throwable_array48 = illegalFieldValueException42.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException51 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number52 = illegalFieldValueException51.getLowerBound();
    java.lang.String str53 = illegalFieldValueException51.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException56 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType57 = illegalFieldValueException56.getDateTimeFieldType();
    java.lang.String str58 = illegalFieldValueException56.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException61 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException56.addSuppressed((java.lang.Throwable)illegalFieldValueException61);
    boolean b63 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str53, (java.lang.Object)illegalFieldValueException56);
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException56);
    illegalFieldValueException33.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    boolean b66 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException29, (java.lang.Object)illegalFieldValueException42);
    java.lang.String str67 = illegalFieldValueException29.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str37.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + ""+ "'", str38.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "hi!"+ "'", str44.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + ""+ "'", str53.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "hi!"+ "'", str58.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "-9001"+ "'", str67.equals("-9001"));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test247"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-942162800000L), 1256384829);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test248"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-8785144781611L), (-112312131L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test249"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)110766663L, (java.lang.Number)(-1023982839), (java.lang.Number)123559200);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test250"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1370000L), (java.lang.Number)(short)100, (java.lang.Number)112207462L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test251"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 800, 6131199, 1669);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test252"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)67088, (java.lang.Number)100.0d, (java.lang.Number)(-627702941));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test253"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1324800000), (java.lang.Number)800L, (java.lang.Number)(-1010359804));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test254"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-90000), (java.lang.Number)(-66240000000L), (java.lang.Number)192);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test255"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, (-1010359420));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test256"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-13729599), 6771200);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test257"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1120510989000000L), (-13728931L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test258"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)192, "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test259"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-630006), 640000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 9994);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test260"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    java.lang.String str8 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test261"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("hi!", 1279616, 0, 1010359804);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test262"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-1324800900), (-640000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1324160901));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test263"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported", 1903232, (-1324800900), 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test264"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test265"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(13625730L, (-205530938880000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test266"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-11));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 11);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test267"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("hi!", (-936545342), (-137), 80149436);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test268"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1800, (-1177720520), 1008998613);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1800);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test269"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-630006), 1, (-640001), (-870590803));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test270"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1024090000), 92, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test271"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-17577040527852L), (-931L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test272"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(23686);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-23686));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test273"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 110782130, 0, 639007);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test274"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-801), (-12801320), (-1022702648));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test275"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-31236427775255337L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test276"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1728192), (-1198760001));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1200488193));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test277"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)104669L, number2, (java.lang.Number)1256384829);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test278"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]", (-131), 12801320, 131);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test279"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-73600), (-627702941), (-1023982839));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test280"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(819273543770L, 1326);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1086356719039020L);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test281"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(110870532L, (-112312131L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 223182663L);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test282"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-765222936), (java.lang.Number)13728931L, (java.lang.Number)137);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test283"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(639007, (-9000), 245760000, (-936545342));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test284"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test285"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test286"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-931L), (java.lang.Number)(-1198760001), (java.lang.Number)(-9001));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test287"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-137), 1800);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1663);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-1085208193152000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test289"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1370099L, "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test290"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-67170838L), (java.lang.Number)(-801), (java.lang.Number)(-103869L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test291"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-112311200L), 89961271999L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test292"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(640001, (-1024089990));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test293"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 12800420, 11, (-92));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test294"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1178350526), 1280100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1177070426));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test295"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("-1280131");
    java.lang.Number number8 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(short)0, (java.lang.Number)(byte)(-1), (java.lang.Number)(byte)(-1));
    java.lang.Number number14 = illegalFieldValueException13.getUpperBound();
    illegalFieldValueException13.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number20 = illegalFieldValueException19.getUpperBound();
    java.lang.Number number21 = illegalFieldValueException19.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException19.getSuppressed();
    java.lang.Number number23 = illegalFieldValueException19.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException19.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    java.lang.String str29 = illegalFieldValueException27.getIllegalStringValue();
    java.lang.Number number30 = illegalFieldValueException27.getUpperBound();
    java.lang.Number number31 = illegalFieldValueException27.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType32 = illegalFieldValueException27.getDurationFieldType();
    java.lang.Throwable[] throwable_array33 = illegalFieldValueException27.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number37 = illegalFieldValueException36.getLowerBound();
    java.lang.String str38 = illegalFieldValueException36.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException41 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType42 = illegalFieldValueException41.getDateTimeFieldType();
    java.lang.String str43 = illegalFieldValueException41.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException41.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    boolean b48 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str38, (java.lang.Object)illegalFieldValueException41);
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException41);
    java.lang.String str50 = illegalFieldValueException41.getIllegalStringValue();
    java.lang.Number number51 = illegalFieldValueException41.getUpperBound();
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException41);
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    org.joda.time.IllegalFieldValueException illegalFieldValueException57 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType58 = illegalFieldValueException57.getDurationFieldType();
    java.lang.String str59 = illegalFieldValueException57.getIllegalStringValue();
    java.lang.Number number60 = illegalFieldValueException57.getLowerBound();
    illegalFieldValueException57.prependMessage("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType63 = illegalFieldValueException57.getDateTimeFieldType();
    java.lang.String str64 = illegalFieldValueException57.getIllegalValueAsString();
    java.lang.String str65 = illegalFieldValueException57.toString();
    boolean b66 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException13, (java.lang.Object)str65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + (byte)(-1)+ "'", number14.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "hi!"+ "'", str29.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + ""+ "'", str38.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "hi!"+ "'", str43.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "hi!"+ "'", str50.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "hi!"+ "'", str59.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "hi!"+ "'", str64.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported: Value \"hi!\" for  is not supported"+ "'", str65.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test296"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(byte)0, (java.lang.Number)9994, (java.lang.Number)(-444927));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test297"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)690, number2, (java.lang.Number)2711218);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test298"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-103770L), 66240000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-6873724800000L));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test299"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1903132, 0, (-11));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test300"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(1370099L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1370099);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test301"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-81000000000L), 1440000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test302"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1324800000, (-1279616));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test303"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-11), 17161, (-1279616));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1010359804), 1324800000, (-123559200));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test305"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1010359804), 8100000, 7460000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test306"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(110782130L, (-12801320L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 123583450L);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test307"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, (-931));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test308"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-9L), (java.lang.Number)137, (java.lang.Number)(-73600));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test309"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-640001));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test310"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1024000000, (-1200488193), (-12801412));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-895593732));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test311"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test312"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(110766663L, 110766663L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 221533326L);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test313"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "-12801320");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test314"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(819273543770L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test315"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-126040000L), (-17577040527852L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test316"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, number2, (java.lang.Number)(-1142667809600L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test317"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(80149427, 192);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test318"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1324160901), (-1017228800), 13625730);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test319"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(112207462L, 205464586568800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 205464698776262L);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test320"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 900, (-1728192), 7460000);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test321"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", (-12801320), 639869, (-131));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test322"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 8100000, 232384829, (-870590803));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test323"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-9001), (-629581), 245136868);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-9001));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test324"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, (-126040000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test325"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-836969), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 836969);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test326"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(639007, (-1177070426), 639007, (-11));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test327"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-11521320), 1279808);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test328"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1166400000000000L), (-11664000179100L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test329"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-9074880000000000L), 174357043276000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 165282163276000000L);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test330"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1010359420), 100, 1903132);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test331"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(847066464869L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 847066464869L);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test332"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-205530938880000L), (java.lang.Number)(-11521320), (java.lang.Number)92796536610939L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test333"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-192), (-800));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 153600);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test334"); }


    java.lang.Object obj1 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)13729599L, obj1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test335"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)11521179000L, (java.lang.Number)(-110872131L), (java.lang.Number)(-1120510989000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test336"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-113577462L), (-3117978427908842L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(173039446324000000L, 89961271999L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test338"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-67170838L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test339"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1280292, 131, 123558399);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test340"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1086356719039020L, (-9000));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test341"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-173039446324104669L), (-1280131L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test342"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1370001), (-1025280000), 1275470000);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test343"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1370001), 1280000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-90001));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test344"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1128225), (-137), 11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test345"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1669, (-9), 0, 11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 4);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test346"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(10, 1024000000, 0, 8100000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 3399884);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test347"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 131, 13625730, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test348"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(113577443L, (-179483869L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-65906426L));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test349"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(836969, (-690));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-577508610));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test350"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(7394332, (-1263335));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6130997);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test351"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)245136868, (java.lang.Number)(-137), (java.lang.Number)(-1024090000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test352"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1177070426), number2, (java.lang.Number)(-9));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test353"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(819273440000L, (-67921156480000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test354"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-67921156480000L), (java.lang.Number)67088, (java.lang.Number)(-1010359804));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test355"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-870590803), 9001, 110782130);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 15594237);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test356"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-110872140L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-110872140L));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test357"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-870590803), 232384829, 1010359804);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 685359149);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test358"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1200488193), (-1023982839));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test359"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(174357043162422538L, (-1370000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test360"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "hi!");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test361"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-629581), (-836969));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1466550));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test362"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1279616));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1279616);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test363"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1263335, 1275470000, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test364"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-67066969L), 66240000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-4442516026560000L));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test365"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1263335));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1263335);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test366"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", 1280292, 1263335, 1096000000);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test367"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(31236428030202000L, 110782130L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 31236428140984130L);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test368"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1279808, 12801320, (-900));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test369"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969", "-12801320");

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test370"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-9), (java.lang.Number)1024000000, (java.lang.Number)11664000000000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test371"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)100.0f, (java.lang.Number)(-623132), (java.lang.Number)153600);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test372"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(104669L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test373"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-9001", (-9001), (-640000), (-1903232));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test374"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-639007), 7460000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6820993);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test375"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-640001), 0, (-868063750));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test376"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException10.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException10.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException10.getUpperBound();
    java.lang.String str14 = illegalFieldValueException10.toString();
    boolean b16 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException10, (java.lang.Object)(-1.0d));
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException19.getDurationFieldType();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.Number number23 = illegalFieldValueException10.getUpperBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.Number number25 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str26 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test377"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 836969, (-1), 87543959);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test378"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-931), (java.lang.Number)92, (java.lang.Number)(-9001));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test379"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1149923201L), (-1120510989000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test380"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1262528), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1262527));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test381"); }


    java.lang.Object obj0 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)5198146391861100000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test382"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-1010359420), (-803));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1010358618));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test383"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test384"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(8100000, (-1010359420), (-137));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1002259284));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test385"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    illegalFieldValueException2.prependMessage("");
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test386"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1177070426), 110782130, 685359149);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 546660634);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test387"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-800L), "org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test388"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(1150028669L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1150028669);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test389"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1017228800));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1017228800);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test390"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(11521179000L, 23686);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 272890645794000L);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test391"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException19.getDurationFieldType();
    java.lang.String str21 = illegalFieldValueException19.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException19.getDateTimeFieldType();
    illegalFieldValueException19.prependMessage("hi!");
    java.lang.String str25 = illegalFieldValueException19.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Number number27 = illegalFieldValueException19.getIllegalNumberValue();
    java.lang.String str28 = illegalFieldValueException19.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "hi!"+ "'", str21.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test392"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test393"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException2.getSuppressed();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test394"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("");
    java.lang.String str7 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test395"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-690), (-936545342));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-936546032));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test396"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(640000, 8100000, (-765222936));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test397"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1271100, (java.lang.Number)(-92), (java.lang.Number)(-1177720520));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test398"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported", 0, 245136868, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(110870532L, 205464586568800L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test400"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1142667809600L), (java.lang.Number)(-103770L), (java.lang.Number)17577041967852L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test401"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-640000), (java.lang.Number)836038L, (java.lang.Number)11521179000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test402"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(23686, (-1024089990), (-800), (-1198760001));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test403"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1024089990));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1024089990);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test404"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1), (java.lang.Number)1280000, (java.lang.Number)1903232);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test405"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)110870532L, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test406"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1262527), 0, (-123559200));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test407"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)11664000000000L, (java.lang.Number)9001, (java.lang.Number)153600);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test408"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    illegalFieldValueException16.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    java.lang.Number number29 = illegalFieldValueException16.getLowerBound();
    java.lang.String str30 = illegalFieldValueException16.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test409"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported: Value \"hi!\" for  is not supported", "-1280131");

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test410"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(short)0, (java.lang.Number)(byte)(-1), (java.lang.Number)(byte)(-1));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number9 = illegalFieldValueException8.getLowerBound();
    java.lang.String str10 = illegalFieldValueException8.getFieldName();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number5, (java.lang.Object)str10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)(-1)+ "'", number5.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test411"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-103869L), (-19L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1973511);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test412"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(23686, 1008998613);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test413"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("0", (-19), 3399884, (-895593732));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test414"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(205464698880000L, 17577041967852L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 187887656912148L);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test415"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-11664000179100L), (java.lang.Number)819287168931L, (java.lang.Number)1150028669);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test416"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(800, (-9000), (-1178350526));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test417"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(31236428140984130L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 31236428140984030L);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test418"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-11664000179100L), "-12801320");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test419"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1010359804);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1010359804));

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test420"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, (-1010360401));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test421"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(144180000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 144180000);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test422"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", 690, (-1262527), 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test423"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, (-868063750), (-640001));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test424"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-12801320", (-1903232), (-90001), (-90000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test425"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-640000), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test426"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(223182663L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 223182663);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test427"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(9994);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-9994));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test428"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 1324800000, 1279808, (-936545342));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test429"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-90010L), 66240000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 66149990L);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test430"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test431"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1154736000000000L), (-179482969L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1154736179482969L));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test432"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException3.getDateTimeFieldType();
    illegalFieldValueException3.prependMessage("");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException3.getDurationFieldType();
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-123559200), (java.lang.Object)durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test433"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(685359149);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-685359149));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test434"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(110782130L, 31236428030202000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test435"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1279808, 0, (-1010359804), (-1279616));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1007800381));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test436"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-9000L), (-1134350319116700000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test437"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(11664000000000L, 8785131053731L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2878868946269L);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test438"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test439"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(byte)(-1), (java.lang.Number)(-836969), (java.lang.Number)223182663);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test440"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-126040000), (-1728192), (-1024090000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test441"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(89961271200L, (-66240000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 23721271200L);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test442"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1), (-1177070426));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1177070426);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test443"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-577508610), (-1279616), 3399884);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test444"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-936545342), 23686, 6130997);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3980706);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test445"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(8100000, 7394332, 1024000000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 8100000);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test446"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 105468L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-105468L));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test447"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1150028669, 245136869);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test448"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-23686), (-126040000), 123558399, (-868063750));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test449"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported", (-1024089990), 13625730, 1903232);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test450"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1150028669L, 123583450L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1273612119L);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test451"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(8785144782531L, 13728931L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8785158511462L);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test452"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1150028669L), 1008998613);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1160377331931236097L));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test453"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)192, "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test454"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported", (java.lang.Number)(-1440000L), (java.lang.Number)(-110872140L), (java.lang.Number)(-13729599));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test455"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(6714000000000L, (-1120510989000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test456"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1280000, (-895593732), 123558399, (-630006));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test457"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(920L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 920);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test458"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-224624262L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-224624262));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test459"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-113577462L), "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(546660634, 1280000, (-11), (-12801320));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test461"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("0", "8100000");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test462"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1200488193), (java.lang.Number)(short)(-1), (java.lang.Number)17161);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test463"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException2.getSuppressed();
    java.lang.String str10 = illegalFieldValueException2.toString();
    java.lang.Number number11 = illegalFieldValueException2.getUpperBound();
    java.lang.String str12 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test464"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-900L), 13625730L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-13626630L));

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test465"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]", (java.lang.Number)(-3117978427908842L), (java.lang.Number)(-1370000), (java.lang.Number)(-179482969L));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test466"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1149923201L), (-1253945970132L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1252796046931L);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-627702941), 6130997, (-1010360401));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test468"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 847818900000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-847818900000L));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test469"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 685359149, 1903132, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test470"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1L, 165282163276000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-165282163275999999L));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test471"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1177720520), "8100000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test472"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1.0d), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test473"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-13729619L), "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test474"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-623132), 9000, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test475"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-765222936));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 765222936);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test476"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(1370099, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test477"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-9001", (java.lang.Number)187887656912148L, (java.lang.Number)(-90000), (java.lang.Number)(-1017228800));
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test478"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1085208193152000000L), 900000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1085208193152900000L));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test479"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", 765222936, 546660634, 1150028669);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test480"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1663, number2, (java.lang.Number)(-1007800381));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test481"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10L, (java.lang.Number)66240000L, (java.lang.Number)(-630006));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test482"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-12801320), 900, 6771200);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(847818900000L, (-1085208193152000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test484"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(3399884, (-23686));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3376198);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test485"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1903232), (-640000), 1903232);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test486"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-630006), (-9994), 192);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test487"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-17574830169961L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test488"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-126040000L), (-17577040526952L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-17577166566952L));

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test489"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-10255908263L), (-205464698880000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-205474954788263L));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test490"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1324800900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1324800900);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test491"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 153600, (-1177070426), (-1177070426));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test492"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)92, (java.lang.Number)(-623132), (java.lang.Number)1177070426);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test493"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-895593732), (-1178350526), (-123559200));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test494"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(6269599, (-1903232));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4366367);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test495"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("hi!", (-73600), 623132, (-1279616));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test496"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1370001), 6130997);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4760996);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test497"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(4760996);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-4760996));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test498"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1280100, 1280000, (-9001));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test499"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)205464698880000L, (java.lang.Number)6260599, (java.lang.Number)66149990L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest24.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 1017228800, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
