
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest32 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test001"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-117545877));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 117545877);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1016588800), 193212800, 17161);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test003"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(11663987669109L, (-215869214746394L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-204205227077285L));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test004"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1326, (java.lang.Number)(-31245213259706970L), (java.lang.Number)377689801636766L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test005"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-776691227));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 776691227);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test006"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 179483869, 1023692800, 686805308);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test007"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 6131199, 1312361977);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test008"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(639984, (-1728192));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test009"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-15639194), 13701203);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1937991));

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test010"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-895317817), 122849776, 3144455);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test011"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1256415), 224463989);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 223207574);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test012"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-157805730L), "org.joda.time.IllegalFieldValueException: -1280131: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test013"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.String str11 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.String str12 = illegalFieldValueException9.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-1.0d), (java.lang.Number)(-90000L), (java.lang.Number)900L);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException17.getSuppressed();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException17.getSuppressed();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str22 = illegalFieldValueException17.toString();
    java.lang.String str23 = illegalFieldValueException17.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType27 = illegalFieldValueException26.getDurationFieldType();
    java.lang.Number number28 = illegalFieldValueException26.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException26.getDateTimeFieldType();
    illegalFieldValueException26.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    java.lang.String str32 = illegalFieldValueException26.toString();
    boolean b33 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str23, (java.lang.Object)str32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test014"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported", (-223187722), (-224624262), 9994);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test015"); }


    java.lang.Object obj1 = null;
    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported", obj1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test016"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1440000), 245136868);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 243696868);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test017"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969", (java.lang.Number)(-1252809776550L), (java.lang.Number)80149427, (java.lang.Number)(-211015387627392L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.Number number10 = illegalFieldValueException7.getUpperBound();
    java.lang.String str11 = illegalFieldValueException7.toString();
    java.lang.String str12 = illegalFieldValueException7.getFieldName();
    java.lang.Number number13 = illegalFieldValueException7.getIllegalNumberValue();
    java.lang.String str14 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.String str15 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Number number16 = illegalFieldValueException7.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-1.0d), (java.lang.Number)(-90000L), (java.lang.Number)900L);
    org.joda.time.DurationFieldType durationFieldType23 = illegalFieldValueException22.getDurationFieldType();
    java.lang.String str24 = illegalFieldValueException22.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType25 = illegalFieldValueException22.getDurationFieldType();
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException22.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported", (java.lang.Number)205464698776262L, (java.lang.Number)(-113577462L), (java.lang.Number)11);
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number36 = illegalFieldValueException35.getUpperBound();
    java.lang.Number number37 = illegalFieldValueException35.getIllegalNumberValue();
    java.lang.Number number38 = illegalFieldValueException35.getIllegalNumberValue();
    java.lang.Number number39 = illegalFieldValueException35.getIllegalNumberValue();
    illegalFieldValueException32.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    illegalFieldValueException22.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number39);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test018"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(6820993, 1370099, 382616297, 6464000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test019"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1564709);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1564709));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test020"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-31), (java.lang.Number)(-4679874), (java.lang.Number)1429193);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test021"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException2.getLowerBound();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    java.lang.String str9 = illegalFieldValueException2.toString();
    java.lang.Number number10 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test022"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", "7460000");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "7460000"+ "'", str3.equals("7460000"));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test023"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-18820744316952L), (java.lang.Number)(-1149921401), (java.lang.Number)369836457984000000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test024"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException33.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException33.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException33.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException33.getFieldName();
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException33.getDurationFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.Number number40 = illegalFieldValueException29.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException43 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", "900000");
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException43);
    java.lang.String str45 = illegalFieldValueException43.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (-9001)+ "'", number40.equals((-9001)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "900000"+ "'", str45.equals("900000"));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test025"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-13833469), (-67430122), 1024089990, (-112761550));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test026"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(7523371082655375738L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7523371082655375738L);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test027"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1002803216), 0, (-13626630));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test028"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, (-112320200));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-112320200));

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test029"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)173039446211792538L, "org.joda.time.IllegalFieldValueException: 0: Value -1.0 for hi! must be in the range [-90000,900]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test030"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-19L), 12800420);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-243207980L));

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test031"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-12506856791L), 26117774804943L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 26105267948152L);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test032"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1555951005, (-836969), 765221137);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test033"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1280000L, (-1325163297));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1696209020160000L));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-14031298467149132L), 1280000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test035"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-1.0d), (java.lang.Number)(-90000L), (java.lang.Number)900L);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException10.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException10.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException10.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException10.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException10.getDurationFieldType();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException10.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number20 = illegalFieldValueException19.getLowerBound();
    java.lang.String str21 = illegalFieldValueException19.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException24.getDateTimeFieldType();
    java.lang.String str26 = illegalFieldValueException24.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException24.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str21, (java.lang.Object)illegalFieldValueException24);
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException24.addSuppressed((java.lang.Throwable)illegalFieldValueException37);
    java.lang.String str39 = illegalFieldValueException24.getFieldName();
    java.lang.Number number40 = illegalFieldValueException24.getLowerBound();
    illegalFieldValueException24.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
    boolean b43 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", (java.lang.Object)illegalFieldValueException24);
    java.lang.Number number44 = illegalFieldValueException24.getIllegalNumberValue();
    java.lang.Number number45 = illegalFieldValueException24.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + ""+ "'", str39.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test036"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1.0d));
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str11 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number12 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException15.getDurationFieldType();
    java.lang.String str17 = illegalFieldValueException15.getIllegalStringValue();
    java.lang.Number number18 = illegalFieldValueException15.getUpperBound();
    java.lang.String str19 = illegalFieldValueException15.toString();
    boolean b21 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException15, (java.lang.Object)(-1.0d));
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException15.getSuppressed();
    java.lang.String str23 = illegalFieldValueException15.toString();
    java.lang.Number number24 = illegalFieldValueException15.getIllegalNumberValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.Number number26 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test037"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("900000", 803, 1024000000, 1564709);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test038"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 137184129, 0, (-1564709));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test039"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test040"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(806372737, (-1262527));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test041"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("");
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str8 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number10 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test042"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    illegalFieldValueException16.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    java.lang.Number number29 = illegalFieldValueException16.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)7460000, (java.lang.Number)(-1010359804), (java.lang.Number)12463470L);
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = illegalFieldValueException34.getDateTimeFieldType();
    java.lang.String str36 = illegalFieldValueException34.getIllegalStringValue();
    java.lang.Number number37 = illegalFieldValueException34.getUpperBound();
    java.lang.String str38 = illegalFieldValueException34.getFieldName();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException34);
    org.joda.time.DurationFieldType durationFieldType40 = illegalFieldValueException34.getDurationFieldType();
    illegalFieldValueException34.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900] is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 12463470L+ "'", number37.equals(12463470L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + ""+ "'", str38.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType40);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test043"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(326379820, (-122849776), 1024089990);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 326379820);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test044"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-765221137));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 765221137);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test045"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-125938761L), 1082362296262464000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test046"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 545532409, 0, (-870590804));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test047"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test048"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)26130614067200L, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test049"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1002259284), 684254089, 244496868);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test050"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)174155112425422858L, (java.lang.Number)144180000L, (java.lang.Number)(-113577462));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test051"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(13818931, 1, 518491390);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 13818931);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test052"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str9 = illegalFieldValueException2.toString();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number11 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test053"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    illegalFieldValueException16.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    java.lang.Number number31 = null;
    java.lang.Number number32 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", (java.lang.Number)100.0f, number31, number32);
    java.lang.Number number34 = illegalFieldValueException33.getLowerBound();
    boolean b35 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException16, (java.lang.Object)number34);
    java.lang.Number number36 = illegalFieldValueException16.getIllegalNumberValue();
    java.lang.Number number37 = illegalFieldValueException16.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number37);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test054"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.Number number8 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException11.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.Number number14 = illegalFieldValueException11.getUpperBound();
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException11.getDurationFieldType();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException11.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number21 = illegalFieldValueException20.getLowerBound();
    java.lang.String str22 = illegalFieldValueException20.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    java.lang.String str27 = illegalFieldValueException25.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    boolean b32 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str22, (java.lang.Object)illegalFieldValueException25);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number35 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType39 = illegalFieldValueException38.getDurationFieldType();
    java.lang.String str40 = illegalFieldValueException38.getIllegalStringValue();
    java.lang.Number number41 = illegalFieldValueException38.getUpperBound();
    java.lang.Number number42 = illegalFieldValueException38.getLowerBound();
    java.lang.Number number43 = illegalFieldValueException38.getUpperBound();
    boolean b44 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)number43);
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number48 = illegalFieldValueException47.getUpperBound();
    java.lang.Number number49 = illegalFieldValueException47.getIllegalNumberValue();
    java.lang.String str50 = illegalFieldValueException47.getIllegalStringValue();
    boolean b51 = org.joda.time.field.FieldUtils.equals((java.lang.Object)b44, (java.lang.Object)illegalFieldValueException47);
    java.lang.String str52 = illegalFieldValueException47.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType53 = illegalFieldValueException47.getDateTimeFieldType();
    java.lang.Number number54 = illegalFieldValueException47.getIllegalNumberValue();
    java.lang.String str55 = illegalFieldValueException47.getIllegalValueAsString();
    java.lang.String str56 = illegalFieldValueException47.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "hi!"+ "'", str40.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "hi!"+ "'", str50.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "hi!"+ "'", str52.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "hi!"+ "'", str55.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + ""+ "'", str56.equals(""));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-18359), 1030476597, (-649193));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test056"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)261109644, (java.lang.Number)(-1369999), (java.lang.Number)(-1016588800));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test057"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1937991), 0, 77588029);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test058"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException10.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException10.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException10.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException10.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException10.getDurationFieldType();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException10.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number20 = illegalFieldValueException19.getLowerBound();
    java.lang.String str21 = illegalFieldValueException19.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException24.getDateTimeFieldType();
    java.lang.String str26 = illegalFieldValueException24.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException24.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str21, (java.lang.Object)illegalFieldValueException24);
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType36 = illegalFieldValueException35.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType37 = illegalFieldValueException35.getDurationFieldType();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    java.lang.Throwable[] throwable_array39 = illegalFieldValueException10.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.Number number41 = illegalFieldValueException10.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType42 = illegalFieldValueException10.getDurationFieldType();
    java.lang.Throwable[] throwable_array43 = illegalFieldValueException10.getSuppressed();
    java.lang.Number number44 = illegalFieldValueException10.getIllegalNumberValue();
    java.lang.String str45 = illegalFieldValueException10.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "hi!"+ "'", str45.equals("hi!"));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test059"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported", "org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", "hi!");
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException15.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number20 = illegalFieldValueException19.getLowerBound();
    java.lang.Number number21 = illegalFieldValueException19.getIllegalNumberValue();
    boolean b22 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException15, (java.lang.Object)illegalFieldValueException19);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-12506856791L), (java.lang.Number)(-1010359804), (java.lang.Number)6771200);
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.Number number29 = illegalFieldValueException27.getUpperBound();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str9, (java.lang.Object)illegalFieldValueException12);
    java.lang.String str32 = illegalFieldValueException12.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + 6771200+ "'", number29.equals(6771200));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test060"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(819206372932L, 15639194);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test061"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-836969), 2412);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-834557));

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test062"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException33.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException33.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException33.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException33.getFieldName();
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException33.getDurationFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.Throwable[] throwable_array40 = illegalFieldValueException33.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException43 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType44 = illegalFieldValueException43.getDurationFieldType();
    java.lang.String str45 = illegalFieldValueException43.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType46 = illegalFieldValueException43.getDateTimeFieldType();
    illegalFieldValueException43.prependMessage("hi!");
    illegalFieldValueException33.addSuppressed((java.lang.Throwable)illegalFieldValueException43);
    java.lang.Number number50 = illegalFieldValueException33.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "hi!"+ "'", str45.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number50);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test063"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported", 1128225, 0, (-11521320));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test064"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1022702648), (java.lang.Number)1086356719939020L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test065"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(803, 1262527, 7034752);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 5773029);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test066"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(9419826772718447L, (-1149923201L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test067"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10.0 for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported must be in the range [-1,7394332]", (java.lang.Number)8785158511462L, (java.lang.Number)(-18359), (java.lang.Number)(-9000L));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test068"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(31236346775246337L, 820237818800L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test069"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("");
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Object obj8 = null;
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, obj8);
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException2.getSuppressed();
    java.lang.String str11 = illegalFieldValueException2.getFieldName();
    java.lang.Number number12 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test070"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(160327010229683386L, (-81000009000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test071"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969 must be in the range [272890645794000,31236428140984130]", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969: Value \"hi!\" for  is not supported");

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test072"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException16.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType26 = illegalFieldValueException16.getDurationFieldType();
    boolean b28 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException16, (java.lang.Object)true);
    java.lang.String str29 = illegalFieldValueException16.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str29.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test073"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(26131366502331L, (-81000009000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 26212366511331L);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test074"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-286854015367613463L), (-847818900900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-286853167548712563L));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(3343610, (-1612725713));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test076"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1083182669), (java.lang.Number)(-1010359612), (java.lang.Number)(-1002181015));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test077"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1312361977, 13625730, (-226208151));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(173039446211792538L, (-994371593));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test079"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str4, (java.lang.Object)illegalFieldValueException7);
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException7.getDurationFieldType();
    illegalFieldValueException7.prependMessage("0");
    java.lang.Number number18 = illegalFieldValueException7.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException21.getDurationFieldType();
    java.lang.String str23 = illegalFieldValueException21.getIllegalStringValue();
    java.lang.Number number24 = illegalFieldValueException21.getUpperBound();
    java.lang.Number number25 = illegalFieldValueException21.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType26 = illegalFieldValueException21.getDurationFieldType();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException21.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number31 = illegalFieldValueException30.getLowerBound();
    java.lang.String str32 = illegalFieldValueException30.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException35.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException35.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException40 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException35.addSuppressed((java.lang.Throwable)illegalFieldValueException40);
    boolean b42 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str32, (java.lang.Object)illegalFieldValueException35);
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType47 = illegalFieldValueException46.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType48 = illegalFieldValueException46.getDurationFieldType();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    illegalFieldValueException21.prependMessage("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
    java.lang.String str52 = illegalFieldValueException21.getFieldName();
    boolean b53 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number18, (java.lang.Object)illegalFieldValueException21);
    illegalFieldValueException21.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "hi!"+ "'", str37.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + ""+ "'", str52.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test080"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "819273440000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test081"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(93393000L, (-642454292));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-60000733692756000L));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test082"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-206283970880000L), (-105468L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test083"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-1142667809600L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test084"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-193212800), (-630006), (-136055005), 193212800);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 135425000);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test085"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-12358931L), 11663987669109L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test086"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1903132, 0, (-995010600));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test087"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(434704140, (-1612725713));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1178021573));

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test088"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-174357043038848088L), number2, (java.lang.Number)1973511);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test089"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-224091133), "8100000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test090"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(33073961223692L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test091"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1010359612), "-1085208193152000000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test092"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported");

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test093"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(short)0, (java.lang.Number)(byte)(-1), (java.lang.Number)(byte)(-1));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number9 = illegalFieldValueException8.getLowerBound();
    java.lang.String str10 = illegalFieldValueException8.getFieldName();
    java.lang.Number number11 = illegalFieldValueException8.getUpperBound();
    illegalFieldValueException8.prependMessage("");
    java.lang.String str14 = illegalFieldValueException8.getFieldName();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test094"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", "org.joda.time.IllegalFieldValueException: 0: : Value \"hi!\" for  is not supported");

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test095"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test096"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(short)0, (java.lang.Number)(byte)(-1), (java.lang.Number)(byte)(-1));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");
    java.lang.String str8 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str10 = illegalFieldValueException4.getFieldName();
    java.lang.String str11 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)(-1)+ "'", number5.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "0"+ "'", str8.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "0"+ "'", str9.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test097"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-1800", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969 is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test098"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1136885595), (java.lang.Number)820222720769L, (java.lang.Number)(-528013));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test099"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("8100000", (java.lang.Number)(-11521320), (java.lang.Number)(byte)10, (java.lang.Number)105468L);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "8100000"+ "'", str6.equals("8100000"));

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test100"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969 is not supported", "-1280131");
    java.lang.Throwable[] throwable_array3 = illegalFieldValueException2.getSuppressed();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "-1280131"+ "'", str4.equals("-1280131"));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test101"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-11664000179100L), (-751535131L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-11664751714231L));

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test102"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", (java.lang.Number)(-12801320), (java.lang.Number)131, (java.lang.Number)(-1025280000));
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Throwable throwable14 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException2.addSuppressed(throwable14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test103"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1519457672996658L), 83839869L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test104"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-13728931), 1128225, (-210914060));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test105"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.String str31 = illegalFieldValueException16.getFieldName();
    java.lang.String str32 = illegalFieldValueException16.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType36 = illegalFieldValueException35.getDurationFieldType();
    java.lang.String str37 = illegalFieldValueException35.getIllegalStringValue();
    java.lang.Number number38 = illegalFieldValueException35.getUpperBound();
    java.lang.Number number39 = illegalFieldValueException35.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType40 = illegalFieldValueException35.getDurationFieldType();
    java.lang.Throwable[] throwable_array41 = illegalFieldValueException35.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException44 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number45 = illegalFieldValueException44.getLowerBound();
    java.lang.String str46 = illegalFieldValueException44.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException49 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType50 = illegalFieldValueException49.getDateTimeFieldType();
    java.lang.String str51 = illegalFieldValueException49.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException54 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException49.addSuppressed((java.lang.Throwable)illegalFieldValueException54);
    boolean b56 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str46, (java.lang.Object)illegalFieldValueException49);
    illegalFieldValueException35.addSuppressed((java.lang.Throwable)illegalFieldValueException49);
    org.joda.time.IllegalFieldValueException illegalFieldValueException62 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException49.addSuppressed((java.lang.Throwable)illegalFieldValueException62);
    org.joda.time.IllegalFieldValueException illegalFieldValueException66 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType67 = illegalFieldValueException66.getDurationFieldType();
    java.lang.String str68 = illegalFieldValueException66.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType69 = illegalFieldValueException66.getDateTimeFieldType();
    java.lang.String str70 = illegalFieldValueException66.getFieldName();
    org.joda.time.DurationFieldType durationFieldType71 = illegalFieldValueException66.getDurationFieldType();
    illegalFieldValueException62.addSuppressed((java.lang.Throwable)illegalFieldValueException66);
    org.joda.time.IllegalFieldValueException illegalFieldValueException75 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", "hi!");
    illegalFieldValueException75.prependMessage("");
    illegalFieldValueException62.addSuppressed((java.lang.Throwable)illegalFieldValueException75);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException75);
    java.lang.Throwable[] throwable_array80 = illegalFieldValueException75.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType81 = illegalFieldValueException75.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "hi!"+ "'", str37.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + ""+ "'", str46.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "hi!"+ "'", str51.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str68 + "' != '" + "hi!"+ "'", str68.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str70 + "' != '" + ""+ "'", str70.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType81);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test106"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException3.getDurationFieldType();
    java.lang.String str5 = illegalFieldValueException3.getIllegalStringValue();
    java.lang.Number number6 = illegalFieldValueException3.getUpperBound();
    java.lang.Number number7 = illegalFieldValueException3.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException3.getDurationFieldType();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException3.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number13 = illegalFieldValueException12.getLowerBound();
    java.lang.String str14 = illegalFieldValueException12.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException17.getDateTimeFieldType();
    java.lang.String str19 = illegalFieldValueException17.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    boolean b24 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str14, (java.lang.Object)illegalFieldValueException17);
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException28.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType30 = illegalFieldValueException28.getDurationFieldType();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    java.lang.String str32 = illegalFieldValueException28.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType36 = illegalFieldValueException35.getDurationFieldType();
    java.lang.String str37 = illegalFieldValueException35.getIllegalStringValue();
    java.lang.Number number38 = illegalFieldValueException35.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType39 = illegalFieldValueException35.getDurationFieldType();
    java.lang.String str40 = illegalFieldValueException35.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType41 = illegalFieldValueException35.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)8100000, (java.lang.Number)920L, (java.lang.Number)10);
    illegalFieldValueException35.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    illegalFieldValueException28.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    org.joda.time.IllegalFieldValueException illegalFieldValueException51 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported");
    boolean b52 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException46, (java.lang.Object)illegalFieldValueException51);
    org.joda.time.IllegalFieldValueException illegalFieldValueException57 = new org.joda.time.IllegalFieldValueException("-12801320", (java.lang.Number)(-1085208193152000000L), (java.lang.Number)(-13729619L), (java.lang.Number)(-623132));
    illegalFieldValueException51.addSuppressed((java.lang.Throwable)illegalFieldValueException57);
    boolean b59 = org.joda.time.field.FieldUtils.equals((java.lang.Object)338333651, (java.lang.Object)illegalFieldValueException57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "hi!"+ "'", str37.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "hi!"+ "'", str40.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test107"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"-1280131\" for -1280131 is not supported", (java.lang.Number)(-122849684), number2, (java.lang.Number)0L);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test108"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1144226949600L), (-836969L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 957682485779762400L);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test109"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException27.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.String str31 = illegalFieldValueException2.getFieldName();
    java.lang.String str32 = illegalFieldValueException2.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType33);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test110"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)393615091, (java.lang.Number)(-125452), (java.lang.Number)2878868946269L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test111"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number4 = illegalFieldValueException3.getUpperBound();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-9000), (java.lang.Object)illegalFieldValueException3);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException3.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException3.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException10.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException10.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.String str14 = illegalFieldValueException10.getFieldName();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException10.getDurationFieldType();
    java.lang.Number number16 = illegalFieldValueException10.getIllegalNumberValue();
    java.lang.String str17 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Number number18 = illegalFieldValueException10.getIllegalNumberValue();
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException3, (java.lang.Object)illegalFieldValueException10);
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException10.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test112"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1242144650000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test113"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number6 = illegalFieldValueException5.getUpperBound();
    java.lang.Number number7 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException5.getSuppressed();
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException5.getDateTimeFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    java.lang.Number number13 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test114"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10]", 126072, 546660634, (-1157209811));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test115"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(174357030655574747L, 223287332L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test116"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-79207), 72338);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-6869));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test117"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1359107), (-6909599), 326379820);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test118"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-10574562952201416L), (-112150663L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test119"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", (java.lang.Number)100L, (java.lang.Number)1263335, (java.lang.Number)640000);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.Number number10 = illegalFieldValueException7.getUpperBound();
    java.lang.Number number11 = illegalFieldValueException7.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException7.getDurationFieldType();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException7.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number17 = illegalFieldValueException16.getLowerBound();
    java.lang.String str18 = illegalFieldValueException16.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException21.getDateTimeFieldType();
    java.lang.String str23 = illegalFieldValueException21.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException26);
    boolean b28 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str18, (java.lang.Object)illegalFieldValueException21);
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.String str30 = illegalFieldValueException21.getIllegalStringValue();
    java.lang.Number number31 = illegalFieldValueException21.getUpperBound();
    illegalFieldValueException21.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    java.lang.Number number34 = illegalFieldValueException21.getUpperBound();
    java.lang.Number number35 = illegalFieldValueException21.getLowerBound();
    boolean b36 = org.joda.time.field.FieldUtils.equals((java.lang.Object)640000, (java.lang.Object)illegalFieldValueException21);
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType40 = illegalFieldValueException39.getDurationFieldType();
    java.lang.String str41 = illegalFieldValueException39.getIllegalStringValue();
    java.lang.Number number42 = illegalFieldValueException39.getUpperBound();
    java.lang.String str43 = illegalFieldValueException39.toString();
    java.lang.String str44 = illegalFieldValueException39.getFieldName();
    java.lang.Number number45 = illegalFieldValueException39.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException48 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType49 = illegalFieldValueException48.getDurationFieldType();
    java.lang.String str50 = illegalFieldValueException48.getIllegalStringValue();
    java.lang.Number number51 = illegalFieldValueException48.getUpperBound();
    java.lang.Number number52 = illegalFieldValueException48.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType53 = illegalFieldValueException48.getDurationFieldType();
    java.lang.Throwable[] throwable_array54 = illegalFieldValueException48.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException57 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number58 = illegalFieldValueException57.getLowerBound();
    java.lang.String str59 = illegalFieldValueException57.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException62 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType63 = illegalFieldValueException62.getDateTimeFieldType();
    java.lang.String str64 = illegalFieldValueException62.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException67 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException62.addSuppressed((java.lang.Throwable)illegalFieldValueException67);
    boolean b69 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str59, (java.lang.Object)illegalFieldValueException62);
    illegalFieldValueException48.addSuppressed((java.lang.Throwable)illegalFieldValueException62);
    illegalFieldValueException39.addSuppressed((java.lang.Throwable)illegalFieldValueException48);
    java.lang.Number number72 = illegalFieldValueException39.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType73 = illegalFieldValueException39.getDateTimeFieldType();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    java.lang.String str75 = illegalFieldValueException39.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "hi!"+ "'", str41.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str43.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + ""+ "'", str44.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "hi!"+ "'", str50.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + ""+ "'", str59.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "hi!"+ "'", str64.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "hi!"+ "'", str75.equals("hi!"));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test120"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-169902558));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 169902558);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test121"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str16 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number17 = illegalFieldValueException2.getUpperBound();
    java.lang.String str18 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test122"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-847820180900L), 89961271999L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-937781452899L));

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test123"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-224624262L), (java.lang.Number)(-113577462L), number3);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.String str7 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-224624262"+ "'", str5.equals("-224624262"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test124"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"-1280131\" for -1280131 is not supported", (java.lang.Number)(-205464698880000L), (java.lang.Number)8785144783330L, (java.lang.Number)369836457970165469L);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-205464698880000"+ "'", str5.equals("-205464698880000"));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test125"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)13729599L, (java.lang.Number)1280000L, (java.lang.Number)(-962018721));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test126"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("8100000", (java.lang.Number)(-11521320), (java.lang.Number)(byte)10, (java.lang.Number)105468L);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]\" for  is not supported");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969: Value \"hi!\" for  is not supported");
    java.lang.Throwable throwable9 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException4.addSuppressed(throwable9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test127"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(3343610, 153600);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test128"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1280132, 396297059, 10728036);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test129"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported", (-1406026366), (-1323410408), 7394332);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test130"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeAdd((-1177070426), (-1136885595));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test131"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1111633959), (-434704140), 8935640);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-224354397));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test132"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-10083200000000L), 153600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1548779520000000000L));

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test133"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 316468111, (-13728931), 3376198);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test134"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    illegalFieldValueException16.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    java.lang.Number number29 = illegalFieldValueException16.getUpperBound();
    java.lang.String str30 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str32 = illegalFieldValueException16.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]: Value \"hi!\" for  is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test135"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-1800", 182317492, (-776691227), 110870532);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test136"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-272890645794000L), "org.joda.time.IllegalFieldValueException: Value \"-1280131\" for org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test137"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-4349237009204L), (-1002803216));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test138"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.Number number16 = illegalFieldValueException8.getLowerBound();
    java.lang.String str17 = illegalFieldValueException8.toString();
    java.lang.Number number18 = illegalFieldValueException8.getIllegalNumberValue();
    java.lang.String str19 = illegalFieldValueException8.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test139"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1.0d));
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test140"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.String str8 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test141"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-2180346507296828178L), (-110872140L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test142"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 823858065, (-623132), (-1755756));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test143"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1800), 18359, (-1155306679), (-9));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1155290112));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test144"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-103770L), 11521179920L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 11521076150L);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test145"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-67066969), (-989647954));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test146"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(639984, (-421828120), (-226208151), 1466214);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-193513770));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test147"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]", "0");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("-224624262", "hi!");
    boolean b6 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"0", (java.lang.Object)illegalFieldValueException5);
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException5, (java.lang.Object)(-1150028669L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test148"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported"));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test149"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(13141290L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 13141290);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test150"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)207404564377426L, "org.joda.time.IllegalFieldValueException: -12801320: Value -6030120 for hi! must be in the range [1280000,847818900000]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test151"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", "");

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test152"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)174155112425422858L, (java.lang.Number)377689801636766L, (java.lang.Number)(-698985811));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test153"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-13729599), 168431220, (-1466550));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test154"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 255260332, 135425000, (-937808559));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test155"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(113577443, (-122848973));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-9271530));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test156"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", 223182663, (-362397), 1281416);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test157"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.String str26 = illegalFieldValueException16.getIllegalValueAsString();
    java.lang.String str27 = illegalFieldValueException16.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test158"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-1280131", (java.lang.Number)1, (java.lang.Number)(byte)(-1), (java.lang.Number)1L);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1"+ "'", str5.equals("1"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test159"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("", 0, (-1177720520), 1612725713);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test160"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-101035981331L), (-1280132L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-101034701199L));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test161"); }


    java.lang.Number number1 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-1800", number1, number2, (java.lang.Number)8785158511462L);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test162"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(12801320, (-131413493));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-118612173));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test163"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("7460000", (-110872140), (-1271100), (-800));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test164"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1520905706343990L), (java.lang.Number)205464698880000L, (java.lang.Number)100.0f);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test165"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported", 765221137, (-936545342), (-803));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test166"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(437225);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-437225));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test167"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test168"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-6723489453968840L), (-1007415715091154759L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1014139204545123599L));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test169"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-2026047388));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2026047388);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test170"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", (java.lang.Number)(-12801320), (java.lang.Number)131, (java.lang.Number)(-1025280000));
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException12.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number18 = illegalFieldValueException17.getUpperBound();
    java.lang.Number number19 = illegalFieldValueException17.getIllegalNumberValue();
    java.lang.String str20 = illegalFieldValueException17.getIllegalValueAsString();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    illegalFieldValueException12.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test171"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-7436403), 437094, (-639007));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test172"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1324160901), 858935063, 1280132);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test173"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-31236427775255337L), 89961092899L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-31236517736348236L));

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test174"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -224624262 for  must not be smaller than -113577462", (java.lang.Number)129463577, (java.lang.Number)(-3897891096974656240L), (java.lang.Number)26212366511331L);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test175"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(67430122L, (-150394340742748200L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test176"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-6149202));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6149202);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test177"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-847818900900L), (java.lang.Number)(-369809073410233737L), (java.lang.Number)26117774804943L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test178"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-594651644), (-18359), (-1325163297));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test179"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)1L, number2, (java.lang.Number)(-104669L));
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test180"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1155290112), 169902558, 765222936);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test181"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1002803216), (-941638));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test182"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-11521270800L), (-490558717786695L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-490570239057495L));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test183"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-87651151), (-122849684), (-1280132));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test184"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)26130614067200L, "-1280131");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test185"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str9 = illegalFieldValueException7.getFieldName();
    illegalFieldValueException7.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported: Value \"hi!\" for  is not supported");
    java.lang.Number number12 = illegalFieldValueException7.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(13818931, (-3980706), 245136868, (-869791942));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test187"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: 0: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported", (-138), 3343610, (-1370000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test188"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-649001), "819273440000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test189"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-1280131", "-1280131");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number6 = illegalFieldValueException5.getUpperBound();
    java.lang.Number number7 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException5.getSuppressed();
    java.lang.Number number9 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException5.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number13 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.String str15 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "-1280131"+ "'", str15.equals("-1280131"));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test190"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(10243619332L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test191"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)8100000, (java.lang.Number)920L, (java.lang.Number)10);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "8100000"+ "'", str6.equals("8100000"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 8100000+ "'", number7.equals(8100000));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test192"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-129251989180233471L), (java.lang.Number)(-834557), (java.lang.Number)80000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test193"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-819272000000L), (-90001));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 73735299272000000L);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test194"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(31236518115984960L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test195"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(980573550, 7034752);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test196"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10, "org.joda.time.IllegalFieldValueException: Value \"-1280131\" for org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test197"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10]", 6131199, 138, (-528013));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test198"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)0, "819273440000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test199"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1354412362069496080L, 80965144799100000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test200"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException27.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.String str31 = illegalFieldValueException27.getFieldName();
    java.lang.Throwable[] throwable_array32 = illegalFieldValueException27.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", "hi!");
    java.lang.Throwable[] throwable_array36 = illegalFieldValueException35.getSuppressed();
    java.lang.Throwable[] throwable_array37 = illegalFieldValueException35.getSuppressed();
    java.lang.Number number38 = illegalFieldValueException35.getLowerBound();
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    java.lang.Number number40 = illegalFieldValueException35.getLowerBound();
    java.lang.Number number41 = illegalFieldValueException35.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException44 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number45 = illegalFieldValueException44.getUpperBound();
    java.lang.Number number46 = illegalFieldValueException44.getIllegalNumberValue();
    java.lang.String str47 = illegalFieldValueException44.getIllegalStringValue();
    java.lang.String str48 = illegalFieldValueException44.getIllegalValueAsString();
    java.lang.Number number49 = illegalFieldValueException44.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException("-1280131", "-1280131");
    illegalFieldValueException44.addSuppressed((java.lang.Throwable)illegalFieldValueException52);
    java.lang.String str54 = illegalFieldValueException44.getFieldName();
    java.lang.Number number55 = illegalFieldValueException44.getUpperBound();
    java.lang.Number number56 = illegalFieldValueException44.getUpperBound();
    illegalFieldValueException35.addSuppressed((java.lang.Throwable)illegalFieldValueException44);
    java.lang.String str58 = illegalFieldValueException44.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "hi!"+ "'", str47.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "hi!"+ "'", str48.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + ""+ "'", str54.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "hi!"+ "'", str58.equals("hi!"));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test201"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-124760192), 137, 823858065, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test202"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-131), (java.lang.Number)(-819272000000L), (java.lang.Number)(-640000));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-640000)+ "'", number5.equals((-640000)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "-131"+ "'", str6.equals("-131"));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test203"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-989458864), 901187, (-1937991));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test204"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1177070426, (-112410201), 1614005329, (-1010359612));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test205"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str16 = illegalFieldValueException2.toString();
    java.lang.String str17 = illegalFieldValueException2.toString();
    java.lang.Number number18 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test206"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-962018721), number2, (java.lang.Number)800L);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test207"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", (java.lang.Number)(-12801320), (java.lang.Number)131, (java.lang.Number)(-1025280000));
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException12.getSuppressed();
    illegalFieldValueException12.prependMessage("8100000");
    java.lang.Number number17 = illegalFieldValueException12.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (-1025280000)+ "'", number17.equals((-1025280000)));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test208"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-936545342), 13037606, 110870532);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test209"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 67430122, (-4760996), (-1324133624));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test210"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test211"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 92, 67088);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 66997);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test212"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", "org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    java.lang.String str4 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported"));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test213"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "-1280131");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-1280131"+ "'", str3.equals("-1280131"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test214"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(105468L, (-10902472000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10902471894532L));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test215"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1011717725));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1011717725);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test216"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-836038), (-1329167267));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test217"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-158803948625120000L), 819204829162L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test218"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-132052500), 1136885595, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test219"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.String str16 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number17 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: 0: Value -1.0 for hi! must be in the range [-90000,900]");
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"900000\" for -224624262 is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test220"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1016588110, (-240135), (-870590804));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test221"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1019986856, 0, 132667972);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test222"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-529505905), (-1440000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-530945905));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test223"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)175770296089210L, (java.lang.Number)(-515923446), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test224"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-490558717786695L), (java.lang.Number)135425000, (java.lang.Number)(-73600));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test225"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(377689801636766L, (-7034383748830271456L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test226"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "-1024000000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test227"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-90136), "org.joda.time.IllegalFieldValueException: hi!: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test228"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-124316196), (-124760192));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test229"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1), (-8545019), 0);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test230"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)858935063, "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test231"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"900000\" for -224624262 is not supported", (java.lang.Number)80000, number2, (java.lang.Number)(-14031298467149132L));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test232"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException33.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException33.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException33.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException33.getFieldName();
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException33.getDurationFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.Number number40 = illegalFieldValueException29.getIllegalNumberValue();
    java.lang.Number number41 = illegalFieldValueException29.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + (-9001)+ "'", number40.equals((-9001)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + 10+ "'", number41.equals(10));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test233"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 92, (-18359), 623616);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test234"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"-1280131\" for -1280131 is not supported", (java.lang.Number)(-115015884800000000L), (java.lang.Number)685359149, (java.lang.Number)(-19L));
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test235"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)174357043276000000L, (java.lang.Number)1447922476800L, (java.lang.Number)174357043162431538L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test236"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-90010));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 90010);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test237"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 444927, 806372737);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test238"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-118612173), 0, (-126040000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test239"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException33.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException33.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException33.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException33.getFieldName();
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException33.getDurationFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.Throwable[] throwable_array40 = illegalFieldValueException33.getSuppressed();
    illegalFieldValueException33.prependMessage("hi!");
    illegalFieldValueException33.prependMessage("org.joda.time.IllegalFieldValueException: Value 1017228800 for  must be in the range [-1520905706343990,232384829]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test240"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException2.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test241"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException3.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException3.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException3.getUpperBound();
    boolean b7 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test242"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)0, (java.lang.Number)26131366502331L, (java.lang.Number)(-1177720510));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test243"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-67908552480000L), 1086356719939020L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test244"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported: : Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test245"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1316255690), (-13729599));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1329985289));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test246"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", (java.lang.Number)900L, number2, (java.lang.Number)245136868);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported");
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 245136868+ "'", number7.equals(245136868));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test247"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-110872140L), 2180328866226658217L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2180328866115786077L);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test248"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(245136869, (-1464887), 1614005329, 622527);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test249"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1150028669L), (java.lang.Number)173041386189497426L, (java.lang.Number)(-124760192));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test250"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported", (-17), (-136055005), (-1903232));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test251"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-936545342), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969: Value \"hi!\" for  is not supported: : Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test252"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969 must be in the range [272890645794000,31236428140984130]", 434704140, (-530945905), 1800);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test253"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-210923059), 1429193, (-995010600), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-209493866));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test254"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1244668, (java.lang.Number)(-2026047388), (java.lang.Number)207404564377426L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test255"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.Number number8 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hi!"+ "'", str3.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test256"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-577508610), 9994, (-1149923201));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test257"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1154736000000000L), (java.lang.Number)(-9076125012209200L), (java.lang.Number)(-1085208193152900000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test258"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-1085208193152000000", 1325163297, 1263335, 806372737);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test259"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-930462659), 976699679, (-640001));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test260"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    java.lang.String str27 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number29 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException32 = new org.joda.time.IllegalFieldValueException("hi!", number29, (java.lang.Number)10L, (java.lang.Number)(-9001));
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException32);
    java.lang.Number number34 = illegalFieldValueException32.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + 10L+ "'", number34.equals(10L));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test261"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1370000), (-8100000), (-1370000));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test262"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(23686, (-1316255690));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1316232004));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test263"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.String str6 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number10 = illegalFieldValueException9.getUpperBound();
    java.lang.Number number11 = illegalFieldValueException9.getIllegalNumberValue();
    java.lang.String str12 = illegalFieldValueException9.getIllegalStringValue();
    java.lang.String str13 = illegalFieldValueException9.getIllegalValueAsString();
    java.lang.Number number14 = illegalFieldValueException9.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("-1280131", "-1280131");
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str20 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str21 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test264"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-1800", 66997, 1263335, (-144412998));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test265"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-9971499521300L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test266"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-17575980198630L), (java.lang.Number)80965144686788800L, (java.lang.Number)(-1354412372311676212L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test267"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(800, (-9001));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7200800));

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test268"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969 is not supported");

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test269"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(26105267948152L, 1120511002625730L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1146616270573882L);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test270"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)(-1198760001), (java.lang.Number)369835609001342400L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test271"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(330, (-1324800000));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test272"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException16.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType26 = illegalFieldValueException16.getDurationFieldType();
    java.lang.String str27 = illegalFieldValueException16.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException16.getDurationFieldType();
    java.lang.String str29 = illegalFieldValueException16.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "hi!"+ "'", str29.equals("hi!"));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test273"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1.0d));
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException2.getSuppressed();
    illegalFieldValueException2.prependMessage("");
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test274"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)26117774804943L, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]: Value \"hi!\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test275"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 126072, (-1324800900), (-13728931));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test276"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: 0: : Value \"hi!\" for  is not supported", (-112410201), (-1022702648), 0);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test277"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-1085208193152000000", (java.lang.Number)(-10902472000000L), (java.lang.Number)(-1464887), (java.lang.Number)261109644);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test278"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", (-126040000), 437225, 676721358);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test279"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 122849776);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 122849776);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test280"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str4, (java.lang.Object)illegalFieldValueException7);
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException7.getDurationFieldType();
    illegalFieldValueException7.prependMessage("0");
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException20.getDateTimeFieldType();
    java.lang.String str22 = illegalFieldValueException20.getIllegalValueAsString();
    java.lang.String str23 = illegalFieldValueException20.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType27 = illegalFieldValueException26.getDateTimeFieldType();
    java.lang.String str28 = illegalFieldValueException26.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException26);
    org.joda.time.IllegalFieldValueException illegalFieldValueException36 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType37 = illegalFieldValueException36.getDurationFieldType();
    java.lang.String str38 = illegalFieldValueException36.getIllegalStringValue();
    java.lang.Number number39 = illegalFieldValueException36.getUpperBound();
    java.lang.Number number40 = illegalFieldValueException36.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType41 = illegalFieldValueException36.getDurationFieldType();
    java.lang.Throwable[] throwable_array42 = illegalFieldValueException36.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException45 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number46 = illegalFieldValueException45.getLowerBound();
    java.lang.String str47 = illegalFieldValueException45.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException50 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType51 = illegalFieldValueException50.getDateTimeFieldType();
    java.lang.String str52 = illegalFieldValueException50.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException55 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException50.addSuppressed((java.lang.Throwable)illegalFieldValueException55);
    boolean b57 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str47, (java.lang.Object)illegalFieldValueException50);
    illegalFieldValueException36.addSuppressed((java.lang.Throwable)illegalFieldValueException50);
    org.joda.time.IllegalFieldValueException illegalFieldValueException63 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException50.addSuppressed((java.lang.Throwable)illegalFieldValueException63);
    org.joda.time.IllegalFieldValueException illegalFieldValueException67 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType68 = illegalFieldValueException67.getDurationFieldType();
    java.lang.String str69 = illegalFieldValueException67.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType70 = illegalFieldValueException67.getDateTimeFieldType();
    java.lang.String str71 = illegalFieldValueException67.getFieldName();
    org.joda.time.DurationFieldType durationFieldType72 = illegalFieldValueException67.getDurationFieldType();
    illegalFieldValueException63.addSuppressed((java.lang.Throwable)illegalFieldValueException67);
    org.joda.time.IllegalFieldValueException illegalFieldValueException76 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", "hi!");
    illegalFieldValueException76.prependMessage("");
    illegalFieldValueException63.addSuppressed((java.lang.Throwable)illegalFieldValueException76);
    java.lang.Throwable[] throwable_array80 = illegalFieldValueException63.getSuppressed();
    boolean b81 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException20, (java.lang.Object)illegalFieldValueException63);
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException63);
    java.lang.String str83 = illegalFieldValueException63.getIllegalValueAsString();
    java.lang.String str84 = illegalFieldValueException63.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + ""+ "'", str23.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "hi!"+ "'", str38.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + ""+ "'", str47.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "hi!"+ "'", str52.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "hi!"+ "'", str69.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + ""+ "'", str71.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str83 + "' != '" + "-9001"+ "'", str83.equals("-9001"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str84 + "' != '" + "hi!"+ "'", str84.equals("hi!"));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test281"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1017958807, (java.lang.Number)(-10229785863L), (java.lang.Number)(-90010L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test282"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-9994), "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test283"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)138, (java.lang.Number)(-1160377331931236097L), (java.lang.Number)1447893577732L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test284"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)113577443, "-1280131");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test285"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)13701203, (java.lang.Number)(-8582623337004715L), (java.lang.Number)(-1696209020160000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test286"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.String str8 = illegalFieldValueException2.toString();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException2.toString();
    java.lang.String str11 = illegalFieldValueException2.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException16.getDurationFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number19 = illegalFieldValueException16.getUpperBound();
    java.lang.Number number20 = illegalFieldValueException16.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException16.getDurationFieldType();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException16.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number26 = illegalFieldValueException25.getLowerBound();
    java.lang.String str27 = illegalFieldValueException25.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException30.getDateTimeFieldType();
    java.lang.String str32 = illegalFieldValueException30.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    boolean b37 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str27, (java.lang.Object)illegalFieldValueException30);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    java.lang.String str39 = illegalFieldValueException30.getIllegalStringValue();
    java.lang.Number number40 = illegalFieldValueException30.getUpperBound();
    java.lang.Throwable[] throwable_array41 = illegalFieldValueException30.getSuppressed();
    java.lang.String str42 = illegalFieldValueException30.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType43 = illegalFieldValueException30.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType44 = illegalFieldValueException30.getDateTimeFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "hi!"+ "'", str32.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "hi!"+ "'", str42.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType44);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test287"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-594651644), (-936546032), (-161010900), (-13362496));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-54713626));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-12358931L), 26131366502331L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test289"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1149923201), 1663);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1149921538));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test290"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 217677975, (-1025280000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test291"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(205464698880000L, 1120511002625730L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-915046303745730L));

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test292"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10.0f, "-868063750");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test293"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.Number number8 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException11.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.Number number14 = illegalFieldValueException11.getUpperBound();
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException11.getDurationFieldType();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException11.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number21 = illegalFieldValueException20.getLowerBound();
    java.lang.String str22 = illegalFieldValueException20.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    java.lang.String str27 = illegalFieldValueException25.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    boolean b32 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str22, (java.lang.Object)illegalFieldValueException25);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str35 = illegalFieldValueException2.toString();
    java.lang.String str36 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number37 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str38 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str35.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + ""+ "'", str38.equals(""));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test294"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-131", 0, 12800420, (-1002259284));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test295"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(11521076150L, 12390259908996000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-12390248387919850L));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test296"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-82982442589856285L), 1252796046931L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test297"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test298"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-7523371082880000000L), 369836457970165469L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7153534624909834531L));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test299"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(1281416, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test300"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-31236517736348236L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test301"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException3.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException3.getDurationFieldType();
    java.lang.String str6 = illegalFieldValueException3.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException3.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException3.getDateTimeFieldType();
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)1170129, (java.lang.Object)dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test302"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-10574562952201416L), (java.lang.Number)(-639007), (java.lang.Number)1016588110);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test303"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)7720791264869L, "-12801320");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1466550), (-1008998613), 217524375, (-895593732));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test305"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number7 = illegalFieldValueException2.getUpperBound();
    java.lang.String str8 = illegalFieldValueException2.toString();
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test306"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: -131: Value -1280131 for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported must be in the range [-1,1]", "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported");

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test307"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)87543959, (java.lang.Number)(-137), (java.lang.Number)10L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test308"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1.0d));
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException2.getSuppressed();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException13.getDurationFieldType();
    java.lang.String str15 = illegalFieldValueException13.getIllegalStringValue();
    java.lang.Number number16 = illegalFieldValueException13.getUpperBound();
    java.lang.String str17 = illegalFieldValueException13.toString();
    java.lang.String str18 = illegalFieldValueException13.getFieldName();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException13.getSuppressed();
    boolean b21 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException13, (java.lang.Object)1370099L);
    java.lang.Number number22 = illegalFieldValueException13.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType26 = illegalFieldValueException25.getDurationFieldType();
    java.lang.String str27 = illegalFieldValueException25.getIllegalStringValue();
    java.lang.Number number28 = illegalFieldValueException25.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException25.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType30 = illegalFieldValueException25.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType31 = illegalFieldValueException25.getDurationFieldType();
    java.lang.String str32 = illegalFieldValueException25.getIllegalStringValue();
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException25.getSuppressed();
    java.lang.Number number36 = illegalFieldValueException25.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "hi!"+ "'", str32.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test309"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 799 for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported must be in the range [245760000,100.0]: Value 187887656912148 for -9001 must be in the range [-90000,-1017228800]", (-837000), (-944054927), (-112311200));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test310"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(900L, (-1134350319116700000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test311"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1024089990, 776691227, (-1800));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test312"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.String str31 = illegalFieldValueException16.getFieldName();
    java.lang.Number number32 = illegalFieldValueException16.getUpperBound();
    java.lang.Number number33 = illegalFieldValueException16.getLowerBound();
    java.lang.Number number34 = illegalFieldValueException16.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str36 = illegalFieldValueException16.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + ""+ "'", str36.equals(""));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test313"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(193212800, (-1200488193));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1007275393));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test314"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)66238630000L, "-12506856791");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test315"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(123559200, (-1329167267));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1205608067));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test316"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-125452), (-79207));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-204659));

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test317"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", (java.lang.Number)(-12801320), (java.lang.Number)131, (java.lang.Number)(-1025280000));
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.String str31 = illegalFieldValueException16.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number35 = illegalFieldValueException34.getUpperBound();
    java.lang.Number number36 = illegalFieldValueException34.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array37 = illegalFieldValueException34.getSuppressed();
    java.lang.Number number38 = illegalFieldValueException34.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array39 = illegalFieldValueException34.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType43 = illegalFieldValueException42.getDurationFieldType();
    java.lang.String str44 = illegalFieldValueException42.getIllegalStringValue();
    java.lang.Number number45 = illegalFieldValueException42.getUpperBound();
    java.lang.Number number46 = illegalFieldValueException42.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType47 = illegalFieldValueException42.getDurationFieldType();
    java.lang.Throwable[] throwable_array48 = illegalFieldValueException42.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException51 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number52 = illegalFieldValueException51.getLowerBound();
    java.lang.String str53 = illegalFieldValueException51.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException56 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType57 = illegalFieldValueException56.getDateTimeFieldType();
    java.lang.String str58 = illegalFieldValueException56.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException61 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException56.addSuppressed((java.lang.Throwable)illegalFieldValueException61);
    boolean b63 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str53, (java.lang.Object)illegalFieldValueException56);
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException56);
    java.lang.String str65 = illegalFieldValueException56.getIllegalStringValue();
    java.lang.Number number66 = illegalFieldValueException56.getUpperBound();
    illegalFieldValueException34.addSuppressed((java.lang.Throwable)illegalFieldValueException56);
    java.lang.Number number68 = illegalFieldValueException56.getLowerBound();
    boolean b69 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str31, (java.lang.Object)illegalFieldValueException56);
    java.lang.Number number70 = illegalFieldValueException56.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str31.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "hi!"+ "'", str44.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + ""+ "'", str53.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "hi!"+ "'", str58.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "hi!"+ "'", str65.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number70);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test318"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    java.lang.Number number10 = illegalFieldValueException7.getUpperBound();
    java.lang.Number number11 = illegalFieldValueException7.getUpperBound();
    java.lang.String str12 = illegalFieldValueException7.getIllegalValueAsString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    java.lang.String str14 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.String str15 = illegalFieldValueException7.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException7.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "hi!"+ "'", str3.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test319"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    java.lang.Number number29 = illegalFieldValueException27.getIllegalNumberValue();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.Number number31 = illegalFieldValueException27.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException34.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType37 = illegalFieldValueException34.getDateTimeFieldType();
    java.lang.String str38 = illegalFieldValueException34.getFieldName();
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException34);
    java.lang.String str40 = illegalFieldValueException34.toString();
    org.joda.time.DurationFieldType durationFieldType41 = illegalFieldValueException34.getDurationFieldType();
    java.lang.String str42 = illegalFieldValueException34.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + ""+ "'", str38.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"+ "'", str40.equals("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"+ "'", str42.equals("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test320"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1262527), 437094, 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test321"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-11493811601L), 900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10344430440900L));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test322"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-868063750", (java.lang.Number)(-1253945970132L), (java.lang.Number)(-67430122), (java.lang.Number)2616432016626658217L);
    java.lang.Object obj5 = null;
    boolean b6 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-1253945970132L), obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test323"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number7 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number8 = illegalFieldValueException2.getUpperBound();
    java.lang.String str9 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported"));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test324"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 776691227, 803, (-6162367));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test325"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(122849776, 246031872, 384270177, (-13501178));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test326"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-14366220));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 14366220);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test327"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-67170838L), (java.lang.Number)1205420936216L, (java.lang.Number)(-1520905706343990L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test328"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported is not supported\" for org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test329"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(858935063, (-869791942), (-962018721));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test330"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1279808, (java.lang.Number)8935640, (java.lang.Number)(-1014139204545123599L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test331"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 0, 2026047388, 567199709);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test332"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1542325275), 153600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1542171675));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test333"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1263335), 172778, 0, 13037606);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 11947050);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test334"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-434704040), 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test335"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-1280131", (java.lang.Number)100.0f, (java.lang.Number)245136869, (java.lang.Number)(-6269599));
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100.0f+ "'", number5.equals(100.0f));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test336"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)13625730L, "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test337"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str4, (java.lang.Object)illegalFieldValueException7);
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException7.getDurationFieldType();
    illegalFieldValueException7.prependMessage("0");
    java.lang.String str18 = illegalFieldValueException7.getIllegalStringValue();
    java.lang.String str19 = illegalFieldValueException7.getFieldName();
    java.lang.Number number20 = illegalFieldValueException7.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.String str22 = illegalFieldValueException7.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test338"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-1.0d), (java.lang.Number)(-90000L), (java.lang.Number)900L);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.String str12 = illegalFieldValueException10.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException10.getUpperBound();
    java.lang.String str14 = illegalFieldValueException10.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 900L+ "'", number13.equals(900L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test339"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(223182663, 1280000, 87543959);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 50654743);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test340"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str5 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str6 = illegalFieldValueException2.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test341"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException11.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.Number number14 = illegalFieldValueException11.getUpperBound();
    java.lang.Number number15 = illegalFieldValueException11.getLowerBound();
    java.lang.String str16 = illegalFieldValueException11.getFieldName();
    java.lang.String str17 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.Number number18 = illegalFieldValueException11.getUpperBound();
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFieldType8, (java.lang.Object)illegalFieldValueException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + ""+ "'", str16.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test342"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value -1024000000 for org.joda.time.IllegalFieldValueException: : Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] is not supported must not be larger than -179482969 is not supported");

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test343"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-124760192), (-1279616));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-126039808));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test344"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-7639105), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test345"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)13818931, number2, (java.lang.Number)(-11521320));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test346"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("8100000", "-1024000000");

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test347"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported", (-1002181015), (-1200488193), (-445019));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test348"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-224624262", "900000");
    java.lang.String str3 = illegalFieldValueException2.toString();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    java.lang.String str5 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"900000\" for -224624262 is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"900000\" for -224624262 is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "-224624262"+ "'", str4.equals("-224624262"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "900000"+ "'", str5.equals("900000"));

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test349"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported", (java.lang.Number)(-110872140), (java.lang.Number)(-13833469L), (java.lang.Number)(-847818810900L));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test350"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-12801320", (-1281416), 1023692800, (-330145));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test351"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)15594237, "-1800");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test352"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException33.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException33.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException33.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException33.getFieldName();
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException33.getDurationFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", "hi!");
    illegalFieldValueException42.prependMessage("");
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    java.lang.String str46 = illegalFieldValueException42.getFieldName();
    illegalFieldValueException42.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]\" for  is not supported");
    java.lang.String str49 = illegalFieldValueException42.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]"+ "'", str46.equals("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "hi!"+ "'", str49.equals("hi!"));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test353"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException27.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.String str31 = illegalFieldValueException27.getFieldName();
    illegalFieldValueException27.prependMessage("org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
    java.lang.Number number34 = illegalFieldValueException27.getLowerBound();
    java.lang.Number number35 = illegalFieldValueException27.getUpperBound();
    java.lang.String str36 = illegalFieldValueException27.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported: Value \"hi!\" for  is not supported"+ "'", str36.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test354"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10]", "org.joda.time.IllegalFieldValueException: Value -9001 for hi! must be in the range [640000,10]");

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test355"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(146725);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-146725));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test356"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1440000), (-11), (-434704002));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test357"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1244668, (-240135));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test358"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-122849646), 960906734, (-895317817), (-240135));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-57020595));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test359"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-80453003), "-1800");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test360"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number4 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test361"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-800,-1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test362"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10]", "900");
    java.lang.String str3 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"900\" for org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10] is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"900\" for org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10] is not supported"));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test363"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-1800", (java.lang.Number)(-434704040), (java.lang.Number)(-151), (java.lang.Number)12912400878576269L);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test364"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1256384829, (-224354397));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1032030432);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test365"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)800L);
    java.lang.Number number9 = illegalFieldValueException2.getUpperBound();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number11 = illegalFieldValueException2.getLowerBound();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"900000\" for -224624262 is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test366"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", "hi!");
    java.lang.Throwable[] throwable_array3 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number7 = illegalFieldValueException6.getLowerBound();
    java.lang.Number number8 = illegalFieldValueException6.getIllegalNumberValue();
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException6);
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-12506856791L), (java.lang.Number)(-1010359804), (java.lang.Number)6771200);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.Number number16 = illegalFieldValueException14.getUpperBound();
    java.lang.String str17 = illegalFieldValueException14.toString();
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException14.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 6771200+ "'", number16.equals(6771200));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -12506856791 for  must be in the range [-1010359804,6771200]"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value -12506856791 for  must be in the range [-1010359804,6771200]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test367"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-118612173), 93393000, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test368"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Number number25 = illegalFieldValueException16.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException28.getDurationFieldType();
    java.lang.String str30 = illegalFieldValueException28.getIllegalStringValue();
    java.lang.Number number31 = illegalFieldValueException28.getUpperBound();
    java.lang.Number number32 = illegalFieldValueException28.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType33 = illegalFieldValueException28.getDurationFieldType();
    java.lang.Throwable[] throwable_array34 = illegalFieldValueException28.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number38 = illegalFieldValueException37.getLowerBound();
    java.lang.String str39 = illegalFieldValueException37.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType43 = illegalFieldValueException42.getDateTimeFieldType();
    java.lang.String str44 = illegalFieldValueException42.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException42.addSuppressed((java.lang.Throwable)illegalFieldValueException47);
    boolean b49 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str39, (java.lang.Object)illegalFieldValueException42);
    illegalFieldValueException28.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    java.lang.String str51 = illegalFieldValueException42.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType52 = illegalFieldValueException42.getDateTimeFieldType();
    boolean b53 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number25, (java.lang.Object)illegalFieldValueException42);
    org.joda.time.DurationFieldType durationFieldType54 = illegalFieldValueException42.getDurationFieldType();
    illegalFieldValueException42.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + ""+ "'", str39.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "hi!"+ "'", str44.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str51.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType54);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test369"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-690), 17161, 217677975);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 217660125);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test370"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1323963931, 80149436);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1404113367);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test371"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-31236427775254538L), (-210914060));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test372"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1324800000), 100, (-223182663), 2001391);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-198879625));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test373"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 151447039660772982L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-151447039660772982L));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test374"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-6723489453968840L), (-9074880013729600L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-15798369467698440L));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test375"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1316232004), 513946627);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test376"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)80000, number2, (java.lang.Number)(-1117632121333871L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test377"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1120510989000000L), 174357030655574747L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-175477541644574747L));

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test378"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1520905706343990L), 1592107428289607469L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1590586522583263479L);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test379"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-529505905), 1032030432);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 502524527);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test380"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getUpperBound();
    java.lang.String str7 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test381"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", (java.lang.Number)(-1280131L), (java.lang.Number)(-1L), (java.lang.Number)1L);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException4.getDurationFieldType();
    illegalFieldValueException4.prependMessage("-131");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str11 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-1280131"+ "'", str5.equals("-1280131"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test382"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number8 = illegalFieldValueException6.getIllegalNumberValue();
    illegalFieldValueException6.prependMessage("hi!");
    java.lang.Number number11 = illegalFieldValueException6.getLowerBound();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException6.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException6);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException6.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test383"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 31236518115984960L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test384"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(3144455);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3144455));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test385"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-9271530), (-180000), (-224091133));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test386"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-9074878976015560L), (-272890645794000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test387"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1166400000000000L), 13626630L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test388"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number4 = illegalFieldValueException3.getUpperBound();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-9000), (java.lang.Object)illegalFieldValueException3);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException3.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException3.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException3.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException3.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number13 = illegalFieldValueException12.getLowerBound();
    java.lang.String str14 = illegalFieldValueException12.getFieldName();
    java.lang.Number number15 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException12.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException12.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.String str20 = illegalFieldValueException12.getIllegalStringValue();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number22 = illegalFieldValueException12.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType23 = illegalFieldValueException12.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType23);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test389"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("900000", (-1370099), 901187, 437225);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-224091133), 1323963931);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test391"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1316232004), (-1198760001), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test392"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-330145), 536431121, 444927);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test393"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-15798369467698440L), (java.lang.Number)(-150L), (java.lang.Number)567199709);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test394"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(596463, 1096000000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test395"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 5601053, 1973511, (-1075200801));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test396"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)819273440000L, (java.lang.Number)(-17574830169961L), number3);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    java.lang.String str7 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 819273440000L+ "'", number5.equals(819273440000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-17574830169961L)+ "'", number6.equals((-17574830169961L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test397"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(13887797, (-23686));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test398"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.String str25 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException16.getUpperBound();
    illegalFieldValueException16.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    java.lang.Number number29 = illegalFieldValueException16.getUpperBound();
    java.lang.String str30 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.Number number32 = illegalFieldValueException16.getUpperBound();
    java.lang.String str33 = illegalFieldValueException16.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]: Value \"hi!\" for  is not supported"+ "'", str33.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-31236427775255337L), 1245012210000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test400"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1085208193152900000L), (-73600));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test401"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-7034383748830271456L), 1592107428289607469L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test402"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)684943730189700281L, (java.lang.Number)(-31236517736348236L), (java.lang.Number)243696868);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test403"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "-205464698880000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test404"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-101035980400L), (java.lang.Number)(-73600), (java.lang.Number)(-112320200));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test405"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, (-90000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 90000L);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test406"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-206283970971800L), 205464765359459L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test407"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-238988775), 567199709, 806372737);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test408"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1.0d));
    java.lang.Number number9 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException12.getDurationFieldType();
    java.lang.String str14 = illegalFieldValueException12.getIllegalStringValue();
    java.lang.Number number15 = illegalFieldValueException12.getUpperBound();
    java.lang.String str16 = illegalFieldValueException12.toString();
    java.lang.String str17 = illegalFieldValueException12.getFieldName();
    java.lang.Number number18 = illegalFieldValueException12.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType22 = illegalFieldValueException21.getDurationFieldType();
    java.lang.String str23 = illegalFieldValueException21.getIllegalStringValue();
    java.lang.Number number24 = illegalFieldValueException21.getUpperBound();
    java.lang.Number number25 = illegalFieldValueException21.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType26 = illegalFieldValueException21.getDurationFieldType();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException21.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number31 = illegalFieldValueException30.getLowerBound();
    java.lang.String str32 = illegalFieldValueException30.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException35.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException35.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException40 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException35.addSuppressed((java.lang.Throwable)illegalFieldValueException40);
    boolean b42 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str32, (java.lang.Object)illegalFieldValueException35);
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    java.lang.Number number45 = illegalFieldValueException12.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException48 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType49 = illegalFieldValueException48.getDurationFieldType();
    java.lang.String str50 = illegalFieldValueException48.getIllegalStringValue();
    java.lang.Number number51 = illegalFieldValueException48.getUpperBound();
    java.lang.Number number52 = illegalFieldValueException48.getLowerBound();
    java.lang.Number number53 = illegalFieldValueException48.getUpperBound();
    boolean b54 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException12, (java.lang.Object)number53);
    org.joda.time.IllegalFieldValueException illegalFieldValueException57 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number58 = illegalFieldValueException57.getUpperBound();
    java.lang.Number number59 = illegalFieldValueException57.getIllegalNumberValue();
    java.lang.String str60 = illegalFieldValueException57.getIllegalStringValue();
    boolean b61 = org.joda.time.field.FieldUtils.equals((java.lang.Object)b54, (java.lang.Object)illegalFieldValueException57);
    java.lang.String str62 = illegalFieldValueException57.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType63 = illegalFieldValueException57.getDateTimeFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException57);
    java.lang.String str65 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType66 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + ""+ "'", str32.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "hi!"+ "'", str37.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "hi!"+ "'", str50.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "hi!"+ "'", str60.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "hi!"+ "'", str62.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "hi!"+ "'", str65.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType66);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test409"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 26117996338269L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test410"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)109882668132062775L, "org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test411"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-90000), (-434704140));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-434794140));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test412"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0L, (java.lang.Number)(-800L), (java.lang.Number)(-1));
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException4.getDateTimeFieldType();
    illegalFieldValueException4.prependMessage("-12506856791");
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test413"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"900\" for org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10] is not supported", 0, 1019986856, 1429193);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test414"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 117545877, (-1150028669), (-623132));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test415"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    illegalFieldValueException2.prependMessage("");
    java.lang.String str7 = illegalFieldValueException2.toString();
    java.lang.String str8 = illegalFieldValueException2.toString();
    illegalFieldValueException2.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: : Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test416"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(2158807455L, 205530938880000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 205533097687455L);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test417"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException27.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.String str31 = illegalFieldValueException27.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType35 = illegalFieldValueException34.getDurationFieldType();
    java.lang.String str36 = illegalFieldValueException34.getIllegalStringValue();
    java.lang.Number number37 = illegalFieldValueException34.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException34.getDurationFieldType();
    java.lang.String str39 = illegalFieldValueException34.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = illegalFieldValueException34.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException45 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)8100000, (java.lang.Number)920L, (java.lang.Number)10);
    illegalFieldValueException34.addSuppressed((java.lang.Throwable)illegalFieldValueException45);
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException45);
    java.lang.String str48 = illegalFieldValueException27.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType49 = illegalFieldValueException27.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType53 = illegalFieldValueException52.getDurationFieldType();
    java.lang.String str54 = illegalFieldValueException52.getIllegalStringValue();
    java.lang.Number number55 = illegalFieldValueException52.getUpperBound();
    java.lang.Number number56 = illegalFieldValueException52.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType57 = illegalFieldValueException52.getDurationFieldType();
    java.lang.Throwable[] throwable_array58 = illegalFieldValueException52.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException61 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
    java.lang.String str62 = illegalFieldValueException61.getIllegalValueAsString();
    illegalFieldValueException52.addSuppressed((java.lang.Throwable)illegalFieldValueException61);
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException61);
    java.lang.Number number65 = illegalFieldValueException61.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str48 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str48.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "hi!"+ "'", str54.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str62.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number65);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test418"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1.0d));
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException11.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number14 = illegalFieldValueException2.getLowerBound();
    java.lang.Number number15 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test419"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 0, 1019986856, 326379820);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test420"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-935274242), (-1010358618), (-4832033));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test421"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 223182663);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test422"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException2.getSuppressed();
    java.lang.Throwable throwable6 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException2.addSuppressed(throwable6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test423"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", number1, (java.lang.Number)(-1010359612), (java.lang.Number)1280000L);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-1010359612)+ "'", number5.equals((-1010359612)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test424"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)819273440000L, (java.lang.Number)(-17574830169961L), number3);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test425"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(13728800L, (-10344430440900L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test426"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(26105267948152L, 173039446324000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-173013341056051848L));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test427"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException33.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException33.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException33.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException33.getFieldName();
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException33.getDurationFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.Throwable[] throwable_array40 = illegalFieldValueException33.getSuppressed();
    illegalFieldValueException33.prependMessage("hi!");
    java.lang.String str43 = illegalFieldValueException33.getFieldName();
    illegalFieldValueException33.prependMessage("hi!");
    java.lang.String str46 = illegalFieldValueException33.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + ""+ "'", str43.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: hi!: Value \"hi!\" for  is not supported"+ "'", str46.equals("org.joda.time.IllegalFieldValueException: hi!: hi!: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test428"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)11701290L, (java.lang.Number)(-67066969L), (java.lang.Number)(-1178021573));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test429"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException2.getDateTimeFieldType();
    illegalFieldValueException2.prependMessage("hi!");
    java.lang.String str8 = illegalFieldValueException2.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test430"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)53441907L, (java.lang.Number)113577443L, (java.lang.Number)1205420936216L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test431"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-1024000000", "org.joda.time.IllegalFieldValueException: 0: : Value \"hi!\" for  is not supported");
    java.lang.Throwable[] throwable_array3 = illegalFieldValueException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test432"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(short)0, (java.lang.Number)3343610, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test433"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1564709), 901187);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-663522));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test434"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0L, (java.lang.Number)(-800L), (java.lang.Number)(-1));
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("8100000", "");
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test435"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(short)0, (java.lang.Number)(byte)(-1), (java.lang.Number)(byte)(-1));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.String str6 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException9.getDurationFieldType();
    java.lang.String str11 = illegalFieldValueException9.getIllegalStringValue();
    java.lang.Number number12 = illegalFieldValueException9.getUpperBound();
    java.lang.Number number13 = illegalFieldValueException9.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException9.getDurationFieldType();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException9.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number19 = illegalFieldValueException18.getLowerBound();
    java.lang.String str20 = illegalFieldValueException18.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException23 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType24 = illegalFieldValueException23.getDateTimeFieldType();
    java.lang.String str25 = illegalFieldValueException23.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException23.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    boolean b30 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str20, (java.lang.Object)illegalFieldValueException23);
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    java.lang.String str32 = illegalFieldValueException23.toString();
    java.lang.Number number33 = illegalFieldValueException23.getLowerBound();
    java.lang.String str34 = illegalFieldValueException23.toString();
    java.lang.String str35 = illegalFieldValueException23.getIllegalStringValue();
    java.lang.String str36 = illegalFieldValueException23.toString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException23);
    org.joda.time.IllegalFieldValueException illegalFieldValueException40 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType41 = illegalFieldValueException40.getDurationFieldType();
    java.lang.String str42 = illegalFieldValueException40.getIllegalStringValue();
    java.lang.Number number43 = illegalFieldValueException40.getUpperBound();
    java.lang.Number number44 = illegalFieldValueException40.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType45 = illegalFieldValueException40.getDurationFieldType();
    java.lang.Throwable[] throwable_array46 = illegalFieldValueException40.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException49 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number50 = illegalFieldValueException49.getLowerBound();
    java.lang.String str51 = illegalFieldValueException49.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException54 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType55 = illegalFieldValueException54.getDateTimeFieldType();
    java.lang.String str56 = illegalFieldValueException54.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException59 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException54.addSuppressed((java.lang.Throwable)illegalFieldValueException59);
    boolean b61 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str51, (java.lang.Object)illegalFieldValueException54);
    illegalFieldValueException40.addSuppressed((java.lang.Throwable)illegalFieldValueException54);
    org.joda.time.IllegalFieldValueException illegalFieldValueException67 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException54.addSuppressed((java.lang.Throwable)illegalFieldValueException67);
    java.lang.String str69 = illegalFieldValueException54.getFieldName();
    java.lang.Number number70 = illegalFieldValueException54.getUpperBound();
    java.lang.Number number71 = illegalFieldValueException54.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)(-1)+ "'", number5.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str34.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str36.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "hi!"+ "'", str42.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + ""+ "'", str51.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + "hi!"+ "'", str56.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + ""+ "'", str69.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number71);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test436"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException27.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.String str31 = illegalFieldValueException2.getFieldName();
    java.lang.String str32 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test437"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number5 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number6 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException10.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException10.getIllegalStringValue();
    java.lang.Number number13 = illegalFieldValueException10.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException10.getLowerBound();
    java.lang.String str15 = illegalFieldValueException10.getFieldName();
    java.lang.String str16 = illegalFieldValueException10.getIllegalStringValue();
    java.lang.Number number17 = illegalFieldValueException10.getUpperBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("-1280131", "-1280131");
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number25 = illegalFieldValueException24.getUpperBound();
    java.lang.Number number26 = illegalFieldValueException24.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException24.getSuppressed();
    java.lang.Number number28 = illegalFieldValueException24.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array29 = illegalFieldValueException24.getSuppressed();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException21.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType35 = illegalFieldValueException34.getDurationFieldType();
    java.lang.String str36 = illegalFieldValueException34.getIllegalStringValue();
    java.lang.Number number37 = illegalFieldValueException34.getUpperBound();
    java.lang.Number number38 = illegalFieldValueException34.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType39 = illegalFieldValueException34.getDurationFieldType();
    java.lang.Throwable[] throwable_array40 = illegalFieldValueException34.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException43 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number44 = illegalFieldValueException43.getLowerBound();
    java.lang.String str45 = illegalFieldValueException43.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException48 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType49 = illegalFieldValueException48.getDateTimeFieldType();
    java.lang.String str50 = illegalFieldValueException48.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException53 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException48.addSuppressed((java.lang.Throwable)illegalFieldValueException53);
    boolean b55 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str45, (java.lang.Object)illegalFieldValueException48);
    illegalFieldValueException34.addSuppressed((java.lang.Throwable)illegalFieldValueException48);
    java.lang.Throwable[] throwable_array57 = illegalFieldValueException48.getSuppressed();
    java.lang.Number number58 = illegalFieldValueException48.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException61 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType62 = illegalFieldValueException61.getDurationFieldType();
    java.lang.String str63 = illegalFieldValueException61.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType64 = illegalFieldValueException61.getDateTimeFieldType();
    java.lang.String str65 = illegalFieldValueException61.getFieldName();
    org.joda.time.DurationFieldType durationFieldType66 = illegalFieldValueException61.getDurationFieldType();
    illegalFieldValueException48.addSuppressed((java.lang.Throwable)illegalFieldValueException61);
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException61);
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException61);
    org.joda.time.DurationFieldType durationFieldType70 = illegalFieldValueException10.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + ""+ "'", str45.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "hi!"+ "'", str50.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "hi!"+ "'", str63.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + ""+ "'", str65.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType70);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test438"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException27.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.String str31 = illegalFieldValueException27.getFieldName();
    java.lang.Throwable[] throwable_array32 = illegalFieldValueException27.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", "hi!");
    java.lang.Throwable[] throwable_array36 = illegalFieldValueException35.getSuppressed();
    java.lang.Throwable[] throwable_array37 = illegalFieldValueException35.getSuppressed();
    java.lang.Number number38 = illegalFieldValueException35.getLowerBound();
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    java.lang.Number number40 = illegalFieldValueException27.getUpperBound();
    java.lang.String str41 = illegalFieldValueException27.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str41.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test439"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.Number number16 = illegalFieldValueException2.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str18 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number19 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number22 = null;
    java.lang.Number number23 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]", (java.lang.Number)100.0f, number22, number23);
    java.lang.Number number25 = illegalFieldValueException24.getLowerBound();
    java.lang.String str26 = illegalFieldValueException24.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    java.lang.String str28 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported");
    org.joda.time.DurationFieldType durationFieldType32 = illegalFieldValueException31.getDurationFieldType();
    illegalFieldValueException31.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]");
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = illegalFieldValueException31.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType39 = illegalFieldValueException38.getDurationFieldType();
    java.lang.String str40 = illegalFieldValueException38.getIllegalStringValue();
    java.lang.Number number41 = illegalFieldValueException38.getUpperBound();
    java.lang.Number number42 = illegalFieldValueException38.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType43 = illegalFieldValueException38.getDurationFieldType();
    java.lang.Throwable[] throwable_array44 = illegalFieldValueException38.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number48 = illegalFieldValueException47.getLowerBound();
    java.lang.String str49 = illegalFieldValueException47.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException52 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType53 = illegalFieldValueException52.getDateTimeFieldType();
    java.lang.String str54 = illegalFieldValueException52.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException57 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException52.addSuppressed((java.lang.Throwable)illegalFieldValueException57);
    boolean b59 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str49, (java.lang.Object)illegalFieldValueException52);
    illegalFieldValueException38.addSuppressed((java.lang.Throwable)illegalFieldValueException52);
    java.lang.Throwable[] throwable_array61 = illegalFieldValueException52.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType62 = illegalFieldValueException52.getDurationFieldType();
    java.lang.String str63 = illegalFieldValueException52.getIllegalStringValue();
    illegalFieldValueException31.addSuppressed((java.lang.Throwable)illegalFieldValueException52);
    java.lang.String str65 = illegalFieldValueException31.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    java.lang.String str67 = illegalFieldValueException31.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "hi!"+ "'", str40.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + ""+ "'", str49.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "hi!"+ "'", str54.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "hi!"+ "'", str63.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str65 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str65.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str67 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str67.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test440"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)(-1.0d));
    java.lang.Number number9 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", "hi!");
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException13.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number18 = illegalFieldValueException17.getLowerBound();
    java.lang.Number number19 = illegalFieldValueException17.getIllegalNumberValue();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException13, (java.lang.Object)illegalFieldValueException17);
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-12506856791L), (java.lang.Number)(-1010359804), (java.lang.Number)6771200);
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    boolean b27 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFieldType10, (java.lang.Object)illegalFieldValueException25);
    java.lang.String str28 = illegalFieldValueException25.getIllegalStringValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType32 = illegalFieldValueException31.getDurationFieldType();
    java.lang.String str33 = illegalFieldValueException31.getIllegalStringValue();
    java.lang.Number number34 = illegalFieldValueException31.getLowerBound();
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException31.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "hi!"+ "'", str33.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test441"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-915046303745730L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test442"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("", 67088, (-1083182669), 93393000);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test443"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(12912400878576119L, 14750590835073600L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test444"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    java.lang.String str8 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str9 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value -1.0 for hi! must be in the range [-90000,900]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test445"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-641564599L), (-9076125012209200L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9076124370644601L);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test446"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number4 = illegalFieldValueException3.getUpperBound();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-9000), (java.lang.Object)illegalFieldValueException3);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException3.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException3.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException10.getDurationFieldType();
    java.lang.String str12 = illegalFieldValueException10.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.String str14 = illegalFieldValueException10.getFieldName();
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException10.getDurationFieldType();
    java.lang.Number number16 = illegalFieldValueException10.getIllegalNumberValue();
    java.lang.String str17 = illegalFieldValueException10.getIllegalValueAsString();
    java.lang.Number number18 = illegalFieldValueException10.getIllegalNumberValue();
    boolean b19 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException3, (java.lang.Object)illegalFieldValueException10);
    illegalFieldValueException3.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "hi!"+ "'", str17.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test447"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getIllegalNumberValue();
    illegalFieldValueException2.prependMessage("-12506856791");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test448"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1150028669L), 15639194);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-17985521460052786L));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test449"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType34 = illegalFieldValueException33.getDurationFieldType();
    java.lang.String str35 = illegalFieldValueException33.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException33.getDateTimeFieldType();
    java.lang.String str37 = illegalFieldValueException33.getFieldName();
    org.joda.time.DurationFieldType durationFieldType38 = illegalFieldValueException33.getDurationFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.Number number40 = illegalFieldValueException33.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array41 = illegalFieldValueException33.getSuppressed();
    java.lang.String str42 = illegalFieldValueException33.getFieldName();
    java.lang.Number number43 = illegalFieldValueException33.getLowerBound();
    java.lang.String str44 = illegalFieldValueException33.getIllegalValueAsString();
    java.lang.String str45 = illegalFieldValueException33.getIllegalStringValue();
    java.lang.Number number46 = illegalFieldValueException33.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + ""+ "'", str37.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + ""+ "'", str42.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "hi!"+ "'", str44.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "hi!"+ "'", str45.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number46);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test450"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType28 = illegalFieldValueException27.getDurationFieldType();
    java.lang.Number number29 = illegalFieldValueException27.getIllegalNumberValue();
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    java.lang.Number number31 = illegalFieldValueException27.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException34.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType37 = illegalFieldValueException34.getDateTimeFieldType();
    java.lang.String str38 = illegalFieldValueException34.getFieldName();
    illegalFieldValueException27.addSuppressed((java.lang.Throwable)illegalFieldValueException34);
    java.lang.String str40 = illegalFieldValueException34.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + ""+ "'", str38.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "hi!"+ "'", str40.equals("hi!"));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test451"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(7988901574233838665L, 245760000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test452"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("hi!", (-1316255690), (-1008998613), (-1316232004));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test453"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.String str6 = illegalFieldValueException2.toString();
    java.lang.String str7 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str9 = illegalFieldValueException2.getFieldName();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported");
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test454"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1280131);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1280131));

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test455"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 92, 6130997, 246031872);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test456"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-868063750", (-1325163297), (-1262527), (-869791942));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test457"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1009080188, 146725);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test458"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(7436534, 1096009000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1103445534);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test459"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 80149436, 528817732);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 448668297);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-9074880013729600L), 113577443L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test461"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)205464586568800L, (java.lang.Number)174357043276000000L, (java.lang.Number)105468L);
    boolean b6 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)19302406);
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 105468L+ "'", number7.equals(105468L));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test462"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-131", 9001, 1177070426, (-210923059));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test463"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    java.lang.String str10 = illegalFieldValueException8.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException8);
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number20 = illegalFieldValueException19.getLowerBound();
    java.lang.String str21 = illegalFieldValueException19.getFieldName();
    java.lang.Number number22 = illegalFieldValueException19.getUpperBound();
    java.lang.Number number23 = illegalFieldValueException19.getUpperBound();
    java.lang.Number number24 = illegalFieldValueException19.getLowerBound();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported\" for hi! is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test464"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-18820744316952L), "org.joda.time.IllegalFieldValueException: Value -224624262 for  must not be smaller than -113577462");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test465"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-175477541644574747L), "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test466"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException2.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException2.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number12 = illegalFieldValueException11.getLowerBound();
    java.lang.String str13 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException16.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str13, (java.lang.Object)illegalFieldValueException16);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException16.getSuppressed();
    java.lang.Number number26 = illegalFieldValueException16.getLowerBound();
    java.lang.String str27 = illegalFieldValueException16.getIllegalStringValue();
    java.lang.Number number28 = illegalFieldValueException16.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException31.getDateTimeFieldType();
    java.lang.String str33 = illegalFieldValueException31.getIllegalValueAsString();
    java.lang.String str34 = illegalFieldValueException31.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType38 = illegalFieldValueException37.getDateTimeFieldType();
    java.lang.String str39 = illegalFieldValueException37.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException37.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    illegalFieldValueException31.addSuppressed((java.lang.Throwable)illegalFieldValueException37);
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType48 = illegalFieldValueException47.getDurationFieldType();
    java.lang.String str49 = illegalFieldValueException47.getIllegalStringValue();
    java.lang.Number number50 = illegalFieldValueException47.getUpperBound();
    java.lang.Number number51 = illegalFieldValueException47.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType52 = illegalFieldValueException47.getDurationFieldType();
    java.lang.Throwable[] throwable_array53 = illegalFieldValueException47.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException56 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number57 = illegalFieldValueException56.getLowerBound();
    java.lang.String str58 = illegalFieldValueException56.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException61 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType62 = illegalFieldValueException61.getDateTimeFieldType();
    java.lang.String str63 = illegalFieldValueException61.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException66 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException61.addSuppressed((java.lang.Throwable)illegalFieldValueException66);
    boolean b68 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str58, (java.lang.Object)illegalFieldValueException61);
    illegalFieldValueException47.addSuppressed((java.lang.Throwable)illegalFieldValueException61);
    org.joda.time.IllegalFieldValueException illegalFieldValueException74 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-9001), (java.lang.Number)640000, (java.lang.Number)10);
    illegalFieldValueException61.addSuppressed((java.lang.Throwable)illegalFieldValueException74);
    org.joda.time.IllegalFieldValueException illegalFieldValueException78 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType79 = illegalFieldValueException78.getDurationFieldType();
    java.lang.String str80 = illegalFieldValueException78.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType81 = illegalFieldValueException78.getDateTimeFieldType();
    java.lang.String str82 = illegalFieldValueException78.getFieldName();
    org.joda.time.DurationFieldType durationFieldType83 = illegalFieldValueException78.getDurationFieldType();
    illegalFieldValueException74.addSuppressed((java.lang.Throwable)illegalFieldValueException78);
    org.joda.time.IllegalFieldValueException illegalFieldValueException87 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", "hi!");
    illegalFieldValueException87.prependMessage("");
    illegalFieldValueException74.addSuppressed((java.lang.Throwable)illegalFieldValueException87);
    java.lang.Throwable[] throwable_array91 = illegalFieldValueException74.getSuppressed();
    boolean b92 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException31, (java.lang.Object)illegalFieldValueException74);
    boolean b93 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number28, (java.lang.Object)illegalFieldValueException74);
    illegalFieldValueException74.prependMessage("org.joda.time.IllegalFieldValueException: Value \"-1280131\" for -1280131 is not supported");
    java.lang.Throwable[] throwable_array96 = illegalFieldValueException74.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "hi!"+ "'", str4.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "hi!"+ "'", str18.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "hi!"+ "'", str33.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + ""+ "'", str34.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "hi!"+ "'", str49.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + ""+ "'", str58.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + "hi!"+ "'", str63.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str80 + "' != '" + "hi!"+ "'", str80.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str82 + "' != '" + ""+ "'", str82.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array96);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test467"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(31236518115984960L, 11521179000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test468"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(172842679920570973L, 640000);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test469"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-639984), 3399884, 1329167267);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test470"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException3.getDurationFieldType();
    java.lang.String str5 = illegalFieldValueException3.getIllegalStringValue();
    java.lang.Number number6 = illegalFieldValueException3.getUpperBound();
    java.lang.Number number7 = illegalFieldValueException3.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException3.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException3.getDateTimeFieldType();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)1030476597, (java.lang.Object)dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test471"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(763774801118640257L, (-205474954788263L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 763980276073428520L);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test472"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number4 = illegalFieldValueException3.getUpperBound();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-9000), (java.lang.Object)illegalFieldValueException3);
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException3.getDurationFieldType();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException3.getSuppressed();
    java.lang.String str8 = illegalFieldValueException3.getFieldName();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + ""+ "'", str8.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test473"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1612725713, "org.joda.time.IllegalFieldValueException: Value 0 for hi! must be in the range [-800,-1]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test474"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1027399884, (-640000), (-87651151), (-434704140));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test475"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getFieldName();
    java.lang.Number number5 = illegalFieldValueException2.getUpperBound();
    illegalFieldValueException2.prependMessage("");
    java.lang.String str8 = illegalFieldValueException2.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException11.getIllegalValueAsString();
    java.lang.String str14 = illegalFieldValueException11.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException17.getDateTimeFieldType();
    java.lang.String str19 = illegalFieldValueException17.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException17.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str25 = illegalFieldValueException11.getIllegalStringValue();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Throwable throwable27 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException11.addSuppressed(throwable27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "hi!"+ "'", str19.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test476"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", (java.lang.Number)900L, number2, (java.lang.Number)245136868);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 245136868+ "'", number5.equals(245136868));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 900L+ "'", number6.equals(900L));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test477"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-9L), (java.lang.Number)1136885595);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test478"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(2001391, 135425000, 649001);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test479"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-641564599L), (-1143034797));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 733330661180351403L);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test480"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-79207));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 79207);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test481"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value -9001 for hi! must be in the range [640000,10]");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test482"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-209L), 765213659);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-159929654731L));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test483"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-649193), 15594237);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 14945044);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test484"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported", (java.lang.Number)100L, (java.lang.Number)1263335, (java.lang.Number)640000);
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException8.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException8.getIllegalStringValue();
    java.lang.Number number11 = illegalFieldValueException8.getUpperBound();
    java.lang.Number number12 = illegalFieldValueException8.getLowerBound();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException8.getDurationFieldType();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException8.getSuppressed();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number18 = illegalFieldValueException17.getLowerBound();
    java.lang.String str19 = illegalFieldValueException17.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("", "hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType23 = illegalFieldValueException22.getDateTimeFieldType();
    java.lang.String str24 = illegalFieldValueException22.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("", "hi!");
    illegalFieldValueException22.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    boolean b29 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str19, (java.lang.Object)illegalFieldValueException22);
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    java.lang.String str31 = illegalFieldValueException22.getIllegalStringValue();
    java.lang.Number number32 = illegalFieldValueException22.getUpperBound();
    illegalFieldValueException22.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]: Value 0 for  must be in the range [-1,-1]");
    java.lang.Number number35 = illegalFieldValueException22.getUpperBound();
    java.lang.Number number36 = illegalFieldValueException22.getLowerBound();
    boolean b37 = org.joda.time.field.FieldUtils.equals((java.lang.Object)640000, (java.lang.Object)illegalFieldValueException22);
    java.lang.Number number38 = illegalFieldValueException22.getIllegalNumberValue();
    illegalFieldValueException22.prependMessage("org.joda.time.IllegalFieldValueException: Value 1017228800 for  must be in the range [-1520905706343990,232384829]");
    boolean b41 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)"org.joda.time.IllegalFieldValueException: Value 1017228800 for  must be in the range [-1520905706343990,232384829]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + ""+ "'", str19.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "hi!"+ "'", str31.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test485"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1280132L), 31218851114186009L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test486"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", (java.lang.Number)(-1085208193152900000L), (java.lang.Number)(-215869214746394L), (java.lang.Number)15594237);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test487"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 8100000 for  must be in the range [920,10]", (java.lang.Number)1160582796564210602L, (java.lang.Number)122848973, (java.lang.Number)123558399);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1160582796564210602"+ "'", str5.equals("1160582796564210602"));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test488"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, 207404564377426L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test489"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1120510989000000L), (-9196418L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1120510979803582L));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test490"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-9L), "org.joda.time.IllegalFieldValueException: Value \"900000\" for -224624262 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test491"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-980573550), (java.lang.Number)172833981625120000L, (java.lang.Number)109882668132062775L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test492"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported", (java.lang.Number)1150028669, (java.lang.Number)112207462L, (java.lang.Number)10.0f);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1150028669+ "'", number5.equals(1150028669));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -1.0 for hi! must be in the range [-90000,900]: Value \"hi!\" for  is not supported"));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test493"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, 146725);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test494"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value 10.0 for org.joda.time.IllegalFieldValueException: Value \"\" for org.joda.time.IllegalFieldValueException: Value \"hi!\" for  is not supported is not supported must be in the range [-1,7394332]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test495"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 137, 0, 685359149);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test496"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-685359149), (-1008998613), 1800, (-622527));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test497"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-224624262L), (java.lang.Number)(-113577462L), number3);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", "hi!");
    java.lang.Number number8 = illegalFieldValueException7.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1]", (java.lang.Number)0, (java.lang.Number)1280000L, (java.lang.Number)(short)100);
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    java.lang.String str17 = illegalFieldValueException15.toString();
    org.joda.time.DurationFieldType durationFieldType18 = illegalFieldValueException15.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] must be in the range [1280000,100]"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: Value 0 for  must be in the range [-1,-1] must be in the range [1280000,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType18);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test498"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(26212366511331L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test499"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-82982442589856285L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest32.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-173038627050470131L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
