
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest48 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test001"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(22072);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-22072));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test002"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1199100), (java.lang.Number)(-981989), (java.lang.Number)(byte)100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test003"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 109);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test004"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("", 0, (-14070), 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test005"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1066619895120L), 170820L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-182200010484398400L));

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test006"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-133320), "org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test007"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 114049993, 114049993, (-125203130));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test008"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-125214030), 165900);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test009"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-176821), 109);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test010"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(269143992000L, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2422295928000L);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test011"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value -22401 for org.joda.time.IllegalFieldValueException: Value 9 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [0,1.0] must be in the range [-145965170,16800]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test012"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-325364241902700L), (-20669131L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-325364221233569L));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test013"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(byte)100, (java.lang.Number)(short)0, (java.lang.Number)89);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]");
    illegalFieldValueException4.prependMessage("");
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test014"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-17789163));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 17789163);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test015"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)3738420L, (java.lang.Number)(-11990000), (java.lang.Number)(-157));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test016"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]", (-6571), (-14504642), 125985310);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test017"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100]", "org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test018"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(104287399L, 2392019L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 101895380L);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test019"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)777341, (java.lang.Number)(-21855900));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test020"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, number2, (java.lang.Number)10.0f);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str6 = illegalFieldValueException4.toString();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 9 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [0,1.0]", "org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.String str12 = illegalFieldValueException4.getIllegalStringValue();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0: Value 9 for hi! must be in the range [-1,100]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (byte)10+ "'", number5.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "10"+ "'", str7.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test021"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-145965170), 10821, 1210);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test022"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(15910374350L, (-405687405200L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test023"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-51));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test024"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-109), (-123972342));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-123972451));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test025"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1), (-13198701), (-11990));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test026"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-110L), 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-111L));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test027"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-10510932953923200L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test028"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(264248820L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 264248820);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test029"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "9");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException8);
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException8, (java.lang.Object)(-1L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException18);
    java.lang.String str21 = illegalFieldValueException18.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str25 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException18.getIllegalNumberValue();
    java.lang.String str27 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.Number number28 = illegalFieldValueException18.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 9L+ "'", number26.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 9L+ "'", number28.equals(9L));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test030"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test031"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1121L, 1056109);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1183898189L);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test032"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(145965170, (-26160), (-126007200));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test033"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-405687405200L), 157632105789071L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 157226418383871L);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(142981, 990, (-981899));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test035"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1605163771092169L, (java.lang.Number)125236102, (java.lang.Number)(-223513400L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test036"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException6.getDateTimeFieldType();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException14.getDateTimeFieldType();
    java.lang.String str16 = illegalFieldValueException14.getFieldName();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException14.getSuppressed();
    java.lang.Number number18 = illegalFieldValueException14.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException14.getDateTimeFieldType();
    illegalFieldValueException14.prependMessage("");
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str23 = illegalFieldValueException14.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException14.getSuppressed();
    boolean b25 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 100L+ "'", number18.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "9"+ "'", str23.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test037"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(139923133886220L, (-123972451));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test038"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-981899));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 981899);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test039"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1970190), (-838811), (-10811));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test040"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(12210);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-12210));

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test041"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(28021756800L, 20319400L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 28001437400L);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test042"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-989), (-989));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 978121);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test043"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-325364241902700L), (-16248241310L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-325380490144010L));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test044"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test045"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(1100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1100);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test046"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-10704), 424446000, 10967);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test047"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1790L, 109L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 195110L);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test048"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 20510860, (-20510860), (-1124989));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test049"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "89");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test050"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1600977), (-375099), 0, (-14507900));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test051"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-11000), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test052"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1605163759014900L), 16800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1605163758998100L));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test053"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("89", (java.lang.Number)14170, (java.lang.Number)(-26168940L), number3);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test054"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-434360273274172111L), (java.lang.Number)2422295928000L, (java.lang.Number)(-1605163759014900L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test055"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(354179486088420L, 1605163771092169L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1959343257180589L);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test056"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    boolean b9 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException5, (java.lang.Object)(-1L));
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0");
    illegalFieldValueException5.prependMessage("");
    java.lang.Object obj14 = null;
    boolean b15 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"", obj14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test057"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(1780, 89, (-1046508));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test058"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(12210, (-1089000), (-8541), 121089);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 89889);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test059"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-1124989L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test060"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-154282700L), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test061"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]", 165900, (-21891), (-20669110));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test062"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(21855900L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test063"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-24420L), 638561590800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-15593674047336000L));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test064"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1056109), (-1046508), (-1600977));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test065"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(byte)100, (java.lang.Number)1341721, (java.lang.Number)139923131488220L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test066"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(13341931L, (-159705981L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test067"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)638561590800L, (java.lang.Number)2134220000, (java.lang.Number)(-1177021));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test068"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-5631408423780048000L), "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test069"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 71689610, 118056120, (-126007200));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test070"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)178031, number2, (java.lang.Number)(-213245780L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test071"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "9");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException8);
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException8, (java.lang.Object)(-1L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException18);
    java.lang.String str21 = illegalFieldValueException18.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str25 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException18.getIllegalNumberValue();
    java.lang.Number number27 = illegalFieldValueException18.getLowerBound();
    java.lang.Number number28 = illegalFieldValueException18.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 9L+ "'", number26.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (-1L)+ "'", number27.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + (-1L)+ "'", number28.equals((-1L)));

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test072"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, (-25410), 17800083);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test073"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)21855900L, (java.lang.Number)10821, (java.lang.Number)(-989));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test074"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number11 = illegalFieldValueException4.getLowerBound();
    java.lang.String str12 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100L+ "'", number9.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-1L)+ "'", number10.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-1L)+ "'", number11.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: 9: Value 9 for hi! must be in the range [-1,100]", 9601, (-13198701), (-22401));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test076"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-6315L), 1341721L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1348036L));

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test077"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-1693068604577681405L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(16479895, (-91), 177999, (-838631));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test079"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value -22401 for org.joda.time.IllegalFieldValueException: Value 9 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [0,1.0] must be in the range [-145965170,16800]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test080"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1286658176100L), (java.lang.Number)10776921, (java.lang.Number)982962);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test081"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-11990), (-176821), (-1046508));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test082"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-130L), 4523488200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4523488070L);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test083"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(165900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-165900));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test084"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-91), (-2375219));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 216144929);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test085"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1959343257180589L, (-33292));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test086"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException5.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException5.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException16.getDateTimeFieldType();
    boolean b18 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException16);
    java.lang.String str19 = illegalFieldValueException16.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException16.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType21 = illegalFieldValueException16.getDurationFieldType();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException5.getSuppressed();
    java.lang.String str24 = illegalFieldValueException5.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 9L+ "'", number10.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str19.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str24);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test087"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 0, 981899);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test088"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)100L, (java.lang.Number)1199000, (java.lang.Number)170800L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test089"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-913), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test090"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100L+ "'", number9.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test091"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-266860539000L), (-1199000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-266859340000L));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test092"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-6424), (-10910), (-7951079));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test093"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException5.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.String str11 = illegalFieldValueException5.toString();
    boolean b13 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str11, (java.lang.Object)21855900L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 9L+ "'", number10.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test094"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(5734804, 978121, 2134220000, (-109));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test095"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: hi!: 9: Value 0.0 for hi! must be in the range [10.0,100]", (java.lang.Number)(-13198701), (java.lang.Number)(-10900), (java.lang.Number)638561590800L);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test096"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 9 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [0,1.0]", "org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0");

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test097"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(10776921, 178031);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10954952);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test098"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-26168940L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-26168940));

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test099"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(10821, (-1210), (-123972342), 21791);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 9611);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test100"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(20, (-178031));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-3560620));

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test101"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-10940));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10940);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test102"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(145965170, (-981989));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 144983181);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test103"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(424431831, 71689610);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test104"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-110L), (-325364241902700L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 35790066609297000L);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test105"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(byte)0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test106"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(354179486088420L, 777341);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test107"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test108"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100]", (-19385980), (-10301), 89889);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test109"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, (-90));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test110"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-10891), (java.lang.Number)(-12110L), (java.lang.Number)1959343257180589L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test111"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-10321L), 1124812);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-11609184652L));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test112"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-121089), (-777341), 1121, (-145965170));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test113"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)21892, (java.lang.Number)(-1066619895120L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test114"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-10891), (-375099), (-25410));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-360581));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test115"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)2422295928000L, (java.lang.Number)(-130L), (java.lang.Number)(-1693069891214130000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test116"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1790L, (java.lang.Number)(-15910203530L), (java.lang.Number)(-20669131L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test117"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-26160), (java.lang.Number)(-20669110L), (java.lang.Number)(-21));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test118"); }


    java.lang.Number number4 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]", (java.lang.Number)(-1.0d), (java.lang.Number)(byte)100, number4);
    java.lang.Number number6 = illegalFieldValueException5.getLowerBound();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-1124880), (java.lang.Object)illegalFieldValueException5);
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.String str9 = illegalFieldValueException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)100+ "'", number6.equals((byte)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1.0 for org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100] must not be smaller than 100"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value -1.0 for org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100] must not be smaller than 100"));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test119"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1199000), (-14493831), (-14507900), 13198701);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 12013771);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test120"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-14281202942400L), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test121"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(33297253911504000L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 33297253911504000L);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test122"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 147, 930969, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test123"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)145965170, (java.lang.Object)157226418383871L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test124"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 165900, (-241509780), (-1046508));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test125"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-14170L), (-1286657998100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1286658012270L));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test126"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value -1.0 for org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100] must not be smaller than 100");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test127"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str15 = illegalFieldValueException5.getIllegalStringValue();
    java.lang.Throwable throwable16 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException5.addSuppressed(throwable16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test128"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1693068604577681405L), (-223513400L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test129"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1102988), 424435296);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test130"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-10510932953924190L), 119900L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test131"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-176821), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test132"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]", (-777341), (-10821), 9601);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test133"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-2085760), (-14507900), (-126007199));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test134"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)145965170L, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test135"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1199000L), 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1198989L));

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test136"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    illegalFieldValueException4.prependMessage("");
    illegalFieldValueException4.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test137"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1348036L), 1286657998100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1734461301126731600L));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test138"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-6571), (-157));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-6728));

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test139"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1100L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1100L);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test140"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-213245780L), 178031L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-37964359459180L));

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test141"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-777341), 1210);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-940582610));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test142"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(byte)1, (java.lang.Number)(-20L), (java.lang.Number)9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test143"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 930969, (-6571), (-1184922));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test144"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 9601, (-12210), 1341730);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test145"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-37573050L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test146"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(15910374350L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 15910374350L);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test147"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1124989), (-913), 145965170);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 144841095);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test148"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1, 16479806, 765131);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test149"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 124882320, 424435296);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test150"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1.0f, (java.lang.Number)(-20669110L), (java.lang.Number)(-51));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test151"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -1.0 for org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100] must not be smaller than 100", (-125236102), 195800, (-33292));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test152"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]", (-8541), 126007199, 177);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test153"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-126007201), 16479895, (-1087791));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test154"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1937301), 16479806, 1121);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test155"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-6728), (-126007201), 10967, (-989));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test156"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)424446000L, (java.lang.Number)2422295928000L, (java.lang.Number)(-2398000L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test157"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1184922));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1184922);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test158"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1184922), (java.lang.Number)1124812, (java.lang.Number)10940);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test159"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-110L), 109);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-11990L));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test160"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-14070), (-1184922), (-21));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test161"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)(-1195733), (java.lang.Number)15742560L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test162"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 990, 198648, 1970190);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test163"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-7951079), 1199000, (-241509780), 1210);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-6752079));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test164"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-12210), (-12299));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 150170790);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test165"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]");
    java.lang.String str10 = illegalFieldValueException5.getIllegalStringValue();
    java.lang.Number number11 = illegalFieldValueException5.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException5.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 9L+ "'", number11.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test166"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(15910203509L, (-14281202942400L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 14297113145909L);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test167"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1124880), (-126414020), (-89));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1124880));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test168"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("9", 0, (-1102988), 126007199);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test169"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-14507900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 14507900);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test170"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-1970190", "org.joda.time.IllegalFieldValueException: Value 9 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [0,1.0]");

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test171"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1102988), (-1970190));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test172"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-125236102), "org.joda.time.IllegalFieldValueException: Value -1.0 for org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100] must not be smaller than 100");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test173"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1100L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test174"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-125214030), 17800083, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test175"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 51, 51, 177);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test176"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89] is not supported", (-157), (-913), 0);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test177"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1110, 22072, (-126007200), 1230788);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 23182);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test178"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89]", "org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]");
    boolean b4 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]", (java.lang.Object)'4');
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test179"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-2573190154790L), (-282770742509L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test180"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-178020L), 1121);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-199560420L));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test181"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1959343257180589L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test182"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(12210, 0, 14507900, 177);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test183"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-266859340000L), (java.lang.Number)1341730L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test184"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(3738420, (-157));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3738263);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test185"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "89");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test186"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException("", "9");
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException9);
    boolean b13 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException9, (java.lang.Object)(-1L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException19.getDateTimeFieldType();
    boolean b21 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException19);
    java.lang.String str22 = illegalFieldValueException19.toString();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException19.getSuppressed();
    illegalFieldValueException3.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException19.getSuppressed();
    java.lang.String str27 = illegalFieldValueException19.getIllegalValueAsString();
    java.lang.String str28 = illegalFieldValueException19.getIllegalValueAsString();
    java.lang.Number number31 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)10L, number31, (java.lang.Number)(-1.0d));
    java.lang.Number number34 = illegalFieldValueException33.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = illegalFieldValueException39.getDateTimeFieldType();
    java.lang.String str41 = illegalFieldValueException39.getFieldName();
    java.lang.Throwable[] throwable_array42 = illegalFieldValueException39.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType43 = illegalFieldValueException39.getDurationFieldType();
    illegalFieldValueException33.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    org.joda.time.DurationFieldType durationFieldType45 = illegalFieldValueException39.getDurationFieldType();
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    org.joda.time.DateTimeFieldType dateTimeFieldType47 = illegalFieldValueException39.getDateTimeFieldType();
    boolean b48 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-1198989L), (java.lang.Object)dateTimeFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "9"+ "'", str27.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "9"+ "'", str28.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number34 + "' != '" + 10L+ "'", number34.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "hi!"+ "'", str41.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test187"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: hi!: Value 9 for hi! must be in the range [-1,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test188"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-33292), (-33292), 1124989, (-13198701));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test189"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-109L), 1341721L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-146247589L));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test190"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-126007201), 0, (-11990));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test191"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(214256354591660L, (-10321L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-2211339835740522860L));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test192"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException4.toString();
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str9 = illegalFieldValueException4.getFieldName();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test193"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-101054330L), 6753094751360100000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 6753094751259045670L);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test194"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: hi!: 9: Value 0.0 for hi! must be in the range [10.0,100]", (-989), (-981899), (-1113880));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test195"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89] is not supported", 126007200, 0, (-24420));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test196"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-405687405200L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test197"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(424431831, (-6424));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 424425407);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test198"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-102943889L), 12077269L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test199"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-13305496), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: hi!: Value 9 for hi! must be in the range [-1,100]", 21701, 13198701, 22072);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test201"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-11609184652L), (-102943889L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1195094616195991628L);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test202"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(990L, 21855900L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test203"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-37573050L), (java.lang.Number)121000, (java.lang.Number)(-125236102));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test204"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(178031L, 3738420L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test205"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-109), 424435296, (-126007200));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test206"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.String str9 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number10 = illegalFieldValueException5.getUpperBound();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException5.getSuppressed();
    java.lang.String str12 = illegalFieldValueException5.toString();
    java.lang.Number number13 = illegalFieldValueException5.getLowerBound();
    boolean b15 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number13, (java.lang.Object)(-10940));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "9"+ "'", str9.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100L+ "'", number10.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (-1L)+ "'", number13.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test207"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1046508), (-838631), (-91));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test208"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-1210), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test209"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-22401L), "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test210"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)214256354591660L, (java.lang.Number)125985310, (java.lang.Number)(-2211339835740522860L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test211"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 1124989, (-6571), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-2579));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test212"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(12013771);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-12013771));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test213"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(104285610L, 178031L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 104107579L);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test214"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 126007199, 9611, 16479806);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test215"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(12210, 141812100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 141824310);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test216"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1286657998000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test217"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-10301), 126007200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 125996899);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test218"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(141824310);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-141824310));

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test219"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(198648);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-198648));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test220"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)978121, (java.lang.Number)(-90), (java.lang.Number)104285610L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test221"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1L), (-1286532156691L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1286532156691L);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test222"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException5.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.Number number11 = illegalFieldValueException5.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]", (java.lang.Number)20L, (java.lang.Number)67, (java.lang.Number)(-21L));
    java.lang.String str17 = illegalFieldValueException16.getIllegalStringValue();
    boolean b18 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number11, (java.lang.Object)str17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 9L+ "'", number10.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 9L+ "'", number11.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test223"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)71689610, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0: Value 9 for hi! must be in the range [-1,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test224"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1286657998000L, (-1124989L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1286656873011L);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test225"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(3738263, 810, 930969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 17623);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test226"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "-1970190");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test227"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-2398021L), (-7951079));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 19066854414659L);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test228"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value 10 for hi! must not be larger than 10.0", (-178031), (-375099), 1780);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test229"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1015970L), 170800L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-845170L));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test230"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)354179486088420L, (java.lang.Number)(-12120L), (java.lang.Number)136236167900L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test231"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("89", 11990, (-3560620), (-12210));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test232"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-11990L), (-1066355646300L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1066355658290L));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test233"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 424431831, (-33292), 424425407);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test234"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(3738420, 118056120);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test235"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-11990000), (-6728), 126007200, (-1087791));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test236"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-21855900), (-14507900), (-26160), 981899);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 934420);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test237"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1124880), (-6315), 1230788);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test238"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-177), (-971880), (-198648));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test239"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(178031L, (-37964359459180L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test240"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-10900), 0, 12077269, 765131);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test241"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)17789163, (java.lang.Object)8541);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test242"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-6571), 8541, 165900);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test243"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-10811), 934420);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 923609);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test244"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-1893));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test245"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-8541L), 1959343257180589L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1959343257172048L);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test246"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-223513400L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-223513400));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test247"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value 765131 for org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100] must be in the range [-325364241902689,1937301]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test248"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-325364221233569L), 67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-21799402822649123L));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test249"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1286532156690L), 109L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1286532156799L));

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test250"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-13305496), (-7951079), 23182, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test251"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-1286532334690L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test252"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-26168940), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test253"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.String str9 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.String str10 = illegalFieldValueException5.getIllegalValueAsString();
    illegalFieldValueException5.prependMessage("hi!");
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException18);
    java.lang.Number number21 = illegalFieldValueException18.getUpperBound();
    java.lang.String str22 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.Number number23 = illegalFieldValueException18.getUpperBound();
    java.lang.Throwable[] throwable_array24 = illegalFieldValueException18.getSuppressed();
    java.lang.String str25 = illegalFieldValueException18.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException30.getDateTimeFieldType();
    java.lang.String str32 = illegalFieldValueException30.getFieldName();
    java.lang.Throwable[] throwable_array33 = illegalFieldValueException30.getSuppressed();
    java.lang.Throwable[] throwable_array34 = illegalFieldValueException30.getSuppressed();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    org.joda.time.IllegalFieldValueException illegalFieldValueException41 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType42 = illegalFieldValueException41.getDateTimeFieldType();
    boolean b43 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException41);
    java.lang.String str44 = illegalFieldValueException41.getIllegalValueAsString();
    java.lang.Number number47 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException49 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, number47, (java.lang.Number)10.0f);
    java.lang.Number number50 = illegalFieldValueException49.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array51 = illegalFieldValueException49.getSuppressed();
    boolean b52 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException41, (java.lang.Object)illegalFieldValueException49);
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException41);
    org.joda.time.DateTimeFieldType dateTimeFieldType54 = illegalFieldValueException41.getDateTimeFieldType();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "9"+ "'", str9.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "9"+ "'", str10.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + 100L+ "'", number21.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "9"+ "'", str22.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 100L+ "'", number23.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str25.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "hi!"+ "'", str32.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "9"+ "'", str44.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number50 + "' != '" + (byte)10+ "'", number50.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType54);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test254"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]");
    java.lang.String str10 = illegalFieldValueException5.getIllegalStringValue();
    java.lang.String str11 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number12 = illegalFieldValueException5.getUpperBound();
    java.lang.String str13 = illegalFieldValueException5.toString();
    java.lang.String str14 = illegalFieldValueException5.getIllegalStringValue();
    java.lang.Object obj15 = null;
    boolean b16 = org.joda.time.field.FieldUtils.equals((java.lang.Object)str14, obj15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "9"+ "'", str11.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100L+ "'", number12.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == true);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test255"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 125236102, (-126007200), (-1600977));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test256"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(17800083, 124882320, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test257"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-125214030));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 125214030);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test258"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-178020L), (-39882496857421L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7099882090558086420L);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test259"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)139923133886220L, "org.joda.time.IllegalFieldValueException: Value -1.0 for org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100] must not be smaller than 100");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test260"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-393894826109L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test261"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-6571), (-147), (-1056109), (-10900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1051928));

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test262"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-10940), (-375099));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test263"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(13341931L, (-12120L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test264"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "9");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException8);
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException8, (java.lang.Object)(-1L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException18);
    java.lang.String str21 = illegalFieldValueException18.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number25 = illegalFieldValueException18.getLowerBound();
    java.lang.String str26 = illegalFieldValueException18.toString();
    java.lang.Number number27 = illegalFieldValueException18.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + (-1L)+ "'", number25.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (-1L)+ "'", number27.equals((-1L)));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test265"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]");
    java.lang.String str10 = illegalFieldValueException5.getIllegalStringValue();
    java.lang.String str11 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.String str12 = illegalFieldValueException5.getIllegalStringValue();
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value 9 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [0,1.0]");
    java.lang.String str15 = illegalFieldValueException5.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "9"+ "'", str11.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test266"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1066355646300L), (-1693069891109844520L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test267"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-241509780), 0, (-12299));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test268"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-159705981L), 178031L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-28432615503411L));

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test269"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(11L, (-2573190154790L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test270"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(17708974280211L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test271"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1183898189L, (-930969L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1182967220L);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test272"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    java.lang.String str8 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number12 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100L+ "'", number7.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "9"+ "'", str8.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 9L+ "'", number12.equals(9L));

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test273"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-11609184652L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test274"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1210890), 934420);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-276470));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test275"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(15910374350L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test276"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-22072), (-10821), (-21855900));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test277"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-11990), 23182, (-8541));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test278"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(352557521L, 1790L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 352559311L);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test279"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100]\" for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [10.0,100] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test280"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, number3, (java.lang.Number)10.0f);
    java.lang.Number number6 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number8 = illegalFieldValueException5.getLowerBound();
    java.lang.Number number9 = illegalFieldValueException5.getUpperBound();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-10821), (java.lang.Object)number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)10+ "'", number6.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "10"+ "'", str7.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0f+ "'", number9.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test281"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)100L, (java.lang.Number)10776921, (java.lang.Number)100L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test282"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-126007199), (-10210), 177);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-759));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test283"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1210, (-14507900));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test284"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-37964359459180L), (java.lang.Number)(-228690L), (java.lang.Number)1124989);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test285"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-3085405879443812110L), 220L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test286"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-154282700L), number2, (java.lang.Number)(-109L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test287"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-126007200), 1970190, 1210);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -22401 for org.joda.time.IllegalFieldValueException: Value 9 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [0,1.0] must be in the range [-145965170,16800]", 0, 9611, 125996899);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test289"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1199000, (-126007200), 424431831);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test290"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str15 = illegalFieldValueException5.getFieldName();
    illegalFieldValueException5.prependMessage("");
    org.joda.time.DurationFieldType durationFieldType18 = illegalFieldValueException5.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException5.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException5.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test291"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-198648), (-1184921), (-145965170));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test292"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1087791), 6815, (-198648), 125985310);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 125102983);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test293"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(67, (-375099));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-25131633));

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test294"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1286671340031L, 1342821);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1727769295491767451L);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test295"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(23182);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-23182));

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test296"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 118056120, (-1893), (-14504642));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test297"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-10210), 16479895, (-10910));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test298"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    illegalFieldValueException4.prependMessage("9");
    java.lang.Number number8 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 9L+ "'", number8.equals(9L));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test299"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "-1970190");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test300"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-981989), number2, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test301"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 0, (-1893));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test302"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(319417398265680000L, 35790066609297000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 283627331656383000L);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test303"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 14507900, 1575690, (-1124880));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test304"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10891, (java.lang.Number)(-1089000), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test305"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 573684);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 573684);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test306"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(89, (-25410), 0, (-11000));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test307"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-101054330L), "-1970190");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test308"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-25410), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test309"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-989), (-989), (-125214030), 573684);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1978));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test310"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-123972451));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 123972451);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test311"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)100.0d, (java.lang.Number)(-2134198299), (java.lang.Number)1100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test312"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, number3, (java.lang.Number)10.0f);
    java.lang.Number number6 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException5.toString();
    java.lang.String str8 = illegalFieldValueException5.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 9 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [0,1.0]", "org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str13 = illegalFieldValueException5.getIllegalStringValue();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-12210), (java.lang.Object)str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)10+ "'", number6.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "10"+ "'", str8.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test313"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-759), (-2134220000), 0);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test314"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-51), (-11000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-11051));

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test315"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 11000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 11000);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test316"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-13198701), (-22401), (-121089));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test317"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -1.0 for org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100] must not be smaller than 100", (java.lang.Number)(-9574461L), (java.lang.Number)(-8540L), (java.lang.Number)(-21L));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test318"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-10704), 1199100);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test319"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1286532156691L), (-1286658176100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 126019409L);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test320"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 8541, (-177), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test321"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, (-759));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-759));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test322"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.String str9 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number10 = illegalFieldValueException5.getUpperBound();
    java.lang.String str11 = illegalFieldValueException5.toString();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number13 = illegalFieldValueException5.getUpperBound();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException5.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "9"+ "'", str9.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100L+ "'", number10.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 100L+ "'", number13.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test323"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(981899, 177999);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test324"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-109), (java.lang.Number)10940, (java.lang.Number)12075489L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test325"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-838811), 178000, (-123972451));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test326"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-10320L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10320L));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test327"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value 10 for hi! must not be larger than 10.0", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException8);
    java.lang.Number number11 = illegalFieldValueException8.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException16.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException16.getSuppressed();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]", (java.lang.Object)illegalFieldValueException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 100L+ "'", number11.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test328"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-990), 165900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-164241000));

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test329"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-178020L), (java.lang.Number)(-1184921), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test330"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-10301L), (java.lang.Number)6753094751360100000L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test331"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: hi!: 9: Value 0.0 for hi! must be in the range [10.0,100]", (-10811), (-7470), 10954952);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test332"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1286657998100L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test333"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-24420), (-838631));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-863051));

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test334"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, 424425407, (-90), 5734804);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 43177);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test335"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException6.getDateTimeFieldType();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException6);
    java.lang.String str9 = illegalFieldValueException6.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException6.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException6.getDurationFieldType();
    java.lang.Number number12 = illegalFieldValueException6.getLowerBound();
    boolean b13 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-3085405879443812110L), (java.lang.Object)number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (-1L)+ "'", number12.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test336"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 17789163, (-276470));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test337"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(23182, (-940582610), (-1199000));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-939360429));

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test338"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(170800L, (-15910203530L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test339"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(110L, (-12120L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1333200));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test340"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-126007201), (-1195733), 424446000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test341"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-12210L), (-15910203530L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-15910215740L));

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test342"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-37573050L), (java.lang.Number)(short)(-1), (java.lang.Number)(-159705981L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test343"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)71689610, (java.lang.Number)22000L, (java.lang.Number)930969);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test344"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 1124989);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test345"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 10891, (-125203130), (-14070));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test346"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-2373429L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2373429));

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test347"); }


    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-145965170), number2, number3);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test348"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 0, 23182, (-971880));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test349"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException5.getFieldName();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException5.getSuppressed();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException5.getSuppressed();
    java.lang.Number number10 = illegalFieldValueException5.getUpperBound();
    java.lang.Number number11 = illegalFieldValueException5.getLowerBound();
    java.lang.String str12 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number13 = illegalFieldValueException5.getLowerBound();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-176821), (java.lang.Object)illegalFieldValueException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100L+ "'", number10.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-1L)+ "'", number11.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "9"+ "'", str12.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (-1L)+ "'", number13.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test350"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-16248241310L), (-6315L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 102607643872650L);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test351"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-838631), (-8541));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test352"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str15 = illegalFieldValueException5.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)10.0d, (java.lang.Number)(byte)100);
    java.lang.Number number21 = illegalFieldValueException20.getLowerBound();
    java.lang.String str22 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str24 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number25 = illegalFieldValueException5.getUpperBound();
    java.lang.Number number26 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.Number number27 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.Number number28 = illegalFieldValueException5.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + 10.0d+ "'", number21.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0.0"+ "'", str22.equals("0.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "9"+ "'", str24.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 100L+ "'", number25.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 9L+ "'", number26.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 9L+ "'", number27.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + (-1L)+ "'", number28.equals((-1L)));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test353"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-10510932953924190L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10510932953924190L));

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test354"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException6 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException6.getDateTimeFieldType();
    boolean b8 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException6);
    java.lang.Number number9 = illegalFieldValueException6.getUpperBound();
    java.lang.String str10 = illegalFieldValueException6.getIllegalValueAsString();
    java.lang.Number number11 = illegalFieldValueException6.getUpperBound();
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException6.getSuppressed();
    java.lang.String str13 = illegalFieldValueException6.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    java.lang.String str20 = illegalFieldValueException18.getFieldName();
    java.lang.Throwable[] throwable_array21 = illegalFieldValueException18.getSuppressed();
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException6.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException29.getDateTimeFieldType();
    boolean b31 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException29);
    java.lang.String str32 = illegalFieldValueException29.getIllegalValueAsString();
    java.lang.Number number35 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, number35, (java.lang.Number)10.0f);
    java.lang.Number number38 = illegalFieldValueException37.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array39 = illegalFieldValueException37.getSuppressed();
    boolean b40 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException29, (java.lang.Object)illegalFieldValueException37);
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    java.lang.String str42 = illegalFieldValueException18.getFieldName();
    java.lang.Number number43 = illegalFieldValueException18.getUpperBound();
    java.lang.Number number44 = illegalFieldValueException18.getLowerBound();
    boolean b45 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100L+ "'", number9.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "9"+ "'", str10.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 100L+ "'", number11.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "hi!"+ "'", str20.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "9"+ "'", str32.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number38 + "' != '" + (byte)10+ "'", number38.equals((byte)10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "hi!"+ "'", str42.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number43 + "' != '" + 100L+ "'", number43.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number44 + "' != '" + (-1L)+ "'", number44.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test355"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-12210), 12210);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-149084100));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test356"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, (-176821), (-165900));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test357"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-4285571781669882000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test358"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(byte)100, (java.lang.Number)(short)0, (java.lang.Number)89);
    java.lang.Number number6 = illegalFieldValueException5.getIllegalNumberValue();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-32611L), (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getLowerBound();
    java.lang.String str9 = illegalFieldValueException5.getIllegalStringValue();
    java.lang.String str10 = illegalFieldValueException5.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (byte)100+ "'", number6.equals((byte)100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)0+ "'", number8.equals((short)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str10);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test359"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(114049993, 16479895, 424431831);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 114049993);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test360"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value 12075489 for  must not be larger than 28021756800");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test361"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "9");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException8);
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException8, (java.lang.Object)(-1L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException18);
    java.lang.String str21 = illegalFieldValueException18.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.String str25 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException18.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException31.getDateTimeFieldType();
    java.lang.String str33 = illegalFieldValueException31.getFieldName();
    java.lang.Throwable[] throwable_array34 = illegalFieldValueException31.getSuppressed();
    java.lang.Throwable[] throwable_array35 = illegalFieldValueException31.getSuppressed();
    java.lang.Number number36 = illegalFieldValueException31.getUpperBound();
    java.lang.Number number37 = illegalFieldValueException31.getIllegalNumberValue();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    org.joda.time.IllegalFieldValueException illegalFieldValueException43 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType44 = illegalFieldValueException43.getDateTimeFieldType();
    java.lang.String str45 = illegalFieldValueException43.getFieldName();
    java.lang.Throwable[] throwable_array46 = illegalFieldValueException43.getSuppressed();
    java.lang.Throwable[] throwable_array47 = illegalFieldValueException43.getSuppressed();
    java.lang.Number number48 = illegalFieldValueException43.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType49 = illegalFieldValueException43.getDurationFieldType();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException43);
    java.lang.String str51 = illegalFieldValueException18.getIllegalStringValue();
    illegalFieldValueException18.prependMessage("hi!");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 9L+ "'", number26.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "hi!"+ "'", str33.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + 100L+ "'", number36.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 9L+ "'", number37.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str45 + "' != '" + "hi!"+ "'", str45.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number48 + "' != '" + 9L+ "'", number48.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str51);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test362"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]", 0, (-26168940), (-1051928));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test363"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test364"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-10210), 109);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1112890));

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test365"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-9574461L), 110L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1053190710L));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test366"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)264248820L, (java.lang.Number)(-1937301), (java.lang.Number)(-25790181780L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test367"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)177, (java.lang.Number)(-1286658012270L), (java.lang.Number)(-6344553735L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test368"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(178000, (-14507900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-14329900));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test369"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)220L, "9");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test370"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(89889, (-12210));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 77679);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test371"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1198989L), (java.lang.Number)(-10301L), (java.lang.Number)(-213245780L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test372"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-930969L), (-940582610));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 875653251849090L);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test373"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test374"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 10954952, (-14507900), 90);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test375"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-149084100), (java.lang.Number)10891, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test376"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-14329900), 424431831, 125102983);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test377"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.String str8 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException5.getSuppressed();
    java.lang.Object obj10 = null;
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)throwable_array9, obj10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "9"+ "'", str8.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test378"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-1177021), 0, 424446000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 423268980);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test379"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1286671340031L, 1121L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1286671341152L);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test380"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-1199100), (-1195733));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test381"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value -1.0 for org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100] must not be smaller than 100");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test382"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(14297113145909L, (-10321L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-147560504778926789L));

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test383"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-325364241902699L), (java.lang.Number)(-1286532156799L), (java.lang.Number)923609);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test384"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(8541, (-126007201), 67, 1124812);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1097638);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test385"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-25131633), 0, (-21));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test386"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-26160), (-1113880));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1140040));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test387"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)10821, (java.lang.Number)(-10320L), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test388"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-13198701), (-21855900), (-21));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-13198701));

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test389"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, (-913), (-198648));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(875653251849090L, 21701);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test391"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(71689610, (-17789163));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 53900447);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test392"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-11051), (-1210890));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test393"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -1 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100] must be in the range [9,-20]", 0, (-1210890), (-863051));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test394"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-759), 0, (-1184921), (-971880));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1065969));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test395"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 141812100, 10967);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test396"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 777341, 125996899, 9);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test397"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(139923131505300L, (-990));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-138523900190247000L));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test398"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-126007199), 424425407, (-838631), (-10900));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-393044));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1286657998100L, 15741570L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test400"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1184922, 23182, 89889, 125214030);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 1208104);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test401"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(125996899, (-241509780));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test402"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(269143992000L, 31L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test403"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)177, (java.lang.Number)15742560L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test404"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-6155119740870621010L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test405"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str15 = illegalFieldValueException5.getFieldName();
    java.lang.String str16 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number17 = illegalFieldValueException5.getLowerBound();
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: Value 12075489 for  must not be larger than 28021756800");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "9"+ "'", str16.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (-1L)+ "'", number17.equals((-1L)));

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test406"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(178000, (-981989), (-109));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-803881));

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test407"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-39882496857421L), 17708974304421L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-57591471161842L));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test408"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, number2, (java.lang.Number)10.0f);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    illegalFieldValueException4.prependMessage("");
    java.lang.String str9 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number10 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number11 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number12 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0f+ "'", number5.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10.0f+ "'", number10.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 10.0f+ "'", number11.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (byte)10+ "'", number12.equals((byte)10));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test409"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1286671341152L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test410"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-89), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-89));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test411"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-21855900L), (java.lang.Number)0.0d, (java.lang.Number)12013771);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test412"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-1046508), 35961, 51, (-838811));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test413"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1230788);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1230788));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test414"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-21), (-1199100), (-2134220000));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test415"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(104287399L, 11L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 104287388L);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test416"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(15910203509L, (-20669131L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-328850080564180679L));

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test417"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)10.0d, (java.lang.Number)(byte)100);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0d+ "'", number5.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0.0"+ "'", str6.equals("0.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test418"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-1), (-10301), 53900447);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test419"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(195800, (-11990), 145965170);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 195800);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test420"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-1046508));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1046508);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test421"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.String str9 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number10 = illegalFieldValueException5.getUpperBound();
    java.lang.String str11 = illegalFieldValueException5.toString();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException5.getSuppressed();
    java.lang.Number number14 = illegalFieldValueException5.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "9"+ "'", str9.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100L+ "'", number10.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 9L+ "'", number14.equals(9L));

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test422"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(4523488200L, (-37573050L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4485915150L);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test423"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(142981, 12013771, 1124989, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test424"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-989L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test425"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-2375219), (-13305496));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-15680715));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test426"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value 10 for hi! must not be larger than 10.0", (-989), 423268980, 90);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test427"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(10891, (-21));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10870);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test428"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(139923131496761L, 20L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2798462629935220L);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test429"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-223513400), 1097638);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test430"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 1056109, (-1333200), 178031);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test431"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-37573050L), 9L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-37573059L));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test432"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt(12075489L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 12075489);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test433"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.String str9 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.String str10 = illegalFieldValueException5.getFieldName();
    java.lang.String str11 = illegalFieldValueException5.toString();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException5.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException5.toString();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException5.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException21.getDateTimeFieldType();
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException21);
    java.lang.Number number24 = illegalFieldValueException21.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException29.getDateTimeFieldType();
    java.lang.String str32 = illegalFieldValueException29.toString();
    java.lang.Number number35 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException37 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, number35, (java.lang.Number)10.0f);
    java.lang.Number number38 = illegalFieldValueException37.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType39 = illegalFieldValueException37.getDurationFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException37);
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType47 = illegalFieldValueException46.getDateTimeFieldType();
    boolean b48 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException46);
    illegalFieldValueException46.prependMessage("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]");
    org.joda.time.DateTimeFieldType dateTimeFieldType51 = illegalFieldValueException46.getDateTimeFieldType();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    java.lang.Throwable[] throwable_array53 = illegalFieldValueException29.getSuppressed();
    boolean b54 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException5, (java.lang.Object)illegalFieldValueException29);
    java.lang.Throwable[] throwable_array55 = illegalFieldValueException29.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "9"+ "'", str9.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 100L+ "'", number24.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str32.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number38 + "' != '" + 10.0f+ "'", number38.equals(10.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array55);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test434"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(144983181);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-144983181));

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test435"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.String str9 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.String str10 = illegalFieldValueException5.getFieldName();
    java.lang.String str11 = illegalFieldValueException5.toString();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException5.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException5.toString();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number17 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)10L, number17, (java.lang.Number)(-1.0d));
    java.lang.Number number20 = illegalFieldValueException19.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException25.getDateTimeFieldType();
    java.lang.String str27 = illegalFieldValueException25.getFieldName();
    java.lang.Throwable[] throwable_array28 = illegalFieldValueException25.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException25.getDurationFieldType();
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException25.getDateTimeFieldType();
    boolean b32 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException5, (java.lang.Object)dateTimeFieldType31);
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType39 = illegalFieldValueException38.getDateTimeFieldType();
    boolean b40 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException38);
    java.lang.Number number41 = illegalFieldValueException38.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException38.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = illegalFieldValueException46.getDateTimeFieldType();
    java.lang.String str49 = illegalFieldValueException46.toString();
    java.lang.Throwable[] throwable_array50 = illegalFieldValueException46.getSuppressed();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    java.lang.String str52 = illegalFieldValueException46.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "9"+ "'", str9.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str11.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 10L+ "'", number20.equals(10L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "hi!"+ "'", str27.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + 100L+ "'", number41.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str49.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str52);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test436"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)139923131488220L, number2, (java.lang.Number)(-25410));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test437"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1286532334690L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test438"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1110, 0, 1937301);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test439"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -181738847430 for  must be in the range [-1177021,-10967]", (-10940), 573684, 1110);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test440"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -181738847430 for  must be in the range [-1177021,-10967]", "hi!");

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test441"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-759), (java.lang.Object)(-1195733));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test442"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "20510860");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test443"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: hi!: 9: Value 0.0 for hi! must be in the range [10.0,100]", 195800, (-1140040), (-1600977));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test444"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1970190, (-2373429), (-1199000));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test445"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)136236167900L, (java.lang.Number)(-1051928), (java.lang.Number)2422295928000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test446"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(100124021L, 1164790L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 98959231L);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test447"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-121089), (-13198701), (-241509780));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test448"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value 765131 for org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100] must be in the range [-325364241902689,1937301]");

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test449"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException5.getDurationFieldType();
    java.lang.String str9 = illegalFieldValueException5.getIllegalStringValue();
    java.lang.Number number13 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]", (java.lang.Number)(-1.0d), (java.lang.Number)(byte)100, number13);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException5.getDurationFieldType();
    illegalFieldValueException5.prependMessage("");
    java.lang.String str19 = illegalFieldValueException5.getIllegalStringValue();
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]");
    org.joda.time.DateTimeFieldType dateTimeFieldType22 = illegalFieldValueException5.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType22);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(35790066609297000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test451"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-149053131L), 1121L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-149054252L));

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test452"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 20510860, 16479806, (-803881));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test453"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-19385980), 978121, (-360581));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test454"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-22401), (java.lang.Object)(-6424L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test455"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-1112890), 195800);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-917090));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test456"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1183898189L, 1100L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test457"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(43177, (-26160), 810, (-10941));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test458"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1056109, (java.lang.Number)10821, (java.lang.Number)(-25410));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test459"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(17789163, (-10821));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 17778342);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 0, 195800, (-12299));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test461"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1341730L, 125236102);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 168033035136460L);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test462"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.String str9 = illegalFieldValueException5.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType11 = illegalFieldValueException5.getDurationFieldType();
    illegalFieldValueException5.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "9"+ "'", str9.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType11);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test463"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1198989L), (-10811));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 12962270079L);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test464"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(139923131505300L, 15742560L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test465"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    org.joda.time.DurationFieldType durationFieldType8 = illegalFieldValueException5.getDurationFieldType();
    java.lang.String str9 = illegalFieldValueException5.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException5.getDurationFieldType();
    java.lang.String str11 = illegalFieldValueException5.getFieldName();
    java.lang.String str12 = illegalFieldValueException5.getFieldName();
    java.lang.Number number13 = illegalFieldValueException5.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "hi!"+ "'", str11.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 9L+ "'", number13.equals(9L));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test466"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.String str8 = illegalFieldValueException5.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException5.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException5.getDurationFieldType();
    java.lang.Number number11 = illegalFieldValueException5.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException5.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-1L)+ "'", number11.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test467"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-20669131L), 180);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3720443580L));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test468"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-7470), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 10 for hi! must not be larger than 10.0: Value 9 for hi! must be in the range [-1,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test469"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 89, 0, 126019410);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test470"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(123972451);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-123972451));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test471"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.String str15 = illegalFieldValueException5.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)10.0d, (java.lang.Number)(byte)100);
    java.lang.Number number21 = illegalFieldValueException20.getLowerBound();
    java.lang.String str22 = illegalFieldValueException20.getIllegalValueAsString();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.String str24 = illegalFieldValueException5.getFieldName();
    java.lang.String str25 = illegalFieldValueException5.getIllegalStringValue();
    java.lang.Number number26 = illegalFieldValueException5.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + 10.0d+ "'", number21.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "0.0"+ "'", str22.equals("0.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number26 + "' != '" + 9L+ "'", number26.equals(9L));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test472"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("20510860", (-1140040), (-141824310), (-223513400));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-939360429), 195800, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test474"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test475"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(0L, (-251902997537917011L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-251902997537917011L));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test476"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException5.getFieldName();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException5.getSuppressed();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException5.getSuppressed();
    java.lang.Number number10 = illegalFieldValueException5.getUpperBound();
    java.lang.Number number11 = illegalFieldValueException5.getLowerBound();
    illegalFieldValueException5.prependMessage("hi!");
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException5.getDurationFieldType();
    java.lang.String str15 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number16 = illegalFieldValueException5.getIllegalNumberValue();
    boolean b17 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-12210), (java.lang.Object)illegalFieldValueException5);
    java.lang.String str18 = illegalFieldValueException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "hi!"+ "'", str7.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100L+ "'", number10.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (-1L)+ "'", number11.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "9"+ "'", str15.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 9L+ "'", number16.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value 9 for hi! must be in the range [-1,100]"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: hi!: Value 9 for hi! must be in the range [-1,100]"));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test477"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(178031, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test478"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1959343257180589L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1959343257180589L);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test479"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(8541, (-91), (-3560620));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test480"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-25410), 0, (-22401));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test481"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-198648), (-8541), (-2373429));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test482"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-6344553735L), (java.lang.Number)(-10210L), (java.lang.Number)(-1123309L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test483"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(125996899, 109);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 125997008);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test484"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-223513400L), (java.lang.Number)(-2398000L), (java.lang.Number)139923131488220L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test485"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number8 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number9 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100L+ "'", number7.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 9L+ "'", number8.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100L+ "'", number9.equals(100L));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test486"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(170820L, (-913));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-155958660L));

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test487"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    org.joda.time.DateTimeFieldType dateTimeFieldType15 = illegalFieldValueException13.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException13.getSuppressed();
    java.lang.Throwable throwable17 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException13.addSuppressed(throwable17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test488"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, (-25410));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test489"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.String str8 = illegalFieldValueException5.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException13.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException13.getFieldName();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException13.getSuppressed();
    java.lang.Number number17 = illegalFieldValueException13.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException13.getDateTimeFieldType();
    illegalFieldValueException13.prependMessage("");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: : Value 10 for hi! must not be larger than 10.0");
    java.lang.Number number24 = illegalFieldValueException5.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + 100L+ "'", number17.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 9L+ "'", number24.equals(9L));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test490"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-838811), (-11051), 10891);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-4977));

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test491"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-393793771779L), (-1198989L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 472154400631531431L);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test492"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", (-1124880), (-375099), 1208104);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test493"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1318900L, 3516957L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4835857L);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test494"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-177), (-20669110));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test495"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)141824310, "org.joda.time.IllegalFieldValueException: : Value 9 for hi! must be in the range [-1,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test496"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException5);
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.String str9 = illegalFieldValueException5.getFieldName();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException5.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.Number number12 = illegalFieldValueException5.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100L+ "'", number8.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "hi!"+ "'", str9.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100L+ "'", number12.equals(100L));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test497"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-138523900190247000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test498"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getFieldName();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number8 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number9 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 100L+ "'", number7.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 9L+ "'", number8.equals(9L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 9L+ "'", number9.equals(9L));

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test499"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "9");
    org.joda.time.IllegalFieldValueException illegalFieldValueException8 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType9 = illegalFieldValueException8.getDateTimeFieldType();
    boolean b10 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException8);
    boolean b12 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException8, (java.lang.Object)(-1L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)9L, (java.lang.Number)(-1L), (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)100, (java.lang.Object)illegalFieldValueException18);
    java.lang.String str21 = illegalFieldValueException18.toString();
    illegalFieldValueException8.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException18.getSuppressed();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException18.getSuppressed();
    java.lang.String str26 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.Number number27 = illegalFieldValueException18.getUpperBound();
    java.lang.Number number28 = illegalFieldValueException18.getLowerBound();
    java.lang.Number number29 = illegalFieldValueException18.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "9"+ "'", str26.equals("9"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 100L+ "'", number27.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + (-1L)+ "'", number28.equals((-1L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + 100L+ "'", number29.equals(100L));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest48.test500"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-2375219L), "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 9 for hi! must be in the range [-1,100]: Value 9 for hi! must be in the range [-1,100]: Value 100 for  must be in the range [0,89] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
