
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest77 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test001"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-146117650));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 146117650);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test002"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("10.0", (-210022), 142119983, (-71420189));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test003"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(900155006500L, (-90969545));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test004"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", number2, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException5.getDateTimeFieldType();
    java.lang.Number number7 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", number9, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException12.getSuppressed();
    java.lang.String str14 = illegalFieldValueException12.getIllegalValueAsString();
    java.lang.Number number15 = illegalFieldValueException12.getUpperBound();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException12.getDateTimeFieldType();
    illegalFieldValueException12.prependMessage("10.0");
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-555330), (java.lang.Object)"10.0");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "null"+ "'", str14.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 0.0f+ "'", number15.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test005"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)8998099617L, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test006"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-900182019102L), (-224448489158238844L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-224449389340257946L));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test007"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-142220124));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 142220124);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test008"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported", 0, (-1910102), 2401324);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test009"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)70117024001300L, (java.lang.Number)80116020900911L, (java.lang.Number)(-790440));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test010"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value 10.0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [10000,10]", (-65989675), 69909940, 279882);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test011"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType7 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str8 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "hi!"+ "'", str5.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "0.0"+ "'", str8.equals("0.0"));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test012"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 7989829, (-62273244), 555355);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test013"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-62599011), 91898361);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test014"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value -70110013 for org.joda.time.IllegalFieldValueException: Value 0.0 for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [10,1999659946] must be in the range [-70317031,-1910102]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test015"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-146117650), (-8078588), 70317031);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test016"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, (java.lang.Number)(short)1, (java.lang.Number)100L);
    java.lang.Number number6 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", number6, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number11 = illegalFieldValueException9.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.IllegalFieldValueException illegalFieldValueException15 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    java.lang.String str16 = illegalFieldValueException15.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException15.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException22.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException22.getSuppressed();
    java.lang.String str26 = illegalFieldValueException22.getFieldName();
    java.lang.Number number27 = illegalFieldValueException22.getIllegalNumberValue();
    illegalFieldValueException15.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    java.lang.String str29 = illegalFieldValueException15.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType30 = illegalFieldValueException15.getDateTimeFieldType();
    java.lang.Number number31 = illegalFieldValueException15.getIllegalNumberValue();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException15);
    org.joda.time.DurationFieldType durationFieldType33 = illegalFieldValueException9.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.0f+ "'", number11.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 10.0d+ "'", number27.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "hi!"+ "'", str29.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType33);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test017"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-99001991720261L), 2010191L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-99001993730452L));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test018"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 4320259, (-6395323), 199972);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test019"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(62273244, 71110091, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test020"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1547428156794908258L, 810163455603207001L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2357591612398115259L);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test021"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1200093L, (java.lang.Number)900091, (java.lang.Number)(-78206650474984L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test022"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(810163718272900101L, (-1788379627979799900L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test023"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str13 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.String str14 = illegalFieldValueException11.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test024"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-81927448), 0, 164916879);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test025"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-81321772526140L), number2, (java.lang.Number)1100018199909L);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test026"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(81208443588632018L, 176886707L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test027"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-6871881), (-69909303), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-6871881));

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test028"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-11101010000000L), 17583693320604698L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test029"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-181070), (-142610312), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-181070));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test030"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", 1506141, (-881250), 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test031"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-1590379), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test032"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]: Value 10 for hi! must be in the range [1,100]", (java.lang.Number)(-78), (java.lang.Number)90018001790000000L, (java.lang.Number)(-701161527822570000L));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test033"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-8078588), 1938);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-8076650));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test034"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-909182709181L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test035"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-100903728), 590118, 0, 67999838);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 35686068);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test036"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(byte)10, number2, (java.lang.Number)10);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number7 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", number7, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.Number number12 = illegalFieldValueException10.getIllegalNumberValue();
    java.lang.Number number14 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", number14, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException17.getSuppressed();
    java.lang.String str19 = illegalFieldValueException17.getIllegalValueAsString();
    java.lang.Number number20 = illegalFieldValueException17.getUpperBound();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str22 = illegalFieldValueException17.getFieldName();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Number number24 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType26 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "null"+ "'", str19.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 0.0f+ "'", number20.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType26);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test037"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(70110014, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test038"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1100022120113L), (-827509488027219329L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test039"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str12 = illegalFieldValueException11.getFieldName();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number19 = illegalFieldValueException18.getUpperBound();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100+ "'", number6.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 0+ "'", number19.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test040"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number8 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", number8, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException11.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number15 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", number15, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    java.lang.Number number20 = illegalFieldValueException18.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException18.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number27 = illegalFieldValueException26.getIllegalNumberValue();
    illegalFieldValueException18.addSuppressed((java.lang.Throwable)illegalFieldValueException26);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number30 = illegalFieldValueException18.getIllegalNumberValue();
    java.lang.String str31 = illegalFieldValueException18.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException18.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + 0+ "'", number27.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "null"+ "'", str31.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test041"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 18877, 8545625, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test042"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]", "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]");
    java.lang.Number number4 = null;
    java.lang.Number number6 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]", number4, (java.lang.Number)100, number6);
    java.lang.String str8 = illegalFieldValueException7.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException7.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException7.getDurationFieldType();
    boolean b11 = org.joda.time.field.FieldUtils.equals((java.lang.Object)"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]", (java.lang.Object)illegalFieldValueException7);
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException7.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "null"+ "'", str8.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] must not be smaller than 100"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] must not be smaller than 100"));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test043"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-808083140145L), (-99001990810170L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-99810073950315L));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test044"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    boolean b7 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)1L);
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str9 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test045"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-144065732), 142119983);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test046"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", "org.joda.time.IllegalFieldValueException: Value -890000 for  must be in the range [100,-80519]");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    org.joda.time.DurationFieldType durationFieldType4 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType4);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test047"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", 8556694, 70209843, (-1910102));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test048"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("1.0", (java.lang.Number)(-161282347493303L), (java.lang.Number)2151491433749592000L, (java.lang.Number)(-99863));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test049"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-10798294254661L), "org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] must be in the range [10,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test050"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(1434364);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1434364));

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test051"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]", 4320259, (-2010102), 52533373);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test052"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-81927448), 70110013, (-709930));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test053"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-8899090528L), (-7797935));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 69394529496459680L);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test054"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-90008010), 147007739, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test055"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(143717931, 79007979, (-109909090), (-9685583));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-77944614));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test056"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(63558168720109L, (-888169608080L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test057"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", "org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test058"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-90918170908900L), 1809094810193L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-89109076098707L));

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test059"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]", (java.lang.Number)(short)100, (java.lang.Number)80116020800911L, (java.lang.Number)(-9023992298L));
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (short)100+ "'", number5.equals((short)100));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test060"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-69353949), number2, (java.lang.Number)703240627031L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test061"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value -900180009000 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]: Value 10 for hi! must be in the range [1,100] must be in the range [-1,-1010001]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test062"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-72009771), (-199972), (-432839));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test063"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-890000), (java.lang.Number)(byte)100, (java.lang.Number)(-80519));
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test064"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "1000290");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test065"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -199972 for hi! must not be smaller than 0", (-65989675), (-142220124), 1000100);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test066"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, (java.lang.Number)(short)1, (java.lang.Number)100L);
    java.lang.Number number6 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", number6, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number11 = illegalFieldValueException9.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", number14, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException17.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str21 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str22 = illegalFieldValueException4.getFieldName();
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.0f+ "'", number11.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "10"+ "'", str21.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test067"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)81118551405912376L, (java.lang.Number)159597876183634L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test068"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
    java.lang.Number number3 = illegalFieldValueException2.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test069"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    java.lang.Number number3 = illegalFieldValueException2.getLowerBound();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("hi!");
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException2.getDateTimeFieldType();
    java.lang.Number number8 = illegalFieldValueException2.getUpperBound();
    java.lang.String str9 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: hi!: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: hi!: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported"));

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test070"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-1010101", "10.0");
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] must not be smaller than 100");
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException2.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException10.getSuppressed();
    java.lang.String str14 = illegalFieldValueException10.getFieldName();
    java.lang.Number number15 = illegalFieldValueException10.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException10.getSuppressed();
    illegalFieldValueException10.prependMessage("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.Number number22 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(byte)10, number22, (java.lang.Number)10);
    org.joda.time.DurationFieldType durationFieldType25 = illegalFieldValueException24.getDurationFieldType();
    java.lang.String str26 = illegalFieldValueException24.toString();
    java.lang.Number number28 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException31 = new org.joda.time.IllegalFieldValueException("", number28, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException31.getDateTimeFieldType();
    boolean b34 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException31, (java.lang.Object)1L);
    org.joda.time.DurationFieldType durationFieldType35 = illegalFieldValueException31.getDurationFieldType();
    illegalFieldValueException24.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    java.lang.String str37 = illegalFieldValueException31.getIllegalStringValue();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException31);
    boolean b39 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)illegalFieldValueException31);
    java.lang.Number number40 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.Number number41 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "hi!"+ "'", str14.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 10.0d+ "'", number15.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number41);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test071"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1, 13171239, 70209843, 614337);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test072"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]\" for -199972 is not supported", 555355, 67444483, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test073"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", (java.lang.Number)0.0f, (java.lang.Number)(byte)10, (java.lang.Number)1999659946L);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException4.getFieldName();
    illegalFieldValueException4.prependMessage("-199972");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]"));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test074"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(byte)0, (java.lang.Number)100.0d, (java.lang.Number)0);
    java.lang.String str5 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str12 = illegalFieldValueException11.toString();
    java.lang.Number number13 = illegalFieldValueException11.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number20 = illegalFieldValueException11.getUpperBound();
    java.lang.Number number21 = illegalFieldValueException11.getLowerBound();
    java.lang.Number number22 = illegalFieldValueException11.getLowerBound();
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException11.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType24 = illegalFieldValueException11.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.Number number27 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", number27, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType31 = illegalFieldValueException30.getDateTimeFieldType();
    java.lang.Number number32 = illegalFieldValueException30.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType33 = illegalFieldValueException30.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number39 = illegalFieldValueException38.getIllegalNumberValue();
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    java.lang.String str41 = illegalFieldValueException30.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType42 = illegalFieldValueException30.getDurationFieldType();
    java.lang.Number number44 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException47 = new org.joda.time.IllegalFieldValueException("", number44, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array48 = illegalFieldValueException47.getSuppressed();
    java.lang.String str49 = illegalFieldValueException47.getIllegalValueAsString();
    java.lang.Object obj50 = null;
    boolean b51 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException47, obj50);
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException47);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    org.joda.time.IllegalFieldValueException illegalFieldValueException58 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str59 = illegalFieldValueException58.toString();
    java.lang.Number number60 = illegalFieldValueException58.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException65 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException58.addSuppressed((java.lang.Throwable)illegalFieldValueException65);
    java.lang.Number number67 = illegalFieldValueException58.getUpperBound();
    java.lang.Number number68 = illegalFieldValueException58.getLowerBound();
    java.lang.Number number69 = illegalFieldValueException58.getLowerBound();
    java.lang.Throwable[] throwable_array70 = illegalFieldValueException58.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType71 = illegalFieldValueException58.getDurationFieldType();
    java.lang.Throwable[] throwable_array72 = illegalFieldValueException58.getSuppressed();
    boolean b73 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)illegalFieldValueException58);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException58);
    org.joda.time.DurationFieldType durationFieldType75 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str12.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 100.0f+ "'", number13.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + (byte)0+ "'", number20.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number21 + "' != '" + 100.0f+ "'", number21.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 100.0f+ "'", number22.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number39 + "' != '" + 0+ "'", number39.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "null"+ "'", str49.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str59 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str59.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number60 + "' != '" + 100.0f+ "'", number60.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number67 + "' != '" + (byte)0+ "'", number67.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number68 + "' != '" + 100.0f+ "'", number68.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number69 + "' != '" + 100.0f+ "'", number69.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType75);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test075"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -890000 for  must be in the range [100,-80519]", 2659674, (-454682), 2500006);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test076"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-71420190), 79, 1110101);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 731305);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test077"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-90918170908900", (java.lang.Number)90018001790000000L, (java.lang.Number)(-900269115821250967L), (java.lang.Number)(-909183719191L));
    illegalFieldValueException4.prependMessage("-90009090");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]\" for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078] is not supported");

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(10086341, 438953, 909778, (-10571179));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test079"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 7815, (-9900991), 90008010);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test080"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1110101), (-30689184), 13171239);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1110101));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test081"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-90828080889699L), 10L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test082"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)206106390L, (java.lang.Number)4314032, (java.lang.Number)19640353);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test083"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]", (java.lang.Number)(-71110013), (java.lang.Number)(-800080), (java.lang.Number)(-10888391483571L));
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]"));

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test084"); }


    java.lang.Object obj0 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", number2, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException5.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.String str8 = illegalFieldValueException5.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    illegalFieldValueException11.prependMessage("");
    boolean b15 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException11);
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException11.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException11.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType20 = illegalFieldValueException11.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType20);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test085"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1100022120113L), 731305);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-804451676549237465L));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test086"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(81208443588632018L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test087"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported", (-100903728), (-69353949), (-1200093));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test088"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]", (java.lang.Number)1.0f, (java.lang.Number)(short)10, (java.lang.Number)100L);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str8 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, (java.lang.Number)(short)1, (java.lang.Number)100L);
    java.lang.Number number15 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", number15, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    java.lang.Number number20 = illegalFieldValueException18.getUpperBound();
    illegalFieldValueException13.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number23 = illegalFieldValueException18.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "1.0"+ "'", str5.equals("1.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1.0f+ "'", number6.equals(1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] must be in the range [10,100]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value 1.0 for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] must be in the range [10,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 0.0f+ "'", number20.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 100+ "'", number23.equals(100));

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test089"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-61328833), (-790440), 100136);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test090"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1190528), (-1013277), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test091"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-10001000000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test092"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-890000", 1260464, 2010102, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test093"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"1.0\" for org.joda.time.IllegalFieldValueException: : Value 0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [0,0] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test094"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]", (java.lang.Number)1, number2, (java.lang.Number)(-90826084040045L));
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str10 = illegalFieldValueException9.toString();
    java.lang.Number number11 = illegalFieldValueException9.getLowerBound();
    java.lang.String str12 = illegalFieldValueException9.getIllegalStringValue();
    java.lang.Number number14 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", number14, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException17.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException17.getIllegalNumberValue();
    java.lang.String str20 = illegalFieldValueException17.toString();
    java.lang.String str21 = illegalFieldValueException17.getIllegalStringValue();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException17.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str25 = illegalFieldValueException17.getIllegalValueAsString();
    java.lang.String str26 = illegalFieldValueException17.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 100.0f+ "'", number11.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str20.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "null"+ "'", str25.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test095"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-70116152782257L), "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test096"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-790440), (-67709553), 819572);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test097"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 500496, 475630, 424263);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test098"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]", (java.lang.Number)900270936181608990L, (java.lang.Number)81118551405912376L, (java.lang.Number)151213200601983L);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    java.lang.Number number7 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", number7, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException10.getSuppressed();
    java.lang.Number number12 = illegalFieldValueException10.getIllegalNumberValue();
    java.lang.String str13 = illegalFieldValueException10.toString();
    java.lang.Number number14 = illegalFieldValueException10.getUpperBound();
    illegalFieldValueException10.prependMessage("hi!");
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException10.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    org.joda.time.DurationFieldType durationFieldType19 = illegalFieldValueException10.getDurationFieldType();
    java.lang.Number number21 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", number21, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException24.getSuppressed();
    java.lang.Number number26 = illegalFieldValueException24.getIllegalNumberValue();
    java.lang.String str27 = illegalFieldValueException24.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException24.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    illegalFieldValueException30.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType34 = illegalFieldValueException30.getDateTimeFieldType();
    java.lang.Number number36 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException39 = new org.joda.time.IllegalFieldValueException("", number36, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.String str40 = illegalFieldValueException39.getIllegalValueAsString();
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException39);
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException30);
    java.lang.Number number43 = illegalFieldValueException30.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 0.0f+ "'", number14.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "null"+ "'", str40.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number43);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test099"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-152689027858851L), 142730243);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test100"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1.0d), "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test101"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-11910103810092L), 1091102724815045277L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1091090814711235185L);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test102"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [0,0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test103"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException2.prependMessage("");
    java.lang.String str5 = illegalFieldValueException2.getFieldName();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException2.getSuppressed();
    java.lang.Number number8 = illegalFieldValueException2.getIllegalNumberValue();
    java.lang.String str9 = illegalFieldValueException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported"+ "'", str9.equals("org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported"));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test104"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)10.0d, (java.lang.Number)73006551127088L, (java.lang.Number)(-90008010));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test105"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("hi!", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    java.lang.Number number4 = illegalFieldValueException2.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str10 = illegalFieldValueException9.toString();
    java.lang.Number number11 = illegalFieldValueException9.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    java.lang.Number number18 = illegalFieldValueException9.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException9.getDateTimeFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str21 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number22 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 100.0f+ "'", number11.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + (byte)0+ "'", number18.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test106"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-712966498652L), 17602505014124843L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 17601792047626191L);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test107"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-224448489159348945L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test108"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)810083800091L, (java.lang.Number)(-70100059), number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test109"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number13 = illegalFieldValueException12.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str15 = illegalFieldValueException4.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str17 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 0+ "'", number13.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test110"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(61331438, 10000000, (-72009771), 65889638);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-66567972));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test111"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(142220124);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-142220124));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test112"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)2500006, (java.lang.Number)71009970, (java.lang.Number)(-1010037));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test113"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-8990378284162622900L), 100010L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8990378284162522890L));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test114"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported", "org.joda.time.IllegalFieldValueException: Value 2010102 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0] must not be smaller than 909181809089");

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test115"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, (-72051819), 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test116"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-101003700), 279882);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test117"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number13 = illegalFieldValueException12.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number15 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException18.prependMessage("");
    java.lang.String str21 = illegalFieldValueException18.getIllegalStringValue();
    java.lang.String str22 = illegalFieldValueException18.toString();
    boolean b23 = org.joda.time.field.FieldUtils.equals((java.lang.Object)number15, (java.lang.Object)illegalFieldValueException18);
    java.lang.Number number24 = illegalFieldValueException18.getIllegalNumberValue();
    java.lang.Number number25 = illegalFieldValueException18.getUpperBound();
    java.lang.String str26 = illegalFieldValueException18.getIllegalValueAsString();
    java.lang.Number number27 = illegalFieldValueException18.getLowerBound();
    java.lang.Number number28 = illegalFieldValueException18.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 0+ "'", number13.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number28);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test118"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(808083140234L, 176886707L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 807906253527L);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test119"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, 224448489157238755L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-224448489157238755L));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test120"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10\" for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] is not supported", 8909868, (-280491), 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test121"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, 67444483);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 67444483);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test122"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(433220, 0, 54110910);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 433220);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test123"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 2390070, (-14596816), (-890089));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test124"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1910102109900L, 67799866);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test125"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(0L, (-152223390600961L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-152223390600961L));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test126"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(454682, (-9317127), 0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test127"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 59782195, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test128"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 0, 0, 941806);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test129"); }


    java.lang.Object obj0 = null;
    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -71110013 for org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101] must be in the range [-800080,-10888391483571]", (java.lang.Number)(-9988311373660L), number3, (java.lang.Number)(-9524299));
    boolean b6 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)(-9524299));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test130"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1091102724815045277L, "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [900127,10.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test131"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1908664420425894879L, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]: Value 0.0 for hi! must be in the range [100.0,0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test132"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1000200L, "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test133"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1000089L), (-49114055357791780L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test134"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-800128), (-214159559), 10571179);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-800128));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test135"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-66567972), (java.lang.Number)810163718272900101L, (java.lang.Number)(-1543540323177244790L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test136"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]");

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test137"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)475630, (java.lang.Number)(-82423679), (java.lang.Number)900270936181608990L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test138"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-8093486), (java.lang.Number)91709150, (java.lang.Number)(-66999739));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test139"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-209962), (-99863), 1880630);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test140"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-66902915), (java.lang.Number)54110910, (java.lang.Number)(-73816631116888L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test141"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(454682, (-9900991), (-99973));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-9346337));

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test142"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number13 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number16 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType18 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (byte)0+ "'", number13.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 0.0f+ "'", number16.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType18);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test143"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-199972), (java.lang.Number)(short)0, number3);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test144"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-69353949), 164916879, 71009970);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test145"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", "-99910");

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test146"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]");
    java.lang.Throwable[] throwable_array3 = illegalFieldValueException2.getSuppressed();
    java.lang.String str4 = illegalFieldValueException2.getIllegalValueAsString();
    java.lang.Number number8 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]", (java.lang.Number)2010102, (java.lang.Number)909181809089L, number8);
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException9.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test147"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]: Value 0.0 for hi! must be in the range [100.0,0]", 590118, (-91709150), 1799971);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test148"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1000200L, 63105301702083L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 63105302702283L);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test149"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", (java.lang.Number)(-1280236422882604140L), (java.lang.Number)(short)0, (java.lang.Number)800080);
    boolean b6 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-1280236422882604140L), (java.lang.Object)(-810243924479918909L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test150"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(2010191L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test151"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-119977), 72019791, 19640353);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test152"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1628588153554014848L), (java.lang.Number)(byte)100, (java.lang.Number)909183719191L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test153"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-1), (java.lang.Number)199972, (java.lang.Number)810083800091L);
    java.lang.Number number6 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", number6, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number11 = illegalFieldValueException9.getIllegalNumberValue();
    java.lang.Number number13 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException16 = new org.joda.time.IllegalFieldValueException("", number13, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException16.getSuppressed();
    java.lang.String str18 = illegalFieldValueException16.getIllegalValueAsString();
    java.lang.Number number19 = illegalFieldValueException16.getUpperBound();
    illegalFieldValueException9.addSuppressed((java.lang.Throwable)illegalFieldValueException16);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException9.getDateTimeFieldType();
    boolean b22 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException4, (java.lang.Object)dateTimeFieldType21);
    org.joda.time.IllegalFieldValueException illegalFieldValueException27 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-900180029001L), (java.lang.Number)(byte)10, (java.lang.Number)100.0f);
    java.lang.Number number28 = illegalFieldValueException27.getUpperBound();
    java.lang.String str29 = illegalFieldValueException27.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType30 = illegalFieldValueException27.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "null"+ "'", str18.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 0.0f+ "'", number19.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 100.0f+ "'", number28.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType30);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test154"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)1628588153653923938L, (java.lang.Number)70737931, (java.lang.Number)555355);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test155"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(909181809089L, 2700248046624L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3609429855713L);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test156"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1900381L), (java.lang.Number)(-900441071205510000L), (java.lang.Number)(-73020135));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test157"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-66567972), (-70599895));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test158"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-9900991), 146117650, (-132497647));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test159"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1628429164726619192L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test160"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number11 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException14 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
    java.lang.Number number15 = illegalFieldValueException14.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException14);
    java.lang.String str17 = illegalFieldValueException14.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "null"+ "'", str7.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100+ "'", number10.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 100+ "'", number11.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"+ "'", str17.equals("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test161"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 82018181, (-6395323), 80008000);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test162"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 91709150);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test163"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("");
    java.lang.String str6 = illegalFieldValueException2.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException9.prependMessage("");
    java.lang.String str12 = illegalFieldValueException9.getFieldName();
    org.joda.time.DurationFieldType durationFieldType13 = illegalFieldValueException9.getDurationFieldType();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException2, (java.lang.Object)durationFieldType13);
    java.lang.String str15 = illegalFieldValueException2.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]\" for  is not supported"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]\" for  is not supported"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test164"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(7984242344400L, 59782195);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test165"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1999659946L, "org.joda.time.IllegalFieldValueException: Value 800080 for  must be in the range [-1000100,90018000899900]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test166"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1010037), (-2565621), (-72919999));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test167"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]: Value 0.0 for hi! must be in the range [100.0,0]", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test168"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value -909181799089 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [-1.0,90018000899900]", (java.lang.Number)555355, (java.lang.Number)72097369317999L, (java.lang.Number)10);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number6 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10+ "'", number5.equals(10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 10+ "'", number6.equals(10));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test169"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("");
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType11 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str12 = illegalFieldValueException4.getFieldName();
    java.lang.Number number13 = illegalFieldValueException4.getLowerBound();
    java.lang.String str14 = illegalFieldValueException4.getFieldName();
    java.lang.String str15 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + ""+ "'", str12.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 100+ "'", number13.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + ""+ "'", str15.equals(""));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test170"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)(-1788379627979799900L), (java.lang.Number)(-910002L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test171"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)70209897, (java.lang.Number)70207155413540L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test172"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(1506141, (-72919999));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test173"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-82443133), 70110013, 1102929, (-995906));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test174"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1788379627979799900L), (java.lang.Number)709930, (java.lang.Number)(-9869405809321L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test175"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 36, 35686068, 1000000);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test176"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-810243924480819000L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test177"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 142119983, 1799971, (-881250));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test178"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.String str8 = illegalFieldValueException4.getFieldName();
    java.lang.Number number9 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException4.getSuppressed();
    java.lang.String str12 = illegalFieldValueException4.getIllegalValueAsString();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]");
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException4.getSuppressed();
    java.lang.String str16 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0d+ "'", number9.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "10.0"+ "'", str12.equals("10.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]"));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test179"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-148440198535989L), 12010190);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test180"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-900089L), (java.lang.Number)(-1788379627979799900L), (java.lang.Number)475630);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test181"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 19640353, 120013, (-555355));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test182"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-71109954), number2, (java.lang.Number)(-36003204L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test183"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-43830622), (-534407), (-654654), (-9000900));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test184"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(1091984, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test185"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, 1000100, 8900968);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 7900869);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-11000922901092L), (-1800361038000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test187"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10", (java.lang.Number)(-1719261799078L), (java.lang.Number)(-10888391483571L), (java.lang.Number)(-199972));
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-199972)+ "'", number5.equals((-199972)));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test188"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    boolean b5 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFieldType3, (java.lang.Object)(-909778));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test189"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-110131909990900L), "org.joda.time.IllegalFieldValueException: Value 800080 for  must be in the range [-1000100,90018000899900]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test190"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    illegalFieldValueException10.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.Number number16 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", number16, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.String str20 = illegalFieldValueException19.getIllegalValueAsString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException19.getSuppressed();
    illegalFieldValueException19.prependMessage("-1010101");
    org.joda.time.IllegalFieldValueException illegalFieldValueException29 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, (java.lang.Number)(short)1, (java.lang.Number)100L);
    java.lang.Number number31 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("", number31, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType35 = illegalFieldValueException34.getDateTimeFieldType();
    java.lang.Number number36 = illegalFieldValueException34.getUpperBound();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException34);
    java.lang.Number number39 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException42 = new org.joda.time.IllegalFieldValueException("", number39, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array43 = illegalFieldValueException42.getSuppressed();
    java.lang.Number number44 = illegalFieldValueException42.getIllegalNumberValue();
    illegalFieldValueException29.addSuppressed((java.lang.Throwable)illegalFieldValueException42);
    java.lang.String str46 = illegalFieldValueException29.getIllegalValueAsString();
    java.lang.String str47 = illegalFieldValueException29.getFieldName();
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException29);
    illegalFieldValueException29.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10\" for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "null"+ "'", str20.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + 0.0f+ "'", number36.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "10"+ "'", str46.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "hi!"+ "'", str47.equals("hi!"));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test191"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(0L, (-11797573292661L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-11797573292661L));

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test192"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-398984), (-475630), (-800128));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test193"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(60199068, (-72051819));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-11852751));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test194"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-120013), "org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test195"); }


    java.lang.Object obj0 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", number2, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException5.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.String str8 = illegalFieldValueException5.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    illegalFieldValueException11.prependMessage("");
    boolean b15 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException11);
    java.lang.Number number16 = illegalFieldValueException11.getUpperBound();
    java.lang.Number number17 = illegalFieldValueException11.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test196"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    illegalFieldValueException10.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.Number number16 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", number16, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.String str20 = illegalFieldValueException19.getIllegalValueAsString();
    illegalFieldValueException10.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException19.getSuppressed();
    java.lang.Number number23 = illegalFieldValueException19.getLowerBound();
    illegalFieldValueException19.prependMessage("");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "null"+ "'", str20.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 100+ "'", number23.equals(100));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test197"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]", (java.lang.Number)1110312020100L, (java.lang.Number)(-71819970), (java.lang.Number)(-66999739));
    java.lang.Throwable throwable5 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException4.addSuppressed(throwable5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test198"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(-909181799089L), (java.lang.Number)10, (java.lang.Number)0.0d);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(byte)(-1), (java.lang.Number)0, (java.lang.Number)1);
    java.lang.String str11 = illegalFieldValueException10.getFieldName();
    java.lang.Number number12 = illegalFieldValueException10.getIllegalNumberValue();
    java.lang.String str13 = illegalFieldValueException10.toString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.String str15 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (byte)(-1)+ "'", number12.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value -1 for  must be in the range [0,1]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value -1 for  must be in the range [0,1]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "-909181799089"+ "'", str15.equals("-909181799089"));

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test199"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-818265351421335259L), (-154032484411063L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test201"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-71420190));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 71420190);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test202"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1880630), 72110134, 142220124);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test203"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.String str8 = illegalFieldValueException4.getFieldName();
    java.lang.Number number9 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str18 = illegalFieldValueException17.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException17.getDateTimeFieldType();
    java.lang.Number number20 = illegalFieldValueException17.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str22 = illegalFieldValueException17.getFieldName();
    java.lang.String str23 = illegalFieldValueException17.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0d+ "'", number9.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + (byte)0+ "'", number20.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "hi!"+ "'", str22.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str23.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test204"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(212040614030200000L, (-1910023));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test205"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-1910023), 1000089, 70317031);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test206"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1000100, (-72009771), (-429932));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test207"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    java.lang.String str7 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", number9, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException12.getSuppressed();
    java.lang.Number number14 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException12.toString();
    java.lang.String str16 = illegalFieldValueException12.getIllegalStringValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number18 = illegalFieldValueException12.getUpperBound();
    java.lang.Number number19 = illegalFieldValueException12.getLowerBound();
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException12.getSuppressed();
    java.lang.String str21 = illegalFieldValueException12.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.0f+ "'", number18.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 100+ "'", number19.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + ""+ "'", str21.equals(""));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test208"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-9990L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test209"); }


    java.lang.Object obj0 = null;
    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", number2, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException5.getSuppressed();
    java.lang.Number number7 = illegalFieldValueException5.getIllegalNumberValue();
    java.lang.String str8 = illegalFieldValueException5.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number14 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", number14, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException17.getDateTimeFieldType();
    java.lang.Number number19 = illegalFieldValueException17.getIllegalNumberValue();
    java.lang.Number number20 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException17.prependMessage("");
    java.lang.Number number23 = illegalFieldValueException17.getLowerBound();
    java.lang.Number number24 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.Number number26 = illegalFieldValueException17.getIllegalNumberValue();
    java.lang.String str27 = illegalFieldValueException17.getIllegalValueAsString();
    java.lang.String str28 = illegalFieldValueException17.getFieldName();
    boolean b29 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)str28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 100+ "'", number23.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "null"+ "'", str27.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + ""+ "'", str28.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test210"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1110101L, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test211"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)11747823, (java.lang.Number)(-1528996646271346497L), (java.lang.Number)(-11797573292661L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test212"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-2290071), (-15597816), (-69353949));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test213"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-36634570), 72110134);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test214"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1529157928618839800L), 619243599169L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1529157309375240631L));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test215"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 72110134, (-864676));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test216"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    illegalFieldValueException4.prependMessage("-70116152782257");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "null"+ "'", str5.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test217"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported\" for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] is not supported", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]\" for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] is not supported");

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test218"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-888169608080L), number2, (java.lang.Number)17676504);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test219"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-99001990810170L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test220"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(99973000000L, (-1800361038000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test221"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-142220046), 7815);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test222"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, (java.lang.Number)(short)1, (java.lang.Number)100L);
    java.lang.Number number6 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", number6, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number11 = illegalFieldValueException9.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", number14, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException17.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str21 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str22 = illegalFieldValueException4.toString();
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException4.getSuppressed();
    java.lang.String str24 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str25 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException30 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, (java.lang.Number)(short)1, (java.lang.Number)100L);
    java.lang.Number number32 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException35 = new org.joda.time.IllegalFieldValueException("", number32, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType36 = illegalFieldValueException35.getDateTimeFieldType();
    java.lang.Number number37 = illegalFieldValueException35.getIllegalNumberValue();
    java.lang.Number number38 = illegalFieldValueException35.getIllegalNumberValue();
    illegalFieldValueException35.prependMessage("");
    java.lang.Number number41 = illegalFieldValueException35.getLowerBound();
    java.lang.Number number42 = illegalFieldValueException35.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType43 = illegalFieldValueException35.getDateTimeFieldType();
    java.lang.String str44 = illegalFieldValueException35.getFieldName();
    boolean b46 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException35, (java.lang.Object)0.0d);
    java.lang.String str47 = illegalFieldValueException35.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = illegalFieldValueException35.getDateTimeFieldType();
    illegalFieldValueException30.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    illegalFieldValueException35.prependMessage("-199972");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException35);
    illegalFieldValueException35.prependMessage("-91737262698789");
    java.lang.String str55 = illegalFieldValueException35.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.0f+ "'", number11.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "10"+ "'", str21.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "10"+ "'", str25.equals("10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number41 + "' != '" + 100+ "'", number41.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + ""+ "'", str44.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + ""+ "'", str47.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str55 + "' != '" + "null"+ "'", str55.equals("null"));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test223"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(82875957836498L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test224"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(180917101, (-100136), (-70100059));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test225"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, 827357264634708178L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test226"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-808082140044L), 900146916702L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1708229056746L));

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test227"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(142653345, 8900968);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 151554313);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test228"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(9991908090900L, 424263);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 4239196902369506700L);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test229"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [100.0,0]", (-6871881), (-863932), (-800128));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test230"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(byte)0, (java.lang.Number)100.0d, (java.lang.Number)0);
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]");
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException7.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException7);
    org.joda.time.DurationFieldType durationFieldType10 = illegalFieldValueException7.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType10);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test231"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1529077067952872637L), (java.lang.Number)(-1110201), (java.lang.Number)(-90918170908900L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test232"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(0, (-141326928));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-141326928));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test233"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(62273244, 0, (-36634570));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test234"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(4239196902369506700L, (-181070));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test235"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(81208443588632018L, 10571179);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test236"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("-90918170908900", (-142220124), 9005367, 10696482);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test237"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(489904, 70737931);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test238"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number5 = illegalFieldValueException4.getLowerBound();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.String str8 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0L+ "'", number5.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test239"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Number number7 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", number9, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.Number number15 = illegalFieldValueException12.getIllegalNumberValue();
    illegalFieldValueException12.prependMessage("");
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException12.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException12.getDateTimeFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str21 = illegalFieldValueException12.getIllegalStringValue();
    java.lang.Number number22 = illegalFieldValueException12.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
    java.lang.String str26 = illegalFieldValueException25.getIllegalStringValue();
    java.lang.String str27 = illegalFieldValueException25.getFieldName();
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException25);
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException33.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Throwable[] throwable_array36 = illegalFieldValueException33.getSuppressed();
    java.lang.String str37 = illegalFieldValueException33.getIllegalStringValue();
    illegalFieldValueException25.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.String str39 = illegalFieldValueException25.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-1.0f)+ "'", number7.equals((-1.0f)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"+ "'", str26.equals("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"+ "'", str39.equals("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"));

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test240"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue(71110013, 1090163, 0, (-71009897));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test241"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-99001991720261L), (-1190528));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test242"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(1547428156794908258L, 53913473501172L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1547482070268409430L);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test243"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10", number1, (java.lang.Number)(-10001L), (java.lang.Number)(-1910023));
    java.lang.Number number6 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", number6, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number11 = illegalFieldValueException9.getIllegalNumberValue();
    java.lang.Number number12 = illegalFieldValueException9.getIllegalNumberValue();
    illegalFieldValueException9.prependMessage("");
    java.lang.Number number15 = illegalFieldValueException9.getLowerBound();
    java.lang.Number number16 = illegalFieldValueException9.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType17 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.String str18 = illegalFieldValueException9.getFieldName();
    java.lang.Number number19 = illegalFieldValueException9.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.String str21 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 100+ "'", number15.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 100+ "'", number19.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 must be in the range [-10001,-1910023]"+ "'", str21.equals("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 must be in the range [-10001,-1910023]"));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test244"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-8076650), 69464456);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test245"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, (-2010102), (-1110201));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test246"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1100020110011L, (java.lang.Number)8909868, (java.lang.Number)2010102);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test247"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 0, 18877, 50713642);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test248"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(143717931, (-800080), 3640239);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1627691);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test249"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(900270026999799900L, 1000290);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test250"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 67444483, (-3173049), (-890089));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test251"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1000000, (-5020297), 0, 67709553);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 63689257);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test252"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-900089), 4320259, 900127, 489904);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test253"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1829196840204L, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [100.0,0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test254"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    illegalFieldValueException4.prependMessage("");
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0"+ "'", str6.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test255"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(99863, 8900890, (-2659674));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test256"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]", (java.lang.Number)2010102, (java.lang.Number)909181809089L, number3);
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str8 = illegalFieldValueException4.toString();
    java.lang.String str9 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 2010102+ "'", number7.equals(2010102));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 2010102 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0] must not be smaller than 909181809089"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value 2010102 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0] must not be smaller than 909181809089"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str9);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test257"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)54110910, "-90918170908900");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test258"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-1000101), 1000000, 1102929);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1058499);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test259"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)3640239, (java.lang.Number)(-142220124), (java.lang.Number)18877);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test260"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    java.lang.Number number12 = illegalFieldValueException10.getUpperBound();
    java.lang.String str13 = illegalFieldValueException10.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test261"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(7363271316011L, 1058499);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7794015324726327489L);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test262"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-818264636372819190L), 10920181809089L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-818253716191010101L));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test263"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", number9, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException12.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException12.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    org.joda.time.IllegalFieldValueException illegalFieldValueException22 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str23 = illegalFieldValueException22.getFieldName();
    java.lang.Number number24 = illegalFieldValueException22.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException22.getDateTimeFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException22);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
    org.joda.time.DurationFieldType durationFieldType29 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str30 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "null"+ "'", str6.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0f+ "'", number7.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "hi!"+ "'", str23.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number24 + "' != '" + 100.0f+ "'", number24.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + ""+ "'", str30.equals(""));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test264"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, (java.lang.Number)151213200601983L, (java.lang.Number)(-224448489157238755L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test265"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(10086341, 109649);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10195990);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test266"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-9991909000902L), "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]\" for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] is not supported is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test267"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-909181819079L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test268"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(900180009000L, (-1719261798889L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test269"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-900180009000L), (java.lang.Number)100000L, (java.lang.Number)100.0f);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException11.getSuppressed();
    java.lang.String str15 = illegalFieldValueException11.getFieldName();
    java.lang.Number number16 = illegalFieldValueException11.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array17 = illegalFieldValueException11.getSuppressed();
    java.lang.String str18 = illegalFieldValueException11.getIllegalStringValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-900180009000L)+ "'", number6.equals((-900180009000L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 10.0d+ "'", number16.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str18);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test270"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-10842797), (java.lang.Number)176886707L, (java.lang.Number)(-909181709089L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test271"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(909184719191L, 1547482070268409430L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test272"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 438953, 100000, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test273"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Throwable[] throwable_array7 = illegalFieldValueException4.getSuppressed();
    java.lang.String str8 = illegalFieldValueException4.getFieldName();
    java.lang.Number number9 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array10 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str18 = illegalFieldValueException17.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException17.getDateTimeFieldType();
    java.lang.Number number20 = illegalFieldValueException17.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str22 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 10.0d+ "'", number9.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str18.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + (byte)0+ "'", number20.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test274"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: : Value -909181799089 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [-1.0,90018000899900]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test275"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
    java.lang.Number number4 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException7 = new org.joda.time.IllegalFieldValueException("", number4, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException7.getDateTimeFieldType();
    java.lang.Number number9 = illegalFieldValueException7.getIllegalNumberValue();
    java.lang.Number number10 = illegalFieldValueException7.getIllegalNumberValue();
    illegalFieldValueException7.prependMessage("");
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException7.getSuppressed();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException7.getSuppressed();
    java.lang.Number number16 = null;
    java.lang.Number number17 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException19 = new org.joda.time.IllegalFieldValueException("", number16, number17, (java.lang.Number)810082800091L);
    java.lang.Number number21 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", number21, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType25 = illegalFieldValueException24.getDateTimeFieldType();
    java.lang.Number number26 = illegalFieldValueException24.getIllegalNumberValue();
    java.lang.Number number27 = illegalFieldValueException24.getIllegalNumberValue();
    illegalFieldValueException24.prependMessage("");
    java.lang.Number number30 = illegalFieldValueException24.getLowerBound();
    java.lang.Number number31 = illegalFieldValueException24.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException24.getDateTimeFieldType();
    illegalFieldValueException19.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    java.lang.String str34 = illegalFieldValueException19.getIllegalStringValue();
    illegalFieldValueException7.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.String str36 = illegalFieldValueException19.toString();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException19);
    java.lang.Number number38 = illegalFieldValueException19.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + 100+ "'", number30.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must not be larger than 810082800091"+ "'", str36.equals("org.joda.time.IllegalFieldValueException: Value null for  must not be larger than 810082800091"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number38);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test276"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("");
    java.lang.String str10 = illegalFieldValueException4.getFieldName();
    java.lang.String str11 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number12 = illegalFieldValueException4.getLowerBound();
    java.lang.String str13 = illegalFieldValueException4.getIllegalValueAsString();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported");
    java.lang.String str16 = illegalFieldValueException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "null"+ "'", str11.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100+ "'", number12.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "null"+ "'", str13.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported: : Value null for  must be in the range [100,0.0]"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported: : Value null for  must be in the range [100,0.0]"));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test277"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(109909090L, 555355);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 61038562676950L);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test278"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(17511596041505600L, (-818264636372819190L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 835776232414324790L);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test279"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, 109909090);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test280"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value -280491 for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] must be in the range [-2009201919100,100]", (-33275703), (-1590379), 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test281"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, (-70100059), (-69756429), 50131007);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test282"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1251256973894L, "-90918170908900");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test283"); }


    java.lang.Number number3 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-199972), (java.lang.Number)(short)0, number3);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-199972"+ "'", str5.equals("-199972"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "-199972"+ "'", str7.equals("-199972"));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test284"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported\" for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test285"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 2010102 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0] must not be smaller than 909181809089", "");

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test286"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 10.0d+ "'", number7.equals(10.0d));

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test287"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)438953, "-890000");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test288"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-18003611270101L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test289"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 70737931, 0, 909778);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test290"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException4.toString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException10 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException10);
    illegalFieldValueException10.prependMessage("");
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException10.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException10.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException10.getDurationFieldType();
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException10.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test291"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(72019791, (-8179073));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 63840718);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test292"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-70599895));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 70599895);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test293"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(1710513934290L, 1000290);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1711009983330944100L);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test294"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]\" for org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]\" for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] is not supported is not supported", (java.lang.Number)(-1910102), (java.lang.Number)(-36003204L), (java.lang.Number)90L);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test295"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(4239196902369506700L, (-10000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test296"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] must not be larger than -90826084040045", (java.lang.Number)2010102L, (java.lang.Number)143717931, (java.lang.Number)0.0d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test297"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1800361038000L), 835776232414324790L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test298"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-81330863355209L), (-818265446454719191L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 818184115591363982L);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test299"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, number1, (java.lang.Number)890000, (java.lang.Number)(-900089));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test300"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(2010102, 8545625, (-141326928));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test301"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-890000), 1010101, (-900089));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test302"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-18003610269901L), (-89L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test303"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1800361038000L), (-99902081810170L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test304"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-224448489157238755L), (-1908666139687693957L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test305"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.String str8 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str9 = illegalFieldValueException4.getFieldName();
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "null"+ "'", str8.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100+ "'", number10.equals(100));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test306"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-1719261798889L), (java.lang.Number)(-1.0f), (java.lang.Number)(-71109954));
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1719261798889L)+ "'", number6.equals((-1719261798889L)));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test307"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(191010200000L, 2151491433749592000L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test308"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-199946), "");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test309"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number13 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number15 = illegalFieldValueException4.getLowerBound();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType18 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Throwable[] throwable_array19 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (byte)0+ "'", number13.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 100.0f+ "'", number14.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 100.0f+ "'", number15.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test310"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("", number2, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException5.getSuppressed();
    java.lang.String str7 = illegalFieldValueException5.getIllegalValueAsString();
    java.lang.Number number8 = illegalFieldValueException5.getUpperBound();
    java.lang.Number number10 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException13 = new org.joda.time.IllegalFieldValueException("", number10, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException13.getDateTimeFieldType();
    java.lang.Number number15 = illegalFieldValueException13.getIllegalNumberValue();
    java.lang.String str16 = illegalFieldValueException13.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException13.getDurationFieldType();
    illegalFieldValueException5.addSuppressed((java.lang.Throwable)illegalFieldValueException13);
    java.lang.Number number19 = illegalFieldValueException5.getIllegalNumberValue();
    boolean b20 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(-2010102L), (java.lang.Object)number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "null"+ "'", str7.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test311"); }


    java.lang.Object obj0 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-1010101), (java.lang.Number)(-10000L), (java.lang.Number)10000L);
    boolean b6 = org.joda.time.field.FieldUtils.equals(obj0, (java.lang.Object)illegalFieldValueException5);
    illegalFieldValueException5.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test312"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(818342727089519843L, (-818265446454719191L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 77280634800652L);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test313"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(207171);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-207171));

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test314"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10\" for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test315"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-1719362708258L), (java.lang.Number)900154006400L, (java.lang.Number)91709150);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test316"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)696086, (java.lang.Number)8890990, (java.lang.Number)(-909181819079L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test317"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-154741557211074L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-154741557211074L));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test318"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 12010190, (-133663431), (-2565621));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test319"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(10000000L, (-909181709089L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-909171709089L));

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test320"); }


    boolean b2 = org.joda.time.field.FieldUtils.equals((java.lang.Object)900146916702L, (java.lang.Object)835776232414324790L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test321"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(byte)10, number2, (java.lang.Number)10);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str6 = illegalFieldValueException4.toString();
    java.lang.Number number8 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", number8, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)1L);
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException11.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-890000), (java.lang.Number)(byte)100, (java.lang.Number)(-80519));
    java.lang.Number number22 = illegalFieldValueException21.getIllegalNumberValue();
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException21);
    illegalFieldValueException21.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    illegalFieldValueException21.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [100.0,0]");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + (-890000)+ "'", number22.equals((-890000)));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test322"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-1013277), 1880630, 109649);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test323"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    illegalFieldValueException4.prependMessage("100.0");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [900127,10.0]");
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "null"+ "'", str5.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100+ "'", number10.equals(100));

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test324"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-8990224442760418326L), 810163718271900001L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test325"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-910002L), 63840718);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-58095181061436L));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test326"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]", "org.joda.time.IllegalFieldValueException: Value 10.0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [10000,10]");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]\" for org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078] is not supported");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10.0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [10000,10]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value 10.0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [10000,10]"));

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test327"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 590118, (-30689184), 100903728);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test328"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported", number1, (java.lang.Number)900270036090618990L, (java.lang.Number)87817788780800L);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test329"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-209962), (java.lang.Number)(-1719261799078L), (java.lang.Number)(-800128));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test330"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-1708229056746L), (-8990378284162522890L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8990376575933466144L);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test331"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str8 = illegalFieldValueException4.toString();
    java.lang.Throwable[] throwable_array9 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str11 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number12 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str8.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100+ "'", number12.equals(100));

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test332"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", (java.lang.Number)0.0f, (java.lang.Number)(byte)10, (java.lang.Number)1999659946L);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str7 = illegalFieldValueException4.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType8 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [10,1999659946]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [10,1999659946]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0.0"+ "'", str6.equals("0.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType8);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test333"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1.0f, (java.lang.Number)99899L, (java.lang.Number)(-82423679));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test334"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]", (java.lang.Number)1.0f, (java.lang.Number)(short)10, (java.lang.Number)100L);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]");
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", number9, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.Number number15 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.String str16 = illegalFieldValueException12.toString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.String str18 = illegalFieldValueException12.getIllegalValueAsString();
    java.lang.String str19 = illegalFieldValueException12.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str16.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "null"+ "'", str18.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "null"+ "'", str19.equals("null"));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test335"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-79007979));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 79007979);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test336"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(980565);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-980565));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test337"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [900127,10.0]", 71009897, (-19454), (-1690379));
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test338"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str13 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException4.getSuppressed();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "0.0"+ "'", str13.equals("0.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test339"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number8 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100+ "'", number6.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100+ "'", number8.equals(100));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test340"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-141326928), 164916879, 70620109, (-66902915));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test341"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(455319, 63840718, 61328912);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test342"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)818184115591363982L, (java.lang.Number)72088254306621L, (java.lang.Number)(-30689184));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test343"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(9991908090900L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test344"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]: Value 80116020800911 for  must be in the range [79007979,-900090]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test345"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("");
    java.lang.Number number10 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array11 = illegalFieldValueException4.getSuppressed();
    java.lang.String str12 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number13 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "null"+ "'", str12.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 0.0f+ "'", number13.equals(0.0f));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test346"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)99973, (java.lang.Number)1110201, (java.lang.Number)(-1719263809001L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test347"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    org.joda.time.DateTimeFieldType dateTimeFieldType6 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number8 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", number8, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.Number number13 = illegalFieldValueException11.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType14 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.String str15 = illegalFieldValueException11.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType16 = illegalFieldValueException11.getDateTimeFieldType();
    java.lang.Number number17 = illegalFieldValueException11.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str19 = illegalFieldValueException11.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "null"+ "'", str15.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "null"+ "'", str19.equals("null"));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test348"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]", (java.lang.Number)(-71110013), (java.lang.Number)(-800080), (java.lang.Number)(-10888391483571L));
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str6 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str6);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test349"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-2565621), (-2010102), 1194239);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test350"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-1100022120113L), (-891155136613L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1991177256726L));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test351"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number13 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType14 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Throwable[] throwable_array15 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number17 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("", number17, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType21 = illegalFieldValueException20.getDateTimeFieldType();
    java.lang.Number number22 = illegalFieldValueException20.getIllegalNumberValue();
    java.lang.Number number23 = illegalFieldValueException20.getIllegalNumberValue();
    java.lang.String str24 = illegalFieldValueException20.toString();
    java.lang.String str25 = illegalFieldValueException20.getFieldName();
    java.lang.Number number26 = illegalFieldValueException20.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array27 = illegalFieldValueException20.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException20);
    java.lang.Number number29 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number30 = illegalFieldValueException4.getLowerBound();
    java.lang.String str31 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (byte)0+ "'", number13.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str24.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number29 + "' != '" + 0.0f+ "'", number29.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number30 + "' != '" + 100.0f+ "'", number30.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "hi!"+ "'", str31.equals("hi!"));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test352"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 9024892388 for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] must not be smaller than -770625", (java.lang.Number)(-90018000900000000L), (java.lang.Number)162026181, (java.lang.Number)(-454682));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test353"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number8 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException4.getFieldName();
    java.lang.Number number11 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException4.toString();
    java.lang.Throwable[] throwable_array14 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (byte)0+ "'", number11.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str13.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test354"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-100323));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100323);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test355"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number7 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", number9, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    java.lang.Number number14 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException12.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException12.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number18 = illegalFieldValueException4.getLowerBound();
    java.lang.String str19 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.DateTimeFieldType dateTimeFieldType20 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number22 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException25 = new org.joda.time.IllegalFieldValueException("", number22, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException25.getSuppressed();
    java.lang.Number number27 = illegalFieldValueException25.getIllegalNumberValue();
    java.lang.String str28 = illegalFieldValueException25.toString();
    java.lang.String str29 = illegalFieldValueException25.toString();
    illegalFieldValueException25.prependMessage("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10");
    org.joda.time.DateTimeFieldType dateTimeFieldType32 = illegalFieldValueException25.getDateTimeFieldType();
    boolean b33 = org.joda.time.field.FieldUtils.equals((java.lang.Object)dateTimeFieldType20, (java.lang.Object)illegalFieldValueException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "null"+ "'", str6.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0f+ "'", number7.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 100+ "'", number18.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "null"+ "'", str19.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str28.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str29.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test356"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-36003204L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-36003204));

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test357"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, number1, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]: Value 80116020800911 for  must be in the range [79007979,-900090]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test358"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [-909181809090,-1719261799078]\" for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]: Value 10 for hi! must be in the range [1,100] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test359"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1547429876156616426L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test360"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(900181009100000000L, (-11910103810092L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test361"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-9990L), (java.lang.Number)(-100000L), (java.lang.Number)(-1000101));
    java.lang.String str5 = illegalFieldValueException4.getFieldName();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"-1010101\" for  is not supported");
    java.lang.String str8 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "-9990"+ "'", str8.equals("-9990"));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test362"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(143717931, 71420190);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test363"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-11797573292661L), 909182809378L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-10888390483283L));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test364"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(63105301702083L, 65889638);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test365"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-1010101", "org.joda.time.IllegalFieldValueException: Value null for 1.0 must be in the range [-90207982,1718446455553819101]");

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test366"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-10798293354660L), (java.lang.Number)99973000000L, (java.lang.Number)2010190L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test367"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)500496, "org.joda.time.IllegalFieldValueException: Value -900180009000 for org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]: Value 10 for hi! must be in the range [1,100] must be in the range [-1,-1010001]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test368"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(durationFieldType0, "org.joda.time.IllegalFieldValueException: Value -9990 for  must be in the range [-100000,-1000101]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test369"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1500041, (java.lang.Number)69129340, (java.lang.Number)72110134);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test370"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-71110033), 1000100, 72110134, 19640353);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test371"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1800540052002859957L), 65889638);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test372"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)10.0d, (java.lang.Number)10000L, (java.lang.Number)10);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 10.0d+ "'", number5.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 10+ "'", number8.equals(10));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test373"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-70117023991299L), 71110013);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test374"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10.0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [10000,10]", "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException5 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] must not be smaller than 100", "1.0");
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException5.getDurationFieldType();
    illegalFieldValueException2.addSuppressed((java.lang.Throwable)illegalFieldValueException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test375"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-5020297));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5020297);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test376"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(1880630, (-1434364), (-33275703), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-32829438));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test377"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-8093486), (-554818), (-1690379));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test378"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-1190528), (java.lang.Number)(-900269115821250967L), (java.lang.Number)900260125020801000L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test379"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(1547482070268409430L, (-9685583));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test380"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-454682), 78, 207171, 1627691);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 965917);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test381"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("", 0, 69464528, 1000099);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test382"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(54822655320251L, 1711009983330944100L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test383"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number8 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str10 = illegalFieldValueException4.getFieldName();
    java.lang.Number number11 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.String str13 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number14 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + (byte)0+ "'", number11.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 100.0f+ "'", number14.equals(100.0f));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test384"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-79398366), 70737931, (-554818), (-800080));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test385"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)2151491433749592000L, "org.joda.time.IllegalFieldValueException: Value \"hi!\" for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test386"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-808083140145L), (-90009090L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-807993131055L));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test387"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(10000000, 100, 555355);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 5392);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test388"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-8179073), 8556694);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 377621);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test389"); }


    org.joda.time.field.FieldUtils.verifyValueBounds("-99910", 207172, (-69353949), 8556694);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test390"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-900180029001L), (java.lang.Number)(byte)10, (java.lang.Number)100.0f);
    java.lang.Object obj5 = null;
    boolean b6 = org.joda.time.field.FieldUtils.equals((java.lang.Object)(byte)10, obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test391"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "-1010101");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test392"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number8 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", number8, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array12 = illegalFieldValueException11.getSuppressed();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str14 = illegalFieldValueException4.getFieldName();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + ""+ "'", str14.equals(""));

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test393"); }


    int i4 = org.joda.time.field.FieldUtils.getWrappedValue(35686068, (-8900890), (-142220124), 429932);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-115864879));

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test394"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract((-900180009000L), 911178648933L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-1811358657933L));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test395"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getUpperBound();
    java.lang.Throwable throwable7 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException4.addSuppressed(throwable7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0.0f+ "'", number6.equals(0.0f));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test396"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number8 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType9 = illegalFieldValueException4.getDurationFieldType();
    java.lang.Number number10 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number11 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number14 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", number14, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException17.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException17.getUpperBound();
    java.lang.Throwable[] throwable_array20 = illegalFieldValueException17.getSuppressed();
    java.lang.Throwable[] throwable_array21 = illegalFieldValueException17.getSuppressed();
    java.lang.Number number22 = illegalFieldValueException17.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (byte)0+ "'", number10.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.0f+ "'", number11.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 0.0f+ "'", number19.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number22 + "' != '" + 100+ "'", number22.equals(100));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test397"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(67999838, 438953);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 68438791);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test398"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(154741557211074L, 53913473491182L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test399"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-10101010000000L), 5020297);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test400"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("1.0", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]\" for org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported is not supported");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]\" for org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported is not supported"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]\" for org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported is not supported"));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test401"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-900089L), 860458432679676490L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 860458432678776401L);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test402"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array5 = illegalFieldValueException4.getSuppressed();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str7 = illegalFieldValueException4.toString();
    java.lang.Number number8 = illegalFieldValueException4.getUpperBound();
    java.lang.String str9 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.String str10 = illegalFieldValueException4.toString();
    java.lang.Number number11 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number12 = illegalFieldValueException4.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0.0f+ "'", number8.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "null"+ "'", str9.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str10.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 100+ "'", number11.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 100+ "'", number12.equals(100));

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test403"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test404"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: Value 1 for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] must not be larger than -90826084040045");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test405"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(454682, 709930);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1164612);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test406"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-900180029001L), (java.lang.Number)(byte)10, (java.lang.Number)100.0f);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException4.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100.0f+ "'", number5.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test407"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    java.lang.String str7 = illegalFieldValueException4.getIllegalStringValue();
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", number9, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array13 = illegalFieldValueException12.getSuppressed();
    java.lang.Number number14 = illegalFieldValueException12.getIllegalNumberValue();
    java.lang.String str15 = illegalFieldValueException12.toString();
    java.lang.String str16 = illegalFieldValueException12.getIllegalStringValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException12);
    java.lang.Number number18 = illegalFieldValueException12.getUpperBound();
    java.lang.Number number19 = illegalFieldValueException12.getLowerBound();
    java.lang.Number number20 = illegalFieldValueException12.getLowerBound();
    java.lang.String str21 = illegalFieldValueException12.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str15.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number18 + "' != '" + 0.0f+ "'", number18.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 100+ "'", number19.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 100+ "'", number20.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test408"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt((-1512183100209532093L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test409"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("");
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number11 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100+ "'", number10.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str13);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test410"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number6 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", number6, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number11 = illegalFieldValueException9.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number13 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str14 = illegalFieldValueException4.getFieldName();
    java.lang.Number number15 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number16 = illegalFieldValueException4.getUpperBound();
    java.lang.String str17 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.0f+ "'", number11.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 0+ "'", number13.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str14.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 0L+ "'", number15.equals(0L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 0+ "'", number16.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "0"+ "'", str17.equals("0"));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test411"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-61328833), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-61328832));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test412"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply((-289935399818L), (-398984));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 115679585560984912L);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test413"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(byte)10, (java.lang.Number)(short)1, (java.lang.Number)100L);
    java.lang.Number number6 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException9 = new org.joda.time.IllegalFieldValueException("", number6, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType10 = illegalFieldValueException9.getDateTimeFieldType();
    java.lang.Number number11 = illegalFieldValueException9.getUpperBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException9);
    java.lang.Number number14 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException17 = new org.joda.time.IllegalFieldValueException("", number14, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array18 = illegalFieldValueException17.getSuppressed();
    java.lang.Number number19 = illegalFieldValueException17.getIllegalNumberValue();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException17);
    java.lang.String str21 = illegalFieldValueException17.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.0f+ "'", number11.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str21);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test414"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply(180917101, 178906999);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test415"); }


    org.joda.time.DurationFieldType durationFieldType0 = null;
    java.lang.Number number2 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(durationFieldType0, (java.lang.Number)(-9317127), number2, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test416"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 1000100 for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] must be in the range [1910102000000,9001800090]", "org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]\" for -199972 is not supported");
    org.joda.time.DateTimeFieldType dateTimeFieldType3 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType3);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test417"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 800128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test418"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-70100059), (-100903728));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-171003787));

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test419"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported", (-19454), 66999739, 70209897);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test420"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 1010037, (-1910102), 75967725);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test421"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)3640239, "100.0");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test422"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 69229530, (-95228279), (-80398366));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test423"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(1110201L, (-9988411292750L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test424"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]\" for org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported is not supported", (-11001111), 13171239, 0);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test425"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]", (java.lang.Number)1.0f, (java.lang.Number)(short)10, (java.lang.Number)100L);
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] must not be smaller than 100");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]\" for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] is not supported");
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10\" for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] is not supported");

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test426"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array8 = illegalFieldValueException4.getSuppressed();
    java.lang.String str9 = illegalFieldValueException4.getIllegalValueAsString();
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("-1010101", "10.0");
    illegalFieldValueException12.prependMessage("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100] must not be smaller than 100");
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException12.getDurationFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException20 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)10.0d, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)0);
    illegalFieldValueException20.prependMessage("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]");
    java.lang.Throwable[] throwable_array23 = illegalFieldValueException20.getSuppressed();
    java.lang.String str24 = illegalFieldValueException20.getFieldName();
    java.lang.Number number25 = illegalFieldValueException20.getIllegalNumberValue();
    java.lang.Throwable[] throwable_array26 = illegalFieldValueException20.getSuppressed();
    illegalFieldValueException20.prependMessage("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]");
    org.joda.time.DateTimeFieldType dateTimeFieldType29 = illegalFieldValueException20.getDateTimeFieldType();
    java.lang.Number number32 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException34 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(byte)10, number32, (java.lang.Number)10);
    org.joda.time.DurationFieldType durationFieldType35 = illegalFieldValueException34.getDurationFieldType();
    java.lang.String str36 = illegalFieldValueException34.toString();
    java.lang.Number number38 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException41 = new org.joda.time.IllegalFieldValueException("", number38, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType42 = illegalFieldValueException41.getDateTimeFieldType();
    boolean b44 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException41, (java.lang.Object)1L);
    org.joda.time.DurationFieldType durationFieldType45 = illegalFieldValueException41.getDurationFieldType();
    illegalFieldValueException34.addSuppressed((java.lang.Throwable)illegalFieldValueException41);
    java.lang.String str47 = illegalFieldValueException41.getIllegalStringValue();
    illegalFieldValueException20.addSuppressed((java.lang.Throwable)illegalFieldValueException41);
    boolean b49 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException12, (java.lang.Object)illegalFieldValueException41);
    java.lang.Number number51 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException54 = new org.joda.time.IllegalFieldValueException("", number51, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType55 = illegalFieldValueException54.getDateTimeFieldType();
    java.lang.Number number56 = illegalFieldValueException54.getIllegalNumberValue();
    java.lang.Number number57 = illegalFieldValueException54.getIllegalNumberValue();
    illegalFieldValueException54.prependMessage("");
    java.lang.String str60 = illegalFieldValueException54.getFieldName();
    java.lang.String str61 = illegalFieldValueException54.getFieldName();
    boolean b62 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException41, (java.lang.Object)illegalFieldValueException54);
    java.lang.String str63 = illegalFieldValueException54.getFieldName();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "null"+ "'", str9.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number25 + "' != '" + 10.0d+ "'", number25.equals(10.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"+ "'", str36.equals("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + ""+ "'", str60.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + ""+ "'", str61.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str63 + "' != '" + ""+ "'", str63.equals(""));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test427"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-72009771), (-79627741), 2044767);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test428"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(81108550405912376L, 71009897);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test429"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-6401448350116299911L), (-819081369663905703L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test430"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(2734438169653369403L, (-9988311373660L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test431"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", (java.lang.Number)(-15597816), number2, (java.lang.Number)800128);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test432"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd((-11101010000000L), (-99001991720261L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-110103001720261L));

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test433"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1.0d, (java.lang.Number)63105302702283L, number3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test434"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(11747823, 70209843, 9900991);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test435"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str5 = illegalFieldValueException4.toString();
    java.lang.Number number6 = illegalFieldValueException4.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number13 = illegalFieldValueException4.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number15 = illegalFieldValueException4.getLowerBound();
    java.lang.Throwable[] throwable_array16 = illegalFieldValueException4.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType17 = illegalFieldValueException4.getDurationFieldType();
    illegalFieldValueException4.prependMessage("org.joda.time.IllegalFieldValueException: : Value 0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [0,0]");
    java.lang.Number number21 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException24 = new org.joda.time.IllegalFieldValueException("", number21, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array25 = illegalFieldValueException24.getSuppressed();
    java.lang.Number number26 = illegalFieldValueException24.getIllegalNumberValue();
    java.lang.String str27 = illegalFieldValueException24.toString();
    java.lang.Number number28 = illegalFieldValueException24.getUpperBound();
    java.lang.String str29 = illegalFieldValueException24.getIllegalValueAsString();
    java.lang.String str30 = illegalFieldValueException24.toString();
    java.lang.Number number31 = illegalFieldValueException24.getLowerBound();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException24);
    illegalFieldValueException4.prependMessage("");
    org.joda.time.DurationFieldType durationFieldType35 = illegalFieldValueException4.getDurationFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str5.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0f+ "'", number6.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (byte)0+ "'", number13.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 100.0f+ "'", number14.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number15 + "' != '" + 100.0f+ "'", number15.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 0.0f+ "'", number28.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "null"+ "'", str29.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str30.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number31 + "' != '" + 100+ "'", number31.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType35);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test436"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate((-864676));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 864676);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test437"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(7363271316100L, (-1910102));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test438"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]: Value 10 for hi! must be in the range [1,100]");
    org.joda.time.DurationFieldType durationFieldType3 = illegalFieldValueException2.getDurationFieldType();
    java.lang.Number number4 = illegalFieldValueException2.getLowerBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test439"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str6 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number8 = null;
    java.lang.Number number10 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]", number8, (java.lang.Number)100, number10);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.Number number13 = illegalFieldValueException11.getUpperBound();
    java.lang.Number number14 = illegalFieldValueException11.getIllegalNumberValue();
    java.lang.Number number15 = illegalFieldValueException11.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "0"+ "'", str6.equals("0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number15);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test440"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-279882), 79627741, (-1880630), (-66902915));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test441"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(80092705933438345L, (-622776));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test442"); }


    java.lang.Number number1 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("", number1, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    illegalFieldValueException4.prependMessage("");
    java.lang.Number number10 = illegalFieldValueException4.getLowerBound();
    java.lang.Number number11 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType12 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str13 = illegalFieldValueException4.getFieldName();
    java.lang.Number number15 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException18 = new org.joda.time.IllegalFieldValueException("", number15, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException18.getDateTimeFieldType();
    java.lang.Number number20 = illegalFieldValueException18.getUpperBound();
    java.lang.Throwable[] throwable_array21 = illegalFieldValueException18.getSuppressed();
    java.lang.String str22 = illegalFieldValueException18.toString();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException18);
    java.lang.Number number24 = illegalFieldValueException18.getIllegalNumberValue();
    java.lang.Throwable throwable25 = null;
    // The following exception was thrown during execution in test generation
    try {
      illegalFieldValueException18.addSuppressed(throwable25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100+ "'", number10.equals(100));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + ""+ "'", str13.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number20 + "' != '" + 0.0f+ "'", number20.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str22.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number24);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test443"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("-70116152782257", (java.lang.Number)(-72009771), (java.lang.Number)(-900181029001L), (java.lang.Number)(-10800001231045L));
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-72009771"+ "'", str5.equals("-72009771"));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test444"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]", "org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]");
    java.lang.Number number3 = illegalFieldValueException2.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType4 = illegalFieldValueException2.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType4);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test445"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-10101010000000L), (java.lang.Number)900154006400L, (java.lang.Number)818265446453819101L);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test446"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-10910181809089L), 67799866);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test447"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-154741557211074L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test448"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-807993131055L), (-81321772526140L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test449"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)1547429876156616426L, (java.lang.Number)270686, (java.lang.Number)(-9869405809321L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      int i1 = org.joda.time.field.FieldUtils.safeToInt(1753652192652176667L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test451"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(0L, (-152223390600961L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 152223390600961L);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test452"); }


    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 10.0 for hi! must be in the range [-1.0,0]", 69129340, (-864676), 1000200);
      org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException");
    } catch (org.joda.time.IllegalFieldValueException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.joda.time.IllegalFieldValueException")) {
        org.junit.Assert.fail("Expected exception of type org.joda.time.IllegalFieldValueException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test453"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(0, (-90009090), (-454682));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-89554409));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test454"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException3 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)980565, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]: Value 1.0 for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] must be in the range [10,100]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test455"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd((-18189166), (-72110112));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-90299278));

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test456"); }


    int i1 = org.joda.time.field.FieldUtils.safeNegate(55920363);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-55920363));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test457"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("-70116152782257", "-72009771");

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test458"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-1000100000000000L), (-70117023991299L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test459"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("", "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]");
    java.lang.String str3 = illegalFieldValueException2.getIllegalStringValue();
    illegalFieldValueException2.prependMessage("");
    java.lang.Throwable[] throwable_array6 = illegalFieldValueException2.getSuppressed();
    java.lang.String str7 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"+ "'", str7.equals("org.joda.time.IllegalFieldValueException: Value 10 for hi! must be in the range [1,100]"));

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test460"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-8990378284162522890L), (java.lang.Number)(-881213), (java.lang.Number)50131007);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test461"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported\" for org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0] is not supported", "org.joda.time.IllegalFieldValueException: : Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for  is not supported");

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test462"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 10.0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [10000,10]", (java.lang.Number)(-99910), (java.lang.Number)63105301702083L, (java.lang.Number)178906999);
    java.lang.String str5 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number6 = illegalFieldValueException4.getIllegalNumberValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "-99910"+ "'", str5.equals("-99910"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-99910)+ "'", number6.equals((-99910)));

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test463"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1543539413995425711L, 1809092910012L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1543537604902515699L);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test464"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-808081240043L), (-900182019102L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test465"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]", "org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]");
    java.lang.String str3 = illegalFieldValueException2.getFieldName();
    java.lang.String str4 = illegalFieldValueException2.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str3.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]"+ "'", str4.equals("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]"));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test466"); }


    // The following exception was thrown during execution in test generation
    try {
      int i4 = org.joda.time.field.FieldUtils.getWrappedValue((-210022), 2010102, 67799866, (-77944614));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test467"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)(-900180009000L), (java.lang.Number)100000L, (java.lang.Number)100.0f);
    java.lang.Number number5 = illegalFieldValueException4.getUpperBound();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException4.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType7 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 100.0f+ "'", number5.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType7);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test468"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", (java.lang.Number)0.0f, (java.lang.Number)(byte)10, (java.lang.Number)1999659946L);
    java.lang.Number number5 = illegalFieldValueException4.getIllegalNumberValue();
    org.joda.time.DurationFieldType durationFieldType6 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str7 = illegalFieldValueException4.getIllegalValueAsString();
    java.lang.Number number9 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException12 = new org.joda.time.IllegalFieldValueException("", number9, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType13 = illegalFieldValueException12.getDateTimeFieldType();
    boolean b15 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException12, (java.lang.Object)1L);
    org.joda.time.DurationFieldType durationFieldType16 = illegalFieldValueException12.getDurationFieldType();
    java.lang.Number number18 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException21 = new org.joda.time.IllegalFieldValueException("", number18, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array22 = illegalFieldValueException21.getSuppressed();
    java.lang.Number number23 = illegalFieldValueException21.getUpperBound();
    java.lang.Number number25 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException28 = new org.joda.time.IllegalFieldValueException("", number25, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array29 = illegalFieldValueException28.getSuppressed();
    java.lang.Number number30 = illegalFieldValueException28.getIllegalNumberValue();
    java.lang.String str31 = illegalFieldValueException28.getIllegalStringValue();
    illegalFieldValueException21.addSuppressed((java.lang.Throwable)illegalFieldValueException28);
    java.lang.Number number33 = illegalFieldValueException28.getUpperBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException38 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str39 = illegalFieldValueException38.toString();
    java.lang.Number number40 = illegalFieldValueException38.getLowerBound();
    java.lang.String str41 = illegalFieldValueException38.getIllegalStringValue();
    java.lang.Number number43 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException46 = new org.joda.time.IllegalFieldValueException("", number43, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array47 = illegalFieldValueException46.getSuppressed();
    java.lang.Number number48 = illegalFieldValueException46.getIllegalNumberValue();
    java.lang.String str49 = illegalFieldValueException46.toString();
    java.lang.String str50 = illegalFieldValueException46.getIllegalStringValue();
    illegalFieldValueException38.addSuppressed((java.lang.Throwable)illegalFieldValueException46);
    java.lang.String str52 = illegalFieldValueException38.getFieldName();
    java.lang.String str53 = illegalFieldValueException38.toString();
    illegalFieldValueException28.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    illegalFieldValueException12.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.0f+ "'", number5.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "0.0"+ "'", str7.equals("0.0"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number23 + "' != '" + 0.0f+ "'", number23.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number33 + "' != '" + 0.0f+ "'", number33.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str39.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number40 + "' != '" + 100.0f+ "'", number40.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"+ "'", str49.equals("org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str52 + "' != '" + "hi!"+ "'", str52.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str53.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test469"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue((-3010202), (-1), (-36003204));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test470"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt(0L, (-1100022120113L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test471"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply((-72), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test472"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 142653345, (-70317031), (-43830622));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(70117023101210L, 10101010L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test474"); }


    // The following exception was thrown during execution in test generation
    try {
      int i3 = org.joda.time.field.FieldUtils.getWrappedValue(12010190, 63689257, (-968376));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test475"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply((-1800309112910L), 142220125);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test476"); }


    int i2 = org.joda.time.field.FieldUtils.safeMultiply(0, 455319);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test477"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(818265446453819101L, 900270036090618990L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1718535482544438091L);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test478"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)142944708142483L, (java.lang.Number)68438791, (java.lang.Number)(-114520));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test479"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    java.lang.Number number2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, (java.lang.Number)(-99902081810170L), number2, (java.lang.Number)(-8899090528L));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test480"); }


    long long2 = org.joda.time.field.FieldUtils.safeMultiply(0L, 151554313);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test481"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1809093010022L, (-890089L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1809093900111L);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test482"); }


    int i1 = org.joda.time.field.FieldUtils.safeToInt((-910002L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-910002));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test483"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(71110013, 500496);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 71610509);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test484"); }


    int i3 = org.joda.time.field.FieldUtils.getWrappedValue(17676504, (-71420189), 8909868);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-62653554));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test485"); }


    java.lang.Number number2 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(byte)10, number2, (java.lang.Number)10);
    org.joda.time.DurationFieldType durationFieldType5 = illegalFieldValueException4.getDurationFieldType();
    java.lang.String str6 = illegalFieldValueException4.toString();
    java.lang.Number number8 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException11 = new org.joda.time.IllegalFieldValueException("", number8, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType12 = illegalFieldValueException11.getDateTimeFieldType();
    boolean b14 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException11, (java.lang.Object)1L);
    org.joda.time.DurationFieldType durationFieldType15 = illegalFieldValueException11.getDurationFieldType();
    illegalFieldValueException4.addSuppressed((java.lang.Throwable)illegalFieldValueException11);
    java.lang.String str17 = illegalFieldValueException11.getIllegalStringValue();
    java.lang.String str18 = illegalFieldValueException11.getFieldName();
    org.joda.time.DateTimeFieldType dateTimeFieldType19 = illegalFieldValueException11.getDateTimeFieldType();
    illegalFieldValueException11.prependMessage("org.joda.time.IllegalFieldValueException: Value 0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [100.0,0]");
    org.joda.time.IllegalFieldValueException illegalFieldValueException26 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    java.lang.String str27 = illegalFieldValueException26.toString();
    java.lang.Number number28 = illegalFieldValueException26.getLowerBound();
    org.joda.time.IllegalFieldValueException illegalFieldValueException33 = new org.joda.time.IllegalFieldValueException("hi!", (java.lang.Number)0.0f, (java.lang.Number)100.0f, (java.lang.Number)(byte)0);
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException33);
    java.lang.Number number35 = illegalFieldValueException26.getUpperBound();
    java.lang.Number number36 = illegalFieldValueException26.getLowerBound();
    java.lang.Number number37 = illegalFieldValueException26.getLowerBound();
    java.lang.Throwable[] throwable_array38 = illegalFieldValueException26.getSuppressed();
    org.joda.time.DurationFieldType durationFieldType39 = illegalFieldValueException26.getDurationFieldType();
    org.joda.time.DateTimeFieldType dateTimeFieldType40 = illegalFieldValueException26.getDateTimeFieldType();
    java.lang.Number number42 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException45 = new org.joda.time.IllegalFieldValueException("", number42, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType46 = illegalFieldValueException45.getDateTimeFieldType();
    java.lang.Number number47 = illegalFieldValueException45.getIllegalNumberValue();
    org.joda.time.DateTimeFieldType dateTimeFieldType48 = illegalFieldValueException45.getDateTimeFieldType();
    org.joda.time.IllegalFieldValueException illegalFieldValueException53 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)0, (java.lang.Number)0L, (java.lang.Number)0);
    java.lang.Number number54 = illegalFieldValueException53.getIllegalNumberValue();
    illegalFieldValueException45.addSuppressed((java.lang.Throwable)illegalFieldValueException53);
    java.lang.String str56 = illegalFieldValueException45.getIllegalStringValue();
    org.joda.time.DurationFieldType durationFieldType57 = illegalFieldValueException45.getDurationFieldType();
    java.lang.Number number59 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException62 = new org.joda.time.IllegalFieldValueException("", number59, (java.lang.Number)100, (java.lang.Number)0.0f);
    java.lang.Throwable[] throwable_array63 = illegalFieldValueException62.getSuppressed();
    java.lang.String str64 = illegalFieldValueException62.getIllegalValueAsString();
    java.lang.Object obj65 = null;
    boolean b66 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException62, obj65);
    illegalFieldValueException45.addSuppressed((java.lang.Throwable)illegalFieldValueException62);
    illegalFieldValueException26.addSuppressed((java.lang.Throwable)illegalFieldValueException45);
    java.lang.Number number71 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException73 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(byte)10, number71, (java.lang.Number)10);
    org.joda.time.DurationFieldType durationFieldType74 = illegalFieldValueException73.getDurationFieldType();
    java.lang.String str75 = illegalFieldValueException73.toString();
    java.lang.Number number77 = null;
    org.joda.time.IllegalFieldValueException illegalFieldValueException80 = new org.joda.time.IllegalFieldValueException("", number77, (java.lang.Number)100, (java.lang.Number)0.0f);
    org.joda.time.DateTimeFieldType dateTimeFieldType81 = illegalFieldValueException80.getDateTimeFieldType();
    boolean b83 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException80, (java.lang.Object)1L);
    org.joda.time.DurationFieldType durationFieldType84 = illegalFieldValueException80.getDurationFieldType();
    illegalFieldValueException73.addSuppressed((java.lang.Throwable)illegalFieldValueException80);
    java.lang.String str86 = illegalFieldValueException80.getIllegalStringValue();
    java.lang.String str87 = illegalFieldValueException80.getFieldName();
    org.joda.time.IllegalFieldValueException illegalFieldValueException92 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: : Value null for  must be in the range [100,0.0]", (java.lang.Number)1000100, (java.lang.Number)1910102000000L, (java.lang.Number)9001800090L);
    illegalFieldValueException80.addSuppressed((java.lang.Throwable)illegalFieldValueException92);
    java.lang.Throwable[] throwable_array94 = illegalFieldValueException92.getSuppressed();
    boolean b95 = org.joda.time.field.FieldUtils.equals((java.lang.Object)illegalFieldValueException26, (java.lang.Object)illegalFieldValueException92);
    illegalFieldValueException11.addSuppressed((java.lang.Throwable)illegalFieldValueException92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"+ "'", str6.equals("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + ""+ "'", str18.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"+ "'", str27.equals("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number28 + "' != '" + 100.0f+ "'", number28.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number35 + "' != '" + (byte)0+ "'", number35.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number36 + "' != '" + 100.0f+ "'", number36.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number37 + "' != '" + 100.0f+ "'", number37.equals(100.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number54 + "' != '" + 0+ "'", number54.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "null"+ "'", str64.equals("null"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"+ "'", str75.equals("org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(durationFieldType84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str87 + "' != '" + ""+ "'", str87.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test486"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(1628588153653923938L, 80091796751729256L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1548496356902194682L);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test487"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, (-79627741), (-1702760), 60199068);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test488"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiplyToInt((-81321772526140L), (-61328833000000L));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test489"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]: Value 0 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must be in the range [0,0]", "-909181799089");
    java.lang.String str3 = illegalFieldValueException2.getIllegalValueAsString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "-909181799089"+ "'", str3.equals("-909181799089"));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test490"); }


    long long2 = org.joda.time.field.FieldUtils.safeSubtract(212040614030200000L, (-152689027858851L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 212193303058058851L);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test491"); }


    int i2 = org.joda.time.field.FieldUtils.safeAdd(1938, (-968376));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-966438));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test492"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.joda.time.field.FieldUtils.safeMultiply((-69756429), (-67709553));
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test493"); }


    org.joda.time.DateTimeField dateTimeField0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeField0, 79, 9005367, 1434364);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test494"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 9024892388 for org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0] must not be smaller than -770625", (java.lang.Number)(-18189244), (java.lang.Number)890089L, (java.lang.Number)270686);
    org.joda.time.DateTimeFieldType dateTimeFieldType5 = illegalFieldValueException4.getDateTimeFieldType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(dateTimeFieldType5);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test495"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.joda.time.field.FieldUtils.safeMultiply(2528276140426619192L, 79935264727201L);
      org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException");
    } catch (java.lang.ArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test496"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.IllegalFieldValueException illegalFieldValueException2 = new org.joda.time.IllegalFieldValueException(dateTimeFieldType0, "org.joda.time.IllegalFieldValueException: org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value \"org.joda.time.IllegalFieldValueException: Value null for  must be in the range [100,0.0]\" for hi! is not supported\" for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 is not supported: : Value null for  must be in the range [100,0.0]");
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test497"); }


    long long2 = org.joda.time.field.FieldUtils.safeAdd(900270936181608990L, (-1528996646271346497L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-628725710089737507L));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test498"); }


    org.joda.time.DateTimeFieldType dateTimeFieldType0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.joda.time.field.FieldUtils.verifyValueBounds(dateTimeFieldType0, 67444483, 0, 1627691);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test499"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0]", (java.lang.Number)(-909181799089L), (java.lang.Number)(-1.0f), (java.lang.Number)90018000899900L);
    illegalFieldValueException4.prependMessage("");
    java.lang.Number number7 = illegalFieldValueException4.getIllegalNumberValue();
    java.lang.String str8 = illegalFieldValueException4.getIllegalStringValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (-909181799089L)+ "'", number7.equals((-909181799089L)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str8);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest77.test500"); }


    org.joda.time.IllegalFieldValueException illegalFieldValueException4 = new org.joda.time.IllegalFieldValueException("org.joda.time.IllegalFieldValueException: Value null for org.joda.time.IllegalFieldValueException: Value 10 for org.joda.time.IllegalFieldValueException: Value 0.0 for hi! must be in the range [100.0,0] must not be larger than 10 must be in the range [-10001,-1910023]", (java.lang.Number)(-71819970), (java.lang.Number)(-10910181809089L), (java.lang.Number)(-818253716191010101L));

  }

}
